/*jslint node: true, unparam: true, nomen: true */
/*global angular */

'use strict';

angular.module('broadcast.facility.crud').controller('broadcastEnableDisableModalCtrl', [
    '$location',
    '$log',
    '$modalInstance',
    '$rootScope',
    '$scope',
    'selectedMessage',
    'messageIndex',
    'broadcastFacilityService', // main facility service for posting and saving.
    function ($location, $log, $modalInstance, $rootScope, $scope, selectedMessage, messageIndex, broadcastFacilityService) {
        // ------------------------------------------------------------------------
        // All the Inits
        // ------------------------------------------------------------------------
        // No inits needed.
        $log.info(selectedMessage);

        // ------------------------------------------------------------------------
        // Functions
        // ------------------------------------------------------------------------
        // Confirms the disabled.  Makes a call to update service with new flag of disabled = true
        // Flag is set on the facility-controller; where this is initiated.
        // Then $emits at teh rootscope so the main facility message page can be updated.
        $scope.confirmDisable = function () {
            // On confirmation of Disabling; send the form straight through.
            broadcastFacilityService.save(selectedMessage, function () {
                $rootScope.$emit('confirmedDisable', selectedMessage, messageIndex);
                $modalInstance.dismiss('cancel');
            }, function () {
                $log.info('Failed the Facility Message Disabling');
            });

        };

        $scope.confirmEnable = function () {
            var editPath = '/broadcast/facility/edit-message/' + selectedMessage._id;
            $modalInstance.dismiss('cancel');
            $location.path(editPath);
            $scope.attempted = true;
        };

        $scope.cancel = function () {
            $rootScope.$emit('cancelDisable', messageIndex);
            $modalInstance.dismiss('cancel');
        };
    }
]);