'use strict';

angular.module('MessagingAppApp')
  .controller('AuditTrailCtrl', function ($scope,$window, $log, $timeout, $http, resolvedProtocol) {

    $log.info('AuditTrailCtrl fired');
    $window.scrollTo(0,0);

    $scope.protocol = resolvedProtocol;
    $scope.commentList = resolvedProtocol.comments;

    // Code for pagination of the audit trail list
    $scope.currentPage = 1;
    $scope.itemsPerPage = 20;
    $scope.ascending = true;

    $scope.setPage = function (pageNo) {
      $scope.currentPage = pageNo;
    };

    // For Angular-UI datepicker
    $scope.dtFrom = new Date();
    $scope.dtTo = new Date();

    $scope.openStart = function ($event) {
      $timeout(function () {
        $event.preventDefault();
        $event.stopPropagation();
        $scope.openedStart = true;
      });
    };

    $scope.openEnd = function ($event) {
      $timeout(function () {
        $event.preventDefault();
        $event.stopPropagation();
        $scope.openedEnd = true;
      });
    };

    $scope.dateOptions = {
      'year-format': 'yy',
      'starting-day': 1
    };

    $scope.format = 'MM/dd/yyyy';

  });

// TODO: move to filter file
angular.module('MessagingAppApp').filter('commentsFilter', function(FieldLabelsService) {
  return function(input){

    var filteredComments = '';
    var labels = FieldLabelsService.getLabels();

    if( input !== null && typeof input !== 'undefined'){

      var fieldName = input.fieldName;
      var fieldText = '';
      for (var j = 0; j < labels.length; j++){
        if (labels[j].fieldName === fieldName) {
          fieldText = labels[j].fieldText;
          break;
        }
      }
      // Test that there actually was an old value to display in the string...
      if( input.oldValue === null  || input.oldValue === '' ){
        filteredComments = 'Field: ' + fieldText + ' set to ' + input.newValue + '.  ';
      }
      else{
        filteredComments = 'Field: ' + fieldText + ' changed from ' + input.oldValue + ' to ' + input.newValue + ' ';
      }
    }

    return filteredComments;

  };
});

