'use strict';

angular.module('MessagingAppApp')
    .controller('MainCtrl', function ($scope, $location, $log, $modal, $route) {
      $scope.awesomeThings = [
        'HTML5 Boilerplate',
        'AngularJS',
        'Karma'
      ];

      $scope.$route = $route;

      $scope.topSearch = function(query){
        $location.path('/patientSearch/' + query);
      };

      $scope.isActive = function (viewLocation) {
        var active = (viewLocation === $location.path());
        var pathStr = $location.path();
        if ( (pathStr.indexOf('/auditTrail') === 0) || (pathStr.indexOf('/patient/protocolAssignList') === 0) || (pathStr.indexOf('/editProtocol') === 0)) {
          active = (viewLocation === '/patient/protocolList');
        }
        else if ( pathStr.indexOf('/patientSearch') === 0 || pathStr.indexOf('/vistaPatientResults') === 0 ) {
          active = (viewLocation === '/patientSearch');
        }
        else if ( pathStr.indexOf('/clinicalAdmin/protocols/edit') === 0 ) {
          active = (viewLocation === '/clinicalAdmin/protocols');
        }
        return active;
      };

      $scope.isCollapsed = true;


      $scope.openAbout = function () {

        var modalInstance = $modal.open({
          templateUrl: 'aboutModalContent.html',
          controller: 'aboutModalCtrl'
        });

        modalInstance.result.then(function () {
        });

      };

      $scope.trainingBox = function () {

        var modalInstance = $modal.open({
          templateUrl: 'trainingModalContent.html',
          controller: 'trainingModalCtrl'
        });

        modalInstance.result.then(function () {
        });

      };

    });


angular.module('MessagingAppApp').controller('aboutModalCtrl', function ($scope, $modalInstance, $window) {

      $scope.ok = function () {
        $modalInstance.close(true);
      };

      $scope.moreInfo = function() {
        $window.open('userguide.pdf','','width="100%",height="100%"');
      };


    });

angular.module('MessagingAppApp').controller('trainingModalCtrl', function ($scope, $modalInstance) {

      $scope.cancel = function () {
        $modalInstance.close(true);
      };
    });
