'use strict';

angular.module('MessagingAppApp')
    .controller('PatientDetailsCtrl', function ($scope, patientService, $rootScope, $log, $location) {

      $scope.templates = [
        { name: 'PatientDetails', url: 'views/patientDetails.tpl.html'}
      ];
      $scope.template = $scope.templates[0];

      $scope.currPatient = patientService.getCurrPatient();

      // update the patient info when a new patient is selected
      $rootScope.$on('patientSelected', function(event, input){
        $log.info('patientSelected on function called!');
        $log.info(input);
        $scope.currPatient = patientService.getCurrPatient();
        $location.path('/patient/protocolList');
      });

      $rootScope.$on('patientInfoCleared', function(){
        // setting the scope variable to null will hide the container
        $scope.currPatient = null;
      });
      $scope.getGenderShort = function (gender) {
        //$log.info("getGenderShort function fired (from PatientDetailsCtrl)!!");
        return patientService.getGenderShort(gender);
      };

    });
