'use strict';

angular.module('MessagingAppApp')
    .controller('PatientListCtrl', function ($scope, $log, PatientListService, patientService, orderByFilter, resolvedPatients) {

      $scope.getPatientId = function (patient) {
        return patient._id;
      };

      $scope.setCurrPatient = function (patient) {
        //$log.info('setCurrPatient function fired!! ' + patient._id);
        patientService.setCurrPatient(patient);
      };

      // Clear the status messages from the patient's pages
      patientService.clearProtocolStatus();

      // set the default sorting style, for the icon's direction
      $scope.ascending = true;
      if (resolvedPatients !== null) {
        $scope.patientList = resolvedPatients;
        $scope.sortedPatients = orderByFilter($scope.patientList, ['+lastName', '+firstName']);
      }
      else {
        $scope.patientList = null;
      }

      // Code for pagination of patient list
      $scope.currentPage = 1;
      $scope.itemsPerPage = 20; // magic number for now. per CMS-303 12/13

      $scope.setPage = function (pageNo) {
        $scope.currentPage = pageNo;
      };

      $scope.getGenderShort = function (gender) {
        return patientService.getGenderShort(gender);
      };

    });
