'use strict';

angular.module('MessagingAppApp')
    .controller('ProtocolAssignCtrl', function ($scope, $log, $routeParams, TemplateListActiveOnlyService, patientService, resolvedProtocols, $modal) {

      $scope.protocolsList = resolvedProtocols.proto;

      $scope.getProtocolId = function (protocol) {
        $log.info('ProtocolAssignCtrl getProtocolId = ' + protocol._id);
        return protocol._id;
      };

      $scope.currPatient = patientService.getCurrPatient();

      $scope.getPatientId = function (patient) {
        $log.info('ProtocolAssignCtrl getPatientId = ' + patient._id);
        return patient._id;
      };


      $scope.getstatus = function (status) {
        if ( status === true )
        {
          return 'Active';
        }
        else if ( status === false)
        {
          return 'Inactive';
        }
      };

      $scope.saveProtocol = function(protocol){
        $scope.currProtocol = protocol;
      };

      $scope.open = function () {

        var modalInstance = $modal.open({
          templateUrl: 'modalSelectContent',
          controller: 'assignModalCtrl',
          resolve: {
            currProtocol: function() {
              return $scope.currProtocol;
            },
            currPatient: function() {
              return $scope.currPatient;
            }
          }
        });

        modalInstance.result.then(function () {
        });

      };


    });

angular.module('MessagingAppApp')
  .controller('assignModalCtrl', function ($scope, $modalInstance, currProtocol, currPatient, patientService, CommentService, PatientProtocolListService,
              $location, $log, $rootScope, ProtocolListService) {

    $scope.cancel = function () {
      $modalInstance.dismiss('cancel');
    };


    // TODO: this needs to be pulled out into a service
    $scope.assignProtocol = function(){
      // Error message constant
      var DUP_NAME = 'This patient already has this protocol.';

      var protocol = ProtocolListService.update({patientId: currPatient._id, protocolId: currProtocol._id},
        function(resp){
          patientService.clearProtocolStatus();
          CommentService.clearComment();
          patientService.setProtocolStatus('Protocol \"' + currProtocol.name + '\" Assigned Successfully!');

          protocol.assignedDate = new Date();
          protocol.lastEditedDate = new Date();
          protocol.status = 'Active';

          // Finally, must do a POST to complete the save
          PatientProtocolListService.update({id: currPatient._id}, resp,
            function(){
              patientService.clearProtocolStatus();
              CommentService.clearComment();
              patientService.setProtocolStatus('You successfully assigned a new protocol to this patient.');
              $rootScope.$broadcast('protocolSet');
              $location.path('/patient/protocolList');
            },
            function(resp){
                patientService.clearProtocolStatus();
                var errorMsg = resp.status === 409 ? DUP_NAME : '';
                patientService.setProtocolStatus('Sorry, there was an error assigning \"' + protocol.protocol.name + '\".' + errorMsg);
                $log.info('assignModalCtrl editing protocol failed.' + errorMsg);

                // to display the Error message on the parent scope
                $rootScope.$emit('errorDuplicateMessage');

                $location.path('/patient/protocolList');
              });
        },
        function(resp){
          patientService.clearProtocolStatus();
          $log.info('assignModalCtrl editing protocol failed.');

          var errorMsg = resp.status === 409 ? DUP_NAME : '';

          patientService.setProtocolStatus('Sorry, there was an error assigning \"' + currProtocol.name + '\".' + errorMsg);

          $log.info('assignModalCtrl editing protocol failed.' + errorMsg);

          // to display the Error message on the parent scope
          $rootScope.$emit('errorDuplicateMessage');

          $location.path('/patient/protocolList');
        });
    };

    $scope.editProtocol = function(){
      // Go to edit form
      $location.path('/editProtocol/' + currProtocol._id + '/true');
    };
  });
