'use strict';

angular.module('MessagingAppApp').controller('UserCtrl', [
  '$scope',
  '$location',
  'userService',
  '$window',
  '$log',
  '$resource',
  '$rootScope',
  '$route',
  'ResourceDirectoryService',
  'staffProfileService',
  'SessionTimeoutService',
  function ($scope, $location, userService, $window, $log, $resource, $rootScope, $route, ResourceDirectoryService, staffProfileService, SessionTimeoutService) {

    $scope.isAuthenticated = userService.isAuthenticated;
    $scope.logout = function () {
      userService.logout();
    };

    //set watch on ResourceDirectoryService, make the call when updated and then set scope?
    $rootScope.$watch('isResourceDirectoryResolved', function (newValue) {
      if (newValue === true) {

        staffProfileService.query().$promise.then(function (data) {
            $scope.userInfo = data;
            $log.info($scope.userInfo);
          },
          function () {
            $scope.userInfo = null;
          }
        );

        SessionTimeoutService.run();
      }
    });
  }
]);

