'use strict';

angular.module('MessAppFilters', [
  'ngCookies',
  'ngResource'
]).filter('capitalize', function() {
      return function(input) {
        if(input)
      {
          return input[0].toUpperCase() + input.slice(1);
        }

      };
    }).filter('startFrom', function () {
  return function (input, start) {
    if (input) {
      start = +start; //parse to int
      return input.slice(start);
    }
    return [];
  };
}).filter('phone', function () {
  return function (phone) {
    if (!phone) {
      return '';
    }

    var value = phone.toString().trim().replace(/^\+/, '');

    if (value.match(/[^0-9]/)) {
      return phone;
    }

    var country, city, local, number;

    if (value.length === 11) {
      country = value.slice(0, 1);
      city = value.slice(1, 4);
      local = value.slice(4, 7);
      number = value.slice(7);
    }

    return (country + '-' + city + '-' + local + '-' + number).trim();
  };
}).filter('reverse', function(){
  return function(items){
    return items.slice().reverse(); // Create a copy of the array and reverse the order of the items
  };
}).filter('toWords', function(){
  return function(num) {

    var indexVal = num.toString().trim().slice(0,1);
    var str = '';

    if (indexVal === '1') {
      str = 'One';
    }
    else if (indexVal === '2') {
      str = 'Two';
    }
    else if (indexVal === '3') {
      str = 'Three';
    }
    else if (indexVal === '4') {
      str = 'Four';
    }
    else if (indexVal === '5') {
      str = 'Five';
    }
    return str;

  };
}).filter('lineBreak', function() {
  // This filter will replace dot(".") in the string with <br /> tag
  return function(data) {
      if (!data)
      {
        return data;
      }
      return data.replace(/\n\r?/g, '<br />');
    };
});


