/*jslint node: true */
/*global angular */

'use strict';

angular.module('AuthStaff', ['ngCookies', 'ngResource']).config([
    '$httpProvider',
    function ($httpProvider) {
      // Set up our authorization interceptors
      $httpProvider.interceptors.push('AuthorizationInterceptor');
  }]).run([
    '$rootScope',
    '$location',
    '$log',
    '$window',
    '$timeout',
    'userService',
    function ($rootScope, $location, $log, $window, $timeout, userService) {
      // register listener to watch route changes
      $rootScope.$on('$routeChangeStart', function () {
        if (!userService.isAuthenticated()) {
          // TODO: Come up with a better way of getting the token.
          // Unfortunately, $location.search is always returning empty object
          var search = $window.location.search,
            token;
          if (search.length === 43) {
            //we might have valid token
            token = search.substr(7, 42);
            userService.setAuthenticationToken(token);
          } else {
            userService.forceLogin();
          }
        }
      });
    }
  ]
);
