/*jslint node: true */
/*global angular */

'use strict';

angular.module('AuthStaff').factory('ResourceDirectoryResource', [
  '$resource',
  function ($resource) {
    return $resource('service/resource-directory/tokenurls', {}, {
      get: {
        method: 'GET',
        isArray: true,
        headers: {
          'Accept': 'application/json',
          'Content-Type': 'application/json'
        }
      }
    });
  }
]);

angular.module('AuthStaff').factory('ResourceDirectoryService', [
  '$log',
  '$rootScope',
  '$window',
  'ResourceDirectoryResource',
  function ($log, $rootScope, $window, ResourceDirectoryResource) {
    var resourceDirectoryResultsMap = {},
      resourceDirectoryResults,
      getDirectoryResults,
      search = $window.location.search,
      token;

    getDirectoryResults = function () {
      ResourceDirectoryResource.get(function (resourceDirectoryResults) {
        //This transformation is probably better located in the resource
        // $log.info(resourceDirectoryResults);
        resourceDirectoryResults.forEach(function (result) {
          resourceDirectoryResultsMap[result.title] = result.href;
        });

        //  $log.debug('Got the Resource Directory - follows:');
        //  $log.debug(resourceDirectoryResultsMap);
        $rootScope.isResourceDirectoryResolved = true;   //set this so we can utilize watch functions
      },
      function () {
        $log.debug('Unable to retrieve Resource Directory');
      },
      function (value) {
        $log.debug('ResourceDirectoryResults notify: ' + value);
      });
    };

    // We check here for token prior to calling facotry ResourceDirectoryResource
    if (search.length === 43) {
      //we might have valid token
      token = search.substr(7, 42);
      resourceDirectoryResults = getDirectoryResults();
    }

    return {
      getLogoutHref: function () {
        return this.getResourceDirectoryEntry('logout');
      },
      getTokenHref: function () {
        return this.getResourceDirectoryEntry('token');
      },
      getValidateTokenHref: function () {
        return this.getResourceDirectoryEntry('validateToken');
      },
      getMhpSearchHref: function () {
        return this.getResourceDirectoryEntry('mhpSearch');
      },
      getLastAccessedHref: function () {
        return this.getResourceDirectoryEntry('resourceLastAccessed');
      },
      getResourceDirectoryEntry: function (title) {
        var href = resourceDirectoryResultsMap[title];
        return href;
      },
      getResourceDirectoryResults: function () {
        return resourceDirectoryResults;
      }
    };
  }
]);



