'use strict';

angular.module('MessagingAppApp')
    .factory('AddProtocolFactory',function($log) {

      var newProtocol = {
          'name' : '',
          'description' : '',
          'area' : '',
          'isNew' : true,
          'templateType' : '',
          'numVitals' : 0,
          'numMotivations' : 0,
          'numReminders' : 0,
          'selectedMeasurement' : [],
          'templates' : []
        };

      return {
        loadData : function() {
          return newProtocol;
        },
        saveDraft : function(newFormData) {
          newProtocol = newFormData;
          newProtocol.isNew = false;
        },
        submitDraft : function() {
        },
        resetData : function() {
          $log.info('reset data');
          newProtocol = {
            'name' : '',
            'description' : '',
            'area' : '',
            'isNew' : true,
            'templateType' : '',
            'numVitals' : 0,
            'numMotivations' : 0,
            'numReminders' : 0,
            'selectedMeasurement' : [],
            'templates' : []
          };
        }
      };
    });
