'use strict';

angular.module('MessagingAppApp')
    .factory('PatientProtocolListService', function ($http, $resource) {

      return $resource('service/patients/:id/protocols', {}, {
        update: {method: 'PUT'}
      });
    });

angular.module('MessagingAppApp')
    .factory('ProtocolEditService', function ($http, $resource) {

      return $resource('service/patients/:patientId/protocols/:protocolId/:isATemplate', {}, {
      });
    });

angular.module('MessagingAppApp')
    .factory('PatientProtocolDeleteService', function ($http, $resource) {

      return $resource('service/patients/:patientId/protocols/:protocolId', {}, {
        remove: {method: 'DELETE'},
        query: {method: 'GET', isArray: false }
      });
    });

angular.module('MessagingAppApp')
  .factory('FieldLabelsService', function () {

  return {
    getLabels: function() {
      //$http.get('dictionary.json', {cache: true}).success(function(response) {
      //$log.info('The dictionary response in FieldLabelsService: ');
      //$log.info(response);
      //return response.data;
      var dictionary = [
        {
          'fieldName': 'status',
          'fieldText': 'Status'
        },
        {
          'fieldName': 'startDate',
          'fieldText': 'Start Date'
        },
        {
          'fieldName': 'endDate',
          'fieldText': 'End Date'
        },
        {
          'fieldName': 'protocol.name',
          'fieldText': 'Template Name'
        },
        {
          'fieldName': 'protocol.status',
          'fieldText': 'Status'
        },
        {
          'fieldName': 'protocol.area',
          'fieldText': 'Focus Area'
        },
        {
          'fieldName': 'protocol.description',
          'fieldText': 'Description'
        },
        {
          'fieldName': 'protocol.templates.status',
          'fieldText': 'Status'
        },
        {
          'fieldName': 'protocol.templates.description',
          'fieldText': 'Template Description'
        },
        {
          'fieldName': 'protocol.templates.serviceMessage',
          'fieldText': 'Service Message'
        },
        {
          'fieldName': 'protocol.templates.reminderMessage',
          'fieldText': 'Reminder Message'
        },
        {
          'fieldName': 'protocol.templates.confirmationMessage',
          'fieldText': 'Message for Valid Reading'
        },
        {
          'fieldName': 'protocol.templates.service.name',
          'fieldText': 'Measurement'
        },
        {
          'fieldName': 'protocol.templates.service.readings.valid.low',
          'fieldText': 'Lowest Valid Reading'
        },
        {
          'fieldName': 'protocol.templates.service.readings.valid.high',
          'fieldText': 'Highest Valid Reading'
        },
        {
          'fieldName': 'protocol.templates.service.readings.alert.low',
          'fieldText': 'Low Level Alert'
        },
        {
          'fieldName': 'protocol.templates.service.readings.alert.high',
          'fieldText': 'High Level Alert'
        },
        {
          'fieldName': 'protocol.templates.service.readings.critical.low',
          'fieldText': 'Critical Low Level Alert'
        },
        {
          'fieldName': 'protocol.templates.service.readings.critical.high',
          'fieldText': 'Critical High Level Alert'
        },
        {
          'fieldName': 'protocol.templates.service.readings.unit',
          'fieldText': 'Reading Parameter Unit'
        },
        {
          'fieldName': 'protocol.templates.service.firstLevelMessage.below',
          'fieldText': 'Below Desirable Level Level Message'
        },
        {
          'fieldName': 'protocol.templates.service.firstLevelMessage.above',
          'fieldText': 'Above Desirable Level Message'
        },
        {
          'fieldName': 'protocol.templates.service.criticalMessage.below',
          'fieldText': 'Message for Critical Low Level Alert'
        },
        {
          'fieldName': 'protocol.templates.service.criticalMessage.above',
          'fieldText': 'Message for Critical High Level Alert'
        },
        {
          'fieldName': 'protocol.templates.service.keywords',
          'fieldText': 'Keywords'
        },
        {
          'fieldName': 'protocol.templates.schedule.acceptUnscheduledReading',
          'fieldText': 'Accept Unscheduled readings?'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleTime.hour',
          'fieldText': 'Service Message Start Time (hour)'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleTime.min',
          'fieldText': 'Service Message Start Time (minute)'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleTime.unit',
          'fieldText': 'Service Message Start Time (am/pm)'
        },
        {
          'fieldName': 'protocol.templates.schedule.relativeStartTime.value',
          'fieldText': 'Relative Start Time'
        },
        {
          'fieldName': 'protocol.templates.schedule.relativeStartTime.unit',
          'fieldText': 'Relative Start Time (unit)'
        },
        {
          'fieldName': 'protocol.templates.schedule.relativeEndTime.value',
          'fieldText': 'Relative End Time'
        },
        {
          'fieldName': 'protocol.templates.schedule.relativeEndTime.unit',
          'fieldText': 'Relative End Time (unit)'
        },
        {
          'fieldName': 'protocol.templates.schedule.reminderNumber',
          'fieldText': 'Number of times reminder message is sent'
        },
        {
          'fieldName': 'protocol.templates.schedule.reminderInterval.value',
          'fieldText': 'Amount of time between reminders'
        },
        {
          'fieldName': 'protocol.templates.schedule.reminderInterval.unit',
          'fieldText': 'Amount of time between reminders (unit)'
        },
        {
          'fieldName': 'protocol.templates.schedule.breach.repeatBreachValues',
          'fieldText': 'How many breaches cause a repeating alert?'
        },
        {
          'fieldName': 'protocol.templates.schedule.breach.breachesPerRepeatingAlert',
          'fieldText': 'How many breaches cause a repeating alert?'
        },
        {
          'fieldName': 'protocol.templates.schedule.breach.breachesDays',
          'fieldText': 'Over how many days?'
        },
        {
          'fieldName': 'protocol.templates.schedule.breach.criticalPercentValues',
          'fieldText': 'Critical Percentage Values'
        },
        {
          'fieldName': 'protocol.templates.schedule.breach.percentTriggersCriticalBreach',
          'fieldText': 'How many breaches cause a repeating alert?'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.name',
          'fieldText': 'Schedule Type'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.monday',
          'fieldText': 'Days that Apply (Monday)'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.tuesday',
          'fieldText': 'Days that Apply (Tuesday)'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.wednesday',
          'fieldText': 'Days that Apply (Wednesday)'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.thursday',
          'fieldText': 'Days that Apply (Thursday)'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.friday',
          'fieldText': 'Days that Apply (Friday)'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.saturday',
          'fieldText': 'Days that Apply (Saturday)'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.sunday',
          'fieldText': 'Days that Apply (Sunday)'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.interval.value',
          'fieldText': 'Time Between Each Cycle'
        },
        {
          'fieldName': 'protocol.templates.schedule.scheduleType.interval.unit',
          'fieldText': 'Time Between Each Cycle (unit)'
        }

      ];
      return dictionary;
//    });
    }
  };
});




