'use strict';

angular.module('MessagingAppApp').factory('patientService', [
  '$log',
  '$rootScope',
  '$window',
  function ($log, $rootScope, $window) {

      var protocolStatus = '';
      var statusIsError = false;
      var registrationPatient = {};

      return {
        setCurrPatient: function (p) {
          $window.sessionStorage.currPatient = JSON.stringify(p);
          $rootScope.$broadcast('patientSelected');
        },
        getCurrPatient: function () {
          return $window.sessionStorage.currPatient ? JSON.parse($window.sessionStorage.currPatient) : null;
        },
        setPatientToRegister: function(p){
          registrationPatient = p;
        },
        getPatientToRegister: function(){
          return registrationPatient;
        },
        clearCurrPatient: function () {
          $window.sessionStorage.removeItem('currPatient');
          $rootScope.$broadcast('patientInfoCleared');
        },
        setProtocolStatus: function (s) {
          protocolStatus = s;
        },
        getProtocolStatus: function () {
          return protocolStatus;
        },
        clearProtocolStatus: function () {
          protocolStatus = '';
        },
        setStatusError: function(status){
          statusIsError = status;
        },
        getIsErrorStatus: function() {
          return statusIsError;
        },
        getGenderShort: function (gender) {
          if (gender === 'male') {
            return 'M';
          }
          else if (gender === 'female') {
            return 'F';
          }
        }
      };
    }
]);
