'use strict';


angular.module('MessagingAppApp')
  .factory('staffProfileService', function ($log, $q, staffProfileResource) {

    var staffProfileResults = null;
    var resourceQuery = null;

    return {
      query: function () {

        var deferred = $q.defer();


        //Typically just resolve with the results we already have in hand (assuming it has previously resolved)
        //If it hasn't resolved, we don't want to re-issue the query needlessly, hence the check on the existing promise
        if (staffProfileResults || (resourceQuery !== null && !(resourceQuery.$resolved))){
          deferred.resolve(staffProfileResults);
        }
        else{
          resourceQuery = staffProfileResource.query(function(data){
            staffProfileResults = data;
            deferred.resolve(data);
          });
        }
        return resourceQuery;
      }
    };
  });

angular.module('MessagingAppApp')
  .factory('staffProfileResource', function ($http, $resource) {
    return $resource('service/staff/userProfile', {}, {
      query: {method: 'GET',
        isArray: false,
        cache: true
      }
    });
  });
