// Karma configuration
// http://karma-runner.github.io/0.10/config/configuration-file.html

module.exports = function(config) {
  config.set({
    // base path, that will be used to resolve files and exclude
    basePath: '',

    // testing framework to use (jasmine/mocha/qunit/...)
    frameworks: ['jasmine'],

    // list of files / patterns to load in the browser
    files: [
      'app/bower_components/angular/angular.js',
      'app/bower_components/angular-mocks/angular-mocks.js',
      'app/bower_components/angular-resource/angular-resource.js',
      'app/bower_components/angular-route/angular-route.js',
      'app/bower_components/angular-cookies/angular-cookies.js',
      'app/bower_components/angular-bootstrap/ui-bootstrap-tpls.js',
      'app/bower_components/highcharts-ng/dist/highcharts-ng.min.js',
      'app/bower_components/angular-sham-spinner-annie/angular-sham-spinner.js',
      'app/bower_components/angular-mask-custom/mask.js',
      'app/bower_components/angular-sanitize/angular-sanitize.js',
      'app/scripts/*.js',
      'app/scripts/**/*.js',
      'app/components/**/*-spec.js',
      'app/components/core/validation/validation.js',
      'app/components/core/validation/validation-service.js',
      'app/components/breadcrumbs/breadcrumbs.js',
      'app/components/broadcast/broadcast.js',
      'app/components/broadcast/facility/facility.js',
      'app/components/broadcast/facility/facility-controller.js',
      'app/components/broadcast/facility/facility-service.js',
      'app/components/broadcast/facility/facility-crud/facility-crud.js',
      'app/components/broadcast/facility/facility-crud/facility-crud-add-controller.js',
      'app/components/broadcast/facility/facility-crud/facility-crud-modal-controller.js',
      'app/components/broadcast/facility/facility-crud/facility-crud-modal-enabledisable-controller.js',
      'app/components/broadcast/facility/facility-crud/facility-crud-validation-directive.js',

      'test/spec/**/*.js'
    ],

    // list of files / patterns to exclude
    exclude: [],

    // web server port
    port: 8008,

    // level of logging
    // possible values: LOG_DISABLE || LOG_ERROR || LOG_WARN || LOG_INFO || LOG_DEBUG
    logLevel: config.LOG_INFO,
    loggers : [{type: 'console'}],
    plugins : [
      'karma-spec-reporter',
      'karma-phantomjs-launcher',
      'karma-jasmine'
    ],
    reporters: ['spec'],


    // enable / disable watching file and executing tests whenever any file changes
    autoWatch: false,


    // Start these browsers, currently available:
    // - Chrome
    // - ChromeCanary
    // - Firefox
    // - Opera
    // - Safari (only Mac)
    // - PhantomJS
    // - IE (only Windows)
    browsers: ['PhantomJS'],


    // Continuous Integration mode
    // if true, it capture browsers, run tests and exit
    singleRun: true
  });
};
