
'use strict'; 
describe('connectionErrorService tests for offline availability', function () {
	var connectionErrorService,
		rootScope,
		scope;

	beforeEach(function () {
		// load the app.
		module('MessagingAppApp');
		
		// inject your service for testing.
		// The _underscores_ are a convenience thing
		// so you can have your variable name be the
		// same as your injected service.
		inject(function (_connectionErrorService_, _$rootScope_, $httpBackend) {
			connectionErrorService = _connectionErrorService_;
			rootScope = _$rootScope_;
            $httpBackend.when('GET', 'service/resource-directory/tokenurls').respond(404, '');
		});
	    spyOn(rootScope, '$broadcast');
	});
		 
	it('should have an open the connection Error Message when offline', function () { 
        rootScope.$broadcast('offline');
        expect(rootScope.$broadcast).toHaveBeenCalledWith('offline');
        expect(connectionErrorService.showConnectionErrorMsg).toHaveBeenCalled;
        expect(connectionErrorService.showServerErrorMsg).not.toHaveBeenCalled;
	});
    it('should have an open the connection server Message when remote server offline',  inject(function ($http, $httpBackend) {
        // Call http service, ahve the .when up in the BeforeEach that will return a 404.
        // By returning this 404, we expect the interceptor to grab it, and send us to the modal with the showServerErrorMsg.
        $http({
            method: 'GET',
            url: 'service/resource-directory/tokenurls',
            data: '',
        }).success(
            function () {
                return true;
            }
        ).error(
            function () {
                return false;
            }
        );
        expect(connectionErrorService.showConnectionErrorMsg).not.toHaveBeenCalled;
        expect(connectionErrorService.showServerErrorMsg).toHaveBeenCalled;
    }));
});

