/*jslint node: true, plusplus: true, unparam: true, nomen: true */
/*global $controller, describe, beforeEach, inject, it, expect */
/*jshint unused:false */

'use strict';

describe('Controller: MessageHistoryCtrl', function () {

    // load the controller's module
    beforeEach(module('MessagingAppApp'));
    var scope = null,
        ctrl = null,
        httpBackend = null,
        origMsgListLength,
        mockService,
        $controller,
        baseUrl,
        regex,
        i,
        patientMessageHistoryList =  [
            {
                'networkSubmitTime': '2014-06-24 13:19:52',
                '_id': '53a97af80cf28b9fa4fcc8b4',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:19:52',
                'text': 'bp 120/71',
                'alertLevel': 'undecided',
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:19:52'
            },
            {
                'networkSubmitTime': '2014-06-24 13:19:52',
                '_id': '53a97af80cf28b9fa4fcc8b6',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:19:52',
                'text': 'Your reading is fine',
                'alertLevel': null,
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:19:52'
            },
            {
                'networkSubmitTime': '2014-06-24 13:20:12',
                '_id': '53a97b0c0cf28b9fa4fcc8b7',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:20:12',
                'text': 'sdfsdf',
                'alertLevel': 'undecided',
                'serviceName': null,
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:20:12'
            },
            {
                'networkSubmitTime': '2014-06-24 13:20:12',
                '_id': '53a97b0c0cf28b9fa4fcc8b8',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:20:12',
                'text': 'Sorry, I did not understand your text. Please try sending again with the required information and correct format.',
                'alertLevel': null,
                'serviceName': null,
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:20:12'
            },
            {
                'networkSubmitTime': '2014-06-24 13:29:18',
                '_id': '53a97d2e0cf28b9fa4fcc8bc',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:29:18',
                'text': 'Hello, just a quick reminder that your readings are due. Thanks.',
                'alertLevel': null,
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:29:18'
            },
            {
                'networkSubmitTime': '2014-06-24 13:29:18',
                '_id': '53a97d2e0cf28b9fa4fcc8bd',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:29:18',
                'text': 'service temp',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:29:18'
            },
            {
                'networkSubmitTime': '2014-06-24 13:29:18',
                '_id': '53a97d2e0cf28b9fa4fcc8be',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:29:18',
                'text': 'This is the last day for you to send in responses for the Temperature. The protocol will no longer be active AFTER Jun 24, 2014.',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:29:18'
            },
            {
                'networkSubmitTime': '2014-06-24 13:30:00',
                '_id': '53a97d580cf28b9fa4fcc8bf',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:30:00',
                'text': 'service temp',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:30:00'
            },
            {
                'networkSubmitTime': '2014-06-24 13:30:00',
                '_id': '53a97d580cf28b9fa4fcc8c0',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:30:00',
                'text': 'Hello, just a quick reminder that your readings are due. Thanks.',
                'alertLevel': null,
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:30:00'
            },
            {
                'networkSubmitTime': '2014-06-24 13:33:47',
                '_id': '53a97e3b0cf28b9fa4fcc8c1',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:33:47',
                'text': 'temp 89',
                'alertLevel': 'undecided',
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:33:47'
            },
            {
                'networkSubmitTime': '2014-06-24 13:33:47',
                '_id': '53a97e3b0cf28b9fa4fcc8c2',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:33:47',
                'text': 'Thank you. Your readings are not in valid range, please try one more time.',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:33:47'
            },
            {
                'networkSubmitTime': '2014-06-24 13:33:53',
                '_id': '53a97e410cf28b9fa4fcc8c3',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:33:53',
                'text': 'temp 99',
                'alertLevel': 'undecided',
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:33:53'
            },
            {
                'networkSubmitTime': '2014-06-24 13:33:53',
                '_id': '53a97e410cf28b9fa4fcc8c5',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:33:53',
                'text': 'valid temp',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:33:53'
            },
            {
                'networkSubmitTime': '2014-06-24 13:33:57',
                '_id': '53a97e450cf28b9fa4fcc8c6',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:33:57',
                'text': 'temp 98',
                'alertLevel': 'undecided',
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:33:57'
            },
            {
                'networkSubmitTime': '2014-06-24 13:33:57',
                '_id': '53a97e450cf28b9fa4fcc8c8',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:33:57',
                'text': 'valid temp',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:33:57'
            },
            {
                'networkSubmitTime': '2014-06-24 13:34:03',
                '_id': '53a97e4b0cf28b9fa4fcc8c9',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:34:03',
                'text': 'bp 121/78',
                'alertLevel': 'undecided',
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:34:03'
            },
            {
                'networkSubmitTime': '2014-06-24 13:34:03',
                '_id': '53a97e4b0cf28b9fa4fcc8cb',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:34:03',
                'text': 'Your reading is fine',
                'alertLevel': null,
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:34:03'
            },
            {
                'networkSubmitTime': '2014-06-24 13:34:10',
                '_id': '53a97e520cf28b9fa4fcc8cc',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:34:10',
                'text': 'temp 100',
                'alertLevel': 'undecided',
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:34:10'
            },
            {
                'networkSubmitTime': '2014-06-24 13:34:10',
                '_id': '53a97e520cf28b9fa4fcc8ce',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:34:10',
                'text': 'valid temp',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:34:10'
            },
            {
                'networkSubmitTime': '2014-06-24 13:35:00',
                '_id': '53a97e840cf28b9fa4fcc8cf',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:35:00',
                'text': 'service temp',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:35:00'
            },
            {
                'networkSubmitTime': '2014-06-24 13:35:00',
                '_id': '53a97e840cf28b9fa4fcc8d0',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:35:00',
                'text': 'Hello, just a quick reminder that your readings are due. Thanks.',
                'alertLevel': null,
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:35:00'
            },
            {
                'networkSubmitTime': '2014-06-24 13:40:00',
                '_id': '53a97fb00cf28b9fa4fcc8d1',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:40:00',
                'text': 'service temp',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:40:00'
            },
            {
                'networkSubmitTime': '2014-06-24 13:40:00',
                '_id': '53a97fb00cf28b9fa4fcc8d2',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:40:00',
                'text': 'Hello, just a quick reminder that your readings are due. Thanks.',
                'alertLevel': null,
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:40:00'
            },
            {
                'networkSubmitTime': '2014-06-24 13:45:00',
                '_id': '53a980dc0cf28b9fa4fcc8d3',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:45:00',
                'text': 'service temp',
                'alertLevel': null,
                'serviceName': 'temp',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:45:00'
            },
            {
                'networkSubmitTime': '2014-06-24 13:45:00',
                '_id': '53a980dc0cf28b9fa4fcc8d4',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:45:00',
                'text': 'Hello, just a quick reminder that your readings are due. Thanks.',
                'alertLevel': null,
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:45:00'
            },
            {
                'networkSubmitTime': '2014-06-24 13:46:18',
                '_id': '53a9812a0cf28b9fa4fcc8d9',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:46:18',
                'text': 'service spo',
                'alertLevel': null,
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:46:18'
            },
            {
                'networkSubmitTime': '2014-06-24 13:46:18',
                '_id': '53a9812a0cf28b9fa4fcc8da',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:46:18',
                'text': 'This is the last day for you to send in responses for the Pulse Oximetry (SpO2). The protocol will no longer be active AFTER Jun 24, 2014.',
                'alertLevel': null,
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:46:18'
            },
            {
                'networkSubmitTime': '2014-06-24 13:46:18',
                '_id': '53a9812a0cf28b9fa4fcc8db',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:46:18',
                'text': 'hi don\'t\' worry be happy',
                'alertLevel': null,
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:46:18'
            },
            {
                'networkSubmitTime': '2014-06-24 13:46:35',
                '_id': '53a9813b0cf28b9fa4fcc8dc',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:46:35',
                'text': 'spo 99',
                'alertLevel': 'undecided',
                'serviceName': null,
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:46:35'
            },
            {
                'networkSubmitTime': '2014-06-24 13:46:35',
                '_id': '53a9813b0cf28b9fa4fcc8dd',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:46:35',
                'text': 'Sorry, I did not understand your text. Please try sending again with the required information and correct format.',
                'alertLevel': null,
                'serviceName': null,
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:46:35'
            },
            {
                'networkSubmitTime': '2014-06-24 13:46:58',
                '_id': '53a981520cf28b9fa4fcc8de',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:46:58',
                'text': 'ox 77',
                'alertLevel': 'undecided',
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:46:58'
            },
            {
                'networkSubmitTime': '2014-06-24 13:46:59',
                '_id': '53a981530cf28b9fa4fcc8e0',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:46:59',
                'text': 'valid spo2',
                'alertLevel': null,
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:46:59'
            },
            {
                'networkSubmitTime': '2014-06-24 13:48:40',
                '_id': '53a981b80cf28b9fa4fcc8e1',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:48:40',
                'text': 'ox 99',
                'alertLevel': 'undecided',
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:48:40'
            },
            {
                'networkSubmitTime': '2014-06-24 13:48:40',
                '_id': '53a981b80cf28b9fa4fcc8e3',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:48:40',
                'text': 'valid spo2',
                'alertLevel': null,
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:48:40'
            },
            {
                'networkSubmitTime': '2014-06-24 13:49:25',
                '_id': '53a981e50cf28b9fa4fcc8e4',
                'type': 'In',
                'date': '2014-06-24',
                'time': '09:49:25',
                'text': 'ox 88',
                'alertLevel': 'undecided',
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:49:25'
            },
            {
                'networkSubmitTime': '2014-06-24 13:49:25',
                '_id': '53a981e50cf28b9fa4fcc8e6',
                'type': 'Out',
                'date': '2014-06-24',
                'time': '09:49:25',
                'text': 'valid spo2',
                'alertLevel': null,
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:49:25'
            },
            {
                'networkSubmitTime': '2014-06-24 13:49:28',
                '_id': '53a981e80cf28b9fa4fcc8e7',
                'type': 'In',
                'date': '2014-06-25',
                'time': '09:49:28',
                'text': 'ox 87',
                'alertLevel': 'undecided',
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:49:28'
            },
            {
                'networkSubmitTime': '2014-06-24 13:49:28',
                '_id': '53a981e80cf28b9fa4fcc8e9',
                'type': 'Out',
                'date': '2014-06-25',
                'time': '09:49:28',
                'text': 'valid spo2',
                'alertLevel': null,
                'serviceName': 'spo',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:49:28'
            },
            {
                'networkSubmitTime': '2014-06-24 13:49:35',
                '_id': '53a981ef0cf28b9fa4fcc8ea',
                'type': 'In',
                'date': '2014-06-26',
                'time': '09:49:35',
                'text': 'bp 119/81',
                'alertLevel': 'undecided',
                'serviceName': 'Blood Pressure Protocol1',
                'timeZone': 'America/New_York',
                'adjustedSubmitTime': '2014-06-24 09:49:35'
            }
        ];

    origMsgListLength = patientMessageHistoryList.length;

    mockService = {
        query: function () {
            return 'ok';
        }
    };

    describe('MessageHistoryCtrl', function () {
        beforeEach(inject(function ($injector, _$httpBackend_, $rootScope, $controller) {
            scope = $injector.get('$rootScope');
            $controller = $injector.get('$controller');
            httpBackend = _$httpBackend_;

            ctrl = $controller('MessageHistoryCtrl', {
                '$scope': scope,
                MessageHistory: mockService
            });

            scope = $injector.get('$rootScope');

            // For the new templateCaching
            httpBackend.when('GET', 'views/patientScheduleSettings.tpl.html').respond(204);
            httpBackend.when('GET', 'views/patientCalendar.tpl.html').respond(204);
            httpBackend.when('GET', 'views/patientMeasurement.tpl.html').respond(204);
            httpBackend.when('GET', 'views/patientMessages.tpl.html').respond(204);
            httpBackend.when('GET', 'views/patientSearch.tpl.html').respond(204);
            httpBackend.when('GET', 'scripts/modules/connection/connection_error.tmpl.html').respond(204);
            httpBackend.when('GET', 'scripts/modules/connection/connection_server.tmpl.html').respond(204);

            //set response for resource-directory, use regexp to work around the noCache param
            baseUrl = 'service/resource-directory/tokenurls';
            regex = new RegExp(baseUrl + '*', '');
            httpBackend.when('GET', regex).respond(204);

            scope.patientMessageHistoryList = patientMessageHistoryList;
            scope.resetTable();
            scope.$apply();
        }));

        it('should populate the controllers Message History', function () {
            expect(scope.patientMessageHistoryList).toEqual(patientMessageHistoryList);
            expect(scope.patientMessageHistoryList.length).toEqual(origMsgListLength);
        });

        it('should test the page number for pagination function', function () {
            scope.setPage(2);
            scope.$apply();
            expect(scope.currentPage).toEqual(2);
        });

        it('should test the filtering functionality for selecting SENT messages only', function () {
            scope.protocolFilter = 'All';
            scope.dateChanged = false;
            scope.statusFilter = 'Sent';
            scope.filterMsgList();
            scope.$apply();

            expect(scope.filteredTable.length).toEqual(26);

            for (i = 0; i < scope.filteredTable.length; i++) {
                expect(scope.filteredTable[i].type).toEqual('Out');
            }
        });

        it('should test the filtering functionality for selecting RECEIVED messages only', function () {

            scope.protocolFilter = 'All';
            scope.dateChanged = false;
            scope.statusFilter = 'Received';
            scope.filterMsgList();
            scope.$apply();

            expect(scope.filteredTable.length).toEqual(13);

            for (i = 0; i < scope.filteredTable.length; i++){
                expect(scope.filteredTable[i].type).toEqual('In');
            }
        });

        it('should test the filtering functionality for selecting TEMPERATURE PROTOCOL messages only', function () {

            scope.protocolFilter = 'temp';
            scope.dateChanged = false;
            scope.statusFilter = 'All';
            scope.filterMsgList();
            scope.$apply();

            expect(scope.filteredTable.length).toEqual(14);

            for (i = 0; i < scope.filteredTable.length; i++ ){
                expect(scope.filteredTable[i].serviceName).toEqual('temp');
            }
        });

        it('should test the filtering functionality for selecting a combination of SPO Protocol and RECEIVED messages only', function () {

            scope.protocolFilter = 'spo';
            scope.dateChanged = false;
            scope.statusFilter = 'Received';
            scope.filterMsgList();
            scope.$apply();

            expect(scope.filteredTable.length).toEqual(4);

            for(i = 0; i < scope.filteredTable.length; i++){
                expect(scope.filteredTable[i].type).toEqual('In');
                expect(scope.filteredTable[i].serviceName).toEqual('spo');
            }
        });

        // need to test dates
        it('should test the filtering functionality by RESETTING the table', function () {

            scope.resetTable();
            scope.$apply();

            expect(scope.filteredTable.length).toEqual(origMsgListLength);

            var today = new Date();

            // compare dates but ignore time elements
            today.setHours(0,0,0,0);
            scope.dtTo.setHours(0,0,0,0);

            expect(scope.dtTo).toEqual(today);

            // get the first date from the message list
            var fromDate = new Date(patientMessageHistoryList[0].date);
            // convert it to UTC since we parsed the date from a literal string
            var dtFrom = new Date(fromDate.getUTCFullYear(), fromDate.getUTCMonth(), fromDate.getUTCDate());

            // compare dates but ignore time elements
            fromDate.setHours(0,0,0,0);
            scope.dtFrom.setHours(0,0,0,0);

            expect(scope.dtFrom).toEqual(dtFrom);
        });

        it('should test the filtering functionality for selecting a combination of SPO Protocol and on June 24 2014 messages only', function () {
            // resetting i
            i = 0;
            scope.protocolFilter = 'spo';
            scope.dateChanged = true;
            scope.statusFilter = 'All';
            scope.dtFrom = Date.parse('06/24/2014');
            scope.dtTo = Date.parse('06/24/2014');

            scope.filterMsgList();
            scope.$apply();

            expect(scope.filteredTable.length).toEqual(9);

            for(i = 0; i < scope.filteredTable.length; i++ ){
                expect(scope.filteredTable[i].date).toEqual('2014-06-24');
                expect(scope.filteredTable[i].serviceName).toEqual('spo');
            }
        });
    });
});
