'use strict';

describe('Controller: VistaPatientResultsCtrl', function () {
	var vistaErrorMsg, 
		scope,
		rootScope,
		httpBackend,
		routeParams,
		mockService,
		createController = null,
		$controller,
		controller,
		baseUrl,
		regex;
	
	vistaErrorMsg = [{
		"message": "Please refine your search criteria to decrease the size of the result set"
	}];

	// load the controller's module
	beforeEach(module('MessagingAppApp'));

	mockService = {
		getMhpSearchHref: function () {
			return 'https://hastafftest.agilexhealth.com/PatientViewerServices/rest/patients?searchstring=five';
		}
	};
	describe('in before each', function () {

		beforeEach(inject(function ($injector) {
			httpBackend = $injector.get('$httpBackend');
			rootScope = $injector.get('$rootScope');
			scope = rootScope.$new();

			$controller = $injector.get('$controller');
			routeParams = {
				query: 'five'
			};
			// routeParams.query = 'five'  
			
			createController = function () {
				return $controller('VistaPatientResultsCtrl', {
					'$scope': scope, 
					ResourceDirectoryService: mockService,
					'$routeParams' : routeParams
				});
			};

			 // For the new templateCaching
			httpBackend.when('GET', 'views/patientScheduleSettings.tpl.html').respond(204);
			httpBackend.when('GET', 'views/patientCalendar.tpl.html').respond(204);
			httpBackend.when('GET', 'views/patientMeasurement.tpl.html').respond(204);
			httpBackend.when('GET', 'views/patientMessages.tpl.html').respond(204);
			httpBackend.when('GET', 'views/patientSearch.tpl.html').respond(204);

			httpBackend.when('GET', 'scripts/modules/connection/connection_error.tmpl.html').respond(204);
			httpBackend.when('GET', 'scripts/modules/connection/connection_server.tmpl.html').respond(204);

			baseUrl = "service/resource-directory/tokenurls";
			regex = new RegExp(baseUrl + "*", '');
			httpBackend.when('GET', regex).respond(204);
		}));
		afterEach(function() {
			httpBackend.flush();
			httpBackend.verifyNoOutstandingExpectation();
			httpBackend.verifyNoOutstandingRequest();
		});
		it('Test that searching for patient five handles 400', function () {
			controller = createController();
			expect(scope.noPatientsFoundHA).toEqual(false);
			// This part was sucky to figure out.
			// We're calling this response object in the controller; and testing variables based on the 400 response.
			// Here we need to return the 400 and have a variable for message as it looks for that.
			httpBackend.expectGET(/.searchstring=five./).respond(function (method, url, data, headers) {
			    return [400, 'response body', {'message': 'test'}, 'TestPhrase'];
			}); 
			
			// How is this a test?
			scope.noPatientsFoundHA = true
			scope.$apply();
			expect(scope.noPatientsFoundHA).toEqual(true);

			// This isn't a test at all.
			scope.vistaErrorMsg = vistaErrorMsg;
			expect(scope.vistaErrorMsg).toEqual(vistaErrorMsg);
		});
	});
});

