'use strict';

angular.module('PatientApp', [
  'ngCookies',
  'ngResource',
  'ngRoute',
  'ui.bootstrap',
  'ui.mask.for.number',
  'PatientAppFilters',
  'AuthVet',
  'highcharts-ng',
  'angularShamSpinnerAnnie',
  'ngSanitize'
])
.config(function ($routeProvider, $provide) {
  $provide.decorator('uiMaskConfigForNumber', ['$delegate', function ($delegate) {
        $delegate.clearOnBlur = false;
        return $delegate;
      }]);

  $routeProvider
  .when('/account', {
    templateUrl: 'views/profile.tpl.html',
    controller: 'ProfileController'
  })
  .when('/eula', {
    templateUrl: 'views/eula_template.html',
    controller: 'EulaController'
  })
  .when('/eula-not-accepted', {
    templateUrl: 'views/eula_not_accepted.tpl.html'
  })
  .when('/success', {
    templateUrl: 'views/success.tpl.html'
  })
  .when('/messages', {
    templateUrl: 'views/messages.tpl.html',
    controller: 'MessagesController'
  })
  .when('/schedule', {
    templateUrl: 'views/schedule.tpl.html',
    controller: 'ScheduleController'
  })
  .when('/reports', {
    templateUrl: 'views/reportsList.tpl.html',
    controller: 'ReportsController',
    resolve: {
      resolvedReadings: function () {
        return;
      }
    }
  })
  .when('/reports/:serviceName', {
    templateUrl: 'views/reports.tpl.html',
    controller: 'ReportsController',
    resolve: {
      resolvedReadings: ['PatientsReportsService', function (PatientsReportsService) {
        return PatientsReportsService.getReadings();
      }]
    }
  })
  .otherwise({
    redirectTo: '/messages'
  });
}).run(function ($rootScope, connectionErrorService) {
  connectionErrorService.run();
});
