'use strict';

angular.module('PatientApp')
    .controller('MessagesController', function ($scope, $log, messageService, messageSendService, $rootScope) {

      $log.info('MessagesController Fired');

      $rootScope.$on('roaComplete', function() {
        $rootScope.roaComplete = true;
        getMessages();
      });

      var getMessages = function() {
        var messageHistoryService = messageService.query(
          function () {
            $scope.messageServiceList = messageHistoryService;
          },
          function () {
            $scope.messageServiceList = null;
          });
      };

      // if the user comes back to this page, we can check the scope variable to see if we are ready to get the messages
      if( $rootScope.roaComplete !== undefined && $rootScope.roaComplete === true) {
        getMessages();
      }

      $scope.sendMessage = function () {

        $scope.sendMessages = {};
        $scope.sendMessages.message = $scope.message;

        var sendMessageBody = JSON.stringify($scope.sendMessages);

        messageSendService.sendMessage(sendMessageBody,
          function () {
            var messageHistoryService = messageService.query(
              function () {
                $scope.messageServiceList = messageHistoryService;
                $scope.message = null;

              },
              function () {
                $scope.messageServiceList = null;
              });
          },
          function () {
            $log.info('Message Not Stored');
          });
      };


      $scope.renderNgRepeat = function () {
        var element = document.getElementById('message-scroll');
        element.scrollTop = element.scrollHeight;
      };

      $scope.setDate = function (dateinput) {
        var today = new Date();
        var month = today.getMonth() + 1;
        var date = today.getDate();
        if (month < 10) {
          month = '0' + month;
        }
        if (date < 10) {
          date = '0' + date;
        }
        var originalDate = today.getFullYear() + '-' + month + '-' + date;

        if (dateinput === originalDate) {
          $scope.dateinput = 'Today';
        }
        else {
          $scope.dateinput = dateinput;
        }
        return $scope.dateinput;
      };

    //  This directive wait until ng repeat finished rendering on DOM
    }).directive('onFinishRender', function() {
    return {
      restrict: 'A',
      link: function (scope, element) {
          if (scope.$last === true) {
            element.ready(function () {
              scope.renderNgRepeat();
            });
          }
        }
    };
  });