'use strict';

angular.module('PatientApp')
  .controller('userCtrl', ['$scope', '$rootScope', '$log', 'ResourceDirectoryService', 'userProfileService', 'userService',
                           'SessionTimeoutService', 'roaService',
                          function ($scope, $rootScope, $log, ResourceDirectoryService, userProfileService, userService,
                                    SessionTimeoutService, roaService) {

    $scope.logout = userService.logout;
    $rootScope.roaComplete = false;

    $rootScope.$watch('isResourceDirectoryResolved', function (newValue) {
      if (newValue === true) {

        var userProfile = userProfileService.query(function () {
            $rootScope.userInfo = userProfile;
          },
          function () {
            $rootScope.userInfo = null;
          }
        );

        // test if the user has accepted ROA
        var promise = roaService.checkRoaStatus();

        promise.then(function() {
          $rootScope.$broadcast('roaComplete');
          SessionTimeoutService.run();
        },
        function(reason) {
          $log.info('Failed getting ROA status: ');
          $log.info(reason);
        },
        function(update) {
          $log.info('Got ROA status notification: ' + update);
        });
      }
    });

  }]);
