'use strict';

angular.module('AuthVet', [
  'ngCookies',
  'ngResource'
])
  .config(function ($httpProvider) {
    // Set up our authorization interceptors
    $httpProvider.interceptors.push('AuthorizationInterceptor');
  });

angular.module('AuthVet').run(function ($rootScope, $window, $log, $location, userService, eulaService, userProfileService) {
  // register listener to watch route changes
  $rootScope.$on('$routeChangeStart', function () {
    $log.debug('********* in routeChangeStart');
    var path = $location.path();
    if (path.indexOf('/eula') !== -1) {
      return;
    }

    var userProfile;

    if (!userService.isAuthenticated()) {
      // TODO: Come up with a better way of getting the token.
      // Unfortunately, $location.search is always returning empty object
      if (eulaService.isAccepted()) {
        var search = $window.location.search;
        $log.debug('what is the token');
        $log.debug(search);
        if (search.length === 43) {
          //we might have valid token
          var token = '\"' + search.substr(7, 42) + '\"';
          $log.debug('extracted token= ' + token);
          userService.setAuthenticationToken(token);
        } else {
          userService.forceLogin();
        }

        // always redirect non-registered user to account page
        userProfile = userProfileService.query();
        userProfile.$promise.then(function (result) {
          if(!result.patientExistInCms){
            $location.path('/account');
          }
        });

      } else if (path.indexOf('/eula') === -1) {
        // Eula not accepted, redirect
        $location.path('/eula');
      }
    } else {
      if (eulaService.isAccepted()) {
        // always redirect non-registered user to account page
        userProfile = userProfileService.query();
        userProfile.$promise.then(function (result) {
          if(!result.patientExistInCms){
            $location.path('/account');
          }
        });
      } else if (path.indexOf('/eula') === -1) {
        // Eula not accepted, redirect
        $location.path('/eula');
      }
    }
  });
});
