'use strict';

angular.module('AuthVet')
  .factory('ResourceDirectoryResource', function ($log, $resource) {
    return $resource('service/vet-resource-directory/vet-auth', {}, {
      get: {
        method: 'GET',
        isArray: true,
        cache: true,
        headers: {'Accept': 'application/json', 'Content-Type': 'application/json'}
      }
    });
  });

angular.module('AuthVet')
  .factory('ResourceDirectoryService', function ($log, $rootScope, ResourceDirectoryResource) {

    var resourceDirectoryResultsMap = {};
    var resourceDirectoryResults = ResourceDirectoryResource.get(function () {
        //This transformation is probably better located in the resource
        resourceDirectoryResults.forEach(function (result) {
          resourceDirectoryResultsMap[result.title] = result.href;
        });

        $log.debug(resourceDirectoryResultsMap);
        $rootScope.isResourceDirectoryResolved = true;   //set this so we can utilize watch functions
      },
      function () {
        $log.debug('Unable to retrieve Resource Directory');
      },
      function (value) {
        $log.debug('ResourceDirectoryResults notify: ' + value);
      });

    return {
      getLogoutHref: function () {
        return this.getResourceDirectoryEntry('logout');
      },
      getTokenHref: function () {
        return this.getResourceDirectoryEntry('token');
      },
      getValidateTokenHref: function () {
        return this.getResourceDirectoryEntry('validateToken');
      },
      getLastAccessedHref: function () {
        return this.getResourceDirectoryEntry('resourceLastAccessed');
      },
      getVetUserLinksHref: function () {
        return this.getResourceDirectoryEntry('vetUserLinks');
      },
      getVetRoaPage: function () {
        return this.getResourceDirectoryEntry('vetRoaPage');
      },
      getResourceDirectoryEntry: function (title) {
        return resourceDirectoryResultsMap[title];
      },
      getResourceDirectoryResults: function () {
        return resourceDirectoryResults;
      }
    };
  });



