'use strict';

angular.module('AuthVet')
  .factory('userService', function ($window, $location, $resource, ResourceDirectoryService) {

    var clearStorage = function () {
      // clear session storage
      $window.sessionStorage.clear();
    };

    return {
      isAuthenticated: function () {
        return $window.sessionStorage.getItem('token') !== null;
      },
      getAuthorizationToken: function () {

        var token = '';

        if( $window.sessionStorage.token !== undefined ) {
          var length = $window.sessionStorage.token.length;
          token = $window.sessionStorage.token.substring(1, length - 1);
        }

        return 'Bearer ' + token;
      },
      setAuthenticationToken: function (token) {
        $window.sessionStorage.token = token;
      },
      logout: function () {
        //invalidate the token via authServices
        //we do need to manage the headers here since it is call to external site
        var tokenHref = ResourceDirectoryService.getTokenHref();

        var OAuthBearerToken = $resource(tokenHref, {}, {});

        OAuthBearerToken.delete(function () {
          clearStorage();

          $window.location = ResourceDirectoryService.getLogoutHref();
        });
      },
      forceLogin: function () {
        clearStorage();

        var loc = 'https://' + $location.host() + '/vet/service/vetoauthlogin?redirect_uri=https://' + $location.host() + '/vet/#';
        $window.location = loc;
      }
    };
  });
