/*jslint node: true, unparam: true */
/*global angular, window */
/* jshint unused:false */

'use strict';

angular.module('PatientApp').controller('ConnectionModalInstanceCtrl', [
  '$scope',
  '$modalInstance',
  'modalInfo',
  '$resource',
  '$http',
  '$timeout',
  '$log',
  'connectionErrorService',
  'userService',
  'AngularShamNotification',
  function ($scope, $modalInstance, modalInfo, $resource, $http, $timeout, $log, connectionErrorService, userService, AngularShamNotification) {
    modalInfo.dismissed = false;

    $scope.ok = function () {
      $modalInstance.close();
      modalInfo.dismissed = true;
    };

    $scope.dismiss = function () {
      var resendHash,
        prop;
      $modalInstance.dismiss();
      modalInfo.dismissed = true;

      resendHash = modalInfo.resendHash;
      for (prop in resendHash) {
        if (resendHash.hasOwnProperty(prop)) {
          resendHash[prop].deferred.reject(resendHash[prop].rejection);
          delete resendHash[prop];
        }
      }
    };

    $scope.retry = function () {
      var resendHash = modalInfo.resendHash,
        prop,
        resend;
      $modalInstance.close();
      modalInfo.dismissed = true;
      /* jshint loopfunc:true */
      for (prop in resendHash) {
        if (resendHash.hasOwnProperty(prop)) {
          // This is where Firefox starts building out the resends.
          // Have this timeout in only to prevent a quick flickering.
          $timeout(function () {
            resend = resendHash[prop];
            $http(resend.rejection.config).success(function (data, status, headers, config) {
              resend.deferred.resolve({data: data, status: status, headers: headers, config: config});
              delete resendHash[prop];
            }).error(function (data, status, headers, config) {
              resend.deferred.reject({data: data, status: status, headers: headers, config: config});
              delete resendHash[prop];
            });
          }, 500);
        }
      }
      /* jshint loopfunc:false */
    };
  }
]);