'use strict';
angular.module('PatientApp')
  .service('eulaService', function ($http, $location) {
    return {
      setAcceptedDate: function (dateAccepted) {
        localStorage.setItem(window.location.pathname + 'eula', JSON.stringify(dateAccepted));
        this.acceptedThisSession = true;
      },
      isAccepted: function () {
        if (this.acceptedThisSession) {
          return true;
        }

        var dateAccepted = localStorage.getItem(window.location.pathname + 'eula');
        if (dateAccepted) {
          dateAccepted = JSON.parse(dateAccepted).dateAccepted;
          var EULA_FILE_PATH = 'views/eula_template.html';
          $http({method: 'GET', url: EULA_FILE_PATH}).
            success(function (data) {
              var temp = data.split('modified-date">')[1];
              var dateModifiedString = temp.split('</span>')[0];
              var dateModified = new Date(dateModifiedString).getTime();

              if (dateModified > dateAccepted) {
                dateAccepted = null;
                // Eula got updated, redirect
                $location.path('/eula');
              }
            });

          var accepted = dateAccepted ? true : false;
          if (accepted && !this.acceptedThisSession) {
            this.acceptedThisSession = true;
          }

          return accepted;
        }

        return false;
      },
      acceptedThisSession: false
    };
  });