'use strict';

describe('ProfileController', function () {

    var scope = null;
    var ctrl = null;
    var httpBackend = null;
    var protocolId = null;
    var profileHelperService = null;
    var profileForm = {};

    var profile = {"_id":"52d03f550cf28c61744c93d2","firstName":"dfd","lastName":"fff","age":-3541,"dob":"5555-05-02","ssn":null,"gender":"female","username":"sam","preference":{"phoneNumber":"123-222-2222","allowSecureMessages":true,"allowNonSecureMessages":false,"email":"sss@ss.com"}};
    var profileStructure = {"_id":null,"firstName":null,"lastName":null,"age":0,"dob":null,"ssn":null,"gender":null,"username":null,"preference":{"phoneNumber":null,"allowSecureMessages":true,"allowNonSecureMessages":false,"email":null}};

    var mockService = {
        getStructure: function (x){
            console.log("got to mock service getStructure");
            return 'ok';
        },
        save: function(x){
            console.log("got to mock service save");
            return 'ok save';
        }
    }

    //need to indicate your module in a test
    beforeEach(module('PatientApp'));

    beforeEach(inject(function($injector, _$httpBackend_, $rootScope, $controller) {
        var $controller = $injector.get('$controller');
        httpBackend = $injector.get('$httpBackend');
        scope = $injector.get('$rootScope');
        profileHelperService = $injector.get('profileHelperService');
        //profileService = $injector.get('ProfileService');

        scope.profileForm = profileForm;

        ctrl = $controller('ProfileController', {
            ProfileService: mockService,
            profileHelperService: profileHelperService,
            $scope: scope
        });

        profileHelperService.setCurrProfile(profile);
        httpBackend.when('POST', 'service/registration/').respond(profileStructure);  //success

    }));

    it('should create the controller', function(){
        expect(ctrl).not.toBeNull();
        expect(scope).not.toBeNull();
    });


    it('should get the basic profile form structure', function () {
        //httpBackend.when('PUT', 'service/patients/protocols').respond(204);  //success, no content
        //httpBackend.when('POST', 'service/registration/').respond(profileStructure);  //success

        // apply the change
        //scope.$apply();

        //scope.updateProtocol();
        //httpBackend.flush();  //flush http expectations before asserting

        //var profile = scope.profile;
        //console.log("profile: "); console.log(profile);
        //expect(status).toEqual('Protocol "Mock Protocol" Assigned Successfully!');

    });


});
