package gov.va.mobilehealth.courier.smsgateway.communication;

import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpEntity;

public class HttpRequest {
	
	public static enum Method {GET, POST, PUT, DELETE};
	
	private String requestUrl;
	private Map<String, String> headers;
	private HttpEntity body;
	private Method method;
	
	public HttpRequest(Method method, String requestUrl, Map<String, String> headers,
			HttpEntity body) {
		this.method = method;
		this.requestUrl = requestUrl;
		this.headers = headers;
		this.body = body;
	}
	
	public Method getMethod() {
		return method;
	}

	public String getRequestUrl() {
		return requestUrl;
	}

	public Map<String, String> getHeaders() {
		return headers;
	}

	public HttpEntity getBody() {
		return body;
	}

	public void addHeader(String key, String value) {
		
		if (headers == null) {
			headers = new HashMap<String, String>();
		}
		headers.put(key, value);
	}
}
