package gov.va.mobilehealth.courier.smsgateway.communication;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.IllegalFormatException;

import javax.xml.bind.JAXB;
import javax.xml.bind.JAXBException;
import javax.xml.parsers.ParserConfigurationException;

import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;

import gov.va.mobilehealth.courier.smsgateway.parser.AbstractParser;
import gov.va.mobilehealth.courier.smsgateway.types.CourierTypes;
import org.xml.sax.SAXException;


public class MessageDeliver{

  public CourierTypes sendMessage(HttpRequest request
      , AbstractParser<? extends CourierTypes> parser)
      throws JAXBException, IOException {

    CourierTypes result = null;
    BufferedReader br = null;
    InputStreamReader ir = null;
    HttpClient httpClient = new DefaultHttpClient();
    HttpGet myRequest = null;

    try {
      httpClient = WebClientDevWrapper.wrapClient(httpClient);
      myRequest = new HttpGet(request.getRequestUrl());

      if (request.getHeaders() != null) {
        for (String header : request.getHeaders().keySet()) {
          myRequest.addHeader(header, request.getHeaders().get(header));
        }
      }

      HttpResponse response = httpClient.execute(myRequest);

      if (response.getStatusLine().getStatusCode() != 200) {
        throw new RuntimeException("Failed : HTTP error code : "
            + response.getStatusLine().getStatusCode());
      }

      ir = new InputStreamReader((response.getEntity().getContent()));
      br = new BufferedReader(ir);

      result = parser.parse(br);
      /*
       * String output; System.out.println("Output from Server .... \n");
       * while ((output = br.readLine()) != null) {
       * System.out.println(output); }
       */

    } catch (ParserConfigurationException e) {
      e.printStackTrace();
    } catch(SAXException e){
      e.printStackTrace();
    } catch(JAXBException e){
      e.printStackTrace();
    } catch(IOException e) {
      e.printStackTrace();
    } catch(IllegalStateException e) {
      e.printStackTrace();
    }  finally{
      // close the socket and release the resource
      if( br != null ){
        br.close();
      }
      if( ir != null ){
        ir.close();
      }
      httpClient.getConnectionManager().shutdown();
      myRequest.releaseConnection();
    }
    return result;
  }
}
