require 'data_models/template_model'  # Provides the TemplateModel class

class ProtocolModel
  attr_accessor :name  # String object
  attr_accessor :focus_area  # String object
  attr_accessor :description  # String object

  def initialize(options = {})
    # Initialize an empty array for the readings
    @templates = Array.new

    # Initialize string objects
    @name = options[:name]
    @focus_area = options[:focus_area]
    @description = options[:description]

    # Initialize readings
    if options[:templates]
      if options[:templates].is_a?(TemplateModel)  # A single TemplateReading object has been received
        @templates.push(options[:templates])
      elsif options[:templates].is_a?(Array)  # An array of TemplateReading objects has been received
        options[:templates].each do |template_object|
          @templates.push(template_object)
        end
      end
    end
  end

  def get_template(index = 0)
    @templates[index]
  end

  def count_templates()
    @templates.length
  end
end
