require 'data_models/utility_models'

class TemplateMessages
  attr_accessor :service_message
  attr_accessor :reminder_message
  attr_accessor :valid_reading_message
  attr_accessor :critical_low_message
  attr_accessor :critical_high_message
  attr_accessor :alert_low_message
  attr_accessor :alert_high_message

  def initialize(options = {})
    # Initalize an empty array for the service messages
    @motivational_message = Array.new

    # Initialize string objects
    @service_message = options[:service_message]
    @reminder_message = options[:reminder_message]
    @valid_reading_message = options[:valid_reading_message]
    @critical_high_message = options[:critical_high_message]
    @critical_low_message = options[:critical_low_message]
    @alert_high_message = options[:alert_high_message]
    @alert_low_message = options[:alert_low_message]

    # Initialize service messages
    if options[:motivational_message]
      if options[:motivational_message].is_a?(String)  # A single TemplateReading object has been received
        @motivational_message.push(options[:motivational_message])
      elsif options[:motivational_message].is_a?(Array)  # An array of TemplateReading objects has been received
        options[:motivational_message].each do |service_message_object|
          @motivational_message.push(service_message_object)
        end
      end
    end
  end

  def get_motivational_message(index = 0)
    @motivational_message[index]
  end

  def count_motivational_messages()
    @motivational_message.length
  end
end