require 'data_models/utility_models'

class TemplateReading
  attr_accessor :valid_range  # Expects a RangeLimit object
  attr_accessor :critical_range  # Expects a RangeLimit object
  attr_accessor :alert_range  # Expects a RangeLimit object

  def initialize(options = {})
    if options[:valid_range] && options[:valid_range].is_a?(RangeLimit)
      @valid_range = options[:valid_range]
    end

    if options[:critical_range] && options[:critical_range].is_a?(RangeLimit)
      @critical_range = options[:critical_range]
    end

    if options[:alert_range] && options[:alert_range].is_a?(RangeLimit)
      @alert_range = options[:alert_range]
    end

    if options[:normal_range] && options[:normal_range].is_a?(RangeLimit)
      @normal_range = options[:normal_range]
    end
  end
end