# Includes the following structs and classes
#   TimeOfDay - Stores a time of day by hour, minute, and AM/PM
#   ValueUnits - Stores a value and its associated units of measure
#   RangeLimit - Stores the upper and lower limits of a numerical range

TimeOfDay = Struct.new(:hours, :minutes, :am_pm)

ValueUnits = Struct.new(:value, :units)

class RangeLimit
  attr_accessor :lowest
  attr_accessor :highest

  def initialize(lowest, highest)
    if lowest > highest
      a, b = swap_values(lowest, highest)
    end

    @lowest = lowest
    @highest = highest
  end

  private
  def swap_values(a, b)
    [b, a]
  end
end

class DaysOfTheWeek
  attr_accessor :sunday
  attr_accessor :monday
  attr_accessor :tuesday
  attr_accessor :wednesday
  attr_accessor :thursday
  attr_accessor :friday
  attr_accessor :saturday

  def initialize(options = {})
    @sunday = options[:sunday]
    @monday = options[:monday]
    @tuesday = options[:tuesday]
    @wednesday = options[:wednesday]
    @thursday = options[:thursday]
    @friday = options[:friday]
    @saturday = options[:saturday]
  end

  def sunday?
    @sunday
  end

  def monday?
    @monday
  end

  def tuesday?
    @tuesday
  end

  def wednesday?
    @wednesday
  end

  def thursday?
    @thursday
  end

  def friday?
    @friday
  end

  def saturday?
    @saturday
  end
end