class Error_Messages
  def initialize
  @default_separator = "\n"

  @readings_error_messages = {
      :lowest_valid_missing_message => "Please enter a Lowest Valid Reading",
      :lowest_valid_vs_HV => "Lowest Valid Reading CANNOT be the same value and must be lower than the Highest Valid Reading",
      :lowest_valid_vs_CL => "Lowest Valid Reading CANNOT be the same value and must be lower than the Critical Low Level Alert",
      :lowest_valid_vs_CH => "Lowest Valid Reading CANNOT be the same value and must be lower than the Critical High Level Alert",
      :lowest_valid_vs_AL => "Lowest Valid Reading CANNOT be the same value and must be lower than the Low Level Alert",
      :lowest_valid_vs_AH => "Lowest Valid Reading CANNOT be the same value and must be lower than the High Level Alert",
      :highest_valid_missing_message => "Please enter a Highest Valid Reading",
      :highest_valid_vs_LV => "Highest Valid Reading CANNOT be the same value and must be higher than the Lowest Valid Reading",
      :highest_valid_vs_CL => "Highest Valid Reading CANNOT be the same value and must be higher than the Critical Low Level Alert",
      :highest_valid_vs_CH => "Highest Valid Reading CANNOT be the same value and must be higher than the Critical High Level Alert",
      :highest_valid_vs_AL => "Highest Valid Reading CANNOT be the same value and must be higher than the Low Level Alert",
      :highest_valid_vs_AH => "Highest Valid Reading CANNOT be the same value and must be higher than the High Level Alert",
      :valid_reading_message_error => "Please enter Message for Valid Reading",
      :critical_low_missing_message => "Please enter a Critical Low Level Alert",
      :critical_low_vs_LV => "Critical Low Level Alert CANNOT be the same value or lower than the Lowest Valid Reading",
      :critical_low_vs_HV => "Critical Low Level Alert CANNOT be the same value or higher than the Highest Valid Reading",
      :critical_low_vs_CH => "Critical Low Level Alert CANNOT be the same value and must be lower than Critical High Level Alert",
      :critical_low_vs_AL => "Critical Low Level Alert CANNOT be the same value or higher than the Low Level Alert",
      :critical_low_vs_AH => "Critical Low Level Alert CANNOT be the same value or higher than the High Level Alert",
      :critical_low_level_alert_message_error => "Please enter a Message for Critical Low Level Alert",
      :critical_high_missing_message => "Please enter a Critical High Level Alert",
      :critical_high_vs_LV => "Critical High Level Alert CANNOT be the same value or higher than the Lowest Valid Reading",
      :critical_high_vs_HV => "Critical High Level Alert CANNOT be the same value or higher than the Highest Valid Reading",
      :critical_high_vs_CL => "Critical High Level Alert CANNOT be the same value and must be higher than Critical Low Level Alert",
      :critical_high_vs_AL => "Critical High Level Alert CANNOT be the same value or higher than the Low Level Alert",
      :critical_high_vs_AH => "Critical High Level Alert CANNOT be the same value or lower than the High Level Alert",
      :critical_high_level_alert_message_error => "Please enter a Message for Critical High Level Alert",
      :low_alert_missing_message => "Please enter a Low Level Alert",
      :low_alert_vs_LV => "Low Level Alert CANNOT be the same value or lower than the Lowest Valid Reading",
      :low_alert_vs_HV => "Low Level Alert CANNOT be the same value or higher than the Highest Valid Reading",
      :low_alert_vs_CL => "Low Level Alert CANNOT be the same value or lower than the Critical Low Level Alert",
      :low_alert_vs_CH => "Low Level Alert CANNOT be the same value or higher than the Critical High Level Alert",
      :low_alert_vs_AH => "Low Level Alert CANNOT be the same value and must be lower than High Level Alert",
      :low_level_alert_message_error => "Please enter a Message for Low Level Alert",
      :high_alert_missing_message => "Please enter a High Level Alert",
      :high_alert_vs_LV => "High Level Alert CANNOT be the same value or lower than the Lowest Valid Reading",
      :high_alert_vs_HV => "High Level Alert CANNOT be the same value or higher than the Highest Valid Reading",
      :high_alert_vs_CL => "High Level Alert CANNOT be the same value or lower than the Critical Low Level Alert",
      :high_alert_vs_CH => "High Level Alert CANNOT be the same value or higher than the Critical High Level Alert",
      :high_alert_vs_AL => "High Level Alert CANNOT be the same value and must be higher than Low Level Alert",
      :high_level_alert_message_error => "Please enter a Message for High Level Alert",
      :separator => @default_separator
  }
  @schedule_error_messages = {
      :schedule_template_error => "Please enter a Template Description",
      :schedule_error => "Please select a Schedule",
      :service_message_start_time_error => "Please select a time for Service Message Start Time",
      :start_period_error => "Please enter a Start Period",
      :start_period_select_error => "Please select a Start Period",
      :end_period_error => "Please enter an End Period",
      :end_period_select_error => "Please select an End Period",
      :measurement_error => "Please select a Measurement",
      :service_message_error => "Please enter a Service Message",
      :time_between_each_cycle_error => "Please enter a Time Between Each Cycle",
      :time_between_each_cycle_select_error => "Please select a Time Between Each Cycle",
      :select_days_error => "Please select Days that Apply",
      :select_days_template_error => "The day(s) selected must be within the Template Start Date and Template End Date range",
      :start_date_empty_field => "Please enter a valid date format (MM/DD/YYYY)",
      :end_date_empty_field => "Please enter a valid date format (MM/DD/YYYY)",
      :start_date_comparison_field => "The Template Start Date CANNOT be after the Template End Date",
      :end_date_comparison_field => "The Template End Date CANNOT be before the Template Start Date",
      :end_date_past_field => "The Template End Date CANNOT be in the past",
      :separator => @default_separator
  }

    @message_error_messages = {
      :service_message_error => 'Please enter a Service Message',
      :reminder_message_error => 'Please enter a Reminder Message',
      :reminder_time_between_error => 'Please enter in the Amount of time between reminders',
      :reminder_time_schedule_error => 'Please select a Time Schedule',
      :reminder_time_sent_error => 'Please enter the number of times of reminder message is sent',
      :motivational_message_error => 'Please enter a Motivational/Education Message',
      :separator => @default_separator
  }

  
end

  def get_readings_error_message(messages = {})
      final_message = ''
      if messages[:show_lowest_valid_missing_message]
        final_message << @readings_error_messages[:lowest_valid_missing_message] << @readings_error_messages[:separator]
      end

      if messages[:show_lowest_valid_vs_HV]
        final_message << @readings_error_messages[:lowest_valid_vs_HV] << @readings_error_messages[:separator]
      end

      if messages[:show_lowest_valid_vs_CL]
        final_message << @readings_error_messages[:lowest_valid_vs_CL] << @readings_error_messages[:separator]
      end

      if messages[:show_lowest_valid_vs_CH]
        final_message << @readings_error_messages[:lowest_valid_vs_CH] << @readings_error_messages[:separator]
      end

      if messages[:show_lowest_valid_vs_AL]
        final_message << @readings_error_messages[:lowest_valid_vs_AL] << @readings_error_messages[:separator]
      end

      if messages[:show_lowest_valid_vs_AH]
        final_message << @readings_error_messages[:lowest_valid_vs_AH] << @readings_error_messages[:separator]
      end

      if messages[:show_valid_reading_message_error]
        final_message << @readings_error_messages[:valid_reading_message_error] << @readings_error_messages[:separator]
      end

      if messages[:show_highest_valid_missing_message]
        final_message << @readings_error_messages[:highest_valid_missing_message] << @readings_error_messages[:separator]
      end

      if messages[:show_highest_valid_vs_LV]
        final_message << @readings_error_messages[:highest_valid_vs_LV] << @readings_error_messages[:separator]
      end

      if messages[:show_highest_valid_vs_CL]
        final_message << @readings_error_messages[:highest_valid_vs_CL] << @readings_error_messages[:separator]
      end

      if messages[:show_highest_valid_vs_CH]
        final_message << @readings_error_messages[:highest_valid_vs_CH] << @readings_error_messages[:separator]
      end

      if messages[:show_highest_valid_vs_AL]
        final_message << @readings_error_messages[:highest_valid_vs_AL] << @readings_error_messages[:separator]
      end

      if messages[:show_highest_valid_vs_AH]
        final_message << @readings_error_messages[:highest_valid_vs_AH] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_low_missing_message]
        final_message << @readings_error_messages[:critical_low_missing_message] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_low_vs_LV]
        final_message << @readings_error_messages[:critical_low_vs_LV] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_low_vs_HV]
        final_message << @readings_error_messages[:critical_low_vs_HV] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_low_vs_CH]
        final_message << @readings_error_messages[:critical_low_vs_CH] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_low_vs_AL]
        final_message << @readings_error_messages[:critical_low_vs_AL] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_low_vs_AH]
        final_message << @readings_error_messages[:critical_low_vs_AH] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_low_level_alert_message_error]
        final_message << @readings_error_messages[:critical_low_level_alert_message_error] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_high_missing_message]
        final_message << @readings_error_messages[:critical_high_missing_message] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_high_vs_CL]
        final_message << @readings_error_messages[:critical_high_vs_CL] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_high_vs_LV]
        final_message << @readings_error_messages[:critical_high_vs_LV] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_high_vs_AL]
        final_message << @readings_error_messages[:critical_high_vs_AL] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_high_vs_AH]
        final_message << @readings_error_messages[:critical_high_vs_AH] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_high_vs_HV]
        final_message << @readings_error_messages[:critical_high_vs_HV] << @readings_error_messages[:separator]
      end

      if messages[:show_critical_high_level_alert_message_error]
        final_message << @readings_error_messages[:critical_high_level_alert_message_error] <<@readings_error_messages[:separator]
      end

      if messages[:show_low_alert_missing_message]
        final_message << @readings_error_messages[:low_alert_missing_message] << @readings_error_messages[:separator]
      end

      if messages[:show_low_alert_vs_LV]
        final_message << @readings_error_messages[:low_alert_vs_LV] << @readings_error_messages[:separator]
      end

      if messages[:show_low_alert_vs_HV]
        final_message << @readings_error_messages[:low_alert_vs_HV] << @readings_error_messages[:separator]
      end

      if messages[:show_low_alert_vs_CL]
        final_message << @readings_error_messages[:low_alert_vs_CL] << @readings_error_messages[:separator]
      end

      if messages[:show_low_alert_vs_AH]
        final_message << @readings_error_messages[:low_alert_vs_AH] << @readings_error_messages[:separator]
      end

      if messages[:show_low_alert_vs_CH]
        final_message << @readings_error_messages[:low_alert_vs_CH] << @readings_error_messages[:separator]
      end

      if messages[:show_low_level_alert_message_error]
        final_message << @readings_error_messages[:low_level_alert_message_error] << @readings_error_messages[:separator]
      end

      if messages[:show_high_alert_missing_message]
        final_message << @readings_error_messages[:high_alert_missing_message] << @readings_error_messages[:separator]
      end

      if messages[:show_high_alert_vs_AL]
        final_message << @readings_error_messages[:high_alert_vs_AL] << @readings_error_messages[:separator]
      end

      if messages[:show_high_alert_vs_LV]
        final_message << @readings_error_messages[:high_alert_vs_LV] << @readings_error_messages[:separator]
      end

      if messages[:show_high_alert_vs_HV]
        final_message << @readings_error_messages[:high_alert_vs_HV] << @readings_error_messages[:separator]
      end

      if messages[:show_high_alert_vs_CL]
        final_message << @readings_error_messages[:high_alert_vs_CL] << @readings_error_messages[:separator]
      end

      if messages[:show_high_alert_vs_CH]
        final_message << @readings_error_messages[:high_alert_vs_CH] << @readings_error_messages[:separator]
      end

      if messages[:show_high_level_alert_message_error]
        final_message << @readings_error_messages[:high_level_alert_message_error] << @readings_error_messages[:separator]
      end

      final_message.chop

  end

  def get_schedule_error_message(messages = {})
    final_message = ''
    if messages[:show_template_desc_error]
      final_message << @schedule_error_messages[:schedule_template_error] << @schedule_error_messages[:separator]
    end
    if messages[:show_schedule_error]
      final_message << @schedule_error_messages[:schedule_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_service_message_start_time_error]
      final_message << @schedule_error_messages[:service_message_start_time_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_start_period_error]
      final_message << @schedule_error_messages[:start_period_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_start_period_select_error]
      final_message << @schedule_error_messages[:start_period_select_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_end_period_error]
      final_message << @schedule_error_messages[:end_period_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_end_period_select_error]
      final_message << @schedule_error_messages[:end_period_select_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_measurement_error]
      final_message << @schedule_error_messages[:measurement_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_service_message_error]
      final_message << @schedule_error_messages[:service_message_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_time_between_each_cycle_error]
      final_message << @schedule_error_messages[:time_between_each_cycle_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_time_between_each_cycle_select_error]
      final_message << @schedule_error_messages[:time_between_each_cycle_select_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_select_days_error]
      final_message << @schedule_error_messages[:select_days_error] << @schedule_error_messages[:separator]
    end

    if messages[:show_select_days_template_error]
      final_message << @schedule_error_messages[:select_days_template_error] << @schedule_error_messages[:separator]
    end

    if messages[:schedule_start_date_empty_field]
      final_message << @schedule_error_messages[:start_date_empty_field] << @schedule_error_messages[:separator]
    end

    if messages[:schedule_end_date_empty_field]
      final_message << @schedule_error_messages[:end_date_empty_field] << @schedule_error_messages[:separator]
    end

    if messages[:schedule_start_date_comparison_field]
      final_message << @schedule_error_messages[:start_date_comparison_field] << @schedule_error_messages[:separator]
    end

    if messages[:schedule_end_date_comparison_field]
      final_message << @schedule_error_messages[:end_date_comparison_field] << @schedule_error_messages[:separator]
    end

    if messages[:end_date_past_field]
      final_message << @schedule_error_messages[:end_date_past_field] << @schedule_error_messages[:separator]
    end

    final_message.chop
  end

  def get_message_error_message(messages = {})
    final_message = ''
    if messages[:show_service_message_error]
      final_message << @message_error_messages[:service_message_error] << @message_error_messages[:separator]
    end

    if messages[:show_reminder_message_error]
      final_message << @message_error_messages[:reminder_message_error] << @message_error_messages[:separator]
    end

    if messages[:show_reminder_time_between_error]
      final_message << @message_error_messages[:reminder_time_between_error] << @message_error_messages[:separator]
    end

    if messages[:show_reminder_time_schedule_error]
      final_message << @message_error_messages[:reminder_time_schedule_error] << @message_error_messages[:separator]
    end

    if messages[:show_reminder_time_sent_error]
      final_message << @message_error_messages[:reminder_time_sent_error] << @message_error_messages[:separator]
    end

    if messages[:show_motivational_messages_error]
      final_message << @message_error_messages[:motivational_message_error] << @message_error_messages[:separator]
    end
    
    final_message.chop
  end

  

end