require 'page-object'

# PatientApp  profile.tpl.html

class AdminAuditTrailPage < AdminPage
  include PageObject

  table(:audittrail_table, :id => 'all-comment-table')

  unordered_list(:pagination_bottom, :id => 'audit-bottom-page')

  unordered_list(:pagination_top, :id => 'audit-top-page')

  # Audit Trail table
  indexed_property(:audit_trail, [
      [:span, :editedon, {id: 'comment[%s].date'}],
      [:span, :editedby, {id: 'comment[%s].user'}],
      [:span, :editedtime, {id: 'comment[%s].time'}],
      [:span, :content, {id: 'comment[%s].content'}],
      [:span, :changes, {id: 'comment[%s].changes'}],
  ])

  def audit_table_edited_on_element(row_index)
    audit_table_element(row_index, cell_index)
  end

  def audit_table_edited_by_element(row_index)
    audit_table_element(row_index, 0)
  end

  def audit_table_edited_time_element(row_index)
    audit_table_element(row_index, 1)
  end

  def audit_table_audit_trail_comment_element(row_index)
    audit_table_element(row_index, 2)
  end

  def audit_table_element(row_index, cell_index)
    self.audittrail_table_element[row_index].cell_element(:index => cell_index)
  end


end