class AdminPage < GlobalObjectsPage
  include PageObject

  # user navigation module
  link(:user_nav, id: 'nav-user')
  link(:about_nav, id: 'nav-about')
  link(:account_settings, id: 'nav-account-settings')
  link(:switch_staff_view, id:'nav-staff-view')
  link(:sign_out, :id => 'nav-sign-out')

  # Navigation "tabs"
  div(:protocols_tab, id: 'nav-protocols')
  div(:reports_tab, id: 'nav-reports')

  select_list(:status, id: 'drop-down-status')
  text_field(:search_focus_area, id: 'focus-area-bar')
  button(:search_go, id: 'go-btn-main')
  link(:add_protocol, link_text: 'Add Protocol')

  # Making no assumptions about current location, perform navigations to start the creation of a new template
  # Returns TemplateEditPage
  def wait_for_tabs_to_load
    pageLoadWait = Selenium::WebDriver::Wait.new(:timeout => 60) # seconds
    pageLoadWait.until { self.protocols_tab_element.visible? }
  end

  def GoToStaffSearch
    page = AdminPage.new(@browser)

    page.user_nav_element.when_visible.click
    page.switch_staff_view_element.when_visible.click

    PatientSearchPage.new(@browser)
  end

  def waitForLoadingToClear
    # allowTimeoutError { self.loading_text_element.when_visible} #make sure it is showing
    allowTimeoutError {
      self.loading_text_element.when_visible(3)
    } #make sure it is showing

    page_wait = Selenium::WebDriver::Wait.new(:timeout => 120)
    page_wait.until { !self.loading_text_element.visible? }

    # self.loading_text_element.when_not_visible #and wait for it to disappear
  end


  def allowTimeoutError(&blk)
    yield
  rescue Selenium::WebDriver::Error::TimeOutError
    false
  end

end
