class TemplateEditPage < AdminPage
  include PageObject

  div(:empty_error_summary, id: 'empty-error-summary')
  div(:error_summary, id: 'error-summary')
  div(:empty_error_summary, id: 'empty-error-summary')
  text_field(:template_name, id: 'templ-name')
  paragraph(:template_name_error, id: 'templ-name-error')
  text_area(:template_description, id: 'description')
  paragraph(:template_description_error, id: 'description-error')
  h3(:schedule_settings, id: 'heading-schedule-settings')
  text_field(:template_keyword, id: 'keywords')
  select_list(:schedule, id: 'protocol-schedule')
  paragraph(:schedule_error, id: 'protocol-schedule-error')
  select_list(:start_time_hour, id: 'start-time-hour')
  select_list(:start_time_minutes, id: 'minutes')
  select_list(:am_pm, id: 'AMPM')
  radio_button(:unscheduled_yes, id: 'unscheduledYes')
  radio_button(:unscheduled_no, id: 'unscheduledNo')
  text_field(:start_period, id: 'enter-start-period')
  paragraph(:start_period_error, id: 'enter-start-period-error')
  select_list(:select_start_period, id: 'select-start-period')
  paragraph(:select_start_period_error, id: 'select-start-period-error')
  text_field(:end_period, id: 'enter-end-period')
  paragraph(:end_period_error, id: 'enter-end-period-error')
  select_list(:select_end_period, id: 'select-end-period')
  paragraph(:select_end_period_error, id: 'select-end-period-error')
  checkbox(:protocol_mon, :id => 'p-mon')
  checkbox(:protocol_tues, :id => 'p-tues')
  checkbox(:protocol_wed, :id => 'p-wed')
  checkbox(:protocol_thurs, :id => 'p-thurs')
  checkbox(:protocol_fri, :id => 'p-fri')
  checkbox(:protocol_sat, :id => 'p-sat')
  checkbox(:protocol_sun, :id => 'p-sun')
  paragraph(:select_days_error, id: 'select-days-error')
  text_field(:time_between_each_cycle, id: 'new-tmpl-number-entry')
  paragraph(:time_between_each_cycle_error, id: 'new-tmpl-number-entry-error')
  select_list(:time_between_each_cycle_units, id: 'new-tmpl-cycle-unit')
  paragraph(:time_between_each_cycle_units_error, id: 'new-tmpl-cycle-unit-error')
  text_field(:template_timebtwremindersvalue, id: 'new-tmpl-time-btw-reminders-value')
  paragraph(:template_timebtwremindersvalue_error, id: 'new-tmpl-time-btw-reminders-value-error')
  select_list(:template_timebtwremindersunit, id: 'new-tmpl-time-btw-reminders-unit')
  paragraph(:template_timebtwremindersunit_error, id: 'new-tmpl-time-btw-reminders-unit-error')
  text_field(:motivational_description, id: 'template-description')
  paragraph(:motivational_description_error, id: 'template-description-error')
  h3(:readings_alerts_settings, id: 'heading-readings-settings')
  select_list(:template_measurement, id: 'measurement')
  paragraph(:template_measurement_error, id: 'measurement-error')
  text_field(:lowest_valid_reading, id: 'lowest-valid-reading-1')
  div(:lowest_valid_reading_error, id: 'lowest-valid-reading-1-error')
  text_field(:highest_valid_reading, id: 'highest-valid-reading-1')
  div(:highest_valid_reading_error, id: 'highest-valid-reading-1-error')
  text_field(:valid_reading_message, id: 'valid-reading-message-1')
  paragraph(:valid_reading_message_error, id: 'valid-reading-message-1-error')
  paragraph(:character_count, id: 'remaining-characters-valid-1')
  text_field(:critical_low_level_alert, id: 'low-critical-level-alert-1')
  div(:critical_low_level_alert_error, id: 'low-critical-level-alert-1-error')
  text_field(:critical_high_level_alert, id: 'high-critical-level-alert-1')
  div(:critical_high_level_alert_error, id: 'high-critical-level-alert-1-error')
  text_field(:critical_low_level_alert_message, id: 'critical-low-alert-message-1')
  paragraph(:critical_low_level_alert_message_error, id: 'critical-low-alert-message-1-error')
  text_field(:critical_high_level_alert_message, id: 'critical-high-alert-message-1')
  paragraph(:critical_high_level_alert_message_error, id: 'critical-high-alert-message-1-error')
  text_field(:low_level_alert, id: 'low-level-alert-1')
  div(:low_level_alert_error, id: 'low-level-alert-1-error')
  text_field(:high_level_alert, id: 'high-level-alert-1')
  div(:high_level_alert_error, id: 'high-level-alert-1-error')
  text_field(:low_level_alert_message, id: 'low-alert-message-1')
  paragraph(:low_level_alert_message_error, id: 'low-alert-message-1-error')
  text_field(:high_level_alert_message, id: 'high-alert-message-1')
  paragraph(:high_level_alert_message_error, id: 'high-alert-message-1-error')
  link(:add_parameter, id: 'add-parameter')
  link(:cancel_pop_up_yes, id: 'cancel-yes')
  link(:cancel_pop_up_no, id: 'cancel-no')
  text_field(:lowest_valid_reading2, id: 'lowest-valid-reading-2')
  div(:lowest_valid_reading2_error, id: 'lowest-valid-reading-2-error')
  text_field(:highest_valid_reading2, id: 'highest-valid-reading-2')
  div(:highest_valid_reading2_error, id: 'highest-valid-reading-2-error')
  text_field(:critical_low_level_alert2, id: 'low-critical-level-alert-2')
  div(:critical_low_level_alert2_error, id: 'low-critical-level-alert-2-error')
  text_field(:critical_high_level_alert2, id: 'high-critical-level-alert-2')
  div(:critical_high_level_alert2_error, id: 'high-critical-level-alert-2-error')
  text_field(:low_level_alert2, id: 'low-level-alert-2')
  div(:low_level_alert2_error, id: 'low-level-alert-2-error')
  text_field(:high_level_alert2, id: 'high-level-alert-2')
  div(:high_level_alert2_error, id: 'high-level-alert-2-error')
  link(:remove_parameter, id: 'remove-parameter')
  h3(:message_settings, id: 'heading-message-settings')
  text_field(:service_message, id: 'service-message')
  paragraph(:service_message_error, id: 'service-message-error')
  indexed_property(:message_list, [
      [:text_field, :motivational_service_message, {id: 'motivational-education[%s].message'}],
      [:paragraph, :motivational_service_message_error, {id: 'motivational-education[%s].message-error'}],
      [:paragraph, :motivational_characters_remaining, {id: 'motivational-education[%s].remaining-characters'}]
  ])
  form(:message_settings_form, id: 'message-setting')
  paragraph(:message_settings_form_error, id: 'message-setting-error')
  text_field(:reminder_message, id: 'reminder-message')
  paragraph(:reminder_message_error, id: 'reminder-message-error')
  text_field(:reminder_time_between, id: 'reminder-time-input')
  paragraph(:reminder_time_between_error, id: 'reminder-time-input-error')
  select_list(:reminder_time_schedule, id: 'reminder-time-schedule')
  paragraph(:reminder_time_schedule_error, id: 'reminder-time-schedule-error')
  text_field(:reminder_time_sent, id: 'reminder-time-sent')
  paragraph(:reminder_time_sent_error, id: 'reminder-time-sent-error')
  link(:add_message, id: 'add-message')
  link(:remove_message, id: 'remove-message')
  paragraph(:remove_message_text, id: 'remove-message-confirm-text')
  button(:remove_message_yes, id: 'yes_remove_message')
  button(:remove_message_no, id: 'no_remove_message')
  link(:back, link_text: 'Back')
  button(:finish, id: 'Finish')
  paragraph(:congrats_message, id: 'congrats-message')
  link(:success_ok, link_text: 'OK')
  link(:save_top, id: 'save-top')
  link(:cancel_top, id: 'p-cancel')
  link(:save_bottom, id: 'save-bottom')
  button(:cancel_bottom, id: 'cancel-bottom')
  button(:modal_ok, id: 'ok')
  text_field(:protocol_name, id: 'protocol-name')
  paragraph(:protocol_name_error, id: 'protocol-name-error')
  text_field(:protocol_description, id: 'protocol-description')
  paragraph(:protocol_description_error, id: 'protocol-description-error')
  text_field(:protocol_focus_area, id: 'protocol-focus-area')
  paragraph(:protocol_focus_area_error, id: 'protocol-focus-area-error')

  #IDs for Custom Templates:
  indexed_property(:custom_list, [
    [:div, :custom_error_summary, {id: 'templates[%s].error-summary'}],
    [:div, :custom_empty_error_summary, {id: 'templates[%s].empty-error-summary'}],
    [:h3, :custom_vitals, {id: 'templates[%s].heading-vitals'}],
    [:h3, :custom_motivational_educational, {id: 'templates[%s].heading-motivationals'}],
    [:h3, :custom_schedule_settings, {id: 'templates[%s].heading-schedule-settings'}],
    [:span, :custom_template_name, {id: 'templates[%s].heading-template'}],
    [:paragraph, :custom_template_name_error, {id: 'templates[%s].heading-template-error'}],
    [:span, :custom_template_schedule, {id: 'templates[0].heading-template-schedule'}],
    [:paragraph, :custom_template_schedule_error, {id: 'templates[0].heading-template-schedule-error'}],
    [:text_field, :custom_template_keyword, {id: 'templates[%s].keywords'}],
    [:select_list, :custom_schedule, {id: 'templates[%s].protocol-schedule'}],
    [:paragraph, :custom_schedule_error, {id: 'templates[%s].protocol-schedule-error'}],
    [:select_list, :custom_start_time_hour, {id: 'templates[%s].start-time-hour'}],
    [:select_list, :custom_start_time_minutes, {id: 'templates[%s].minutes'}],
    [:select_list, :custom_am_pm, {id: 'templates[%s].AMPM'}],
    [:radio_button, :custom_unscheduled_yes, {id: 'templates[%s].unscheduledYes'}],
    [:radio_button, :custom_unscheduled_no, {id: 'templates[%s].unscheduledNo'}],
    [:text_field, :custom_start_period, {id: 'templates[%s].enter-start-period'}],
    [:paragraph, :custom_start_period_error, {id: 'templates[%s].enter-start-period-error'}],
    [:select_list, :custom_select_start_period, {id: 'templates[%s].select-start-period'}],
    [:paragraph, :custom_select_start_period_error, {id: 'templates[%s].select-start-period-error'}],
    [:text_field, :custom_end_period, {id: 'templates[%s].enter-end-period'}],
    [:paragraph, :custom_end_period_error, {id: 'templates[%s].enter-end-period-error'}],
    [:select_list, :custom_select_end_period, {id: 'templates[%s].select-end-period'}],
    [:paragraph, :custom_select_end_period_error, {id: 'templates[%s].select-end-period-error'}],
    [:checkbox, :custom_protocol_mon, {id: 'templates[%s].p-mon'}],
    [:checkbox, :custom_protocol_tues, {id: 'templates[%s].p-tues'}],
    [:checkbox, :custom_protocol_wed, {id: 'templates[%s].p-wed'}],
    [:checkbox, :custom_protocol_thurs, {id: 'templates[%s].p-thurs'}],
    [:checkbox, :custom_protocol_fri, {id: 'templates[%s].p-fri'}],
    [:checkbox, :custom_protocol_sat, {id: 'templates[%s].p-sat'}],
    [:checkbox, :custom_protocol_sun, {id: 'templates[%s].p-sun'}],
    [:paragraph, :custom_select_days_error, {id: 'templates[%s].select-days-error'}],
    [:text_field, :custom_time_between_each_cycle, {id: 'templates[%s].new-tmpl-number-entry'}],
    [:paragraph, :custom_time_between_each_cycle_error, {id: 'templates[%s].new-tmpl-number-entry-error'}],
    [:select_list, :custom_time_between_each_cycle_units, {id: 'templates[%s].new-tmpl-cycle-unit'}],
    [:paragraph, :custom_time_between_each_cycle_units_error, {id: 'templates[%s].new-tmpl-cycle-unit-error'}],
    [:text_field, :custom_template_timebtwremindersvalue, {id: 'templates[%s].new-tmpl-time-btw-reminders-value'}],
    [:paragraph, :custom_template_timebtwremindersvalue_error, {id: 'templates[%s].new-tmpl-time-btw-reminders-value-error'}],
    [:select_list, :custom_template_timebtwremindersunit, {id: 'templates[%s].new-tmpl-time-btw-reminders-unit'}],
    [:paragraph, :custom_template_timebtwremindersunit_error, {id: 'templates[%s].new-tmpl-time-btw-reminders-unit-error'}],
    [:text_field, :custom_motivational_description, {id: 'templates[%s].template-description'}],
    [:paragraph, :custom_motivational_description_error, {id: 'templates[%s].motivational-desc-error'}],
    [:h3, :custom_readings_alerts_settings, {id: 'templates[%s].heading-readings-settings'}],
    [:select_list, :custom_template_measurement, {id: 'templates[%s].measurement'}],
    [:paragraph, :custom_template_measurement_error, {id: 'templates[%s].measurement-error'}],
    [:paragraph, :character_count, {id: 'template[%s].remaining-characters-valid-1'}],
    [:text_field, :custom_lowest_valid_reading, {id: 'templates[%s].lowest-valid-reading-1'}],
    [:div, :custom_lowest_valid_reading_error, {id: 'templates[%s].lowest-valid-reading-1-error'}],
    [:text_field, :custom_highest_valid_reading, {id: 'templates[%s].highest-valid-reading-1'}],
    [:div, :custom_highest_valid_reading_error, {id: 'templates[%s].highest-valid-reading-1-error'}],
    [:text_field, :custom_valid_reading_message, {id: 'templates[%s].valid-reading-message'}],
    [:paragraph, :custom_valid_reading_message_error, {id: 'templates[%s].valid-reading-message-error'}],
    [:paragraph, :custom_character_count, {id: 'templates[%s].remaining-characters-valid'}],
    [:text_field, :custom_critical_low_level_alert, {id: 'templates[%s].low-critical-level-alert-1'}],
    [:div, :custom_critical_low_level_alert_error, {id: 'templates[%s].low-critical-level-alert-1-error'}],
    [:text_field, :custom_critical_high_level_alert, {id: 'templates[%s].high-critical-level-alert-1'}],
    [:div, :custom_critical_high_level_alert_error, {id: 'templates[%s].high-critical-level-alert-1-error'}],
    [:text_field, :custom_critical_low_level_alert_message, {id: 'templates[%s].critical-low-alert-message'}],
    [:paragraph, :custom_critical_low_level_alert_message_error, {id: 'templates[%s].critical-low-alert-message-error'}],
    [:text_field, :custom_critical_high_level_alert_message, {id: 'templates[%s].critical-high-alert-message'}],
    [:paragraph, :custom_critical_high_level_alert_message_error, {id: 'templates[%s].critical-high-alert-message-error'}],
    [:text_field, :custom_low_level_alert, {id: 'templates[%s].low-level-alert-1'}],
    [:div, :custom_low_level_alert_error, {id: 'templates[%s].low-level-alert-1-error'}],
    [:text_field, :custom_high_level_alert, {id: 'templates[%s].high-level-alert-1'}],
    [:div, :custom_high_level_alert_error, {id: 'templates[%s].high-level-alert-1-error'}],
    [:text_field, :custom_low_level_alert_message, {id: 'templates[%s].low-alert-message'}],
    [:paragraph, :custom_low_level_alert_message_error, {id: 'templates[%s].low-alert-message-error'}],
    [:text_field, :custom_high_level_alert_message, {id: 'templates[%s].high-alert-message'}],
    [:paragraph, :custom_high_level_alert_message_error, {id: 'templates[%s].high-alert-message-error'}],
    [:link, :custom_add_parameter, {id: 'templates[%s].add-parameter'}],
    [:text_field, :custom_lowest_valid_reading2, {id: 'templates[%s].lowest-valid-reading-2'}],
    [:div, :custom_lowest_valid_reading2_error, {id: 'templates[%s].lowest-valid-reading-2-error'}],
    [:text_field, :custom_highest_valid_reading2, {id: 'templates[%s].highest-valid-reading-2'}],
    [:div, :custom_highest_valid_reading2_error, {id: 'templates[%s].highest-valid-reading-2-error'}],
    [:text_field, :custom_critical_low_level_alert2, {id: 'templates[%s].low-critical-level-alert-2'}],
    [:div, :custom_critical_low_level_alert2_error, {id: 'templates[%s].low-critical-level-alert-2-error'}],
    [:text_field, :custom_critical_high_level_alert2, {id: 'templates[%s].high-critical-level-alert-2'}],
    [:div, :custom_critical_high_level_alert2_error, {id: 'templates[%s].high-critical-level-alert-2-error'}],
    [:text_field, :custom_low_level_alert2, {id: 'templates[%s].low-level-alert-2'}],
    [:div, :custom_low_level_alert2_error, {id: 'templates[%s].low-level-alert-2-error'}],
    [:text_field, :custom_high_level_alert2, {id: 'templates[%s].high-level-alert-2'}],
    [:div, :custom_high_level_alert2_error, {id: 'templates[%s].high-level-alert-2-error'}],
    [:link, :custom_remove_parameter, {id: 'templates[%s].remove-parameter'}],
    [:h3, :custom_message_settings, {id: 'templates[%s].heading-message-settings'}],
    [:text_field, :custom_service_message, {id: 'templates[%s].service-message'}],
    [:paragraph, :custom_service_message_error, {id: 'templates[%s].service-message-error'}],
    [:paragraph, :custom_service_message_start_time_error, {id: 'templates[%s].service-message-start-time-error'}],
    [:text_field, :custom_reminder_message, {id: 'templates[%s].reminder-message'}],
    [:paragraph, :custom_reminder_message_error, {id: 'templates[%s].reminder-message-error'}],
    [:text_field, :custom_reminder_time_between, {id: 'templates[%s].reminder-time-input'}],
    [:paragraph, :custom_reminder_time_between_error, {id: 'templates[%s].reminder-time-input-error'}],
    [:select_list, :custom_reminder_time_schedule, {id: 'templates[%s].reminder-time-schedule'}],
    [:paragraph, :custom_reminder_time_schedule_error, {id: 'templates[%s].reminder-time-schedule-error'}],
    [:text_field, :custom_reminder_time_sent, {id: 'templates[%s].reminder-time-sent'}],
    [:paragraph, :custom_reminder_time_sent_error, {id: 'templates[%s].reminder-time-sent-error'}],
    [:text_field, :custom_motivational_service_message1, {id: 'templates[%s].motivational-education[0].message'}],
    [:paragraph, :custom_motivational_service_message1_error, {id: 'templates[%s].motivational-education[0].message-error'}],
    [:paragraph, :custom_motivational_characters_remaining1, {id: 'templates[%s].motivational-education[0].remaining-characters'}],
    [:text_field, :custom_motivational_service_message2, {id: 'templates[%s].motivational-education[1].message'}],
    [:paragraph, :custom_motivational_service_message2_error, {id: 'templates[%s].motivational-education[1].message-error'}],
    [:paragraph, :custom_motivational_characters_remaining2, {id: 'templates[%s].motivational-education[1].remaining-characters'}],
    [:text_field, :custom_motivational_service_message3, {id: 'templates[%s].motivational-education[2].message'}],
    [:paragraph, :custom_motivational_service_message3_error, {id: 'templates[%s].motivational-education[2].message-error'}],
    [:paragraph, :custom_motivational_characters_remaining3, {id: 'templates[%s].motivational-education[2].remaining-characters'}],
    [:text_field, :custom_motivational_service_message4, {id: 'templates[%s].motivational-education[3].message'}],
    [:paragraph, :custom_motivational_service_message4_error, {id: 'templates[%s].motivational-education[3].message-error'}],
    [:paragraph, :custom_motivational_characters_remaining4, {id: 'templates[%s].motivational-education[3].remaining-characters'}],
    [:text_field, :custom_motivational_service_message5, {id: 'templates[%s].motivational-education[4].message'}],
    [:paragraph, :custom_motivational_service_message5_error, {id: 'templates[%s].motivational-education[4].message-error'}],
    [:paragraph, :custom_motivational_characters_remaining5, {id: 'templates[%s].motivational-education[].remaining-characters'}],
    [:text_field, :custom_motivational_service_message6, {id: 'templates[%s].motivational-education[5].message'}],
    [:text_field, :custom_motivational_service_message7, {id: 'templates[%s].motivational-education[6].message'}],
    [:text_field, :custom_motivational_service_message8, {id: 'templates[%s].motivational-education[7].message'}],
    [:text_field, :custom_motivational_service_message9, {id: 'templates[%s].motivational-education[8].message'}],
    [:text_field, :custom_motivational_service_message10, {id: 'templates[%s].motivational-education[9].message'}],
    [:text_field, :custom_motivational_service_message11, {id: 'templates[%s].motivational-education[10].message'}],
    [:text_field, :custom_motivational_service_message12, {id: 'templates[%s].motivational-education[11].message'}],
    [:text_field, :custom_motivational_service_message13, {id: 'templates[%s].motivational-education[12].message'}],
    [:text_field, :custom_motivational_service_message14, {id: 'templates[%s].motivational-education[13].message'}],
    [:text_field, :custom_motivational_service_message15, {id: 'templates[%s].motivational-education[14].message'}],
    [:text_field, :custom_motivational_service_message16, {id: 'templates[%s].motivational-education[15].message'}],
    [:text_field, :custom_motivational_service_message17, {id: 'templates[%s].motivational-education[16].message'}],
    [:text_field, :custom_motivational_service_message18, {id: 'templates[%s].motivational-education[17].message'}],
    [:text_field, :custom_motivational_service_message19, {id: 'templates[%s].motivational-education[18].message'}],
    [:text_field, :custom_motivational_service_message20, {id: 'templates[%s].motivational-education[19].message'}],
    [:text_field, :custom_motivational_service_message21, {id: 'templates[%s].motivational-education[20].message'}],
    [:text_field, :custom_motivational_service_message22, {id: 'templates[%s].motivational-education[21].message'}],
    [:text_field, :custom_motivational_service_message23, {id: 'templates[%s].motivational-education[22].message'}],
    [:text_field, :custom_motivational_service_message24, {id: 'templates[%s].motivational-education[23].message'}],
    [:text_field, :custom_motivational_service_message25, {id: 'templates[%s].motivational-education[24].message'}],
    [:text_field, :custom_motivational_service_message26, {id: 'templates[%s].motivational-education[25].message'}],
    [:text_field, :custom_motivational_service_message27, {id: 'templates[%s].motivational-education[26].message'}],
    [:text_field, :custom_motivational_service_message28, {id: 'templates[%s].motivational-education[27].message'}],
    [:text_field, :custom_motivational_service_message29, {id: 'templates[%s].motivational-education[28].message'}],
    [:text_field, :custom_motivational_service_message30, {id: 'templates[%s].motivational-education[29].message'}],
    [:text_field, :custom_motivational_service_message31, {id: 'templates[%s].motivational-education[30].message'}],
    [:text_field, :custom_motivational_service_message32, {id: 'templates[%s].motivational-education[31].message'}],
    [:text_field, :custom_motivational_service_message33, {id: 'templates[%s].motivational-education[32].message'}],
    [:text_field, :custom_motivational_service_message34, {id: 'templates[%s].motivational-education[33].message'}],
    [:text_field, :custom_motivational_service_message35, {id: 'templates[%s].motivational-education[34].message'}],
    [:text_field, :custom_motivational_service_message36, {id: 'templates[%s].motivational-education[35].message'}],
    [:text_field, :custom_motivational_service_message37, {id: 'templates[%s].motivational-education[36].message'}],
    [:text_field, :custom_motivational_service_message38, {id: 'templates[%s].motivational-education[37].message'}],
    [:text_field, :custom_motivational_service_message39, {id: 'templates[%s].motivational-education[38].message'}],
    [:text_field, :custom_motivational_service_message40, {id: 'templates[%s].motivational-education[39].message'}],
    [:text_field, :custom_motivational_service_message41, {id: 'templates[%s].motivational-education[40].message'}],
    [:text_field, :custom_motivational_service_message42, {id: 'templates[%s].motivational-education[41].message'}],
    [:text_field, :custom_motivational_service_message43, {id: 'templates[%s].motivational-education[42].message'}],
    [:text_field, :custom_motivational_service_message44, {id: 'templates[%s].motivational-education[43].message'}],
    [:text_field, :custom_motivational_service_message45, {id: 'templates[%s].motivational-education[44].message'}],
    [:text_field, :custom_motivational_service_message46, {id: 'templates[%s].motivational-education[45].message'}],
    [:text_field, :custom_motivational_service_message47, {id: 'templates[%s].motivational-education[46].message'}],
    [:text_field, :custom_motivational_service_message48, {id: 'templates[%s].motivational-education[47].message'}],
    [:text_field, :custom_motivational_service_message49, {id: 'templates[%s].motivational-education[48].message'}],
    [:text_field, :custom_motivational_service_message50, {id: 'templates[%s].motivational-education[49].message'}],
    [:text_field, :custom_motivational_service_message51, {id: 'templates[%s].motivational-education[50].message'}],
    [:text_field, :custom_motivational_service_message52, {id: 'templates[%s].motivational-education[51].message'}],
    [:text_field, :custom_motivational_service_message53, {id: 'templates[%s].motivational-education[52].message'}],
    [:text_field, :custom_motivational_service_message54, {id: 'templates[%s].motivational-education[53].message'}],
    [:text_field, :custom_motivational_service_message55, {id: 'templates[%s].motivational-education[54].message'}],
    [:text_field, :custom_motivational_service_message56, {id: 'templates[%s].motivational-education[55].message'}],
    [:text_field, :custom_motivational_service_message57, {id: 'templates[%s].motivational-education[56].message'}],
    [:text_field, :custom_motivational_service_message58, {id: 'templates[%s].motivational-education[57].message'}],
    [:text_field, :custom_motivational_service_message59, {id: 'templates[%s].motivational-education[58].message'}],
    [:text_field, :custom_motivational_service_message60, {id: 'templates[%s].motivational-education[59].message'}],
    [:text_field, :custom_motivational_service_message61, {id: 'templates[%s].motivational-education[60].message'}],
    [:text_field, :custom_motivational_service_message62, {id: 'templates[%s].motivational-education[61].message'}],
    [:text_field, :custom_motivational_service_message63, {id: 'templates[%s].motivational-education[62].message'}],
    [:text_field, :custom_motivational_service_message64, {id: 'templates[%s].motivational-education[63].message'}],
    [:text_field, :custom_motivational_service_message65, {id: 'templates[%s].motivational-education[64].message'}],
    [:text_field, :custom_motivational_service_message66, {id: 'templates[%s].motivational-education[65].message'}],
    [:text_field, :custom_motivational_service_message67, {id: 'templates[%s].motivational-education[66].message'}],
    [:text_field, :custom_motivational_service_message68, {id: 'templates[%s].motivational-education[67].message'}],
    [:text_field, :custom_motivational_service_message69, {id: 'templates[%s].motivational-education[68].message'}],
    [:text_field, :custom_motivational_service_message70, {id: 'templates[%s].motivational-education[69].message'}],
    [:text_field, :custom_motivational_service_message71, {id: 'templates[%s].motivational-education[70].message'}],
    [:text_field, :custom_motivational_service_message72, {id: 'templates[%s].motivational-education[71].message'}],
    [:text_field, :custom_motivational_service_message73, {id: 'templates[%s].motivational-education[72].message'}],
    [:text_field, :custom_motivational_service_message74, {id: 'templates[%s].motivational-education[73].message'}],
    [:text_field, :custom_motivational_service_message75, {id: 'templates[%s].motivational-education[74].message'}],
    [:text_field, :custom_motivational_service_message76, {id: 'templates[%s].motivational-education[75].message'}],
    [:text_field, :custom_motivational_service_message77, {id: 'templates[%s].motivational-education[76].message'}],
    [:text_field, :custom_motivational_service_message78, {id: 'templates[%s].motivational-education[77].message'}],
    [:text_field, :custom_motivational_service_message79, {id: 'templates[%s].motivational-education[78].message'}],
    [:text_field, :custom_motivational_service_message80, {id: 'templates[%s].motivational-education[79].message'}],
    [:text_field, :custom_motivational_service_message81, {id: 'templates[%s].motivational-education[80].message'}],
    [:text_field, :custom_motivational_service_message82, {id: 'templates[%s].motivational-education[81].message'}],
    [:text_field, :custom_motivational_service_message83, {id: 'templates[%s].motivational-education[82].message'}],
    [:text_field, :custom_motivational_service_message84, {id: 'templates[%s].motivational-education[83].message'}],
    [:text_field, :custom_motivational_service_message85, {id: 'templates[%s].motivational-education[84].message'}],
    [:text_field, :custom_motivational_service_message86, {id: 'templates[%s].motivational-education[85].message'}],
    [:text_field, :custom_motivational_service_message87, {id: 'templates[%s].motivational-education[86].message'}],
    [:text_field, :custom_motivational_service_message88, {id: 'templates[%s].motivational-education[87].message'}],
    [:text_field, :custom_motivational_service_message89, {id: 'templates[%s].motivational-education[88].message'}],
    [:text_field, :custom_motivational_service_message90, {id: 'templates[%s].motivational-education[89].message'}],
    [:text_field, :custom_motivational_service_message91, {id: 'templates[%s].motivational-education[90].message'}],
    [:text_field, :custom_motivational_service_message92, {id: 'templates[%s].motivational-education[91].message'}],
    [:text_field, :custom_motivational_service_message93, {id: 'templates[%s].motivational-education[92].message'}],
    [:text_field, :custom_motivational_service_message94, {id: 'templates[%s].motivational-education[93].message'}],
    [:text_field, :custom_motivational_service_message95, {id: 'templates[%s].motivational-education[94].message'}],
    [:link, :custom_add_message, {id: 'templates[%s].add-message'}],
    [:link, :custom_remove_message, {id: 'templates[%s].remove-message'}],
    [:paragraph, :custom_remove_message_text, {id: 'templates[%s].remove-message-confirm-text'}],
    [:button, :custom_remove_message_yes, {id: 'templates[%s].yes_remove_message'}],
    [:button, :custom_remove_message_no, {id: 'templates[%s].no_remove_message'}],
  ])


  def save_template
    self.save_bottom_element.when_visible.click
    self.waitForLoadingToClear

    self.modal_ok_element.when_visible.click
  end

  def schedule_protocol_once(time, index)
    self.waitForLoadingToClear
    self.custom_list[index].custom_schedule_settings_element.click
    self.custom_list[index].custom_start_period = '2'
    self.custom_list[index].custom_end_period = '5'
    self.custom_list[index].custom_schedule='Once'
    self.custom_list[index].custom_select_start_period='Minute'
    self.custom_list[index].custom_select_end_period='Day'

    split_time = time
    self.custom_list[index].custom_start_time_hour = split_time.split(':')[0].strip
    self.custom_list[index].custom_start_time_minutes = split_time.split(':')[1].strip
    self.custom_list[index].custom_am_pm = split_time.split(':')[2].strip
  end

  def schedule_motivational_protocol_once(time, index)
    self.waitForLoadingToClear
    self.custom_list[index].custom_schedule_settings_element.click
    self.custom_list[index].custom_motivational_description = 'This is the description of the template within the Motivational/Educational Protocol!'
    self.custom_list[index].custom_start_period = '2'
    self.custom_list[index].custom_end_period = '5'
    self.custom_list[index].custom_schedule='Once'
    self.custom_list[index].custom_select_start_period='Minute'
    self.custom_list[index].custom_select_end_period='Day'

    split_time = time
    self.custom_list[index].custom_start_time_hour = split_time.split(':')[0].strip
    self.custom_list[index].custom_start_time_minutes = split_time.split(':')[1].strip
    self.custom_list[index].custom_am_pm = split_time.split(':')[2].strip
  end

  def create_schedule_settings(protocol, index)
    self.custom_list[index].custom_readings_alerts_settings_element.click
    self.custom_list[index].custom_template_measurement = protocol.measurement
    self.custom_list[index].custom_lowest_valid_reading = protocol.lowestNormalOne
    self.custom_list[index].custom_highest_valid_reading = protocol.highestNormalOne
    self.custom_list[index].custom_valid_reading_message = protocol.normalLimit
    self.custom_list[index].custom_critical_low_level_alert = protocol.criticallowlevelone
    self.custom_list[index].custom_critical_high_level_alert = protocol.criticalhighlevelone
    self.custom_list[index].custom_critical_low_level_alert_message = protocol.criticialLow
    self.custom_list[index].custom_critical_high_level_alert_message = protocol.criticalHigh
    self.custom_list[index].custom_low_level_alert = protocol.lowestPossibleOne
    self.custom_list[index].custom_high_level_alert = protocol.highestPossibleOne
    self.custom_list[index].custom_low_level_alert_message = protocol.belowDesireOne
    self.custom_list[index].custom_high_level_alert_message = protocol.aboveDesireOne
  end

  def create_schedule_settings_2(protocol, index)
    self.custom_list[index].custom_lowest_valid_reading2 = protocol.lowestNormalTwo
    self.custom_list[index].custom_highest_valid_reading2 = protocol.highestNormalTwo
    self.custom_list[index].custom_critical_low_level_alert2 = protocol.criticallowleveltwo
    self.custom_list[index].custom_critical_high_level_alert2 = protocol.criticalhighleveltwo
    self.custom_list[index].custom_low_level_alert2 = protocol.lowestPossibleTwo
    self.custom_list[index].custom_high_level_alert2 = protocol.highestPossibleTwo
  end

  def create_message_settings(protocol,index)
    self.custom_list[index].custom_message_settings_element.click
    self.custom_list[index].custom_service_message = protocol.firstPrompt
    self.custom_list[index].custom_reminder_message = protocol.reminderPrompt
    self.custom_list[index].custom_reminder_time_between = protocol.readingreminders
    self.custom_list[index].custom_reminder_time_schedule = protocol.rstartselect
    self.custom_list[index].custom_reminder_time_sent = protocol.howmnydays
  end

  def finish_form
    self.finish
    self.waitForLoadingToClear
  end

  def save_form_with_top_button
    self.save_top
    self.waitForLoadingToClear
  end

  def save_form_with_bottom_button
    self.save_bottom
    self.waitForLoadingToClear
  end

  def dismiss_modal
    self.modal_ok
    self.waitForLoadingToClear
  end

end
