require 'page-object'

# VALoginAPP  profile.tpl.html

class VALoginPage < StaffPage
  include PageObject

  span(:err, :class => 'error')

  text_field(:username, :id => 'name-c')
  text_field(:password, :id => 'password')
  text_field(:hospital_location, :id => 'va-hospital')

  link(:dc_vamc, :link_text => 'WASHINGTON - WASHINGTON - DC')
  link(:signin, :id => 'loginButton')

  def login_with(username, password)
    self.wait_until(120, "Wait for login form elements to be visible") do
      begin
        self.username_element.visible? && self.password_element.visible? && self.hospital_location_element.visible? && self.signin_element.visible?
      rescue
        sleep(1)
      end
    end

    self.username_element.value = username
    self.password_element.value = password
    self.hospital_location_element.when_visible.value = 'DC'

    self.wait_until(60, "Wait for the DC VAMC location element to be visible") do
      begin
        self.dc_vamc_element.visible?
      rescue
        sleep(1)
      end
    end

    self.dc_vamc_element.click
    self.signin_element.click

    #Wait for user information to be loaded
    self.wait_until(30, "Waiting for Name to appear in welcome message") do
      begin
        self.user_nav_element.text != 'Welcome,'
      rescue
        sleep(1)
      end
    end

    self.waitForLoadingToClear
  end

end
