require 'page-object'

class AssignProtocolPage < StaffPage
  include PageObject

  text_field(:protocol_name, :id => 'templ-name')
  span(:form_err, :class => 'form-field-error')
  button(:protocol_save, :id => 'p-save')
  button(:protocol_cancel, :id => 'p-cancel')

  span(:err, :id => 'error-msg')
  
  indexed_property(:assigned_patient_protocols, [
      [:span, :name, {:id => 'protocol[%s].name'}],
      [:span, :description, {:id => 'protocol[%s].desc'}],
      [:span, :template, {:id => 'protocol[%s].template'}],
      [:span, :createdon, {:id => 'protocol[%s].createdon'}],
      [:span, :status, {:id => 'protocol[%s].status'}],
      [:link, :assign, {:id => 'protocol[%s].assign'}]
  ])
  
end
