require 'page-object'

class PatientDetailsPageType < StaffPage
  include PageObject

  h1(:patient_details_name, :id => 'heading-patient-info-name')
  span(:patient_details_dob, :id => 'patient-info-dob')
  span(:patient_details_age, :id => 'patient-info-age')
  span(:patient_details_gender, :id => 'patient-info-gender')
  span(:patient_details_ssn, :id => 'patient-info-ssn')

  def waitForPatientDetailsToLoad
    #Allow a fairly long time for initial page load (mae to agilexhealth takes a long time for first secured request)
    patientDetailsPage = PatientDetailsPageType.new(@browser)
    wait = Selenium::WebDriver::Wait.new(:timeout => 30) # seconds
    wait.until {patientDetailsPage.patient_details_name != ''}
    wait.until {patientDetailsPage.patient_details_dob != ''}
    wait.until {patientDetailsPage.patient_details_ssn != ''}
    return patientDetailsPage
  end

end
