require 'page-object'

class PatientMessageHistoryPage < StaffPage
  include PageObject

  # message history page
  h1(:heading_message_history, id: 'heading-message-history')

  paragraph(:no_message_history, id: 'no-message-history')
  paragraph(:no_data_message_history, id: 'no-data-message-history')
  span(:msg_no_patient, id: 'msg-no-patient')
  table(:message_history_table, id: 'msg-history-table')
  link(:message_sort_icon, id: 'message-sort-icon')

  unordered_list(:message_history_pagination, id: 'message-page')

  # message history page filters
  select_list(:msghistory_protocols, id: 'message-protocols')
  select_list(:msghistory_status, id: 'message-status')
  text_field(:msghistory_date_from, id: 'message-date-from')
  text_field(:msghistory_date_to, id: 'message-date-to')

  span(:one_message, id: 'message[2].message')
  div(:no_results, id: 'no-results')
  button(:reset, id: 'reset')

  indexed_property(:message_history_list, [
      [:span, :protocol, {id: 'message[%s].protocol'}],
      [:span, :date, {id: 'message[%s].date'}],
      [:span, :time, {id: 'message[%s].time'}],
      [:span, :message, {id: 'message[%s].message'}],
      [:image, :critical_icon, {id: 'message[%s].critical-icon'}],
      [:span, :status, {id: 'message[%s].type'}]
  ])

  def wait_for_messages_to_load
    #Allow a fairly long time for initial page load (mae to agilexhealth takes a long time for first secured request)
    pageLoadWait = Selenium::WebDriver::Wait.new(:timeout => 60) # seconds
    pageLoadWait.until { self.message_history_table_element.visible? || self.no_message_history_element.visible? }
  end
end