class PatientProtocolPage < StaffPage
  include PageObject

  button(:New_Protocol_Link, :id => 'assign-protocol-btn')
  indexed_property(:protocol_list, [
      [:span, :name, {:id => 'protocol[%s].name'}]
  ])

  list_item(:patient_search, :id => 'tab-patient-search')
  list_item(:procotols, :id => 'tab-protocols')
  list_item(:message_history, :id => 'tab-message-history')
  list_item(:reports, :id => 'tab-reports')

  button(:assign_protocol, :id => 'assign-protocol-btn')

  indexed_property(:active_protocols, [
      [:span, :protocol, {:id => 'activeprotocols[%s].protocol'}],
      [:span, :clinic, {:id => 'activeprotocols[%s].clinic'}],
      [:span, :assignedon, {:id => 'activeprotocols[%s].assignedon'}],
      [:span, :lastedited, {:id => 'activeprotocols[%s].lastedited'}],
      [:span, :editedby, {:id => 'activeprotocols[%s].editedby'}],
      [:span, :lastcomment, {:id => 'activeprotocols[%s].lastcomment'}],
      [:link, :allactivecomments, {:id => 'activeprotocols[%s].allactivecomments'}],
      [:radio_button, :statusenable, {:id => 'activeprotocols[%s].statusenable'}],
      [:radio_button, :statusdisable, {:id => 'activeprotocols[%s].statusdisable'}]
  ])

  indexed_property(:inactive_protocols, [
      [:span, :protocol, {:id => 'inactiveprotocols[%s].protocol'}],
      [:span, :clinic, {:id => 'inactiveprotocols[%s].clinic'}],
      [:span, :assignedon, {:id => 'inactiveprotocols[%s].assignedon'}],
      [:span, :lastedited, {:id => 'inactiveprotocols[%s].lastedited'}],
      [:span, :editedby, {:id => 'inactiveprotocols[%s].editedby'}],
      [:span, :lastcomment, {:id => 'inactiveprotocols[%s].lastcomment'}],
      [:link, :allinactivecomments, {:id => 'inactiveprotocols[%s].allinactivecomments'}],
      [:radio_button, :statusenable, {:id => 'inactiveprotocols[%s].statusenable'}],
      [:radio_button, :statusdisable, {:id => 'inactiveprotocols[%s].statusdisable'}]
  ])

  text_area(:text_area, :name => 'commentField')
  button(:comment_okay, :id => 'ok')
  button(:comment_cancel, :id => 'cancel')
  span(:error_validation, :id => 'comment-error')
  form(:comment_form, :name => 'commentForm')

  def New_Protocol
    self.New_Protocol_Link
    patientProtocolListPage = UpdatePatientProtocolListPage.new(@browser)
    patientProtocolListPage.waitForLoadingToClear
  end
end
