require 'page-object'
require 'rspec'
require 'rspec/expectations'

class PatientProtocolAssignListPage < StaffPage
  include PageObject

  indexed_property(:protocol_list, [
      [:span, :name, {:id => 'protocol[%s].name'}],
      [:span, :description, {:id => 'protocol[%s].desc'}],
      [:span, :template, {:id => 'protocol[%s].template'}],
      [:span, :createdon, {:id => 'protocol[%s].createdon'}],
      [:span, :focusarea, {:id => 'protocol[%s].focusarea'}],
      [:span, :status, {:id => 'protocol[%s].status'}],
      [:link, :assign_protocol, {:id => 'protocol[%s].assign'}]
  ])

  table(:template_table, :id => 'assign')

  span(:protocol_blood_pressure1, :text => 'Blood Pressure Protocol1')
  span(:protocol_blood_pressure2, :text => 'Blood Pressure Protocol2')

  def assignProtocolByName(protocol_name)
    bp2Index = self.get_index_by_text(self.protocol_list, protocol_name)
    self.protocol_list[bp2Index].assign_protocol

    page = PatientProtocolEditPage.new(@browser)

    # Wait for rest call to finish because the data text variable doesn't update after the data is displayed...
#    until (page.text.include? protocol_name) do
#      puts "waiting...for protocol name to be on page"
#    end

  end

end