require 'page-object'
  
class PatientProtocolEditPage < StaffPage
    include PageObject

    span(:protocol_name, :id => 'p-protocol-name')

    text_field(:protocol_name2, :id => 'templ-name')

    text_field(:protocol_description, :id => 'description')
    
    select_list(:protocol_measurement, :id => 'measurement')

    text_field(:protocol_keyword, :id => 'keywords')

    span(:protocol_readingparamone, :id => 'reading-param-1')

    text_field(:protocol_highparamone, :id => 'highest-valid-reading-1')

    text_field(:protocol_lowparamone, :id => 'lowest-valid-reading-1')

    text_field(:protocol_hpossiblevalueone, :id => 'high-alert-1')

    text_field(:protocol_lpossiblevalueone, :id => 'low-alert-1')

    text_field(:protocol_hcriticalvalueone, :id => 'high-critical-1')

    text_field(:protocol_lcriticalvalueone, :id => 'low-critical-1')

    span(:protocol_readingparamtwo, :id => 'reading-param-2')

    text_field(:protocol_highparamtwo, :id => 'high-alert-2')

    text_field(:protocol_lowparamtwo, :id => 'low-alert-2')

    text_field(:protocol_hcriticalvaluetwo, :id => 'high-critical-2')

    text_field(:protocol_lcriticalvaluetwo, :id => 'low-critical-2')

    text_field(:protocol_hpossiblevaluetwo, :id => 'highest-valid-reading-2')

    text_field(:protocol_lpossiblevaluetwo, :id => 'lowest-valid-reading-2')

    text_field(:protocol_firstprompt, :id => 'first-prompt-msg')

    text_field(:protocol_reminderprompt, :id => 'reminder-prompt-msg')

    text_field(:protocol_normallimit, :id => 'normal-limit-msg')

    text_field(:protocol_aboveone, :id => 'above-desirable-level-msg1')

    text_field(:protocol_belowone, :id => 'below-desirable-level-msg1')

    text_field(:protocol_abovebreach, :id => 'above-critical-level-msg')

    text_field(:protocol_belowbreach, :id => 'below-critical-level-msg')

    button(:protocol_save, :id => 'p-save')

    button(:protocol_cancel, :id => 'p-cancel')

    select_list(:protocol_schedtype, :id => 'p-schedule-type')

    checkbox(:protocol_unscheduled, :id => 'p-unscheduled')

    select_list(:protocol_whattimehour, :id => 'p-hour')

    select_list(:protocol_whattimemin, :id => 'p-min')

    select_list(:protocol_whattimeampm, :id => 'p-am-pm')

    text_field(:protocol_rstarttime, :id => 'p-relstart')

    text_field(:protocol_rendtime, :id => 'p-relend')

    select_list(:protocol_rstartselect, :id => 'p-relstart-unit')

    select_list(:protocol_rendselect, :id => 'p-relend-unit')

    #***** Days of the week checkboxs
    checkbox(:protocol_mon, :id => 'p-mon')

    checkbox(:protocol_tues, :id => 'p-tues')

    checkbox(:protocol_wed, :id => 'p-wed')

    checkbox(:protocol_thurs, :id => 'p-thurs')

    checkbox(:protocol_fri, :id => 'p-fri')

    checkbox(:protocol_sat, :id => 'p-sat')

    checkbox(:protocol_sun, :id => 'p-sun')

    #****** Every so many ....
    text_field(:template_somanynumb, :id => 'new-tmpl-number-entry')

    select_list(:template_somanytype, :id => 'new-tmpl-cycle-unit')

    checkbox(:protocol_repbreach, :id => 'repeating-breach')

    text_field(:protocol_breachalert, :id => 'repeating-alert')

    text_field(:protocol_howmnydays, :id => 'many-days')

    checkbox(:protocol_critpercnt, :id => 'critical-values')

    text_field(:protocol_breachtriggers, :id => 'triggers-breach')

    text_field(:protocol_readingreminders, :id => 'readingreminders')

    text_field(:protocol_timebtwremindersvalue, :id => 'time-btw-reminders-value')

    select_list(:protocol_timebtwremindersunit, :id => 'time-btw-reminders-unit')

#    text_field(:protocol_howmnydays, :id => 'new-templ-breaches-counted')

    text_field(:protocol_startdate, :id => 'p-start-date')

    text_field(:protocol_enddate, :id => 'p-end-date')
    
    span(:errormessage, :id => 'error_msg')

  button(:save2, :id => 'tmpl-save-bottom')

  def waitForEditsToLoad
    #Allow a fairly long time for initial page load (mae to agilexhealth takes a long time for first secured request)
    pageLoadWait = Selenium::WebDriver::Wait.new(:timeout => 60) # seconds
    pageLoadWait.until {self.get_link_by_text('p-save')}
  end

end