class StaffRegistrationPage < StaffPage
  include PageObject

  page_url PROVIDER_APP_URL

  #****************    Section Headers   **************************

  link(:heading_consent_to_participate, :id => 'heading-consent-info-messages')
  link(:heading_appointment_info_messages, :id => 'heading-appointment-info-messages')
  link(:heading_preferences, :id => 'heading-preferences')
  link(:heading_patient_info, :id => 'heading-patient-info')

  #****************    Patient Info   **************************

  h1(:success_heading, :id => 'heading-registration-success')
  #paragraph(:success_msg, id => 'success-assigned')

  text_field(:firstName, :id => 'profile-firstname')
  text_field(:middleName, :id => 'profile-middlename')
  text_field(:lastName, :id => 'profile-lastname')

  text_field(:ssn, :id => 'profile-ssn')
  text_field(:dob, :id => 'profile-dob-dob')
  text_field(:gender, :id => 'profile-gender')

  text_field(:mobile_phone, :id => 'profile-mobile-phone')
  select_list(:time_zone, :id => 'profile-timezone')
  text_field(:home_phone, :id => 'profile-homephone')

  text_field(:email, :id => 'profile-email')

  #****************    Preferences   **************************

  radio_button(:basic_cell, :id => 'profile-pref-basic-cell')
  radio_button(:smart_phone, :id => 'profile-pref-smart-cell')

  checkbox(:receive_nonsecure_msgs, :id => 'profile-pref-nonsecure-msg-sms')

  #****************    Consent Form   **************************

  checkbox(:select_patient_consent_chkbox, :id => 'select-patient-consent-form')

  #*************************************************************

  #***************   Broadcast Messaging Subscriptions   *******

  checkbox(:facility_checkbox, :id => 'vamc-facility')
  checkbox(:appointment_reminders_checkbox, :id => 'appointment-reminders')
  select_list(:facility, :id => 'facility')
  paragraph(:facility_error, :id => 'select-facility-error-msg')

  #**************************************************************

  link(:submit, :id => 'profile-submit')
  link(:cancel, :id => 'profile-cancel-submit')

  #**************************************************************

  button(:search_patient, :id => 'search-patient')
  button(:assign_protocol, :id => 'assign-protocol')

  #********************************************************

  #********************************************************************************

  paragraph(:duplicate_mobile_phone_error, :id => 'profile-mobile-phone-error-msg')

  #*********************************************************************************

  def wait_for_timezone_to_load
    self.wait_until do
      self.time_zone_options.length > 1
    end
  end

  #********************************************************
end