class StaffReportsPage < StaffPage
  include PageObject

  # Headers
  select_list(:vitals, id: 'heading-vitals')
  text_field(:from_date, id: 'heading-date-from')
  text_field(:to_date, id: 'heading-date-to')

  #Chart
  div(:chart, id: 'chart')
  span(:chart_title) do |page|
    page.chart_element.span_element(class: 'highcharts-title')
  end
  paragraph(:no_data_reports, id: 'no-data-reports')
  paragraph(:no_patient_reports, id: 'no-patient-reports')
  unordered_list(:pagination, id: 'protocol-page')
  # Table
  table(:reading_table, :id => 'datatable')

  indexed_property(:readings, [
      [:span, :date, {id: 'reading[%s].date'}],
      [:span, :value, {id: 'reading[%s].value'}],
  ])

  def reading_table_value_element(row_index)
    reading_element(row_index, 0)
  end

  def reading_element(row_index, cell_index)
    self.reading_table_element[row_index].cell_element(:index => cell_index)
  end

end