# PatientApp  profile.tpl.html

class VetMessagesPage < VetRegistrationPage
  include PageObject

  page_url PATIENT_APP_URL

  h1(:messages_welcome, :id => 'welcome')

  paragraph(:no_messages, :id => 'no-messages')

  button(:view_schedule, :id => 'view-schedule-btn')

  indexed_property(:message_list, [
      [:h1, :date, {:id => 'date[%s]'}],
      [:paragraph, :incoming_message, {:id => 'incoming[%s]'}],
      [:paragraph, :incoming_time, {:id => 'incoming-time[%s]'}],
      [:paragraph, :outgoing_message, {:id => 'outgoing[%s]'}],
      [:paragraph, :outgoing_time, {:id => 'outgoing-time[%s]'}]
  ])

  text_field(:message_text, :id => 'enter-message')
  link(:message_send, :id => 'send')

  #********************************************************
  def wait_for_emptypage_to_load
    self.wait_until(60, "Patient Messages Page did not finish loading") do
      !self.messages_welcome.empty?
    end
  end

  #********************************************************
  def wait_for_page_to_load
    self.wait_until(60, "Patient Messages Page did not finish loading") do
      self.message_send_element.visible?
    end
  end

  def send_message(message)
    self.message_text = message
    self.message_text_element.fire_event('blur')
    self.message_send
    self.waitForLoadingToClear

    sleep(1)  # Wait a second to make sure messages are sent in the correct order
  end
end
