class VetRegistrationPage < GlobalObjectsPage
  include PageObject

  # user navigation module
  link(:user_nav, :id => 'nav-user')
  link(:messages, :id => 'nav-messages')
  link(:reports, :id => 'nav-reports')
  link(:schedule, :id => 'nav-schedule')
  link(:account, :id => 'nav-account')
  link(:about, :id => 'nav-about')
  link(:sign_out, :id => 'nav-sign-out')

#***********  About Modal Window  ******************

  link(:more_info, :id => 'more-info')
  button(:about_ok, :id => 'about-ok')

  paragraph(:version, :id => 'annie-version')
  paragraph(:veteran, :id => 'veteran')
  list_item(:veteran_info, :id => 'veteran_info')

  list_item(:send_reading, :id => 'send_reading')
  list_item(:view_messages, :id => 'view_messages')
  list_item(:view_reports, :id => 'view_reports')
  list_item(:view_schedule, :id => 'view_schedule')
  list_item(:change_preference, :id => 'change_preference')

  #********************************************************
  # Returns VetMessagePage
  def goto_message_page
    self.messages_element.when_visible.click
    self.waitForLoadingToClear
    VetMessagesPage.new(@browser)
  end

  #********************************************************
  # Returns VetReportsPage
  def GoToReports
    page = VetReportsPage.new(@browser)

    page.waitForLoadingToClear
  end

  #********************************************************
  # Returns VetSchedulePage
  def goto_schedule_page
    self.schedule_element.when_visible.click

    page = VetSchedulePage.new(@browser)
    page.waitForLoadingToClear

    page
  end

  #********************************************************
  # Returns VetProfileAccountPage
  def GoToAccount
    page = VetProfileAccountPage.new(@browser)

    page.waitForAccountToLoad
  end

  #********************************************************
  # Wait until Animation closed
  def waitForLoadingToClear
    # allowTimeoutError { self.loading_text_element.when_visible} #make sure it is showing
    allowTimeoutError {
      self.loading_text_element.when_visible(3)
    } #make sure it is showing

    self.loading_text_element.when_not_visible #and wait for it to disappear
  end

  def allowTimeoutError(&blk)
    yield
  rescue Selenium::WebDriver::Error::TimeOutError
    false
  end

  #********************************************************
  def goto_vet_signout
    self.sign_out_element.when_present.click
  end

end
