# -*- encoding : utf-8 -*-
# CMS UI tests
#
# Base class for all page objects

require 'yaml'
require 'page-object'

configs = YAML::load(File.open('configuration.yml'))
configs_default = YAML::load(File.open('configuration.yml.sample'))
if configs.count < configs_default.count
  abort('Configuration error: please update your configuration.yml from configuration.yml.sample!')
end

configs.each do |k, v|
  eval("#{k} = '#{v}'")
  if configs['CONSOLE_LOG']
    puts "#{k} = '#{v}'"
  end
end

class RubySelenium

  # return link element by text
  def get_link_by_text(text)
    self.link_element(:text => text).element
  end

  # return link element by text
  def get_span_by_text(text)
    self.span_element(:text => text).element
  end

  # return assign button element by text
  def get_assign_btn_by_text(table, text)
    index = 0
    while table[index].exists? dos
      if table[index].span_element.text == text
        return table[index].link_element.element
      end
      index += 1
    end
  end

  #This needs to return a invalid value or throw error if not found.  currently will return -1 if not found
  def get_index_by_text(list, name, type='normal')

    # check for a specific patient in the list and set index
    table_row_count = 0
    element_found = false

    if type == 'templ_list'
      while list[table_row_count].templ_name? do
        if list[table_row_count].templ_name_element.text == name
          element_found = true
          break
        end
        table_row_count += 1
      end
    else
      while list[table_row_count].name? do
        if list[table_row_count].name_element.text == name
          element_found = true
          break
        end
        table_row_count += 1
      end
    end

    unless element_found
      table_row_count = -1
    end
    table_row_count
  end

end

