#!/bin/sh
#Start the REST services
cd ../courier-resources
../gradlew build
#reduce what is done with no-rebuild
../gradlew run --no-rebuild &
echo $! > courier-resources.pid
echo $!

#Start the Messaging App client hosting
cd ../MessagingApp
pwd
ls -l
npm install
grunt server &
echo $! > messagingApp.pid
echo $!

#sleep in order to allow the services to start
sleep 60

#Run Selenium tests
cd ../SeleniumTests
rspec -P *.rb --require $GEM_HOME/gems/ci_reporter-1.9.0/lib/ci/reporter/rake/rspec_loader --format CI::Reporter::RSpec

pkill -F ../courier-resources/courier-resources.pid
pkill -F ../MessagingApp/messagingApp.pid

#wait for all background tasks to finish
wait ${!}
rm ../courier-resources/courier-resources.pid
rm ../MessagingApp/messagingApp.pid
