require 'selenium-webdriver'
require 'page-object'

class BrowserHelper
  attr_accessor :browser_type
  attr_accessor :username
  attr_accessor :password
  attr_accessor :console_log

  def initialize
    @console_log = true
  end

  def open_veteran_browser
    # Login as veteran user so we can re-use browser across all tests
    browser = open_browser

    page = VetProfileEditPage.new(browser, true)

    # accept EULA
    if page.eula_accept?
      page.eula_accept
    end

    page = VeteranLoginPage.new(browser)
    page.login_with username, password

    browser
  end

  def open_staff_browser
    # Login as staff user so we can re-use browser across all tests
    puts 'open browser'
    browser = open_browser

    puts 'new browser true'
    PatientSearchPage.new(browser, true)

    puts 'new va login page '
    page = VALoginPage.new(browser)

    # Let's give authorization page a long time to load
    puts 'login with'
    page.login_with username, password

    puts 'return browser'
    browser
  end

  def open_browser
    browser = Selenium::WebDriver.for browser_type.to_sym
    browser.manage.timeouts.implicit_wait = 10
    # browser.manage.window.maximize

    browser
  end

  private :open_browser
end
