class ProtocolSchedule
  attr_accessor :startDate, :endDate

  def calculateStartAndEndDates(monthsUntilEndDate)
    #While application code is not performing correct timezone conversions, we need to ensure the projected end date
    #is adjusted for the current timezone information.  Particularly if we switch from EST to EDT from the start to end date
    #the end date needs to be calculated for the current timezone (until server peforms "correct" timezone calcs)
    #get offset for current time

    now = DateTime.now
    nowZoneOffset = now.zone.to_i

    #calculate end date, determine the tz offset
    threeMonthsAhead = DateTime.now >> monthsUntilEndDate
    threeMonthsAheadZoneOffet = threeMonthsAhead.to_time.utc_offset / 60 / 60

    #now compare and adjust end date by correct number of hours
    #e.g, if future date is one hour ahead (EDT in future, currently on EST), then subtract the hour to get time on current tz
    zoneDiff = threeMonthsAheadZoneOffet - nowZoneOffset
    endDate = threeMonthsAhead.to_time - zoneDiff*60*60

    #finally format to string we use for comparisons on screen
    @startDate = now.to_time.strftime("%m/%d/%Y")
    @endDate = endDate.strftime("%m/%d/%Y")
  end

end

