#########################################################################################
# Stories:   CMS-643
#
# Tests:  2504
#
# Acceptance Criteria:  CMS-2418, CMS-2419, CMS-2754, CMS2755
#
#
#########################################################################################

require 'spec_helper'

describe 'Clinical Staff Reports With No Patient Selected (CMS-643)' do
  context 'given no patient is selected' do
    it 'reports page displays an expected message' do
      # Navigate to the patient Reports page
      page = StaffReportsPage.new(@browser)
      page.reports_element.when_visible.click
      page.waitForLoadingToClear

      # Verify the expected page messages are displayed
      expect(page.no_patient_reports).to eq('Please use the search bar at the top to search for a patient before viewing patient\'s report.')
    end

    it 'message history page displays an expected message' do
      # Navigate to the patient Messages page
      page = PatientMessageHistoryPage.new(@browser)
      page.message_history_element.when_visible.click
      page.waitForLoadingToClear

      # Verify the expected page messages are displayed
      expect(page.msg_no_patient).to eq('Please use the search bar at the top to search for a patient before viewing patient\'s message history.')
    end
  end
end
