#########################################################################################
# Stories:   CMS-40
#
# Tests:
#
# Acceptance Criteria:  CMS-506
#
#
#########################################################################################

require 'spec_helper'

describe "CMS506_Cancel Protocol Template" do

  wait = Selenium::WebDriver::Wait.new(:timeout => 10) # seconds

  context "when you click on Create New Template and Cancel" do
    today_date = DateTime.now.strftime('%m/%d/%Y')
    it "displays no records for cancel protocol template" do

      page = PatientSearchPage.new(@browser)
      page.goto_admin_page

      @templateName = 'GlucoseXXX'
      @description = 'My template'
      @measurement = 'Blood Pressure'
      @keywords = 'BLOOD'
      @focusArea = 'BP, Blood Pressure, Blood'
      @service = 'BP'
      @readingParamOne = 'Systolic'
      @highestNormalOne = '140'
      @lowestNormalOne = '80'
      @highestPossibleOne = '270'
      @lowestPossibleOne = '70'
      @readingParamTwo = 'Diastolic'
      @highestNormalTwo = '90'
      @lowestNormalTwo = '60'
      @highestPossibleTwo = '140'
      @lowestPossibleTwo = '40'
      @description = 'Blood'
      @measurement = 'Blood Pressure'
      @firstPrompt = 'first prompt'
      @reminderPrompt = 'reminder prompt'
      @normalLimit = 'normal limit'
      @aboveDesireOne = 'Above Desire One'
      @belowDesireOne = 'Below Desire One'
      @belowDesireOneEdit = 'Below Desire One Edit'
      @criticalHigh = 'Your blood pressure is CRITICALLY high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks.'
      @criticialLow = 'Your blood pressure is CRITICALLY low  today. Take it again, and follow the advice in your management plan. Take care.'
      @breach = 'Breach'
      @breachEdit = 'Breach Edit'
      @scheduleType = 'Once'
      @whattimehour = '8'
      @whattimemin = '00'
      @whattimeampm = 'AM'
      @rstarttime = '0'
      @rendtime = '10'
      @rstartselect = 'Hour'
      @rendselect = 'Month'
      @startDate = today_date
      @enddate = '04/10/2015'
      @breachalert = '5'
      @howmnydays = '4'
      @breachtriggers = '40'
      @readingreminders = '1'
      @timebtwremindersvalue = '10'
      @timebtwremindersunit = 'Hour'
      @criticallowlevelone = '75'
      @criticalhighlevelone = '200'
      @criticallowleveltwo = '55'
      @criticalhighleveltwo = '100'


      protocol = Protocol.new
      protocol.focusArea = @focusArea
      protocol.description = @description
      protocol.newTemplateName = @templateName

      page = ListTemplatesPage.new(@browser)
      page.create_new_protocol(protocol)

      page = TemplateEditPage.new(@browser)

      page.schedule_protocol_once('8:00:AM',0)

      protocol = Protocol.new
      protocol.measurement = @measurement
      protocol.lowestNormalOne = @lowestNormalOne
      protocol.highestNormalOne = @highestNormalOne
      protocol.normalLimit = @normalLimit
      protocol.criticallowlevelone = @criticallowlevelone
      protocol.criticalhighlevelone = @criticalhighlevelone
      protocol.criticialLow = @criticialLow
      protocol.criticalHigh = @criticalHigh
      protocol.lowestPossibleOne = @lowestPossibleOne
      protocol.highestPossibleOne = @highestPossibleOne
      protocol.belowDesireOne = @belowDesireOne
      protocol.aboveDesireOne = @aboveDesireOne

      page.create_schedule_settings(protocol,0)

      protocol = Protocol.new
      protocol.lowestNormalTwo = @lowestNormalTwo
      protocol.highestNormalTwo = @highestNormalTwo
      protocol.criticallowleveltwo = @criticallowleveltwo
      protocol.criticalhighleveltwo = @criticalhighleveltwo
      protocol.lowestPossibleTwo = @lowestPossibleTwo
      protocol.highestPossibleTwo = @highestPossibleTwo

      page.create_schedule_settings_2(protocol,0)

      protocol = Protocol.new
      protocol.firstPrompt = @firstPrompt
      protocol.reminderPrompt = @reminderPrompt
      protocol.readingreminders = @readingreminders
      protocol.rstartselect = @rstartselect
      protocol.howmnydays = @howmnydays

      page.create_message_settings(protocol,0)

      page.back
      page.back
      page.back
      #page = AdminPage.new(@browser)

      page.protocols_tab_element.click
      page = ListTemplatesPage.new(@browser)

      @list = page.protocol_list
      page.get_index_by_text(@list, @templateName).should eq(-1)
      page.GoToStaffSearch
      page = PatientSearchPage.new(@browser)
    end
  end

end
