#########################################################################################
# Stories:   CMS-161
#
# Tests:
#
# Acceptance Criteria:  CMS-226 (CMS-162 is not being checked)
#
#
#########################################################################################

require 'spec_helper'

describe 'CMS226 edits to start and end date persists for the assigned protocol' do
  context 'When protocol is assigned' do
    it 'start and end date persists' do
      search_query = 'patient14'
      patient_name = 'patient14, zztest'

      page = PatientSearchPage.new(@browser)
      page = page.search_patient_and_select(search_query, patient_name)
      page.New_Protocol_element.when_visible.click
      page.waitForLoadingToClear

      protocol_name = 'Blood Pressure Protocol1'
      page = UpdatePatientProtocolListPage.new(@browser)
      page.assignProtocolByName(protocol_name)
      page.customizeprotocol_yes
      page.waitForLoadingToClear

      page = UpdatePatientProtocolEditPage.new(@browser)
      template = page.custom_list[0]
      template.custom_template_name_element.click
      template.custom_schedule_settings_element.click

      start_date = (DateTime.now).strftime("%m/%d/%Y")
      template.custom_protocol_startdate = start_date

      end_date = (DateTime.now.next_year).strftime("%m/%d/%Y")
      template.custom_protocol_enddate = end_date

      page.saveTemplate
      page.waitForLoadingToClear

      page = UpdatePatientProtocolListPage.new(@browser)
      patient_protocol = page.getProtocolByName(protocol_name)
      patient_protocol.edit_temp_element.click
      page.waitForLoadingToClear

      page = UpdatePatientProtocolEditPage.new(@browser)
      template = page.custom_list[0]
      template.custom_template_name_element.click
      template.custom_schedule_settings_element.click
      expect(template.custom_protocol_startdate).to eq(start_date)
      expect(template.custom_protocol_enddate).to eq(end_date)
    end
  end
end
