#########################################################################################
# Stories:   CMS-161
#
# Tests:
#
# Acceptance Criteria:  CMS-201
#
#
#########################################################################################

require 'spec_helper'
require 'protocolSchedule'


describe "CMS201DefaultStartEndDate" do

  let(:page) { PatientSearchPage.new(@browser)}
  wait = Selenium::WebDriver::Wait.new(:timeout => 10) # seconds
  context "when you click on List Protocols" do

    it "test_c_m_s201_Default_Start_End_Date" do

      if !page.patient_search_element.visible? then
        page = AdminPage.new(@browser)
        page.GoToStaffSearch
        page = PatientSearchPage.new(@browser)
        page.patient_search_element.click
        page.waitForPageToLoad
      end

      @instance = '2'

      protocolSchedule = ProtocolSchedule.new
      protocolSchedule.calculateStartAndEndDates 3

      @start_date = protocolSchedule.startDate
      @end_date = protocolSchedule.endDate

      @rstarttime = '0'
      @rendtime = '3'
      @origrendtime = ''

      page =PatientSearchPage.new(@browser)
      page.goto_admin_page

      page = ListTemplatesPage.new(@browser)

      @list = page.protocol_list
      @index = page.get_index_by_text(@list, 'Blood Pressure Protocol2')
      protocol = page.protocol_list[@index].edit_view

      #setting the start/end times for a template then checking it when assigning a protocol
      page = TemplateEditPage.new(@browser)
      page.waitForLoadingToClear
      template = page.custom_list[0]
      template.custom_template_name_element.click
      template.custom_schedule_settings_element.click
      template.custom_readings_alerts_settings_element.click

      pageLoadWait = Selenium::WebDriver::Wait.new(timeout: 90) # seconds
      pageLoadWait.until { template.custom_schedule != '' }
      (template.custom_start_period).should eq(@rstarttime)

      template.custom_lowest_valid_reading = '70'
      template.custom_critical_low_level_alert = '75'
      template.custom_low_level_alert = '80'
      template.custom_lowest_valid_reading2 = '40'
      template.custom_critical_low_level_alert2 = '55'
      template.custom_low_level_alert2 = '60'

      template.custom_highest_valid_reading = '150'
      template.custom_critical_high_level_alert = '140'
      template.custom_high_level_alert = '130'
      template.custom_highest_valid_reading2 = '90'
      template.custom_critical_high_level_alert2 = '85'
      template.custom_high_level_alert2 = '80'

      #Save off the original relative end time value for reseting
      #This will work with the new edit view page
      #@origrendtime = page.end_period
      #page.end_period = @rendtime

      @origrendtime = template.custom_end_period
      template.custom_end_period = @rendtime

      #Click on Save Button
      page.save_top
      page.waitForLoadingToClear
      page.modal_ok
      #******************************************************************************
      page = AdminPage.new(@browser)
      page.GoToStaffSearch
      page = PatientSearchPage.new(@browser)
      #page.reports_element.click
      #******************************************************************************
      page.patient_search_element.click
      page.waitForPageToLoad
      #*****************************************************************************************************************
      #***********  Verify Protocol relative start / end times when attempting to assign protocol to a Patient
      #*****************************************************************************************************************
      @search_patient = 'patient12'
      @patient01Name = 'patient12, zztest'
      page.waitForLoadingToClear
      page = page.search_patient_and_select(@search_patient, @patient01Name)
      page = UpdatePatientProtocolListPage.new(@browser)
      page.New_Protocol
      page.waitForLoadingToClear

      page.assignProtocolByName('Blood Pressure Protocol2')
      page.customizeprotocol_yes

      page = UpdatePatientProtocolEditPage.new(@browser)
      page.waitForLoadingToClear
      template = page.custom_list[0]
      #page.waitForEditsToLoad
      page.waitForLoadingToClear
      template.custom_template_name_element.click
      template.custom_schedule_settings_element.click

      #(page.protocol_rstarttime).should eq(@rstarttime)
      # (page.protocol_rendtime).should eq(@rendtime)

      (template.custom_protocol_startdate).should eq(@start_date)
      (template.custom_protocol_enddate).should eq(@end_date)

      page.protocol_cancel_bottom
      page.modalwindow_cancelyes

      page = UpdatePatientProtocolListPage.new(@browser)


      #*****************************************************************************************************************
      #***********  Now reset Protocol end time to it's original value
      #*****************************************************************************************************************
      page.goto_admin_page
      #page.templates_element.click
      #****************************************************************************************************************
      page = ListTemplatesPage.new(@browser)

      @list = page.protocol_list
      @index = page.get_index_by_text(@list, 'Blood Pressure Protocol2')
      protocol = page.protocol_list[@index].edit_view

      page = TemplateEditPage.new(@browser)
      template = page.custom_list[0]
      page.waitForLoadingToClear
      template.custom_template_name_element.click
      template.custom_schedule_settings_element.click

      pageLoadWait = Selenium::WebDriver::Wait.new(timeout: 90) # seconds
      pageLoadWait.until { template.custom_schedule != '' }
      (template.custom_start_period).should eq(@rstarttime)

      #Reset original relative end time value
      template.custom_end_period = @origrendtime

      page.save_top
      page.waitForLoadingToClear
      page.modal_ok

      page.GoToStaffSearch
      page = PatientSearchPage.new(@browser)
      page.waitForPageToLoad
      page.waitForLoadingToClear

    end

  end

end
