#########################################################################################
# Stories:   CMS-2244
#
# Tests:   CMS-3737
#
# Acceptance Criteria:  CMS-3327
#
#
#########################################################################################
require 'spec_helper'

describe 'Validate Veteran Session Time Out Warnings and Logout' do

  context 'Validate the session timeout warning messages for the vet application' do

    it 'login to the Vet application' do
      page = VetMessagesPage.new(@veteran_browser)

    end

    it 'wait for 12 minutes to validate first session timeout warning message' do
      page = GlobalObjectsPage.new(@veteran_browser)
      page.waitAndValidate(740, 3)
    end

    it 'wait for another minute (13) to validate second session timeout warning message' do
      page = GlobalObjectsPage.new(@veteran_browser)
      #The application needs to wait a set amount of time in order to verify the dynamic portion of the dialog box changes value
      sleep(70)
      page.validateSessionWarningMessage(2)
    end

    it 'wait for another minute (14) to validate the final session timeout warning message' do
      page = GlobalObjectsPage.new(@veteran_browser)
      #The application needs to wait a set amount of time in order to verify the dynamic portion of the dialog box changes value
      sleep(70)
      page.validateSessionWarningMessage(1)
    end

    it 'click the continue button and resume session' do
      page = GlobalObjectsPage.new(@veteran_browser)
      page.continue

    end

    it 'wait for another 12 minutes to validate first session timeout warning message' do
      page = GlobalObjectsPage.new(@veteran_browser)
      page.waitAndValidate(745, 3)
    end

    it 'click the logout button and log back in' do
      page = GlobalObjectsPage.new(@veteran_browser)
      page.waitAndValidate(1, 3)
      page.logout

      page = VeteranLoginPage.new(@veteran_browser)

      page.login_with @current_vet_username, @current_vet_password

    end

    it 'wait for the logout message to display on the veteran side, verify and click login' do
      page = VetProfileEditPage.new(@veteran_browser)

      page = GlobalObjectsPage.new(@veteran_browser)
      page.waitAndValidateTimeout(915)
      page.login

      page = VeteranLoginPage.new(@veteran_browser)

      page.login_with @current_vet_username, @current_vet_password

    end
  end
end
