package com.agilex.bcm.framework.base;

import com.agilex.common.selenium.DriverUtil;
import com.agilex.common.selenium.WebSite;
import org.junit.Assert;

import java.util.NoSuchElementException;

public class BcmAdminPage extends AnnieStaffPage {
    private static final String PAGE_TITLE = "Annie";

    // Breadcrumb elements
    private static final String LINK_BREADCRUMB_CURRENT = "id=bcm-active-crumb";
    private static final String LINK_BREADCRUMB_PARENT_BASE = "id=bcm-crumb-";

    public BcmAdminPage(DriverUtil driverutil, WebSite webSite) {
        super(driverutil, webSite);
    }

    @Override
    public String getPageTitle() {
        return PAGE_TITLE;
    }

//-------------------------Page Class Methods-----------------------------------

    private String getParentBreadcrumbLocator(int index) {
        return String.format("%s%d", LINK_BREADCRUMB_PARENT_BASE, index);
    }

    public String getParentBreadcrumbText(int index) {
        return driverutil.getText(getParentBreadcrumbLocator(index));
    }

    public String getCurrentBreadcrumbText() {
        return driverutil.getText(LINK_BREADCRUMB_CURRENT);
    }

    public boolean isParentBreadcrumbCorrect(int index, String expectedText) {
        return getParentBreadcrumbText(index).equals(expectedText);
    }

    public boolean isCurrentBreadcrumbCorrect(String expectedText) {
        return getCurrentBreadcrumbText().equals(expectedText);
    }

//-------------------------Internal Helper Methods------------------------------

 
}