package com.agilex.bcm.framework.base;

import java.util.Map;

public class BcmDeployment {
    private String deploymentServer;
    public String urlAnnieVeteranApp, urlAnnieStaffApp;
    public StaffUserModel defaultStaffUser, staffUser1, staffUser2, staffUser3, staffUser4, staffUser5, staffUser6,
            staffUser7, staffUser8, staffUser9, staffUser10, staffUser11, staffUser12, staffUser13, staffUser14,
            staffUser15;
    public VeteranUserModel defaultVeteranUser, veteranUser47, veteranUser48, veteranUser49, veteranUser50,
            veteranUser51, veteranUser52, veteranUser53, veteranUser54, veteranUser55, veteranUser56, veteranUser57,
            veteranUser58, veteranUser59, veteranUser60, veteranUser61;
    public final static String defaultStaffStation = "WASHINGTON";
    public final static String defaultStaffAuthorization = "dfn-688";
    public final static String defaultVeteranPassword = "pass";

    public BcmDeployment() {
    	// Load the system deployment variables
        Map<String, String> systemEnvironment = System.getenv();

        // Build default user models
        defaultStaffUser = new StaffUserModel(systemEnvironment.get("STAFF_USERNAME"), systemEnvironment.get("STAFF_PASSWORD"), "WASHINGTON", true, true);
        defaultVeteranUser = new VeteranUserModel(systemEnvironment.get("PATIENT_USERNAME"), systemEnvironment.get("PATIENT_PASSWORD"));

        // Build staff user models
        staffUser1 = new StaffUserModel("vehu001", "ve001hu!", defaultStaffStation, "20001", defaultStaffAuthorization, "ONE", "VEHU", true, true);
        staffUser2 = new StaffUserModel("vehu002", "ve002hu!", defaultStaffStation, "20354", defaultStaffAuthorization, "TWO", "VEHU", true, true);
        staffUser3 = new StaffUserModel("vehu003", "ve003hu!", defaultStaffStation, "20355", defaultStaffAuthorization, "THREE", "VEHU", true, true);
        staffUser4 = new StaffUserModel("vehu004", "ve004hu!", defaultStaffStation, "20005", defaultStaffAuthorization, "FOUR", "VEHU", true, true);
        staffUser5 = new StaffUserModel("vehu005", "ve005hu!", defaultStaffStation, "20006", defaultStaffAuthorization, "FIVE", "VEHU", true, true);
        staffUser6 = new StaffUserModel("vehu006", "ve006hu!", defaultStaffStation, "20007", defaultStaffAuthorization, "SIX", "VEHU", true, true);
        staffUser7 = new StaffUserModel("vehu007", "ve007hu!", defaultStaffStation, "20008", defaultStaffAuthorization, "SEVEN", "VEHU", true, true);
        staffUser8 = new StaffUserModel("vehu008", "ve008hu!", defaultStaffStation, "20010", defaultStaffAuthorization, "EIGHT", "VEHU", true, true);
        staffUser9 = new StaffUserModel("vehu009", "ve009hu!", defaultStaffStation, "20009", defaultStaffAuthorization, "NINE", "VEHU", true, true);
        staffUser10 = new StaffUserModel("vehu010", "ve010hu!", defaultStaffStation, "20012", defaultStaffAuthorization, "TEN", "VEHU", true, true);
        staffUser11 = new StaffUserModel("vehu011", "ve011hu!", defaultStaffStation, "20011", defaultStaffAuthorization, "ELEVEN", "VEHU", true, true);
        staffUser12 = new StaffUserModel("vehu012", "ve012hu!", defaultStaffStation, "20014", defaultStaffAuthorization, "TWELVE", "VEHU", true, true);
        staffUser13 = new StaffUserModel("vehu013", "ve013hu!", defaultStaffStation, "20013", defaultStaffAuthorization, "THIRTEEN", "VEHU", true, false);
        staffUser14 = new StaffUserModel("vehu014", "ve014hu!", defaultStaffStation, "20016", defaultStaffAuthorization, "FOURTEEN", "VEHU", false, true);
        staffUser15 = new StaffUserModel("vehu015", "ve015hu!", defaultStaffStation, "20015", defaultStaffAuthorization, "FIFTEEN", "VEHU", false, false);

        // Build veteran user models
        veteranUser47 = new VeteranUserModel("zztest.patient47", defaultVeteranPassword);
        veteranUser48 = new VeteranUserModel("zztest.patient48", defaultVeteranPassword);
        veteranUser49 = new VeteranUserModel("zztest.patient49", defaultVeteranPassword);
        veteranUser50 = new VeteranUserModel("zztest.patient50", defaultVeteranPassword);
        veteranUser51 = new VeteranUserModel("zztest.patient51", defaultVeteranPassword);
        veteranUser52 = new VeteranUserModel("zztest.patient52", defaultVeteranPassword);
        veteranUser53 = new VeteranUserModel("zztest.patient53", defaultVeteranPassword);
        veteranUser54 = new VeteranUserModel("zztest.patient54", defaultVeteranPassword);
        veteranUser55 = new VeteranUserModel("zztest.patient55", defaultVeteranPassword);
        veteranUser56 = new VeteranUserModel("zztest.patient56", defaultVeteranPassword);
        veteranUser57 = new VeteranUserModel("zztest.patient57", defaultVeteranPassword);
        veteranUser58 = new VeteranUserModel("zztest.patient58", defaultVeteranPassword);
        veteranUser59 = new VeteranUserModel("zztest.patient59", defaultVeteranPassword);
        veteranUser60 = new VeteranUserModel("zztest.patient60", defaultVeteranPassword);
        veteranUser61 = new VeteranUserModel("zztest.patient61", defaultVeteranPassword);

        // Load the deployment flag, defaults to "local" if empty
    	deploymentServer = System.getProperty("bcm.server", "192.168.33.2");

        // Set index page URLs
    	urlAnnieVeteranApp = String.format("https://%s/vet", deploymentServer);
        urlAnnieStaffApp = String.format("https://%s/cms", deploymentServer);
	}
}