package com.agilex.bcm.framework.base;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.concurrent.TimeUnit;
import org.junit.After;
import org.junit.Before;
import org.openqa.selenium.remote.CapabilityType;
import org.openqa.selenium.remote.DesiredCapabilities;
import org.openqa.selenium.firefox.*;
import org.openqa.selenium.net.PortProber;

public abstract class BcmTest {
    protected BcmWebSite bcm;
	public static BcmDeployment deployment = new BcmDeployment();
	private DesiredCapabilities browserCapabilities = new DesiredCapabilities();
	private FirefoxProfile browserProfile = new FirefoxProfile();
	private FirefoxBinary browserBinary = new FirefoxBinary();
	private String browserPort, browserBinaryPath;
    public static final String EMPTY_STRING = "";
	
	@Before
	public void testFrameworkSetup() {
		browserCapabilities.setCapability(CapabilityType.ACCEPT_SSL_CERTS, true);
		browserPort = Integer.toString(PortProber.findFreePort());
		browserProfile.setPreference(FirefoxProfile.PORT_PREFERENCE, browserPort);
		bcm = new BcmWebSite(new FirefoxDriver(browserBinary, browserProfile, browserCapabilities));
	}

	@After
	public void testFrameworkTearDown() {
		bcm.quit();
	}

    public void waitSeconds(int seconds) {
        try {
            TimeUnit.SECONDS.sleep(seconds);
        } catch(InterruptedException ex) {
            Thread.currentThread().interrupt();
        }
    }

    public String generateDateString() {
        Calendar startDate = Calendar.getInstance();
        DateFormat dateFormatting = new SimpleDateFormat("MM/dd/yyyy");

        // Set the date to today
        startDate.setTime(new Date());  // Set the date to today

        // Return the formatted date string
        return dateFormatting.format(startDate.getTime());
    }

    public String generateDateString(int timeUnit, int count) {
        Calendar startDate = Calendar.getInstance();
        DateFormat dateFormatting = new SimpleDateFormat("MM/dd/yyyy");

        // Set the date to today and add the indicated number of specified time units
        startDate.setTime(new Date());
        startDate.add(timeUnit, count);

        // Return the formatted date string
        return dateFormatting.format(startDate.getTime());
    }

    public String generateDateString(Date newStartDate, int timeUnit, int count) {
        Calendar startDate = Calendar.getInstance();
        DateFormat dateFormatting = new SimpleDateFormat("MM/dd/yyyy");

        // Set the date to the specified start date and add the indicated number of specified time units
        startDate.setTime(newStartDate);
        startDate.add(timeUnit, count);

        // Return the formatted date string
        return dateFormatting.format(startDate.getTime());
    }

    public String generateDateString(String newStartDate, int timeUnit, int count) {
        DateFormat dateFormatting = new SimpleDateFormat("MM/dd/yyyy");

        // Parse the date string and call the overloaded function that uses that object
        try {
            return generateDateString(dateFormatting.parse(newStartDate), timeUnit, count);
        } catch(ParseException pe) {
            throw new RuntimeException("Starting date must be of format 'MM/dd/yyyy'");
        }
    }
}
