package com.agilex.bcm.framework.base;

import com.agilex.bcm.framework.modals.BcmFacilityMessageCancellation;
import com.agilex.bcm.framework.modals.BcmFacilityMessageConfirmation;
import com.agilex.bcm.framework.modals.BcmFacilityMessageDisable;
import com.agilex.bcm.framework.modals.BcmFacilityMessageEnable;
import com.agilex.bcm.framework.pages.external.*;
import com.agilex.bcm.framework.pages.veteran.*;
import com.agilex.bcm.framework.pages.staff.*;
import org.openqa.selenium.WebDriver;
import com.agilex.common.selenium.WebSite;


public class BcmWebSite extends WebSite {
	// Portal URL
	public static BcmDeployment deployment = new BcmDeployment();

//-------------------------Constructor------------------------------------------

	public BcmWebSite(WebDriver driver) {
		super(driver);
	}

//--------------Convenience Method for logging out and going to the root--------

	public Eula openAnnieVeteranApp() {
		driverutil.open(deployment.urlAnnieVeteranApp);
		return (Eula) this.setCurrentPage(Eula.class);
	}

    public StaffLogin openAnnieStaffApp() {
        driverutil.open(deployment.urlAnnieStaffApp);
        return (StaffLogin) this.setCurrentPage(StaffLogin.class);
    }

//-------------Convenience Methods for Accessing Pages Classes------------------
	//NOTE: THIS SHOULD BE THE ONLY PART OF THE FILE YOU EVER MODIFY.  IF YOU
	//THINK YOU NEED TO MODIFY ANYTHING OTHER THAN THIS SECTION BRING IT UP
	//TO THE TEAM FOR VERIFICATION FIRST.

	// External pages
    public VeteranLogin veteranLogin() { return (VeteranLogin) this.getCurrentPage(VeteranLogin.class); }
    public StaffLogin staffLogin() { return (StaffLogin) this.getCurrentPage(StaffLogin.class); }

    // Veteran pages
    public Messages veteranMessages() { return (Messages) this.getCurrentPage(Messages.class); }
    public Eula veteranEula() { return (Eula) this.getCurrentPage(Eula.class); }
    public EulaDeclined veteranEulaDeclined() { return (EulaDeclined) this.getCurrentPage(EulaDeclined.class); }

    // Staff pages
    public StaffPatientSearch staffPatientSearch() { return (StaffPatientSearch) this.getCurrentPage(StaffPatientSearch.class); }
    public BcmVaFacilityMessages bcmVaFacilityMessages() { return (BcmVaFacilityMessages) this.getCurrentPage(BcmVaFacilityMessages.class); }
    public AdminProtocols adminProtocols() { return (AdminProtocols) this.getCurrentPage(AdminProtocols.class); }
    public BcmAddMessage bcmAddMessage() { return (BcmAddMessage) this.getCurrentPage(BcmAddMessage.class); }
	
	// Site modal dialogs
    public BcmFacilityMessageConfirmation bcmFacilityMessageConfirmation() { return (BcmFacilityMessageConfirmation) this.getCurrentPage(BcmFacilityMessageConfirmation.class); }
    public BcmFacilityMessageCancellation bcmFacilityMessageCancellation() { return (BcmFacilityMessageCancellation) this.getCurrentPage(BcmFacilityMessageCancellation.class); }
    public BcmFacilityMessageDisable bcmFacilityMessageDisable() { return (BcmFacilityMessageDisable) this.getCurrentPage(BcmFacilityMessageDisable.class); }
    public BcmFacilityMessageEnable bcmFacilityMessageEnable() { return (BcmFacilityMessageEnable) this.getCurrentPage(BcmFacilityMessageEnable.class); }

}
