package com.agilex.bcm.framework.base;

import java.util.Map;

import com.agilex.common.helpers.TimeOfDay;
import com.agilex.common.helpers.ValueUnits;

public class FacilityMessageModel {
    public String createdBy, createdOn, title, message, schedule, startDate, endDate;
    public Map<String, Boolean> scheduleSpecifiedDays;
    public ValueUnits scheduleTimeBetweenCycles;
    public TimeOfDay sendMessageTime;

    public FacilityMessageModel(String newCreatedBy, String newCreatedOn, String newTitle, String newMessage,
            String newSchedule, TimeOfDay newSendMessageTime, String newStartDate, String newEndDate) {
        createdBy = newCreatedBy;
        createdOn = newCreatedOn;
        title = newTitle;
        message = newMessage;
        sendMessageTime = new TimeOfDay(newSendMessageTime);
        startDate = newStartDate;
        endDate = newEndDate;

        if(newSchedule.equals("Once")) {
            schedule = newSchedule;
        } else {
            throw new RuntimeException("Schedule type must be set to 'Once' when no other schedule options are set");
        }
    }

    public FacilityMessageModel(String newCreatedBy, String newCreatedOn, String newTitle, String newMessage,
            String newSchedule, Map<String, Boolean> newScheduleSpecifiedDays, TimeOfDay newSendMessageTime,
            String newStartDate, String newEndDate) {
        createdBy = newCreatedBy;
        createdOn = newCreatedOn;
        title = newTitle;
        message = newMessage;
        sendMessageTime = new TimeOfDay(newSendMessageTime);
        startDate = newStartDate;
        endDate = newEndDate;

        if(newSchedule.equals("Specified Days")) {
            schedule = newSchedule;
            scheduleSpecifiedDays = newScheduleSpecifiedDays;
        } else {
            throw new RuntimeException("Schedule type must be set to 'Specified Days' when specified days are set");
        }
    }

    public FacilityMessageModel(String newCreatedBy, String newCreatedOn, String newTitle, String newMessage,
            String newSchedule, ValueUnits newScheduleTimeBetweenCycles, TimeOfDay newSendMessageTime,
            String newStartDate, String newEndDate) {
        createdBy = newCreatedBy;
        createdOn = newCreatedOn;
        title = newTitle;
        message = newMessage;
        sendMessageTime = new TimeOfDay(newSendMessageTime);
        startDate = newStartDate;
        endDate = newEndDate;

        if(newSchedule.equals("Custom")) {
            schedule = newSchedule;
            scheduleTimeBetweenCycles = newScheduleTimeBetweenCycles;
        } else {
            throw new RuntimeException("Schedule type must be set to 'Custom' when time between cycles is specified");
        }
    }
}