package com.agilex.bcm.framework.base;

public class StaffUserModel {
	public String accessCode, verifyCode, station, userId, authorization, firstName, lastName;
    public boolean isClinicalAdmin, isBroadcastAdmin;

    public StaffUserModel(String newAccessCode, String newVerifyCode) {
        accessCode = newAccessCode;
        verifyCode = newVerifyCode;
        station = "WASHINGTON";
        userId = "";
        authorization = "";
        firstName = "";
        lastName = "";
        isClinicalAdmin = true;
        isBroadcastAdmin = false;
    }

    public StaffUserModel(String newAccessCode, String newVerifyCode, String newStation, boolean isNewClinicalAdmin,
                          boolean isNewBroadcastAdmin) {
        accessCode = newAccessCode;
        verifyCode = newVerifyCode;
        station = newStation;
        userId = "";
        authorization = "";
        firstName = "";
        lastName = "";
        isClinicalAdmin = isNewClinicalAdmin;
        isBroadcastAdmin = isNewBroadcastAdmin;
    }

    public StaffUserModel(String newAccessCode, String newVerifyCode, String newStation, String newUserId,
                          String newAuthorization, String newFirstName, String newLastName, boolean isNewClinicalAdmin, boolean isNewBroadcastAdmin) {
    	accessCode = newAccessCode;
        verifyCode = newVerifyCode;
        station = newStation;
        userId = newUserId;
        authorization = newAuthorization;
        firstName = newFirstName;
        lastName = newLastName;
        isClinicalAdmin = isNewClinicalAdmin;
        isBroadcastAdmin = isNewBroadcastAdmin;
	}

    public StaffUserModel(StaffUserModel userToCopy) {
        accessCode = userToCopy.accessCode;
        verifyCode = userToCopy.verifyCode;
        station = userToCopy.station;
        userId = userToCopy.userId;
        authorization = userToCopy.authorization;
        firstName = userToCopy.firstName;
        lastName = userToCopy.lastName;
        isClinicalAdmin = userToCopy.isClinicalAdmin;
        isBroadcastAdmin = userToCopy.isBroadcastAdmin;
    }

    public void makeClinicalAdmin() {
        isClinicalAdmin = true;
    }

    public void removeClinicalAdmin() {
        isClinicalAdmin = false;
    }

    public void makeBroadcastAdmin() {
        isBroadcastAdmin = true;
    }

    public void removeBroadcastAdmin() {
        isBroadcastAdmin = false;
    }

    public String getFullName() {
        return firstName + " " + lastName;
    }
}