package com.agilex.bcm.framework.modals;

import com.agilex.bcm.framework.base.BcmWebModal;
import com.agilex.bcm.framework.pages.staff.BcmVaFacilityMessages;
import com.agilex.common.selenium.DriverUtil;
import com.agilex.common.selenium.WebSite;

public class BcmFacilityMessageDisable extends BcmWebModal {
    private static final String PAGE_TITLE = "Annie";

    // Header
    private static final String HEADER_TITLE = "id=message4-header-disable";
    private static final String HEADER_TITLE_TEXT = "Disable";

    // Button elements
    private static final String BUTTON_YES = "id=message-disable-yes-btn";
    private static final String BUTTON_NO = "id=message-disable-no-btn";

    public BcmFacilityMessageDisable(DriverUtil driverutil, WebSite webSite) {
        super(driverutil, webSite);
    }

    @Override
    public String getPageTitle() {
        return PAGE_TITLE;
    }


    public void waitForModalHeader() {
        driverutil.waitForVisibleText(HEADER_TITLE, HEADER_TITLE_TEXT, defaultTimeOutSeconds);
    }

    public BcmVaFacilityMessages confirmDisable() {
        driverutil.click(BUTTON_YES);
        return (BcmVaFacilityMessages) webSite.setCurrentPage(BcmVaFacilityMessages.class);
    }

    public BcmVaFacilityMessages abortDisable() {
        driverutil.click(BUTTON_NO);
        return (BcmVaFacilityMessages) webSite.setCurrentPage(BcmVaFacilityMessages.class);
    }
}
