package com.agilex.bcm.framework.modals;

import com.agilex.bcm.framework.base.BcmWebModal;
import com.agilex.bcm.framework.pages.staff.BcmAddMessage;
import com.agilex.bcm.framework.pages.staff.BcmVaFacilityMessages;
import com.agilex.common.selenium.DriverUtil;
import com.agilex.common.selenium.WebSite;

public class BcmFacilityMessageEnable extends BcmWebModal {
    private static final String PAGE_TITLE = "Annie";

    // Header
    private static final String HEADER_TITLE = "id=message4-header-enable";
    private static final String HEADER_TITLE_TEXT = "Enable";

    // Button elements
    private static final String BUTTON_YES = "id=message-enable-yes-btn";
    private static final String BUTTON_NO = "id=message-enable-no-btn";

    public BcmFacilityMessageEnable(DriverUtil driverutil, WebSite webSite) {
        super(driverutil, webSite);
    }

    @Override
    public String getPageTitle() {
        return PAGE_TITLE;
    }


    public void waitForModalHeader() {
        driverutil.waitForVisibleText(HEADER_TITLE, HEADER_TITLE_TEXT, defaultTimeOutSeconds);
    }

    public BcmAddMessage confirmEnable() {
        driverutil.click(BUTTON_YES);
        return (BcmAddMessage) webSite.setCurrentPage(BcmAddMessage.class);
    }

    public BcmVaFacilityMessages abortEnable() {
        driverutil.click(BUTTON_NO);
        return (BcmVaFacilityMessages) webSite.setCurrentPage(BcmVaFacilityMessages.class);
    }
}
