package com.agilex.bcm.framework.pages.external;

import com.agilex.bcm.framework.base.BcmWebPage;
import com.agilex.bcm.framework.pages.veteran.Messages;
import com.agilex.common.selenium.DriverUtil;
import com.agilex.common.selenium.WebSite;

public class VeteranLogin extends BcmWebPage {
    private static final String PAGE_TITLE = "Department of Veterans Affairs - Veteran Login Page";

    // Login form elements
    private static final String FIELD_USERNAME = "id=name-c";
    private static final String FIELD_PASSWORD = "id=password";
    private static final String BUTTON_CLEAR = "id=resetLogin";
    private static final String BUTTON_SIGN_IN = "id=loginButton";

    public VeteranLogin(DriverUtil driverutil, WebSite webSite) {
        super(driverutil, webSite);
    }

    @Override
    public String getPageTitle() {
        return PAGE_TITLE;
    }

//-------------------------Page Class Methods-----------------------------------

    public Messages logInAs(String username, String password) {
        driverutil.setElementValue(FIELD_USERNAME, username);
        driverutil.setElementValue(FIELD_PASSWORD, password);
        driverutil.click(BUTTON_SIGN_IN);
        return (Messages) webSite.setCurrentPage(Messages.class);
    }

    public void waitForLoginForm() {
        driverutil.waitForVisibleElement(FIELD_USERNAME, defaultTimeOutSeconds);
    }

    public void clickClearButton() {
        driverutil.click(BUTTON_CLEAR);
    }

//-------------------------Internal Helper Methods------------------------------

 
}