package com.agilex.bcm.tests.smoke;

import com.agilex.bcm.framework.base.BcmTest;
import com.agilex.bcm.framework.base.StaffUserModel;
import org.junit.*;
import org.junit.Assert;

public class BcmAdminRole extends BcmTest {
    @Test
	public void accessBroadcastAdminPage() {
        // Set up the test user
        StaffUserModel testUser = new StaffUserModel(deployment.staffUser4);


        // Open the Annie staff app
        bcm.openAnnieStaffApp();

        // Log in as a clinical admin with BCM admin privileges
        bcm.staffLogin().logInAs(testUser.accessCode, testUser.verifyCode, testUser.station);
        bcm.staffPatientSearch().waitForTitleHeader();

        // Switch to the Broadcast Admin view and make sure it appears
        bcm.staffPatientSearch().switchToBroadcastAdminView();
        bcm.bcmVaFacilityMessages().waitForTitleHeader();
	}

    @Test
    public void verifyNoBroadcastAdminAccess() {
        // Set up the test user
        StaffUserModel testUser = new StaffUserModel(deployment.staffUser13);


        // Open the Annie staff app
        bcm.openAnnieStaffApp();

        // Log in as a clinical admin without BCM admin privileges
        bcm.staffLogin().logInAs(testUser.accessCode, testUser.verifyCode, testUser.station);
        bcm.staffPatientSearch().waitForTitleHeader();

        // Verify that the Broadcast Admin view option is not available
        bcm.staffPatientSearch().clickWelcomeMenu();
        Assert.assertFalse(bcm.staffPatientSearch().isBroadcastAdminLinkVisible());
    }
}