package com.agilex.bcm.tests.smoke;

import com.agilex.bcm.framework.base.StaffUserModel;
import com.agilex.bcm.framework.base.VeteranUserModel;
import org.junit.*;
import com.agilex.bcm.framework.base.BcmTest;

public class LogInLogOut extends BcmTest {
    @Test
    public void veteranLogInLogOut() {
        // Set up the test user
        VeteranUserModel testUser = new VeteranUserModel(deployment.veteranUser47);


        // Open the Annie veteran app and accept the EULA
        bcm.openAnnieVeteranApp();
        bcm.veteranEula().acceptEula();

        // Log in as a veteran and make sure the landing page appears
        bcm.veteranLogin().logInAs(testUser.username, testUser.password);
        bcm.veteranMessages().waitForWelcomeHeader();

        // Log out and make sure the login page appears
        bcm.veteranMessages().logOut();
        bcm.veteranLogin().waitForLoginForm();
    }

    @Test
    public void staffLogInLogOut() {
        // Set up the test user
        StaffUserModel testUser = new StaffUserModel(deployment.staffUser4);


        // Open the Annie staff app
        bcm.openAnnieStaffApp();

        // Log in as a clinical staff/admin and make sure the landing page appears
        bcm.staffLogin().logInAs(testUser.accessCode, testUser.verifyCode, testUser.station);
        bcm.staffPatientSearch().waitForTitleHeader();

        // Log out and make sure the login page appears
        bcm.staffPatientSearch().logOut();
        bcm.staffLogin().waitForLoginForm();
    }
}