package gov.va.mobilehealth.courier.core;

import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

public class DeliveryPreference {
  @JsonProperty
  boolean sendAnnie;

  @JsonProperty
  boolean sendSms;

  public DeliveryPreference() {
      sendAnnie = true;
  }
  
  public boolean isSendAnnie() {
    return sendAnnie;
  }

  public boolean isSendSms() {
      return sendSms;
  }

  public void setSendSms(boolean sendSms) {
    this.sendSms = sendSms;
    sendAnnie = sendSms ? true : sendAnnie;
  }

  public void setSendAnnie(boolean sendAnnie) {
      // it is always true for now
      //this.annie = annie;
    }

  @Override
  public boolean equals(Object o) {
      if (this == o) {
          return true;
      }
      if (!(o instanceof DeliveryPreference)) {
          return false;
      }

      DeliveryPreference other = (DeliveryPreference) o;

      if (sendAnnie != other.sendAnnie) {
          return false;
      }
      if (sendSms != other.sendSms) {
          return false;
      }

      return true;
  }

  @Override
  public int hashCode() {
      int result = sendAnnie ? 1 : 0;
      result = 31 * result + (sendSms ? 1 : 0);
      return result;
  }

  @Override
  public String toString() {
      return Objects.toStringHelper(this)
          .add("sendAnnie", sendAnnie)
          .add("sendSms", sendSms)
          .toString();
  }

  public List<PreferenceChangeEntry> findChange(String fieldName, Object o, List<PreferenceChangeEntry> foundSoFar) {
      if (o == null) {
          o = new DeliveryPreference();
      }
      if (o != null && (o instanceof DeliveryPreference)) {
          if (foundSoFar == null) {
              foundSoFar = new ArrayList<PreferenceChangeEntry>();
          }
          DeliveryPreference oldObject = (DeliveryPreference) o;
          fieldName = fieldName + ".";

          foundSoFar = PatientPreferenceAuditTrail.findChange(fieldName + "sendAnnie", oldObject.isSendAnnie(), this.sendAnnie, foundSoFar);
          foundSoFar = PatientPreferenceAuditTrail.findChange(fieldName + "sendSms", oldObject.isSendSms(), this.sendSms, foundSoFar);
      }
      return foundSoFar;
  }
}
