package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

public class ErrorResponse {
    @JsonProperty
    private int code;

    @JsonProperty
    private String message;

    public ErrorResponse() {
    }

    public ErrorResponse(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public ErrorResponse(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof ErrorResponse)) {
            return false;
        }

        ErrorResponse r = (ErrorResponse) o;

        return (code == r.code);
    }

    @Override
    public int hashCode() {
        int result = message != null ? message.hashCode() : 0 + code;
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("code", code)
            .add("message", message)
            .toString();
    }
}
