package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.annotation.JsonValue;

public enum MessageType {
    IN("In"),
    OUT("Out"),
    START("Start"),
    HELP("Help"),
    RESUME("Resume"),
    STOP("Stop"),
    PAUSE("Pause");


    private String content;

    private MessageType(String content) {
        this.content = content;
    }

    public static MessageType getEnum(String value) {
        if (value == null) {
            throw new IllegalArgumentException();
        }
        for (MessageType v : values()) {
            if (value.equalsIgnoreCase(v.getContent())) {
                return v;
            }
        }
        throw new IllegalArgumentException();
    }

    String getContent() {
        return content;
    }

    int value() {
        return ordinal() + 1;
    }

    @Override
    @JsonValue
    public String toString() {
        return this.content;
    }
}
