package gov.va.mobilehealth.courier.core;


import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;
import org.hibernate.validator.constraints.NotEmpty;

import java.io.Serializable;

public class PatientIncomingMessage extends PatientMessage implements Serializable {

  private static final long serialVersionUID = 1L;

  @JsonProperty
  @NotEmpty
  private String clientMessageId;

  @JsonProperty
  private String costCentre;

  @JsonProperty
  private String messageId;

  @JsonProperty
  private int segmentCount;

  @JsonProperty
  private int segmentNumber;

  @JsonProperty
  private int referenceNumber;

  public PatientIncomingMessage() {
  }

  public PatientIncomingMessage(String source, String destination) {
    super(source, destination);
  }

  public String getClientMessageId() {
    return this.clientMessageId;
  }

  public void setClientMessageId(String clientMessageId) {
    this.clientMessageId = clientMessageId;
  }

  public String getCostCentre() {
    return this.costCentre;
  }

  public void setCostCentre(String costCentre) {
    this.costCentre = costCentre;
  }

  public String getMessageId() {
    return this.messageId;
  }

  public void setMssageId(String messageId) {
    this.messageId = messageId;
  }

  public int getSegmentCount() {
    return this.segmentCount;
  }

  public void setSegmentCount(int segmentCount) {
    this.segmentCount = segmentCount;
  }

  public int getSegmentNumber() {
    return this.segmentNumber;
  }

  public void setSegmentNumber(int segmentNumber) {
    this.segmentNumber = segmentNumber;
  }

  public int getReferenceNumber() {
    return this.referenceNumber;
  }

  public void setReferenceNumber(int referenceNumber) {
    this.referenceNumber = referenceNumber;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof PatientIncomingMessage)) {
      return false;
    }

    PatientIncomingMessage patientResponse = (PatientIncomingMessage) o;
    if (id != null ? !id.equals(patientResponse.id) : patientResponse.id != null) {
      return false;
    }
    if (!super.equals(o)) {
      return false;
    }

    return true;
  }

  @Override
  public int hashCode() {
    return id != null ? id.hashCode() : 0;
  }

  @Override
  public String toString() {
    return Objects.toStringHelper(this)
      .add("clientMessageId", clientMessageId)
      .add("costCentre", costCentre)
      .add("messageId", messageId)
      .add("segmentCount", segmentCount)
      .add("segmentNumber", segmentNumber)
      .add("referenceNumber", referenceNumber)
      .add("source", getSource())
      .add("destination", getDestination())
      .add("text", getText())
      .add("type", getType())
      .add("networkSubmitTime", getNetworkSubmitTime())
      .add("clientSubmitTime", getClientSubmitTime())
      .add("patientId", getPatientId())
      .add("alertLevel", getAlertLevel())
      .toString();
  }
}
