package gov.va.mobilehealth.courier.core;


import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

import org.hibernate.validator.constraints.NotEmpty;

public class PatientMessageHistory extends MongoDocumentBase {

    @JsonProperty
    @NotEmpty
    private String type;

    @JsonProperty    // patient phone number
    @NotEmpty
    private String date;

    @JsonProperty       // receiving phone number
    @NotEmpty
    private String time;

    @JsonProperty
    private String text;

    @JsonProperty
    private String destination;

    private String networkSubmitTime;

    @JsonProperty("alertLevel")
    private String alertLevel;

    @JsonProperty("serviceName")
    private String serviceName;

    @JsonProperty
    private String timeZone;

    @JsonProperty
    private String adjustedSubmitTime;

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getNetworkSubmitTime() {
        return networkSubmitTime;
    }

    public void setNetworkSubmitTime(String networkSubmitTime) {
        this.networkSubmitTime = networkSubmitTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @JsonProperty("alertLevel")
    public String getAlertLevel() {
        return alertLevel;
    }

    @JsonProperty("alertLevel")
    public void setAlertLevel(String status) {
        this.alertLevel = status;
    }

    @JsonProperty("serviceName")
    public String getServiceName() {
        return serviceName;
    }

    @JsonProperty("serviceName")
    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getTimeZone() {
      return this.timeZone;
    }

    public void setTimeZone(String timeZone) {
      this.timeZone = timeZone;
    }

    public String getDestination() {
        return this.destination;
      }

      public void setDestination(String destination) {
        this.destination = destination;
      }

    public String getAdjustedSubmitTime() {
      return this.adjustedSubmitTime;
    }

    public void setAdjustedSubmitTime(String adjustedSubmitTime) {
      this.adjustedSubmitTime = adjustedSubmitTime;
      if (null != adjustedSubmitTime) {
        this.date = adjustedSubmitTime.substring(0, adjustedSubmitTime.indexOf(" "));
        this.time = adjustedSubmitTime.substring(adjustedSubmitTime.indexOf(" ") + 1);
      }
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof PatientMessageHistory)) {
            return false;
        }

        PatientMessageHistory patientMsgHist = (PatientMessageHistory) o;

        if (id != null ? !id.equals(patientMsgHist.id) : patientMsgHist.id != null) {
            return false;
        }
        if (text != null ? !text.equals(patientMsgHist.text) : patientMsgHist.text != null) {
            return false;
        }
        if (type != null ? !type.equals(patientMsgHist.type) : patientMsgHist.type != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        return id != null ? id.hashCode() : 0;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("id", id)
            .add("type", type)
            .add("message", text)
            .add("date", date)
            .add("time", time)
            .add("serviceName", serviceName)
            .toString();
    }

}
