package gov.va.mobilehealth.courier.core;


import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

import javax.validation.constraints.NotNull;
import java.util.List;

public class PatientOutgoingMessage extends PatientMessage {

    @JsonProperty
    private String name;

    @JsonProperty
    private String location;


    @JsonProperty       // receiving phone number
    @NotNull
    private List<Message> messages;


    public PatientOutgoingMessage() {
    }

    public PatientOutgoingMessage(String source, String dest) {
        super(source, dest);
    }


    public String getName() {
        return name;
    }


    public void setName(String name) {
        this.name = name;
    }


    public String getLocation() {
        return location;
    }


    public void setLocation(String location) {
        this.location = location;
    }


    public List<Message> getMessages() {
        return messages;
    }


    public void setMessages(List<Message> messages) {
        this.messages = messages;
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof PatientOutgoingMessage)) {
            return false;
        }

        if (!super.equals(o)) {
            return false;
        }
        PatientOutgoingMessage patientMsg = (PatientOutgoingMessage) o;

        if (id != null ? !id.equals(patientMsg.id) : patientMsg.id != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        return id != null ? id.hashCode() : 0;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("id", id)
            .toString();
    }

}
