package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

public class PatientPreference {
  @JsonProperty
  private String phoneNumber;

  @JsonProperty
  private String homePhoneNumber;

  @JsonProperty
  private String email;

  @JsonProperty
  private String timeZone;

  @JsonProperty
  private DeliveryPreference messageDeliveryPreference = new DeliveryPreference();
  
  @JsonProperty
  private NotificationDeliveryPreference notificationDeliveryPreference = new NotificationDeliveryPreference();
  
  @JsonProperty
  private boolean receiveFacilityMessage;

  @JsonProperty("receiveApptReminder")
  private boolean receiveApptReminder;

  private boolean messageStarted = false;

  private boolean messageStopped = false;

  private boolean messagePaused = false;

  public PatientPreference() {
  }

  public String getPhoneNumber() {
    return this.phoneNumber;
  }

  public void setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
  }

  public String getHomePhoneNumber() {
    return this.homePhoneNumber;
  }

  public void setHomePhoneNumber(String homePhoneNumber) {
    this.homePhoneNumber = homePhoneNumber;
  }

  public String getEmail() {
    return this.email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public DeliveryPreference getMessageDeliveryPreference() {
    return messageDeliveryPreference;
  }

  public void setMessageDeliveryPreference(DeliveryPreference messageDeliveryPreference) {
    this.messageDeliveryPreference = messageDeliveryPreference;
  }

  public String getTimeZone() {
    return this.timeZone;
  }

  public void setTimeZone(String timeZone) {
    this.timeZone = timeZone;
  }

  public NotificationDeliveryPreference getNotificationDeliveryPreference() {
    return this.notificationDeliveryPreference;
  }

  public void setNotificationDeliveryPreference(NotificationDeliveryPreference notificationDeliveryPreference) {
    this.notificationDeliveryPreference = notificationDeliveryPreference;
  }

  public boolean isMessageStarted() {
    return messageStarted;
  }

  public void setMessageStarted(boolean messageStarted) {
    this.messageStarted = messageStarted;
  }

  public boolean isMessageStopped() {
    return messageStopped;
  }

  public void setMessageStopped(boolean messageStopped) {
    this.messageStopped = messageStopped;
  }

  public boolean isMessagePaused() {
    return messagePaused;
  }

  public void setMessagePaused(boolean messagePaused) {
    this.messagePaused = messagePaused;
  }

  public boolean isReceiveFacilityMessage() {
      return receiveFacilityMessage;
  }

  public void setReceiveFacilityMessage(boolean receiveFacilityMessage) {
      this.receiveFacilityMessage = receiveFacilityMessage;
  }

  public boolean isReceiveApptReminder() {
      return receiveApptReminder;
  }

  public void setReceiveApptReminder(boolean receiveApptReminder) {
      this.receiveApptReminder = receiveApptReminder;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof PatientPreference)) {
      return false;
    }

    PatientPreference that = (PatientPreference) o;

    if (messageStarted != that.messageStarted) {
      return false;
    }

    if (messageStopped != that.messageStopped) {
      return false;
    }

    if (messagePaused != that.messagePaused) {
      return false;
    }
    if (receiveFacilityMessage != that.receiveFacilityMessage) {
        return false;
    }
    if (receiveApptReminder != that.receiveApptReminder) {
        return false;
    }


    if (email != null ? !email.equals(that.email) : that.email != null) {
      return false;
    }
    if (homePhoneNumber != null ? !homePhoneNumber.equals(that.homePhoneNumber) : that.homePhoneNumber != null) {
      return false;
    }
    if (phoneNumber != null ? !phoneNumber.equals(that.phoneNumber) : that.phoneNumber != null) {
      return false;
    }

    if (timeZone != null ? !timeZone.equals(that.timeZone) : that.timeZone != null) {
      return false;
    }
    if (messageDeliveryPreference != null ? !messageDeliveryPreference.equals(that.messageDeliveryPreference) : that.messageDeliveryPreference != null) {
        return false;
      }
    if (notificationDeliveryPreference != null ? !notificationDeliveryPreference.equals(that.notificationDeliveryPreference) : that.notificationDeliveryPreference != null) {
      return false;
    }


    return true;
  }

  @Override
  public int hashCode() {
    int result = phoneNumber != null ? phoneNumber.hashCode() : 0;
    result = 31 * result + (homePhoneNumber != null ? homePhoneNumber.hashCode() : 0);
    result = 31 * result + (email != null ? email.hashCode() : 0);
    result = 31 * result + (timeZone != null ? timeZone.hashCode() : 0);
    result = 31 * result + (messageDeliveryPreference != null ? messageDeliveryPreference.hashCode() : 0);
    result = 31 * result + (notificationDeliveryPreference != null ? notificationDeliveryPreference.hashCode() : 0);

    return result;
  }

  @Override
  public String toString() {
    return Objects.toStringHelper(this)
            .add("phoneNumber", phoneNumber)
            .add("homePhoneNumber", homePhoneNumber)
            .add("email", email)
            .add("timeZone", timeZone)
            .add("messageDeliveryPreference", messageDeliveryPreference)
            .add("notificationDeliveryPreference", notificationDeliveryPreference)
            .add("messageStarted", messageStarted)
            .add("messageStopped", messageStopped)
            .add("messagePaused", messagePaused)
            .add("receiveFacilityMessage", receiveFacilityMessage)
            .add("receiveApptReminder", receiveApptReminder)
            .toString();
  }
}
