package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

import org.hibernate.validator.constraints.NotEmpty;


public class PatientResponseServiceData extends MongoDocumentBase {

    @NotEmpty
    @JsonProperty("patientResponseReceivedTime")
    private String patientResponseReceivedTime;

    @NotEmpty
    @JsonProperty("patientId")
    private String patientId;

    @JsonProperty("alertLevel")
    private String alertLevel;

    @JsonProperty("patientServiceReading")
    private PatientServiceReading patientServiceReading;

    @JsonProperty("patientResponseReceivedTimeUTC")
    private String patientResponseReceivedTimeUTC;

    @JsonProperty("timeZone")
    private String timeZone;

    @JsonProperty("patientResponseReceivedTime")
    public String getPatientResponseReceivedTime() {
        return patientResponseReceivedTime;
    }

    @JsonProperty("patientResponseReceivedTime")
    public void setPatientResponseReceivedTime(String patientResponseReceivedTime) {
        this.patientResponseReceivedTime = patientResponseReceivedTime;
    }

    @JsonProperty("patientResponseReceivedTimeUTC")
    public String getPatientResponseReceivedTimeUTC() {
        return patientResponseReceivedTimeUTC;
    }

    @JsonProperty("patientResponseReceivedTimeUTC")
    public void setPatientResponseReceivedTimeUTC(String patientResponseReceivedTimeUTC) {
        this.patientResponseReceivedTimeUTC = patientResponseReceivedTimeUTC;
    }

    @JsonProperty("patientId")
    public String getPatientId() {
        return patientId;
    }

    @JsonProperty("patientId")
    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    @JsonProperty("alertLevel")
    public String getAlertLevel() {
        return alertLevel;
    }

    @JsonProperty("alertLevel")
    public void setAlertLevel(String status) {
        this.alertLevel = status;
    }

    public String getTimeZone() {
        return this.timeZone;
    }

    public void setTimeZone(String timeZone) {
        this.timeZone = timeZone;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof PatientResponseServiceData)) {
            return false;
        }

        PatientResponseServiceData that = (PatientResponseServiceData) o;

        if (id != null ? !id.equals(that.id) : that.id != null) {
            return false;
        }
        if (patientId != null ? !patientId.equals(that.patientId) : that.patientId != null) {
            return false;
        }
        if (patientResponseReceivedTime != null ? !patientResponseReceivedTime.equals(that.patientResponseReceivedTime) : that.patientResponseReceivedTime != null) {
            return false;
        }
        if (patientServiceReading != null ? !patientServiceReading.equals(that.patientServiceReading) : that.patientServiceReading != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        return id != null ? id.hashCode() : 0;

    }

  @Override
  public String toString() {
    return Objects.toStringHelper(this)
      .add("patientResponseReceivedTime", patientResponseReceivedTime)
      .add("patientId", patientId)
      .add("alertLevel", alertLevel)
      .add("patientServiceReading", patientServiceReading)
      .toString();
  }

  @JsonProperty("patientServiceReading")
    public PatientServiceReading getPatientServiceReading() {
        return patientServiceReading;

    }

    @JsonProperty("patientServiceReading")
    public void setPatientServiceReading(PatientServiceReading reading) {
        this.patientServiceReading = reading;
    }

}
