package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

import java.util.List;

public class PatientServiceReading {
    private String serviceName;
    private String serviceId;

    private List<PatientReading> readings;

    @JsonProperty("serviceName")
    public String getServiceName() {
        return serviceName;
    }

    @JsonProperty("serviceName")
    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    @JsonProperty("serviceId")
    public String getServiceId() {
        return serviceId;
    }

    @JsonProperty("serviceId")
    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof PatientServiceReading)) {
            return false;
        }

        PatientServiceReading that = (PatientServiceReading) o;

        if (readings != null ? !readings.equals(that.readings) : that.readings != null) {
            return false;
        }
        if (serviceName != null ? !serviceName.equals(that.serviceName) : that.serviceName != null) {
            return false;
        }
        if (serviceId != null ? !serviceId.equals(that.serviceId) : that.serviceId != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = serviceName != null ? serviceName.hashCode() : 0;
        result = 31 * result + (readings != null ? readings.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("serviceName", serviceName)
            .add("serviceId", serviceId)
            .add("readings", readings)
            .toString();
    }

    @JsonProperty("readings")
    public List<PatientReading> getReadings() {

        return readings;
    }

    @JsonProperty("readings")
    public void setReadings(List<PatientReading> readings) {
        this.readings = readings;
    }


}
