package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;


public class PreferenceChangeEntry {
    @JsonProperty
    private String fieldName;

    @JsonProperty
    private String oldValue;

    @JsonProperty
    private String newValue;


    public PreferenceChangeEntry() {
    }

    public PreferenceChangeEntry(String fieldName, String oldValue, String newValue) {
        this.fieldName = fieldName;
        this.oldValue = oldValue;
        this.newValue = newValue;

    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getOldValue() {
        return oldValue;
    }

    public void setOldValue(String oldValue) {
        this.oldValue = oldValue;
    }

    public String getNewValue() {
        return newValue;
    }

    public void setNewValue(String newValue) {
        this.newValue = newValue;
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof PreferenceChangeEntry)) {
            return false;
        }

        PreferenceChangeEntry comment = (PreferenceChangeEntry) o;

        if (fieldName != null ? !fieldName.equals(comment.fieldName) : comment.fieldName != null) {
            return false;
        }
        if (oldValue != null ? !oldValue.equals(comment.oldValue) : comment.oldValue != null) {
            return false;
        }
        if (newValue != null ? !newValue.equals(comment.newValue) : comment.newValue != null) {
            return false;
        }


        return true;
    }

    @Override
    public int hashCode() {
        int result = fieldName != null ? fieldName.hashCode() : 0;
        result = 31 * result + (oldValue != null ? oldValue.hashCode() : 0);
        result = 31 * result + (newValue != null ? newValue.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("content", fieldName)
            .add("oldValue", oldValue)
            .add("newValue", newValue)
            .toString();
    }

}
