package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

public class SMS {
    @JsonProperty
    private String message;

    @JsonProperty
    private String phoneNumber;

    public SMS() {
    }

    public SMS(String phoneNumber, String message) {
        this.phoneNumber = phoneNumber;
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public SMS withMessage(String message) {
        this.message = message;
        return this;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public SMS withPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof SMS)) {
            return false;
        }

        SMS sms = (SMS) o;

        if (message != null ? !message.equals(sms.message) : sms.message != null) {
            return false;
        }
        if (phoneNumber != null ? !phoneNumber.equals(sms.phoneNumber) : sms.phoneNumber != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = message != null ? message.hashCode() : 0;
        result = 31 * result + (phoneNumber != null ? phoneNumber.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("message", message)
            .add("phoneNumber", phoneNumber)
            .toString();
    }
}
