package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

public class ThroughMessage extends MongoDocumentBase {

    @JsonProperty
    private String id;

    @JsonProperty
    private String text;

    public ThroughMessage() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof ThroughMessage)) {
            return false;
        }

        ThroughMessage message = (ThroughMessage) o;

        if (id != null ? !id.equals(message.id) : message.id != null) {
            return false;
        }
        if (text != null ? !text.equals(message.text) : message.text != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = id != null ? id.hashCode() : 0;
        result = 31 * result + (text != null ? text.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("id", id)
            .add("text", text)
            .toString();
    }

}
