package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.google.common.base.Objects;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "uniqueId",
    "assigningAuthority"
})
public class UserIdentifier extends MongoDocumentBase {

    @JsonProperty("uniqueId")
    private String uniqueId;
    @JsonProperty("assigningAuthority")
    private String assigningAuthority;

    @JsonProperty("uniqueId")
    public String getUniqueId() {
        return uniqueId;
    }

    @JsonProperty("uniqueId")
    public void setUniqueId(String uniqueId) {
        this.uniqueId = uniqueId;
    }

    public UserIdentifier withUniqueId(String uniqueId) {
        this.uniqueId = uniqueId;
        return this;
    }

    @JsonProperty("assigningAuthority")
    public String getAssigningAuthority() {
        return assigningAuthority;
    }

    @JsonProperty("assigningAuthority")
    public void setAssigningAuthority(String assigningAuthority) {
        this.assigningAuthority = assigningAuthority;
    }

    public UserIdentifier withAssigningAuthority(String assigningAuthority) {
        this.assigningAuthority = assigningAuthority;
        return this;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof UserIdentifier)) {
            return false;
        }

        UserIdentifier that = (UserIdentifier) o;

        if (assigningAuthority != null ? !assigningAuthority.equals(that.assigningAuthority) : that.assigningAuthority != null) {
            return false;
        }
        if (uniqueId != null ? !uniqueId.equals(that.uniqueId) : that.uniqueId != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = uniqueId != null ? uniqueId.hashCode() : 0;
        result = 31 * result + (assigningAuthority != null ? assigningAuthority.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("uniqueId", uniqueId)
            .add("assigningAuthority", assigningAuthority)
            .toString();
    }
}