package gov.va.mobilehealth.courier.core.protocol;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

public class ChangeEntry {

    @JsonProperty
    private String fieldName;

    @JsonProperty
    private String oldValue;

    @JsonProperty
    private String newValue;

    @JsonProperty
    private String source;

    public ChangeEntry() {
    }

    public ChangeEntry(String fieldName, String oldValue, String newValue, String source) {
        this.fieldName = fieldName;
        this.oldValue = oldValue;
        this.newValue = newValue;
        this.source = source;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getOldValue() {
        return oldValue;
    }

    public void setOldValue(String oldValue) {
        this.oldValue = oldValue;
    }

    public String getNewValue() {
        return newValue;
    }

    public void setNewValue(String newValue) {
        this.newValue = newValue;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof ChangeEntry)) {
            return false;
        }

        ChangeEntry comment = (ChangeEntry) o;

        if (fieldName != null ? !fieldName.equals(comment.fieldName) : comment.fieldName != null) {
            return false;
        }
        if (oldValue != null ? !oldValue.equals(comment.oldValue) : comment.oldValue != null) {
            return false;
        }
        if (newValue != null ? !newValue.equals(comment.newValue) : comment.newValue != null) {
            return false;
        }
        if (source != null ? !source.equals(comment.source) : comment.source != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = fieldName != null ? fieldName.hashCode() : 0;
        result = 31 * result + (oldValue != null ? oldValue.hashCode() : 0);
        result = 31 * result + (newValue != null ? newValue.hashCode() : 0);
        result = 31 * result + (source != null ? source.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("content", fieldName)
            .add("oldValue", oldValue)
            .add("newValue", newValue)
            .add("source", source)
            .toString();
    }

}
