package gov.va.mobilehealth.courier.core.protocol;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;

import java.util.ArrayList;
import java.util.List;

public class Comment {

    @JsonProperty
    private String content;

    @JsonProperty
    private String user;

    @JsonProperty
    private String time;

    @JsonProperty
    private String date;

    @JsonProperty
    private List<ChangeEntry> changes = new ArrayList<ChangeEntry>();

    public Comment() {
    }

    public Comment(String user, String date, String time) {
        this.user = user;
        this.date = date;
        this.time = time;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public List<ChangeEntry> getChanges() {
        return changes;
    }

    public void setChanges(List<ChangeEntry> changes) {
        this.changes = changes;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof Comment)) {
            return false;
        }

        Comment comment = (Comment) o;

        if (content != null ? !content.equals(comment.content) : comment.content != null) {
            return false;
        }
        if (time != null ? !time.equals(comment.time) : comment.time != null) {
            return false;
        }
        if (date != null ? !date.equals(comment.date) : comment.date != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = content != null ? content.hashCode() : 0;
        result = 31 * result + (time != null ? time.hashCode() : 0);
        result = 31 * result + (date != null ? date.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("content", content)
            .add("time", time)
            .add("date", date)
            .toString();
    }

}
