package gov.va.mobilehealth.courier.core.protocol;

import com.fasterxml.jackson.annotation.JsonValue;

public enum PatientProtocolStatus {
    ACTIVE("Active"),
    REMOVED("Removed"),
    EXPIRED("Expired"),
    STOPPED("Stopped"),
    PAUSED("Paused"),
    RESUME("Resumed");


    private String content;

    private PatientProtocolStatus(String content) {
        this.content = content;
    }

    public static PatientProtocolStatus getEnum(String value) {
        if (value == null) {
            throw new IllegalArgumentException();
        }
        for (PatientProtocolStatus v : values()) {
            if (value.equalsIgnoreCase(v.getContent())) {
                return v;
            }
        }
        throw new IllegalArgumentException();
    }

    String getContent() {
        return content;
    }

    int value() {
        return ordinal() + 1;
    }

    @Override
    @JsonValue
    public String toString() {
        return this.content;
    }
}
