package gov.va.mobilehealth.courier.core.protocol;

import com.fasterxml.jackson.annotation.JsonValue;

public enum PatientResponseStatus {
    CRITICAL("critical"),
    WARNING("warning"),
    NORMAL("normal"),
    UNDECIDED("undecided");


    private String content;

    private PatientResponseStatus(String content) {
        this.content = content;
    }

    public static PatientResponseStatus getEnum(String value) {
        if (value == null) {
            throw new IllegalArgumentException();
        }
        for (PatientResponseStatus v : values()) {
            if (value.equalsIgnoreCase(v.getContent())) {
                return v;
            }
        }
        throw new IllegalArgumentException();
    }

    String getContent() {
        return content;
    }

    int value() {
        return ordinal() + 1;
    }

    @Override
    @JsonValue
    public String toString() {
        return this.content;
    }
}
