package gov.va.mobilehealth.courier.core.protocol;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.google.common.base.Objects;

import java.util.ArrayList;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "low",
    "high"
})
public class ReadingThreshold {

    @JsonProperty("low")
    private Float low;
    @JsonProperty("high")
    private Float high;

    public ReadingThreshold() {
    }

    public ReadingThreshold(Float low, Float high) {
        this.high = high;
        this.low = low;
    }

    public ReadingThreshold(float low, float high) {
        this.high = high;
        this.low = low;
    }

    @JsonProperty("low")
    public Float getLow() {
        return low;
    }

    @JsonProperty("low")
    public void setLow(Float low) {
        this.low = low;
    }

    @JsonProperty("high")
    public Float getHigh() {
        return high;
    }

    @JsonProperty("high")
    public void setHigh(Float high) {
        this.high = high;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof ReadingThreshold)) {
            return false;
        }

        ReadingThreshold that = (ReadingThreshold) o;

        if (high != null ? !high.equals(that.high) : that.high != null) {
            return false;
        }
        if (low != null ? !low.equals(that.low) : that.low != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = low.hashCode();
        result = 31 * result + high.hashCode();
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("low", low)
            .add("high", high)
            .toString();
    }

    public List<ChangeEntry> findChange(String fieldName, Object o, List<ChangeEntry> foundSoFar, String source) {
        if (o == null) {
            o = new ReadingThreshold();
        }
        if (o != null && (o instanceof ReadingThreshold)) {
            if (foundSoFar == null) {
                foundSoFar = new ArrayList<ChangeEntry>();
            }
            ReadingThreshold oldObject = (ReadingThreshold) o;
            fieldName = fieldName + ".";

            foundSoFar = Template.findChange(fieldName + "low", oldObject.low, this.low, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "high", oldObject.high, this.high, foundSoFar, source);
        }
        return foundSoFar;
    }

}
