package gov.va.mobilehealth.courier.core.protocol;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.google.common.base.Objects;
import gov.va.mobilehealth.courier.core.protocol.schedule.TypeOnce;

import java.util.ArrayList;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "acceptUnscheduledReading",
    "scheduleType",
    "scheduleTime",
    "isStartTimeRelative",
    "relativeStartTime",
    "isEndTimeRelative",
    "relativeEndTime",
    "reminderNumber",
    "reminderInterval",
    "breach"
})
public class Schedule {

    @JsonProperty("acceptUnscheduledReading")
    private boolean acceptUnscheduledReading;
    @JsonProperty("scheduleType")
    private ScheduleType scheduleType;
    @JsonProperty("scheduleTime")
    private ScheduleTime scheduleTime;
    @JsonProperty("isStartTimeRelative")
    private boolean isStartTimeRelative;
    @JsonProperty("relativeStartTime")
    private TimeInterval relativeStartTime;
    @JsonProperty("isEndTimeRelative")
    private boolean isEndTimeRelative;
    @JsonProperty("relativeEndTime")
    private TimeInterval relativeEndTime;
    @JsonProperty("reminderNumber")
    private Integer reminderNumber;
    @JsonProperty("reminderInterval")
    private TimeInterval reminderInterval;
    @JsonProperty("breach")
    private Breach breach;

    @JsonProperty("acceptUnscheduledReading")
    public boolean isAcceptUnscheduledReading() {
        return acceptUnscheduledReading;
    }

    @JsonProperty("acceptUnscheduledReading")
    public void setAcceptUnscheduledReading(boolean acceptUnscheduledReading) {
        this.acceptUnscheduledReading = acceptUnscheduledReading;
    }

    @JsonProperty("scheduleType")
    public ScheduleType getScheduleType() {
        return scheduleType;
    }

    @JsonProperty("scheduleType")
    public void setScheduleType(ScheduleType scheduleType) {
        this.scheduleType = scheduleType;
    }

    @JsonProperty("scheduleTime")
    public ScheduleTime getScheduleTime() {
        return scheduleTime;
    }

    @JsonProperty("scheduleTime")
    public void setScheduleTime(ScheduleTime scheduleTime) {
        this.scheduleTime = scheduleTime;
    }

    @JsonProperty("isStartTimeRelative")
    public boolean isIsStartTimeRelative() {
        return isStartTimeRelative;
    }

    @JsonProperty("isStartTimeRelative")
    public void setIsStartTimeRelative(boolean isStartTimeRelative) {
        this.isStartTimeRelative = isStartTimeRelative;
    }

    @JsonProperty("relativeStartTime")
    public TimeInterval getRelativeStartTime() {
        return relativeStartTime;
    }

    @JsonProperty("relativeStartTime")
    public void setRelativeStartTime(TimeInterval relativeStartTime) {
        this.relativeStartTime = relativeStartTime;
    }

    @JsonProperty("isEndTimeRelative")
    public boolean isIsEndTimeRelative() {
        return isEndTimeRelative;
    }

    @JsonProperty("isEndTimeRelative")
    public void setIsEndTimeRelative(boolean isEndTimeRelative) {
        this.isEndTimeRelative = isEndTimeRelative;
    }

    @JsonProperty("relativeEndTime")
    public TimeInterval getRelativeEndTime() {
        return relativeEndTime;
    }

    @JsonProperty("relativeEndTime")
    public void setRelativeEndTime(TimeInterval relativeEndTime) {
        this.relativeEndTime = relativeEndTime;
    }

    @JsonProperty("reminderNumber")
    public Integer getReminderNumber() {
        return reminderNumber;
    }

    @JsonProperty("reminderNumber")
    public void setReminderNumber(Integer reminderNumber) {
        this.reminderNumber = reminderNumber;
    }

    @JsonProperty("reminderInterval")
    public TimeInterval getReminderInterval() {
        return reminderInterval;
    }

    @JsonProperty("reminderInterval")
    public void setReminderInterval(TimeInterval reminderInterval) {
        this.reminderInterval = reminderInterval;
    }

    @JsonProperty("breach")
    public Breach getBreach() {
        return breach;
    }

    @JsonProperty("breach")
    public void setBreach(Breach breach) {
        this.breach = breach;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof Schedule)) {
            return false;
        }

        Schedule schedule = (Schedule) o;

        if (acceptUnscheduledReading != schedule.acceptUnscheduledReading) {
            return false;
        }
        if (isEndTimeRelative != schedule.isEndTimeRelative) {
            return false;
        }
        if (isStartTimeRelative != schedule.isStartTimeRelative) {
            return false;
        }
        if (reminderNumber != null ? !reminderNumber.equals(schedule.reminderNumber) : schedule.reminderNumber != null) {
            return false;
        }
        if (breach != null ? !breach.equals(schedule.breach) : schedule.breach != null) {
            return false;
        }
        if (relativeEndTime != null ? !relativeEndTime.equals(schedule.relativeEndTime) : schedule.relativeEndTime != null) {
            return false;
        }
        if (relativeStartTime != null ? !relativeStartTime.equals(schedule.relativeStartTime) : schedule.relativeStartTime != null) {
            return false;
        }
        if (reminderInterval != null ? !reminderInterval.equals(schedule.reminderInterval) : schedule.reminderInterval != null) {
            return false;
        }
        if (scheduleTime != null ? !scheduleTime.equals(schedule.scheduleTime) : schedule.scheduleTime != null) {
            return false;
        }
        if (scheduleType != null ? !scheduleType.equals(schedule.scheduleType) : schedule.scheduleType != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = (acceptUnscheduledReading ? 1 : 0);
        result = 31 * result + (scheduleType != null ? scheduleType.hashCode() : 0);
        result = 31 * result + (scheduleTime != null ? scheduleTime.hashCode() : 0);
        result = 31 * result + (isStartTimeRelative ? 1 : 0);
        result = 31 * result + (relativeStartTime != null ? relativeStartTime.hashCode() : 0);
        result = 31 * result + (isEndTimeRelative ? 1 : 0);
        result = 31 * result + (relativeEndTime != null ? relativeEndTime.hashCode() : 0);
        result = 31 * result + reminderNumber;
        result = 31 * result + (reminderInterval != null ? reminderInterval.hashCode() : 0);
        result = 31 * result + (breach != null ? breach.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("acceptUnscheduledReading", acceptUnscheduledReading)
            .add("scheduleType", scheduleType)
            .add("scheduleTime", scheduleTime)
            .add("isStartTimeRelative", isStartTimeRelative)
            .add("relativeStartTime", relativeStartTime)
            .add("isEndTimeRelative", isEndTimeRelative)
            .add("relativeEndTime", relativeEndTime)
            .add("reminderNumber", reminderNumber)
            .add("reminderInterval", reminderInterval)
            .add("breach", breach)
            .toString();
    }

    public List<ChangeEntry> findChange(String fieldName, Object o, List<ChangeEntry> foundSoFar, String source) {
        if (o == null) {
            o = new Schedule();
        }
        if (o != null && (o instanceof Schedule)) {
            if (foundSoFar == null) {
                foundSoFar = new ArrayList<ChangeEntry>();
            }
            Schedule oldObject = (Schedule) o;
            fieldName = fieldName + ".";

            foundSoFar = Template.findChange(fieldName + "acceptUnscheduledReading", oldObject.acceptUnscheduledReading, this.acceptUnscheduledReading, foundSoFar, source);
            if (this.scheduleType == null) {
                this.scheduleType = new TypeOnce();
            }
            foundSoFar = this.scheduleType.findChange(fieldName + "scheduleType", oldObject.scheduleType, foundSoFar, source);
            if (this.scheduleTime == null) {
                this.scheduleTime = new ScheduleTime();
            }
            foundSoFar = this.scheduleTime.findChange(fieldName + "scheduleTime", oldObject.scheduleTime, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "isStartTimeRelative", oldObject.isStartTimeRelative, this.isStartTimeRelative, foundSoFar, source);
            foundSoFar = this.relativeStartTime.findChange(fieldName + "relativeStartTime", oldObject.relativeStartTime, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "isEndTimeRelative", oldObject.isEndTimeRelative, this.isEndTimeRelative, foundSoFar, source);
            foundSoFar = this.relativeEndTime.findChange(fieldName + "relativeEndTime", oldObject.relativeEndTime, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "reminderNumber", oldObject.reminderNumber, this.reminderNumber, foundSoFar, source);
            foundSoFar = this.reminderInterval.findChange(fieldName + "reminderInterval", oldObject.reminderInterval, foundSoFar, source);
            if (this.breach == null) {
                this.breach = new Breach();
            }
            foundSoFar = this.breach.findChange(fieldName + "breach", oldObject.breach, foundSoFar, source);
        }
        return foundSoFar;
    }
}
