package gov.va.mobilehealth.courier.core.protocol;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import com.google.common.base.Objects;
import gov.va.mobilehealth.courier.core.protocol.schedule.TypeOnce;

import java.util.ArrayList;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "name"
})
@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, include = JsonTypeInfo.As.PROPERTY, property = "@class")
public abstract class ScheduleType {

    @JsonProperty("name")
    protected String name;
    @JsonProperty("description")
    protected String description;

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("description")
    public String getDescription() {
        return generateDescription();
    }

    @JsonProperty("description")
    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof ScheduleType)) {
            return false;
        }

        ScheduleType that = (ScheduleType) o;

        if (name != null ? !name.equals(that.name) : that.name != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        return name != null ? name.hashCode() : 0;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("name", name)
            .toString();
    }

    public List<ChangeEntry> findChange(String fieldName, Object o, List<ChangeEntry> foundSoFar, String source) {
        if (o == null) {
            o = new TypeOnce();
        }
        if (o != null && (o instanceof ScheduleType)) {
            if (foundSoFar == null) {
                foundSoFar = new ArrayList<ChangeEntry>();
            }
            ScheduleType oldObject = (ScheduleType) o;

            boolean same = this.getClass().equals(o.getClass());

            if (!same) {
                foundSoFar.add(new ChangeEntry(fieldName + ".name", oldObject.name, this.name, source));
                foundSoFar = findChangeDetails(fieldName, null, foundSoFar, source);
            } else {
                foundSoFar = findChangeDetails(fieldName, o, foundSoFar, source);
            }
        }
        return foundSoFar;
    }

    public abstract List<ChangeEntry> findChangeDetails(String fieldName, Object o, List<ChangeEntry> foundSoFar, String source);

    public abstract String generateDescription();
}
