package gov.va.mobilehealth.courier.core.protocol;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.ObjectCodec;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.node.NullNode;

import java.io.IOException;

public class TimeIntervalUnitDeserializer extends JsonDeserializer<TimeIntervalUnit> {
    @Override
    public TimeIntervalUnit deserialize(JsonParser jsonParser, DeserializationContext deserializationContext) throws IOException {
        ObjectCodec oc = jsonParser.getCodec();
        JsonNode unit = oc.readTree(jsonParser);
        
        TimeIntervalUnit newUnit = null;
        if (unit != null && !(unit instanceof NullNode) && !"".equals(unit.textValue())) {
            newUnit = TimeIntervalUnit.valueOf(unit.textValue());
        }
        
        return newUnit;
    }
}
