package gov.va.mobilehealth.courier.core.protocol.dictionary;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;
import gov.va.mobilehealth.courier.core.MongoDocumentBase;

import java.util.ArrayList;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class Dictionary extends MongoDocumentBase {

    @JsonProperty("services")
    private List<ServiceDictionary> services = new ArrayList<ServiceDictionary>();
    @JsonProperty("schedule")
    private Schedule schedule;
    @JsonProperty("timeZones")
    private List<TimeZone> timeZones = new ArrayList<TimeZone>();

    public Dictionary() {
    }

    @JsonProperty("services")
    public List<ServiceDictionary> getServices() {
        return services;
    }

    @JsonProperty("services")
    public void setServices(List<ServiceDictionary> services) {
        this.services = services;
    }

    @JsonProperty("schedule")
    public Schedule getSchedule() {
        return schedule;
    }

    @JsonProperty("schedule")
    public void setSchedule(Schedule schedule) {
        this.schedule = schedule;
    }

    @JsonProperty("timeZones")
    public List<TimeZone> getTimeZones() {
        return timeZones;
    }

    @JsonProperty("timeZones")
    public void setTimeZones(List<TimeZone> timeZones) {
        this.timeZones = timeZones;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof Dictionary)) {
            return false;
        }

        Dictionary template = (Dictionary) o;

        if (schedule != null ? !schedule.equals(template.schedule) : template.schedule != null) {
            return false;
        }
        if (services != null ? !services.equals(template.services) : template.services != null) {
            return false;
        }
        if (timeZones != null ? !timeZones.equals(template.timeZones) : template.timeZones != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = (services != null ? services.hashCode() : 0);
        result = 31 * result + (schedule != null ? schedule.hashCode() : 0);
        result = 31 * result + (timeZones != null ? timeZones.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("services", services)
            .add("schedule", schedule)
            .add("timeZones", timeZones)
            .toString();
    }
}
