package gov.va.mobilehealth.courier.core.protocol.dictionary;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.google.common.base.Objects;
import gov.va.mobilehealth.courier.core.MongoDocumentBase;
import gov.va.mobilehealth.courier.core.protocol.Reading;

import java.util.ArrayList;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "name",
    "readings",
    "keywords"
})

public class ServiceDictionary extends MongoDocumentBase implements DictionaryItem {

    @JsonProperty("name")
    private String name;
    @JsonProperty("readings")
    private List<Reading> readings = new ArrayList<Reading>();
    @JsonProperty("keywords")
    private List<String> keywords = new ArrayList<String>();


    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("readings")
    public List<Reading> getReadings() {
        return readings;
    }

    @JsonProperty("readings")
    public void setReadings(List<Reading> readings) {
        this.readings = readings;
    }


    @JsonProperty("keywords")
    public List<String> getKeywords() {
        return keywords;
    }

    @JsonProperty("keywords")
    public void setKeywords(List<String> keywords) {
        this.keywords = keywords;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof ServiceDictionary)) {
            return false;
        }

        ServiceDictionary service = (ServiceDictionary) o;

        if (name != null ? !name.equals(service.name) : service.name != null) {
            return false;
        }
        if (keywords != null ? !keywords.equals(service.keywords) : service.keywords != null) {
            return false;
        }
        if (readings != null ? !readings.equals(service.readings) : service.readings != null) {
            return false;
        }

        if (id != null ? !id.equals(service.id) : service.id != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = id != null ? id.hashCode() : 0;
        result = 31 * result + (name != null ? name.hashCode() : 0);
        result = 31 * result + (readings != null ? readings.hashCode() : 0);
        result = 31 * result + (keywords != null ? keywords.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("serviceId", id)
            .add("name", name)
            .add("readings", readings)
            .add("pattern", keywords)
            .toString();
    }
}
