package gov.va.mobilehealth.courier.core.protocol.dictionary;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import gov.va.mobilehealth.courier.core.MongoDocumentBase;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "value",
    "description"

})

public class TimeZone extends MongoDocumentBase implements DictionaryItem {


    @JsonProperty("value")
    String value;

    @JsonProperty("description")
    String description;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof TimeZone)) {
            return false;
        }

        TimeZone timeZone = (TimeZone) o;

        if (description != null ? !description.equals(timeZone.description) : timeZone.description != null) {
            return false;
        }
        if (value != null ? !value.equals(timeZone.value) : timeZone.value != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = value != null ? value.hashCode() : 0;
        result = 31 * result + (description != null ? description.hashCode() : 0);
        return result;
    }

    public String getDescription() {

        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
