package gov.va.mobilehealth.courier.core.protocol.schedule;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;
import gov.va.mobilehealth.courier.core.protocol.ChangeEntry;
import gov.va.mobilehealth.courier.core.protocol.ScheduleType;
import gov.va.mobilehealth.courier.core.protocol.Template;

import java.util.ArrayList;
import java.util.List;

public class TypeDaysOfWeek extends ScheduleType {

    @JsonProperty("monday")
    private boolean monday;
    @JsonProperty("tuesday")
    private boolean tuesday;
    @JsonProperty("wednesday")
    private boolean wednesday;
    @JsonProperty("thursday")
    private boolean thursday;
    @JsonProperty("friday")
    private boolean friday;
    @JsonProperty("saturday")
    private boolean saturday;
    @JsonProperty("sunday")
    private boolean sunday;

    public TypeDaysOfWeek() {
    }

    @JsonProperty("monday")
    public boolean isMonday() {
        return monday;
    }

    @JsonProperty("monday")
    public void setMonday(boolean monday) {
        this.monday = monday;
    }

    public TypeDaysOfWeek withMonday(boolean monday) {
        this.monday = monday;
        return this;
    }

    @JsonProperty("tuesday")
    public boolean isTuesday() {
        return tuesday;
    }

    @JsonProperty("tuesday")
    public void setTuesday(boolean tuesday) {
        this.tuesday = tuesday;
    }

    public TypeDaysOfWeek withTuesday(boolean tuesday) {
        this.tuesday = tuesday;
        return this;
    }

    @JsonProperty("wednesday")
    public boolean isWednesday() {
        return wednesday;
    }

    @JsonProperty("wednesday")
    public void setWednesday(boolean wednesday) {
        this.wednesday = wednesday;
    }

    public TypeDaysOfWeek withWednesday(boolean wednesday) {
        this.wednesday = wednesday;
        return this;
    }

    @JsonProperty("thursday")
    public boolean isThursday() {
        return thursday;
    }

    @JsonProperty("thursday")
    public void setThursday(boolean thursday) {
        this.thursday = thursday;
    }

    public TypeDaysOfWeek withThursday(boolean thursday) {
        this.thursday = thursday;
        return this;
    }

    @JsonProperty("friday")
    public boolean isFriday() {
        return friday;
    }

    @JsonProperty("friday")
    public void setFriday(boolean friday) {
        this.friday = friday;
    }

    public TypeDaysOfWeek withFriday(boolean friday) {
        this.friday = friday;
        return this;
    }

    @JsonProperty("saturday")
    public boolean isSaturday() {
        return saturday;
    }

    @JsonProperty("saturday")
    public void setSaturday(boolean saturday) {
        this.saturday = saturday;
    }

    public TypeDaysOfWeek withSaturday(boolean saturday) {
        this.saturday = saturday;
        return this;
    }

    @JsonProperty("sunday")
    public boolean isSunday() {
        return sunday;
    }

    @JsonProperty("sunday")
    public void setSunday(boolean sunday) {
        this.sunday = sunday;
    }

    public TypeDaysOfWeek withSunday(boolean sunday) {
        this.sunday = sunday;
        return this;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof TypeDaysOfWeek)) {
            return false;
        }

        TypeDaysOfWeek that = (TypeDaysOfWeek) o;

        if (friday != that.friday) {
            return false;
        }
        if (monday != that.monday) {
            return false;
        }
        if (saturday != that.saturday) {
            return false;
        }
        if (sunday != that.sunday) {
            return false;
        }
        if (thursday != that.thursday) {
            return false;
        }
        if (tuesday != that.tuesday) {
            return false;
        }
        if (wednesday != that.wednesday) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = (monday ? 1 : 0);
        result = 31 * result + (tuesday ? 1 : 0);
        result = 31 * result + (wednesday ? 1 : 0);
        result = 31 * result + (thursday ? 1 : 0);
        result = 31 * result + (friday ? 1 : 0);
        result = 31 * result + (saturday ? 1 : 0);
        result = 31 * result + (sunday ? 1 : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("monday", monday)
            .add("tuesday", tuesday)
            .add("wednesday", wednesday)
            .add("thursday", thursday)
            .add("friday", friday)
            .add("saturday", saturday)
            .add("sunday", sunday)
            .toString();
    }

    @Override
    public List<ChangeEntry> findChangeDetails(String fieldName, Object o, List<ChangeEntry> foundSoFar, String source) {
        if (o == null) {
            o = new TypeDaysOfWeek();
        }
        if (o != null && (o instanceof TypeDaysOfWeek)) {
            if (foundSoFar == null) {
                foundSoFar = new ArrayList<ChangeEntry>();
            }
            TypeDaysOfWeek oldObject = (TypeDaysOfWeek) o;
            fieldName = fieldName + ".";

            foundSoFar = Template.findChange(fieldName + "monday", oldObject.monday, this.monday, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "tuesday", oldObject.tuesday, this.tuesday, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "wednesday", oldObject.wednesday, this.wednesday, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "thursday", oldObject.thursday, this.thursday, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "friday", oldObject.friday, this.friday, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "saturday", oldObject.saturday, this.saturday, foundSoFar, source);
            foundSoFar = Template.findChange(fieldName + "sunday", oldObject.sunday, this.sunday, foundSoFar, source);
        }
        return foundSoFar;
    }

    @Override
    public String generateDescription() {
        String description = "";
        if (this.sunday) {
            description = addComma(description) + "Sun.";
        }
        if (this.monday) {
            description = addComma(description) + "Mon.";
        }
        if (this.tuesday) {
            description = addComma(description) + "Tue.";
        }
        if (this.wednesday) {
            description = addComma(description) + "Wed.";
        }
        if (this.thursday) {
            description = addComma(description) + "Thu.";
        }
        if (this.friday) {
            description = addComma(description) + "Fri.";
        }
        if (this.saturday) {
            description = addComma(description) + "Sat.";
        }

        return description;
    }

    public String addComma(String description) {
        if (description.isEmpty()) {
            return description;
        } else {
            return description + ", ";
        }
    }
}
