package gov.va.mobilehealth.courier.core.protocol.schedule;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.common.base.Objects;
import gov.va.mobilehealth.courier.core.protocol.ChangeEntry;
import gov.va.mobilehealth.courier.core.protocol.ScheduleType;
import gov.va.mobilehealth.courier.core.protocol.TimeInterval;

import java.util.ArrayList;
import java.util.List;

public class TypeEverySoMany extends ScheduleType {
    @JsonProperty("interval")
    private TimeInterval interval;

    public TypeEverySoMany() {
    }

    @JsonProperty("interval")
    public TimeInterval getInterval() {
        return interval;
    }

    @JsonProperty("interval")
    public void setInterval(TimeInterval interval) {
        this.interval = interval;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof TypeEverySoMany)) {
            return false;
        }
        if (!super.equals(o)) {
            return false;
        }

        TypeEverySoMany that = (TypeEverySoMany) o;

        if (interval != null ? !interval.equals(that.interval) : that.interval != null) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = super.hashCode();
        result = 31 * result + (interval != null ? interval.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
            .add("interval", interval)
            .toString();
    }

    @Override
    public List<ChangeEntry> findChangeDetails(String fieldName, Object o, List<ChangeEntry> foundSoFar, String source) {
        if (o == null) {
            o = new TypeEverySoMany();
        }
        if (o != null && (o instanceof TypeEverySoMany)) {
            if (foundSoFar == null) {
                foundSoFar = new ArrayList<ChangeEntry>();
            }
            TypeEverySoMany oldObject = (TypeEverySoMany) o;
            fieldName = fieldName + ".";

            foundSoFar = this.interval.findChange(fieldName + "interval", oldObject.interval, foundSoFar, source);
        }
        return foundSoFar;
    }

    @Override
    public String generateDescription() {
        String description = "Every " + this.interval.getValue() + " " + this.interval.getUnit().toString().toLowerCase();

        return description;
    }
}
