package gov.va.mobilehealth.courier.core;

import com.fasterxml.jackson.databind.ObjectMapper;
import gov.va.mobilehealth.cms.jackson.Jackson;
import org.junit.Test;

import static gov.va.mobilehealth.courier.testing.FixtureHelpers.fixture;
import static org.fest.assertions.api.Assertions.assertThat;

public class SMSTest {
    private static final ObjectMapper MAPPER = Jackson.newObjectMapper();

    @Test
    public void serializesToJSON() throws Exception {
        final SMS sms = new SMS("1234567890", "message");
        assertThat(
            MAPPER.writeValueAsString(sms)).
            isEqualTo(MAPPER.writeValueAsString(MAPPER.readValue(fixture("fixtures/sms.json"), SMS.class)));
    }

    @Test
    public void deserializesFromJSON() throws Exception {
        final SMS sms = new SMS("1234567890", "message");
        assertThat(
            MAPPER.readValue(fixture("fixtures/sms.json"), SMS.class)).
            isEqualTo(sms);
    }
}
