package gov.va.mobilehealth.courier.core.protocol;

import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;

import gov.va.mobilehealth.cms.jackson.Jackson;
import gov.va.mobilehealth.courier.core.Patient;
import gov.va.mobilehealth.courier.core.PatientPreferenceAuditTrail;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

import static gov.va.mobilehealth.courier.testing.FixtureHelpers.fixture;
import static org.fest.assertions.api.Assertions.assertThat;

public class PatientAuditHistoryCompareTest {
  private static final ObjectMapper MAPPER = Jackson.newObjectMapper();
  private static final Logger LOGGER = LoggerFactory.getLogger(PatientAuditHistoryCompareTest.class);

  @Test
  public void compareTest() throws Exception {
    final List<Patient> patients = MAPPER.readValue(
      fixture("fixtures/patientAuditTrailCompare.json"),
      new TypeReference<List<Patient>>() {
      }
    );

    PatientPreferenceAuditTrail patientPreferenceAuditTrail = new PatientPreferenceAuditTrail();
    patientPreferenceAuditTrail.addAuditTrail(patients.get(0), patients.get(1), "01-01-2015", "16:05:57", "test", patients.get(0).getId());
    
    String a = MAPPER.writeValueAsString(patientPreferenceAuditTrail);

    PatientPreferenceAuditTrail expected = MAPPER.readValue(
      fixture("fixtures/patientAuditTrailCompareResult.json"),
      new TypeReference<PatientPreferenceAuditTrail>() {
      }
    );

    assertThat(patientPreferenceAuditTrail).isEqualTo(expected);
  }

}
