package gov.va.mobilehealth.courier.bcm.appointments.scheduler;

import com.mongodb.MongoClient;
import gov.va.mobilehealth.courier.core.Patient;
import gov.va.mobilehealth.courier.db.PatientDaoTestHelper;
import gov.va.mobilehealth.courier.helper.QuartzScheduleFactoryTestHelper;
import gov.va.mobilehealth.courier.utils.MongoDBConnection;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import org.quartz.SchedulerException;

import java.io.IOException;

public class InitiateAllAppointmentRemindersWorkerTest {

  private static MongoClient mongoClient;

  @BeforeClass
  public static void setup() throws IOException, SchedulerException {
    QuartzScheduleFactoryTestHelper.initTestScheduler();
    MongoDBConnection.init("mongodb://localhost", "courier");
    mongoClient = new MongoClient();
  }

  @Before
  public void setUp() throws Exception {
    mongoClient.getDB("courier").getCollection("patients").drop();
  }

  @AfterClass
  public static void tearDown() {
    MongoDBConnection.close();
  }

  @Test
  public void canExecute() throws IOException {
    Patient patient = PatientDaoTestHelper.getPatient();
    patient.getPreference().setReceiveApptReminder(true);
    PatientDaoTestHelper.updatePatient(patient);

    InitiateAllAppointmentRemindersWorker worker = new InitiateAllAppointmentRemindersWorker();
    worker.execute();
  }
}
