package gov.va.mobilehealth.courier.bcm.appointments.scheduler;

import com.mongodb.MongoClient;
import gov.va.mobilehealth.courier.core.Patient;
import gov.va.mobilehealth.courier.core.UserIdentifier;
import gov.va.mobilehealth.courier.db.PatientDaoTestHelper;
import gov.va.mobilehealth.courier.helper.MockMessageProducer;
import gov.va.mobilehealth.courier.utils.MongoDBConnection;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import java.io.IOException;

public class SendAppointmentReminderWorkerTest {

  private static MongoClient mongoClient;

  @BeforeClass
  public static void setup() throws IOException {
    MongoDBConnection.init("mongodb://localhost", "courier");
    mongoClient = new MongoClient();
  }

  @Before
  public void setUp() throws Exception {
    mongoClient.getDB("courier").getCollection("patients").drop();
//    BasicDBObject index1 = new BasicDBObject("preference.phoneNumber", 1);
//    BasicDBObject option1 = new BasicDBObject("unique",true);
//    DBCollection patientsCollection = mongoClient.getDB("courier").getCollection("patients");
//    patientsCollection.ensureIndex(index1, option1);
  }

  @AfterClass
  public static void tearDown() {
    MongoDBConnection.close();
  }

  @Test
  public void canExecute() throws IOException {
    Patient patient = PatientDaoTestHelper.getPatient();
    UserIdentifier userIdentifier = patient.getPatientIdentifier();
    PatientDaoTestHelper.updatePatient(patient);

    String edipi = userIdentifier.getUniqueId();
    String message = "sample text";
    SendAppointmentReminderWorker worker = new SendAppointmentReminderWorker(new MockMessageProducer(), edipi, message);
    worker.execute();
  }
}
