package gov.va.mobilehealth.courier.db;

import gov.va.mobilehealth.courier.core.Patient;
import gov.va.mobilehealth.courier.core.PatientPreference;
import gov.va.mobilehealth.courier.core.PatientPreferenceAuditTrail;

import gov.va.mobilehealth.courier.core.PreferenceChangeEntry;
import gov.va.mobilehealth.courier.core.protocol.*;
import gov.va.mobilehealth.courier.core.protocol.ProtocolTemplateBuilder;
import gov.va.mobilehealth.courier.db.PatientPreferenceAuditTrailDAO;
import gov.va.mobilehealth.courier.core.UserIdentifier;
import gov.va.mobilehealth.courier.utils.MongoDBConnection;
import static org.fest.assertions.api.Assertions.assertThat;
import gov.va.mobilehealth.courier.utils.DateParser;

import java.io.IOException;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import com.mongodb.MongoClient;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;


public class PatientPreferenceAuditTrailDAOTest {

  private static MongoClient mongoClient;

//    PatientPreferenceAuditTrailDAO dao;



  @BeforeClass
  public static void setup() throws IOException {
    MongoDBConnection.init("mongodb://localhost", "courier");
    mongoClient = new MongoClient();
    mongoClient.getDB("courier").getCollection("patientPreferenceAuditTrailData").drop();
  }

  @AfterClass
  public static void tearDown() {
    MongoDBConnection.close();
  }


  @Test
  public void testSavePatientPreferenceAuditTrail() throws Exception {
    PatientPreferenceAuditTrailDAO dao = new PatientPreferenceAuditTrailDAO();
    Patient patient = getPatient();
    PatientPreferenceAuditTrail patientPreferenceAuditTrail = new PatientPreferenceAuditTrail();
    List<PreferenceChangeEntry> preferenceChangeEntryList = new ArrayList<PreferenceChangeEntry>();
    PreferenceChangeEntry preferenceChangeEntry = new PreferenceChangeEntry();
    preferenceChangeEntry.setFieldName("phoneNumber");
    preferenceChangeEntry.setNewValue("111-222-3333");
    preferenceChangeEntry.setOldValue("");
    preferenceChangeEntryList.add(preferenceChangeEntry);
    preferenceChangeEntry = new PreferenceChangeEntry();
    preferenceChangeEntry.setFieldName("messagingPreference");
    preferenceChangeEntry.setNewValue("secure");
    preferenceChangeEntry.setOldValue("");
    preferenceChangeEntryList.add(preferenceChangeEntry);
    String cmsUser = patient.getFirstName() + " " + patient.getLastName();
    patientPreferenceAuditTrail.setUser(cmsUser);
    patientPreferenceAuditTrail.setContent("test");
    String today = DateParser.getTodaysDate(null, null);
    String time = DateParser.getCurrentTime(null, null);
    patientPreferenceAuditTrail.setDate(today);
    patientPreferenceAuditTrail.setTime(time);
    patientPreferenceAuditTrail.setChanges(preferenceChangeEntryList);
     dao.save(patientPreferenceAuditTrail);
    List <PatientPreferenceAuditTrail> patientPreferenceAuditTrailList = new ArrayList<PatientPreferenceAuditTrail>();
    patientPreferenceAuditTrailList = dao.findByPatientIdentifier(patient.getPatientIdentifier());
    if (patientPreferenceAuditTrailList != null && patientPreferenceAuditTrailList.size() == 1) {
      PatientPreferenceAuditTrail patientPreferenceAuditTrail1 = new PatientPreferenceAuditTrail();
      patientPreferenceAuditTrail1 = patientPreferenceAuditTrailList.get(0);
      assertThat(patientPreferenceAuditTrail1.getChanges().size()).isEqualTo(2);
    }
  }
  private Patient getPatient() {
    Patient p1 = new Patient();
    p1.setFirstName("John");
    p1.setLastName("Smith");
    p1.setMiddleName("Rob");
    p1.setLastNameInitial("S");
    p1.setLast4SSN("3333");



    PatientPreference pref = new PatientPreference();
    pref.setPhoneNumber("1-123-456-7890");

    p1.setDob("1966-01-01");
    p1.setSsn("111-22-3333");
    p1.setPreference(pref);

    UserIdentifier pId = new UserIdentifier();
    pId.setAssigningAuthority("EDIPI");
    pId.setUniqueId("PATID01");
    p1.setPatientIdentifier(pId);
    return p1;
  }


}