package gov.va.mobilehealth.courier.db;

import gov.va.mobilehealth.courier.core.protocol.*;
import gov.va.mobilehealth.courier.utils.MongoDBConnection;
import static org.fest.assertions.api.Assertions.assertThat;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import com.mongodb.MongoClient;


public class ProtocolDaoTest {

    private static MongoClient mongoClient;

//    ProtocolDAO dao;

    private static String protocolId = "abcdef1234567890abcdef12";

    @BeforeClass
    public static void setup() throws IOException {
        MongoDBConnection.init("mongodb://localhost", "courier");
        mongoClient = new MongoClient();
    }

    @AfterClass
    public static void tearDown() {
        MongoDBConnection.close();
    }


    @Test
    public void testSaveOrUpdateProtocol() throws Exception {
        ProtocolDAO dao = new ProtocolDAO();

        List<Template> templates = new ArrayList<Template>();
        templates.add(ProtocolTemplateBuilder.buildProtocolTemplateWithScheduleTypeOnce());
        Protocol p1 = new Protocol();
        p1.setTemplates(templates);
        
        p1 = dao.saveOrUpdateProtocol(p1);
       
        assertThat(dao.removeProtocol(p1)).isEqualTo(1);
                     
    }
   
}
