package gov.va.mobilehealth.courier.db;

import gov.va.mobilehealth.courier.core.protocol.*;
import gov.va.mobilehealth.courier.core.protocol.ProtocolTemplateBuilder;
import gov.va.mobilehealth.courier.utils.MongoDBConnection;
import static org.fest.assertions.api.Assertions.assertThat;

import java.io.IOException;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import com.mongodb.MongoClient;


public class ProtocolTemplateDaoTest {

    private static MongoClient mongoClient;

//    ProtocolDAO dao;

    private static String protocolId = "abcdef1234567890abcdef12";

    @BeforeClass
    public static void setup() throws IOException {
        MongoDBConnection.init("mongodb://localhost", "courier");
        mongoClient = new MongoClient();
    }

    @AfterClass
    public static void tearDown() {
        MongoDBConnection.close();
    }


    @Test
    public void testSaveOrUpdateProtocol() throws Exception {
        ProtocolTemplateDAO dao = new ProtocolTemplateDAO();

        Template template = dao.saveOrUpdateProtocol(ProtocolTemplateBuilder.buildProtocolTemplateWithScheduleTypeOnce());
       
        assertThat(dao.removeProtocol(template)).isEqualTo(1);
                     
    }
   
}
