package gov.va.mobilehealth.courier;

import gov.va.mobilehealth.courier.providers.ObjectMapperProvider;
import gov.va.mobilehealth.courier.resources.*;
import gov.va.mobilehealth.courier.veteran.resources.VeteranMessageResource;
import gov.va.mobilehealth.courier.veteran.resources.VeteranResponseResource;
import gov.va.mobilehealth.courier.veteran.resources.VeteranScheduleResource;

import javax.ws.rs.core.Application;
import java.util.HashSet;
import java.util.Set;

public class CMSApplication extends Application {

  @Override
  public Set<Class<?>> getClasses() {
    final Set<Class<?>> classes = new HashSet<Class<?>>();

    // register root resources
    classes.add(BroadcastFacilityMessagesResource.class);
    classes.add(MessageReceivingResource.class);
    classes.add(PatientsResource.class);
    classes.add(ProtocolTemplatesResource.class);
    classes.add(ProtocolTemplateResource.class);
    classes.add(ProtocolsResource.class);
    classes.add(SMSResource.class);
    classes.add(RegistrationResource.class);
    classes.add(SchedulingResource.class);
    classes.add(DictionaryResource.class);
    // TODO: differentiate dev build
    classes.add(SMSMockResource.class);
    classes.add(ResourceDirectoryResource.class);
    classes.add(VetResourceDirectoryResource.class);
    // register Jackson ObjectMapper resolver
    classes.add(ObjectMapperProvider.class);
    classes.add(PatientResponseResource.class);
    classes.add(VeteranMessageResource.class);
    classes.add(VeteranResponseResource.class);
    classes.add(VeteranScheduleResource.class);
    classes.add(StaffResource.class);
    classes.add(SendMessageResource.class);
    classes.add(FacilityResource.class);

    return classes;
  }
}
