package gov.va.mobilehealth.courier.bcm.appointments;

import com.agilex.healthcare.utility.DateHelper;
import org.joda.time.DateTime;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;

/**
 * Created by clarkee on 10/30/14.
 */
public class AppointmentReminder {
  private DateTime deliveryDateTime;
  private AssessmentProfileFutureAppointment futureAppointment;
  private static final String messageContentTemplate = "On %s at %s you have an appointment at %s. If you have questions or to cancel call %s. Thanks, Annie";

  public DateTime getDeliveryDateTime() {
    return deliveryDateTime;
  }

  public void setDeliveryDateTime(DateTime deliveryDateTime) {
    this.deliveryDateTime = deliveryDateTime;
  }

  public AssessmentProfileFutureAppointment getFutureAppointment() {
    return futureAppointment;
  }

  public void setFutureAppointment(AssessmentProfileFutureAppointment futureAppointment) {
    this.futureAppointment = futureAppointment;
  }

  public String getMessageContent(){
    DateTimeFormatter appointmentTimeFormatter = DateTimeFormat.forPattern("hh:mm a");
    DateTimeFormatter appointmentDateFormatter = DateTimeFormat.forPattern("MM/dd");
    return String.format(messageContentTemplate,
      appointmentDateFormatter.print(futureAppointment.getStartDate()),
      appointmentTimeFormatter.print(futureAppointment.getStartDate()),
      futureAppointment.getFacility(),
      futureAppointment.getClinicPhone()
      );
  }
}
