package gov.va.mobilehealth.courier.bcm.appointments;

import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.google.common.base.Objects;
import gov.va.mobilehealth.courier.core.MongoDocumentBase;

/**
 * Created by clarkee on 10/27/14.
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
  "edipiId"
})
public class EdipiIdentifier extends MongoDocumentBase{
  public static final String EDIPI_ASSIGNING_AUTHORITY = "EDIPI";

  @JsonProperty("edipiId")
  private String edipiId;

  public EdipiIdentifier(){
  }
  public EdipiIdentifier(String edipiId){
    this.edipiId = edipiId;
  }

  @JsonProperty("edipiId")
  public String getEdipiId() {
    return edipiId;
  }
  @JsonProperty("edipiId")
  public void setEdipiId(String edipiId){
    this.edipiId = edipiId;
  }

  @JsonIgnore
  public PatientIdentifier getPatientIdentfier() {
    return new PatientIdentifier(EDIPI_ASSIGNING_AUTHORITY, edipiId);
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof EdipiIdentifier)) {
      return false;
    }

    EdipiIdentifier edipiIdentifier = (EdipiIdentifier) o;

    if (edipiId != null ? !edipiId.equals(edipiIdentifier.edipiId) : edipiIdentifier.edipiId != null) {
      return false;
    }

    return true;
  }

  @Override
  public int hashCode() {
    int result = (edipiId != null ? edipiId.hashCode() : 0);

    return result;
  }

  @Override
  public String toString() {
    return Objects.toStringHelper(this)
      .add("edipiId", edipiId)
      .toString();
  }

}
