package gov.va.mobilehealth.courier.bcm.appointments;

import com.agilex.healthcare.mobilehealthplatform.domain.Appointment;
import com.agilex.healthcare.mobilehealthplatform.domain.Appointments;
import org.joda.time.DateTime;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by clarkee on 10/30/14.
 */
public class FutureAppointmentMapper {
  public List<AssessmentProfileFutureAppointment> mapAppointments(EdipiIdentifier edipiIdentifier, Appointments appointments) {
    List<AssessmentProfileFutureAppointment> futureAppointments = new ArrayList<AssessmentProfileFutureAppointment>();
    for (Appointment appointment : appointments) {
      futureAppointments.add(mapAppointment(edipiIdentifier, appointment));
    }
    return futureAppointments;
  }

  public AssessmentProfileFutureAppointment mapAppointment(EdipiIdentifier edipiIdentifier, Appointment appointment) {
    AssessmentProfileFutureAppointment futureAppointment = new AssessmentProfileFutureAppointment();

    DateTime startDate = new DateTime(appointment.getAppointmentStartDate());
    futureAppointment.setStartDate(startDate);

    futureAppointment.setClinicPhone(appointment.getClinicPhone());
    futureAppointment.setFacility(appointment.getFacilityName());

    futureAppointment.setPatientIcnIdentifier(new IcnIdentifier(appointment.getPatientIdentifier().getUniqueId()));
    futureAppointment.setPatientEdipiIdentifier(new EdipiIdentifier(edipiIdentifier.getEdipiId()));
    return futureAppointment;
  }
}
