package gov.va.mobilehealth.courier.bcm.appointments;

import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.google.common.base.Objects;
import gov.va.mobilehealth.courier.core.MongoDocumentBase;

/**
 * Created by clarkee on 10/27/14.
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
  "icnId"
})
public class IcnIdentifier extends MongoDocumentBase {
  public static final String ICN_ASSIGNING_AUTHORITY = "ICN";

  @JsonProperty("icnId")
  private String icnId;

  public IcnIdentifier(){

  }
  public IcnIdentifier(String icnIdentifier) {
    this.icnId = icnIdentifier;
  }

  @JsonIgnore
  public PatientIdentifier getPatientIdentfier() {
    return new PatientIdentifier(ICN_ASSIGNING_AUTHORITY, icnId);
  }

  @JsonProperty("icnId")
  public String getIcnId() {
    return this.icnId;
  }

  @JsonProperty("icnId")
  public void setIcnId(String icnId){
    this.icnId = icnId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof IcnIdentifier)) {
      return false;
    }

    IcnIdentifier icnIdentifier = (IcnIdentifier) o;

    if (icnId != null ? !icnId.equals(icnIdentifier.icnId) : icnIdentifier.icnId != null) {
      return false;
    }

    return true;
  }

  @Override
  public int hashCode() {
    int result = (icnId != null ? icnId.hashCode() : 0);

    return result;
  }

  @Override
  public String toString() {
    return Objects.toStringHelper(this)
      .add("icnId", icnId)
      .toString();
  }

}
