package gov.va.mobilehealth.courier.bcm.appointments;

import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifiers;
import com.agilex.va.mpi.PatientCorrelationGateway;
import com.agilex.va.mpi.config.MpiConfig;
import gov.va.mobilehealth.courier.bcm.appointments.config.BcmMpiConfig;
import org.aeonbits.owner.ConfigFactory;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by clarkee on 10/27/14.
 */
public class MpiService {
  private MpiConfig config;


  public MpiService(){
    BcmMpiConfig config = getBcmMpiConfig();
    this.config = new MpiConfig(config.mpiEndPointUrl(), config.mpiConnectionTimeout(), config.mpiReadTimeout(),
      config.mpiFacilities());
  }
  public List<IcnIdentifier> getIcnIdentifiers(EdipiIdentifier edipiId) {
    return getIcnIdentifiers(new PatientIdentifier(EdipiIdentifier.EDIPI_ASSIGNING_AUTHORITY, edipiId.getEdipiId()));
  }

  public List<IcnIdentifier> getIcnIdentifiers(PatientIdentifier patientIdentifier) {
    PatientCorrelationGateway gateway = new PatientCorrelationGateway(config);
    PatientIdentifiers correspondIdentifiers = gateway.getCorrespondIdentifiers(patientIdentifier);

    List<IcnIdentifier> icnIdentifiers = new ArrayList<IcnIdentifier>();
    for (PatientIdentifier correspondIdentifier : correspondIdentifiers) {
      if (correspondIdentifier.getAssigningAuthority().equals(IcnIdentifier.ICN_ASSIGNING_AUTHORITY)){
        icnIdentifiers.add(new IcnIdentifier(correspondIdentifier.getUniqueId()));
      }
    }
    return icnIdentifiers;
  }

  static BcmMpiConfig getBcmMpiConfig() {
    BcmMpiConfig config = ConfigFactory.create(BcmMpiConfig.class, System.getProperties(), System.getenv());
    return config;
  }

}
