package gov.va.mobilehealth.courier.bcm.appointments.scheduler;

import gov.va.mobilehealth.courier.bcm.appointments.AppointmentReminderService;
import gov.va.mobilehealth.courier.bcm.appointments.EdipiIdentifier;
import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.servlet.ServletContext;
import java.io.IOException;

/**
 * Created by clarkee on 11/3/14.
 */
public class RefreshPatientAppointmentsConsumer implements Processor {
  private static final Logger LOGGER = LoggerFactory.getLogger(RefreshPatientAppointmentsConsumer.class);

  public RefreshPatientAppointmentsConsumer(ServletContext servletContext) {
  }

  @Override
  public void process(Exchange exchange) throws Exception {
    String patientEdipi = exchange.getIn().getBody(String.class);

    LOGGER.debug("process() - patientId: {}", patientEdipi);

    /**
     * Call into worker class
     */
    AppointmentReminderService worker = new AppointmentReminderService();
    try {
      worker.queryAppointmentsAndCreateReminders(new EdipiIdentifier(patientEdipi));
    } catch (IOException e) {
      LOGGER.debug("PatientAppointmentsWorker execute failed");
      LOGGER.debug(String.valueOf(e.getStackTrace()));
    }

  }
}
