package gov.va.mobilehealth.courier.bcm.appointments.scheduler;

import gov.va.mobilehealth.courier.bcm.appointments.AppointmentReminderService;
import gov.va.mobilehealth.courier.bcm.appointments.EdipiIdentifier;
import org.quartz.Job;
import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

/**
 * Created by clarkee on 11/1/14.
 */
//TODO: Unused?  Delete...
public class RefreshPatientAppointmentsJob implements Job {
  private static final Logger LOGGER = LoggerFactory.getLogger(RefreshPatientAppointmentsJob.class);
  public static final String PatientEdipiIdKey = "PatientEdipiId";

  @Override
  public void execute(JobExecutionContext context) throws JobExecutionException {

    /**
     * Gather details from context
     */
    JobDataMap dataMap = context.getJobDetail().getJobDataMap();
    String patientEdipi = dataMap.getString(PatientEdipiIdKey);

    /**
     * Call into worker class
     */
    AppointmentReminderService worker = new AppointmentReminderService();
    try {
      worker.queryAppointmentsAndCreateReminders(new EdipiIdentifier(patientEdipi));
    } catch (IOException e) {
      LOGGER.debug("PatientAppointmentsWorker execute failed");
      LOGGER.debug(String.valueOf(e.getStackTrace()));
    }

  }
}
