package gov.va.mobilehealth.courier.bcm.appointments.scheduler;

import gov.va.mobilehealth.courier.core.Patient;
import gov.va.mobilehealth.courier.scheduler.SchedulerBase;
import org.joda.time.DateTime;
import org.joda.time.Hours;
import org.joda.time.Seconds;
import org.quartz.Job;
import org.quartz.JobDetail;
import org.quartz.SchedulerException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Date;

import static org.quartz.JobBuilder.newJob;

//TODO: Unused?  Delete...
public class RefreshPatientAppointmentsJobCreator extends SchedulerBase {

  private static final Logger LOGGER = LoggerFactory.getLogger(RefreshPatientAppointmentsJobCreator.class);

  public static final String JOB_APPOINTMENT_REFRESH_GROUP = "futureAppointmentRefreshGroup";
  public static final String JOB_APPOINTMENT_REFRESH_TRIGGER_GROUP = "futureAppointmentRefreshTriggerGroup";

  protected Class<? extends Job> RefreshPatientAppointmentsJobClass;

  public RefreshPatientAppointmentsJobCreator() {
    this.scheduler = QuartzSchedulerFactory.getBcmScheduler();
    this.RefreshPatientAppointmentsJobClass = RefreshPatientAppointmentsJob.class;
  }

  protected Class<? extends Job> GetRefreshPatientAppointmentsJobClass() {
    return this.RefreshPatientAppointmentsJobClass;
  }

  public void createRefreshJob(Patient patient) {

    String jobName = patient.getId();
    String jobGroup = JOB_APPOINTMENT_REFRESH_GROUP;
    String triggerGroup = JOB_APPOINTMENT_REFRESH_TRIGGER_GROUP;

    try {
      cleanJob(jobName, jobGroup, triggerGroup);

      JobDetail job = newJob(GetRefreshPatientAppointmentsJobClass())
        .withIdentity(jobName, jobGroup)
        .usingJobData(RefreshPatientAppointmentsJob.PatientEdipiIdKey, patient.getPatientIdentifier().getUniqueId())
        .build();

      //Use delivery date from reminder message as exact execution time
      DateTime scheduleDateTime = DateTime.now().plus(Seconds.seconds(10));
      Date scheduleTime = scheduleDateTime.toDate();
      //Give it 24 hours to execute
      Date scheduleEndTime = scheduleDateTime.plus(Hours.hours(24)).toDate();

      scheduleSimpleTriggerJob(job, jobName, jobGroup, scheduleTime, scheduleEndTime);

    } catch (SchedulerException e) {
      LOGGER.error("Scheduler exception", e);
    }

  }
}
