package gov.va.mobilehealth.courier.bcm.appointments.scheduler;

import org.quartz.Job;
import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

/**
 * Created by clarkee on 10/31/14.
 */
public class SendAppointmentReminderJob implements Job {
  private static final Logger LOGGER = LoggerFactory.getLogger(SendAppointmentReminderWorker.class);
  public static final String AppointmentReminderMessageKey = "AppointmentReminderMessageKey";
  public static final String PatientEdipiIdKey = "PatientEdipiIdKey";
  @Override
  public void execute(JobExecutionContext context) throws JobExecutionException {
    //TODO: Send out message according to ReminderMessage details on the job context

    /**
     * Gather details from context
     */
    JobDataMap dataMap = context.getJobDetail().getJobDataMap();
    String message = dataMap.getString(AppointmentReminderMessageKey);
    String edipiId = dataMap.getString(PatientEdipiIdKey);

    /**
     * Call into worker class
     */
    SendAppointmentReminderWorker worker = new SendAppointmentReminderWorker(edipiId, message);
    try {
      worker.execute();
    } catch (IOException e) {
      LOGGER.debug("SendAppointmentReminderWorker execute failed");
      LOGGER.debug(String.valueOf(e.getStackTrace()));
    }

  }
}
