package gov.va.mobilehealth.courier.protocol;

import com.google.common.base.Optional;
import gov.va.mobilehealth.courier.core.PatientResponseServiceData;
import gov.va.mobilehealth.courier.core.protocol.Vital;

public class FormatValidator extends ServiceReadingValidator {
  public static final String INCORRECT_FORMAT_MESSAGE = "Sorry, I did not understand your text. Please try sending again with the required information and correct format.";

  @Override
  public Optional<String> doValidate(PatientResponseServiceData patientResponseServiceData, Vital template) {
    String message = null;
    if (!isValid(patientResponseServiceData, template)) {
      message = INCORRECT_FORMAT_MESSAGE;
    }
    return Optional.fromNullable(message);
  }

  private boolean isValid(PatientResponseServiceData patientResponseServiceData, Vital template) {
    return patientResponseServiceData.getPatientServiceReading().getReadings().size() == template.getService().getReadings().size();
  }
}
