package gov.va.mobilehealth.courier.protocol;

import com.google.common.base.Optional;
import gov.va.mobilehealth.courier.core.PatientResponseServiceData;
import gov.va.mobilehealth.courier.core.protocol.Vital;

public abstract class ServiceReadingValidator {

  protected ServiceReadingValidator next;

  public void setNext(ServiceReadingValidator next) {
    this.next = next;
  }

  // IMPORTANT: status field in patientResponseServiceData might be changed during validation
  public String validate(PatientResponseServiceData patientResponseServiceData, Vital template) {
    String message = template.getConfirmationMessage();
    Optional<String> violation = doValidate(patientResponseServiceData, template);
    if (violation.isPresent()) {
      message = violation.get();
    } else if (next != null) {
      message = next.validate(patientResponseServiceData, template);
    }
    return message;
  }

  // IMPORTANT: status field in patientResponseServiceData might be changed during validation
  abstract public Optional<String> doValidate(PatientResponseServiceData patientResponseServiceData, Vital template);
}
