package gov.va.mobilehealth.courier.providers;


import com.fasterxml.jackson.databind.ObjectMapper;
import gov.va.mobilehealth.cms.jackson.Jackson;

import javax.ws.rs.ext.ContextResolver;
import javax.ws.rs.ext.Provider;

@Provider
public class ObjectMapperProvider implements ContextResolver<ObjectMapper> {

  final ObjectMapper objectMapper;

  public ObjectMapperProvider() {
    objectMapper = createObjectMapper();
  }

  private static ObjectMapper createObjectMapper() {
    return Jackson.newObjectMapper();
  }

  @Override
  public ObjectMapper getContext(Class<?> type) {
    return objectMapper;
  }
}
