package gov.va.mobilehealth.courier.resources;

import gov.va.mobilehealth.courier.smsgateway.types.Message;
import gov.va.mobilehealth.courier.smsgateway.types.Response;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.ws.rs.GET;
import javax.ws.rs.HeaderParam;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.HttpHeaders;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.UriInfo;

import java.util.ArrayList;

import org.codehaus.enunciate.Facet;

@Service
@Path("/servlet")
@Facet( name = "org.codehaus.enunciate.doc.ExcludeFromDocumentation" )
public class SMSMockResource {
  private static final Logger LOGGER = LoggerFactory.getLogger(SMSMockResource.class);

  public SMSMockResource() {

  }

  @GET
  @Path("/sendmsg")
  @Produces(MediaType.APPLICATION_XML)
  public Response sendmsg(@HeaderParam("Authorization") String auth
    , @HeaderParam("Content-Length") String length, @Context UriInfo info, @Context HttpHeaders headers) {

    ArrayList<Message> msgList = new ArrayList<Message>();
    Message m1 = new Message();
    m1.setSuccess_code("1");
    m1.setResponse_code("001");
    m1.setResponse_string("Success");
    m1.setMessage_id("11234");
    msgList.add(m1);

    // create bookstore, assigning book
    Response response = new Response();
    response.setMessageList(msgList);

    return response;
  }

  //simple hello world just to help ensure the Resource is processing requests and that we are targeting the right URL
  @GET
  public String hello() {
    return "hello";
  }
}
