package gov.va.mobilehealth.courier.resources.helper;

import com.google.common.base.Optional;
import gov.va.mobilehealth.courier.core.ErrorResponse;
import gov.va.mobilehealth.courier.core.Patient;
import gov.va.mobilehealth.courier.db.DAOFactory;
import gov.va.mobilehealth.courier.db.PatientDAO;
import org.aeonbits.owner.ConfigFactory;

import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import java.io.IOException;


public class ValidateUniquePhoneNumber {
  private final PatientDAO patientDAO = DAOFactory.createPatientDAO();
  static ErrorMessageConfigure errorMessageConfig = getErrorMessageConfig();

  static ErrorMessageConfigure getErrorMessageConfig() {
    return ConfigFactory.create(ErrorMessageConfigure.class, System.getProperties(), System.getenv());
  }

  public void checkUniquePhoneNumber(String phoneNumber) throws IOException {

    Optional<Patient> patient = patientDAO.findByMDN(phoneNumber);
    if (patient.isPresent()) {
      throw new WebApplicationException(Response.status(Response.Status.BAD_REQUEST)
              .entity(new ErrorResponse(ErrorCode.MSG_DUPLICATE_MOBILE_PHONE_NUMBER_FOUND, errorMessageConfig.duplicateMobilePhoneNumber())).type(MediaType.APPLICATION_JSON).build());

    }
  }
}



