package gov.va.mobilehealth.courier.scheduler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

/**
 * Created by clarkee on 5/17/14.
 */
public class MessagePropertiesLoader {
  private static final Logger LOGGER = LoggerFactory.getLogger(MessagePropertiesLoader.class);

  public Map<String, String> loadProperties() {
    Map<String, String> messageProp = null;

    Properties prop = new Properties();
    if (messageProp == null) {
      messageProp = new HashMap<String, String>();
    }

    InputStream stream = null;
    try {
      // load a properties file
      stream = Thread.currentThread().getContextClassLoader().getResourceAsStream("message.properties");
      prop.load(stream);

      for (String key : prop.stringPropertyNames()) {
        String value = prop.getProperty(key);
        messageProp.put(key, value);
      }

    } catch (IOException ex) {
      LOGGER.error("IOException", ex);
    } finally {
      if (stream != null) {
        try {
          stream.close();
        } catch (IOException e) {
          LOGGER.debug(e.toString());
        }
      }
    }
    return messageProp;

  }

}
