package gov.va.mobilehealth.courier.scheduler;

import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.SchedulerException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;


public class PatientProtocolExpireJob extends PatientProtocolJob {

  private static final Logger LOGGER = LoggerFactory.getLogger(PatientProtocolExpireJob.class);
  protected JobExecutionException jobException;

  @Override
  void doWork(JobExecutionContext context) throws IOException,
    JobExecutionException {

    patientProtocolDAO.expireProtocol(patientProtocolId, templateIndex);

    PatientProtocolScheduler scheduler = new PatientProtocolScheduler(context.getScheduler());

    try {
      scheduler.cleanJob(jobName, PatientProtocolScheduler.JOB_FIRST_GROUP,
        PatientProtocolScheduler.TRIGGER_FIRST_GROUP);
      scheduler.cleanJob(jobName, PatientProtocolScheduler.JOB_REMINDER_GROUP,
        PatientProtocolScheduler.TRIGGER_REMINDER_GROUP);
    } catch (SchedulerException e) {
      LOGGER.error("Protocol expire Job execution exception", e);

      jobException = new JobExecutionException(e);

      jobException.setUnscheduleAllTriggers(true);
      throw jobException;
    }

  }

}
