package gov.va.mobilehealth.courier.utils;

import org.apache.camel.ProducerTemplate;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


public class CamelProducerFactory {
  private static final Logger LOGGER = LoggerFactory.getLogger(CamelProducerFactory.class);
  private static ProducerTemplate incomingMsgProducer;
  private static ProducerTemplate outgoingMsgProducer;
  private static ProducerTemplate refreshPatientAppointmentsProducer;

  public static void init(ProducerTemplate inMsgProducer, ProducerTemplate outMsgProducer) {
    incomingMsgProducer = inMsgProducer;
    outgoingMsgProducer = outMsgProducer;
  }
  public static void initAppointmentReminders(ProducerTemplate refreshProducer) {
    refreshPatientAppointmentsProducer = refreshProducer;
  }

  public static ProducerTemplate getOutgoingMsgProducer() {
    return outgoingMsgProducer;
  }

  public static ProducerTemplate getIncomingMsgProducer() {
    return incomingMsgProducer;
  }

  public static ProducerTemplate getRefreshPatientAppointmentsProducer(){
    return refreshPatientAppointmentsProducer;
  }
}
