package gov.va.mobilehealth.courier.utils;

import com.mongodb.DB;
import com.mongodb.MongoClient;
import com.mongodb.MongoClientURI;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.net.UnknownHostException;

public class MongoDBConnection {
  private static final Logger LOGGER = LoggerFactory.getLogger(MongoDBConnection.class);
  private static MongoClient mongoClient;
  private static DB db;

  public static void init(String connectionString, String dbName) throws UnknownHostException {
    connect(connectionString, dbName);
  }

  private static void connect(String connectionString, String dbName) throws UnknownHostException {
    LOGGER.debug("Connecting to mongodb: {}, database: {}", connectionString, dbName);
    MongoClientURI uri = new MongoClientURI(connectionString);
    mongoClient = new MongoClient(uri);
    db = mongoClient.getDB(dbName);
    LOGGER.debug("Connection to mongodb established successfully.");
  }

  public static void close() {
    mongoClient.close();
    LOGGER.debug("Connection to mongodb closed.");
  }

  public static DB getDB() {
    return db;
  }
}
