package gov.va.mobilehealth.courier.utils.uriformatters;

import com.agilex.healthcare.mobilehealthplatform.domain.AtomLink;
import com.agilex.healthcare.mobilehealthplatform.domain.LinkTitles;
import com.agilex.healthcare.mobilehealthplatform.domain.ResourceDirectory;
import com.agilex.healthcare.utility.NullChecker;
import gov.va.mobilehealth.courier.utils.PropertyHelper;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.UriBuilder;
import java.net.URI;
import java.net.URISyntaxException;

//import com.agilex.healthcare.mobilehealthplatform.utils.PropertyHelper;
//import com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ImmunizationLinkBuilder;

//TODO Clean up, remove any dead code
@Service
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class ResourceDirectoryBuilder {

  private static final String OAUTH_SSOE_LOGOUT_URL = "oauth.ssoe_logout_url";
  private static final org.apache.commons.logging.Log LOGGER = org.apache.commons.logging.LogFactory.getLog(ResourceDirectoryBuilder.class);
  private static final String MHP_LOGIN_URL = "oauth.login_url";
  private static final String MHP_AUTHORIZE_URL = "oauth.authorize_url";
  private static final String MHP_TOKEN_URL = "oauth.token_url";
  private static final String EAS_URL = "easUrl";
  private static final String MVISUM_URL = "facilities.mvisum.url";
  @Resource
  private PropertyHelper propertyHelper;

  public ResourceDirectoryBuilder() {
  }

  private static URI stripRestFromBaseURI(URI baseURI) {

    String stringURI = baseURI.toString();
    stringURI = stringURI.replaceAll("/rest", "");

    URI uri = URI.create(stringURI);

    return uri;
  }

//	private void addUserLogoutLink(URI systemBaseUri, ResourceDirectory directory) {
//		AtomLink link = new AtomLink();
//		link.setTitle("logout");
//		link.setType(MediaType.TEXT_HTML);
//
//		if(ModeHelper.isProviderMode()){
//			link.setHref(UriBuilder.fromUri(stripWebContextFromBaseURI(systemBaseUri)).path("AuthorizationServices/logout").build());
//		}else{
//			String ssoeLogoutUrl = propertyHelper.getProperty(OAUTH_SSOE_LOGOUT_URL);
//			if (NullChecker.isNotNullish(ssoeLogoutUrl)) {
//				link.setHref(UriBuilder.fromUri(ssoeLogoutUrl).build());
//			}else{
//				link.setHref(UriBuilder.fromUri(stripWebContextFromBaseURI(systemBaseUri)).path("ssoeproxy/logout").build());
//			}
//		}
//
//		directory.getLink().add(link);
//	}
//
//	private void addTokenLink(URI systemBaseUri, ResourceDirectory directory) {
//		AtomLink link = new AtomLink();
//		link.setTitle("token");
//		link.setHref(UriBuilder.fromUri(stripWebContextFromBaseURI(systemBaseUri)).path("AuthorizationServices/rest/token").build());
//
//		directory.getLink().add(link);
//	}
//
//	@Deprecated
//	private void addMVisumLink(ResourceDirectory directory) {
//		AtomLink link;
//		link = new AtomLink();
//
//        String mVisumUrl = propertyHelper.getProperty(MVISUM_URL);
//
//        try {
//            link.setHref(new URI(mVisumUrl));
//            link.setTitle(LinkTitles.MVisumLink);
//    		link.setType(MediaType.TEXT_HTML);
//    		directory.getLink().add(link);
//        }
//        catch(URISyntaxException e) {
//            LOGGER.error("Caught a " + e.getClass().getName() + ": " + e.toString());
//        }
//	}

//	private void addUserLoginCredentialsLink(URI systemBaseUri, ResourceDirectory directory) {
//		AtomLink link;
//		link = new AtomLink();
//
//		if(ModeHelper.isProviderMode()){
//			link.setHref(UriBuilder.fromUri(stripWebContextFromBaseURI(systemBaseUri)).path("AuthorizationServices/provider/security_check").build());
//		}else{
//			link.setHref(UriBuilder.fromUri(stripWebContextFromBaseURI(systemBaseUri)).path("ssoeproxy/j_spring_security_check").build());
//		}
//
//		link.setTitle("login-credentials");
//		link.setType(MediaType.TEXT_HTML);
//		directory.getLink().add(link);
//	}
//
//	public SyndFeed getResourceDirectoryAsAtomFeed(URI systemBaseUri, URI resourceDirectoryUri) {
//		ResourceDirectory resourceDirectory = getResourceDirectory(systemBaseUri, resourceDirectoryUri);
//		SyndFeed feed = AtomUtility.createAtomFeed(resourceDirectory.getLink(), resourceDirectoryUri, "mhp-resources");
//		return feed;
//	}

  public ResourceDirectory getResourceDirectory(URI systemBaseUri, URI resourceDirectoryUri) {

    ResourceDirectory directory = new ResourceDirectory();
    AtomLink link;

    link = new AtomLink();
    link.setHref(resourceDirectoryUri);
    // link.setType(MediaType.APPLICATION_ATOM_XML);
    link.setTitle("resource-directory");
    directory.getLink().setSelfLink(link);

//		link = new AtomLink();
//		link.setHref(systemBaseUri);
//		link.setType(MediaType.APPLICATION_ATOM_XML);
//		link.setTitle(LinkTitles.SystemRoot);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("user-session").build());
//		link.setType(MediaType.APPLICATION_XML);
//		link.setTitle(LinkTitles.UserSession);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("antibiogram").path("facility").build());
//		link.setType(MediaType.APPLICATION_XML);
//		link.setTitle(LinkTitles.AntibiogramFacility);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("user-session").build());
//		link.setType(MediaType.APPLICATION_XML);
//		link.setTitle(LinkTitles.PublicUserSession);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("mhpuser").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle("mhpuser");
//		directory.getLink().add(link);

//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("health").queryParam("e", "").build());
//		link.setType(MediaType.TEXT_PLAIN);
//		link.setTitle("health-check");
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("patients").build());
//		link.setTitle(LinkTitles.Patients);
//		link.setType(MediaType.APPLICATION_XML);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("metrics").build());
//		link.setTitle("system-metrics");
//		link.setType(MediaType.APPLICATION_XML);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("provider").path("appointments").build());
//		link.setTitle("current-provider-appointments");
//		link.setType(MediaType.APPLICATION_XML);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("notification-service").path("opt-out").path("enabled").build());
//		link.setTitle("notification-opt-out-enabled");
//		link.setType(MediaType.APPLICATION_XML);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("facility-service").path("facilities").build());
//		link.setTitle("facility-service");
//		link.setType(MediaType.APPLICATION_XML);
//		directory.getLink().add(link);

    link = new AtomLink();
    boolean useDefault = true;
    String mhpLoginUrl = propertyHelper.getProperty(MHP_LOGIN_URL);
    try {
      if (NullChecker.isNotNullish(mhpLoginUrl)) {
        URI mhpLoginUri = new URI(mhpLoginUrl);
        link.setHref(mhpLoginUri);
        useDefault = false;
      }
    } catch (URISyntaxException e) {
      LOGGER.error("Mhp login URL is invalid", e);
    }
    if (useDefault) {
      link.setHref(UriBuilder.fromUri(stripRestFromBaseURI(systemBaseUri)).path("oauthlogin").build());
    }
    link.setTitle(LinkTitles.OAuthLogin);
    link.setType(MediaType.TEXT_HTML);
    directory.getLink().add(link);

    link = new AtomLink();
    String mhpAuthorizeUrl = propertyHelper.getProperty(MHP_AUTHORIZE_URL);
    try {
      if (NullChecker.isNotNullish(mhpAuthorizeUrl)) {
        URI mhpAuthorizeUri = new URI(mhpAuthorizeUrl);
        link.setHref(mhpAuthorizeUri);
        useDefault = false;
      }
    } catch (URISyntaxException e) {
      LOGGER.error("Mhp authorize URL is invalid", e);
    }
    if (useDefault) {
      link.setHref(UriBuilder.fromUri(stripRestFromBaseURI(systemBaseUri)).path("oauth").path("authorize").build());
    }
    link.setTitle(LinkTitles.OAuthAuthorize);
    link.setType(MediaType.TEXT_HTML);
    directory.getLink().add(link);

    link = new AtomLink();
    useDefault = true;
    String mhpTokenUrl = propertyHelper.getProperty(MHP_TOKEN_URL);
    try {
      if (NullChecker.isNotNullish(mhpTokenUrl)) {
        URI mhpTokenUri = new URI(mhpTokenUrl);
        link.setHref(mhpTokenUri);
        useDefault = false;
      }
    } catch (URISyntaxException e) {
      LOGGER.error("Mhp token URL is invalid", e);
    }
    if (useDefault) {
      link.setHref(UriBuilder.fromUri(stripRestFromBaseURI(systemBaseUri)).path("oauth").path("token").build());
    }
    link.setTitle(LinkTitles.OAuthToken);
    link.setType(MediaType.TEXT_HTML);
    directory.getLink().add(link);


//		addUserLoginCredentialsLink(systemBaseUri, directory);
//		addUserLogoutLink(systemBaseUri, directory);
//        addTokenLink(systemBaseUri, directory);
//		addMVisumLink(directory);

//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("feedback").build());
//		link.setTitle("feedback");
//		link.setType(MediaType.TEXT_HTML);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("feedback").path("appointment-request").build());
//		link.setTitle(LinkTitles.AppointmentRequestFeedback);
//		link.setType(MediaType.APPLICATION_JSON);
//		directory.getLink().add(link);

//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("learn").path("conditions").build());
//		link.setTitle("learn-conditions");
//		link.setType(MediaType.APPLICATION_JSON);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("assessments").build());
//		link.setTitle("assessments");
//		link.setType(MediaType.APPLICATION_XML);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("assessments").path("health-assessment").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.HealthAssessmentAssessments);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("appointment-service").path("metadata").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.AppointmentsMetadata);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("appointment-service").path("appointment-requests").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.AppointmentRequests);
//		directory.getLink().add(link);

//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("appointment-service").path("metrics").path("no-icn-or-dfn").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.AppointmentMetricsNoIcnOrDfn);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("appointment-service").path("metrics").path("no-dfn-cancel-request").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.AppointmentMetricsNoDfnCancelRequest);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		String easUrl = propertyHelper.getProperty(EAS_URL);
//		link.setHref(UriBuilder.fromUri(easUrl).build());
//		link.setType(MediaType.TEXT_HTML);
//		link.setTitle("eas");
//		directory.getLink().add(link);
//
//        link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("audit").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.AuditMetrics);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("assessments").path("results").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.AssessmentResults);
//		directory.getLink().add(link);

//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("authorizationCheck").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle("authorizationCheck");
//		directory.getLink().add(link);

//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("mygoals").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.MyGoalsInventory);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("customdataview").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.CustomDataView);
//		directory.getLink().add(link);

//		link = new AtomLink();
//		link.setHref(ImmunizationLinkBuilder.getImmunizationCampaignBaseUri(systemBaseUri).build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.Immunization);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(ImmunizationLinkBuilder.getImmunizationCampaignBaseUri(systemBaseUri).path("vaccine-template").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.ImmunizationCampaign);
//		directory.getLink().add(link);

//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("launchpad").path("metadata").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.LaunchpadMetadata);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri("http://labtestsonline.org").build());
//		link.setTitle(LinkTitles.LabTestReferenceLink);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path("public").path("domains").build());
//		link.setTitle(LinkTitles.MbbDomains);
//		directory.getLink().add(link);

//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path(LinkTitles.HealthAdvocateSupport).path(LinkTitles.HealthAdvocateRequest).build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.HealthAdvocateSupport);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path(LinkTitles.HealthAdvocateSupport).path("validate-user").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.HealthAdvocateSupportValidateUser);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path(LinkTitles.HealthAdvocateSupport).path("get-user").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.HealthAdvocateSupportGetUser);
//		directory.getLink().add(link);
//
//		link = new AtomLink();
//		link.setHref(UriBuilder.fromUri(systemBaseUri).path(LinkTitles.HealthAdvocateSupport).path("update-sud").build());
//		link.setType(MediaType.APPLICATION_JSON);
//		link.setTitle(LinkTitles.HealthAdvocateSupportUpdateSud);
//		directory.getLink().add(link);

    return directory;
  }

//	private static URI stripWebContextFromBaseURI(URI baseURI) {
//
//		String stringURI = baseURI.toString();
//		stringURI = stringURI.replaceAll("/MobileHealthPlatformWeb/rest", "");
//
//		URI uri = URI.create(stringURI);
//
//		return uri;
//	}

}