package gov.va.mobilehealth.courier.veteran.resources.helper;

import gov.va.mobilehealth.courier.core.Patient;
import gov.va.mobilehealth.courier.core.UserIdentifier;
import gov.va.mobilehealth.courier.db.DAOFactory;
import gov.va.mobilehealth.courier.db.PatientDAO;

import java.io.IOException;

import com.agilex.healthcare.mobilehealthplatform.domain.MhpUser;
import com.agilex.healthcare.mobilehealthplatform.security.MhpUserFactory;
import com.google.common.base.Optional;

public class VeteranResourceHelper {
	private final PatientDAO patientDAO;
	public VeteranResourceHelper() {
		this.patientDAO = DAOFactory.createPatientDAO(); 
	}

	public String getPatientId() throws IOException {
		String patientId = null;
		MhpUser user = MhpUserFactory.createFromSecurityContext();

		UserIdentifier patientIdentifier = new UserIdentifier();
		patientIdentifier.setAssigningAuthority(user.getPatient().getPatientIdentifier().getAssigningAuthority());
		patientIdentifier.setUniqueId(user.getPatient().getPatientIdentifier().getUniqueId());
		Optional<Patient> p = patientDAO.findByPatientIdentifier(patientIdentifier);
		if (p.isPresent()) {
			patientId = p.get().getId();
		}
		return patientId;
	}

}
