package gov.va.mobilehealth.courier.utils;

import com.agilex.healthcare.mobilehealthplatform.security.Client;
import com.agilex.healthcare.mobilehealthplatform.security.ClientIdentification;
import com.agilex.healthcare.mobilehealthplatform.security.User;
import com.agilex.healthcare.mobilehealthplatform.security.infrastructure.HttpClient;
import com.agilex.healthcare.mobilehealthplatform.security.infrastructure.Value;
import org.aeonbits.owner.Config;
import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

/**
 * Created by goldmanm on 8/25/14.
 */
public interface RESTIntTestConfig extends Config {

  @Key("resIntTest.baseURI")
  @DefaultValue("https://192.168.33.2")
  String baseURI();

  @Key("resIntTest.port")
  @DefaultValue("443")
  int port();

  @Key("resIntVaTest.port")
  @DefaultValue("8080")
  int portVA();

  @Key("resIntTest.basePath")
  @DefaultValue("/cms")
  String baseStaffPath();

  @Key("resIntTest.vet.basePath")
  @DefaultValue("/vet")
  String baseVetPath();

  @Key("resIntTest.oauth.staff.baseURI")
  @DefaultValue("https://staffhatest1:8090")
  String oauthStaffBaseURI();

  @Key("resIntTest.oauth.vet.baseURI")
  @DefaultValue("http://hatest")
  String oauthVetBaseURI();

  @Key("resIntTest.oauth.staff.redirectURI")
  @DefaultValue("https://192.168.33.2/cms")
  String oauthStaffRedirectURI();

  @Key("resIntTest.oauth.vet.redirectURI")
  @DefaultValue("https://192.168.33.2/vet")
  String oauthVetRedirectURI();

  @Key("resIntTest.oauth.clientSecret")
  @DefaultValue("MBBWEB")
  String oauthClientSecret();

  @Key("resIntTest.oauth.clientId")
  @DefaultValue("MobileBlueButton")
  String oauthClientId();

  @Key("resIntTest.oauth.staff.accessCode")
  @DefaultValue("vehu003")
  String oauthStaffAccessCode();

  @Key("resIntTest.oauth.staff.verifyCode")
  @DefaultValue("ve003hu!")
  String oauthStaffVerifyCode();

  @Key("resIntTest.oauth.vet.accessCode")
  @DefaultValue("zztest.patient55")
  String oauthVetAccessCode();

  @Key("resIntTest.oauth.vet.verifyCode")
  @DefaultValue("pass")
  String oauthVetVerifyCode();

  @Key("resIntTest.oauth.facilityId")
  @DefaultValue("688")
  String oauthFacilityId();

  @Key("resIntTest.oauth.facilityName")
  @DefaultValue("WASHINGTON")
  String oauthFacilityName();

  @Key("resIntTest.oauth.vet.authorizeuri")
  @DefaultValue("/ssoeproxy/veteran")
  String oauthVetAuthrizeBaseUri();

  @Key("resIntTest.oauth.vet.securitybaseuri")
  @DefaultValue("/ssoeproxy")
  String oauthVetSecurityBaseUri();



}
