package gov.va.mobilehealth.courier.utils;

import gov.va.mobilehealth.courier.utils.ServerConfig;
import org.aeonbits.owner.ConfigFactory;
import org.junit.Test;

import java.util.Properties;

import static org.fest.assertions.api.Assertions.assertThat;
public class ServerConfigTest {
  public static final String CONNECTION_STRING_PROPERTY_NAME = "cms.mongodb.connectionString";
  public static final String DB_NAME_PROPERTY_NAME = "cms.mongodb.dbName";

  @Test
  public void testDefaultConfig() {
    String connectionString = "mongodb://localhost";
    String dbStr = "courier";

    ServerConfig config = ConfigFactory.create(ServerConfig.class, System.getProperties(), System.getenv());

    assertThat(config.connectionString()).isEqualTo(connectionString);
    assertThat(config.dbName()).isEqualTo(dbStr);
  }

  @Test
  public void testSystemPropertiesConfig() {
    String connectionString = "systemConnectionString";
    String dbStr = "systemDbString";

    System.setProperty(CONNECTION_STRING_PROPERTY_NAME, connectionString);
    System.setProperty(DB_NAME_PROPERTY_NAME, dbStr);

    ServerConfig config = ConfigFactory.create(ServerConfig.class, System.getProperties(), System.getenv());

    assertThat(config.connectionString()).isEqualTo(connectionString);
    assertThat(config.dbName()).isEqualTo(dbStr);
  }

}