package gov.va.mobilehealth.courier.utils.authConfig.AuthConfigTest;

import gov.va.mobilehealth.courier.utils.authConfig.AuthConfig;
import org.aeonbits.owner.ConfigFactory;
import org.junit.Test;

import static org.hamcrest.CoreMatchers.containsString;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertThat;

public class AuthConfigTest {
  @Test
  public void testDefaultConfig() {
    AuthConfig config = ConfigFactory.create(AuthConfig.class, System.getProperties(), System.getenv());
    assertThat(config.clientValidateTokenUri(), containsString("/AuthorizationServices/rest/validateToken"));
    assertThat(config.clientTokenUri(), containsString("/AuthorizationServices/rest/token"));
    assertThat(config.clientLogoutUri(), containsString("/AuthorizationServices/logout?redirect_uri="));
    assertThat(config.mhpAuthorizeUrl(), containsString("/AuthorizationServices/provider/authorize"));
    assertThat(config.mhpTokenUrl(), containsString("/AuthorizationServices/oauth/token"));
    assertThat(config.resourceLastAccessed(), containsString("/AuthorizationServices/rest/resourceLastAccessedTime"));

    assertEquals("stateId", config.oauthState());
    assertEquals("MobileBlueButton", config.oauthClientId());
    assertEquals("MBBWEB", config.oauthClientSecret());
    assertEquals("authorization_code", config.oauthGrantType());
    assertEquals("read", config.oauthScope());
  }

}
