#!/bin/sh

./gradlew clean build
cd MessagingApp
npm install
npm install -g grunt-cli
grunt

# Deploy CMS app to Weblogic httpd
echo
echo 'Check to see that VAMF stack is running'
pwd
cd ../infrastructure/vagrant/virtualbox/vamfStack && vagrant status
echo
echo 'Deploy CMS app to apache'
vagrant ssh vamf_apache --command "sudo cp -rf /cms-project/scripts/apache/staff_httpd.conf /etc/httpd/conf/httpd.conf && sudo /etc/init.d/httpd restart"
vagrant ssh vamf_apache --command "sudo rm -rf /var/www/html/cms && sudo chmod -R 777 /var/www/ && cp -rf /srv/webapps/cms/dist /var/www/html/cms"
cd ../../../../PatientApp
pwd

npm install
grunt

# Deploy Vet app to Weblogic httpd
echo
echo 'Deploy Vet app to apache (weblogic vm)'
pwd
cd ../infrastructure/vagrant/virtualbox/vamfStack && vagrant ssh vamf_weblogic --command "sudo cp -rf /cms-project/scripts/apache/vet_httpd.conf /etc/httpd/conf/httpd.conf && sudo /etc/init.d/httpd restart"
vagrant ssh vamf_weblogic --command "sudo rm -rf /var/www/html/vet && sudo chmod -R 777 /var/www/ && sudo cp -rf /vet/dist /var/www/html/vet"

#vagrant reload

cd ../../../../
pwd

source ./resetData.sh

source ./deployWar.sh