#!/bin/sh
cd infrastructure/vagrant/virtualbox/vamfStack

echo
echo 'copy Staff Properties file'
vagrant ssh vamf_weblogic --command "mkdir /u01/apps/oracle/middleware/user_projects/domains/MobileHealthDomain/cms/ && mkdir /u01/apps/oracle/middleware/user_projects/domains/MobileHealthDomain/cms/cmsconfig" || true
vagrant ssh vamf_weblogic --command "cp -rf /cms-project/scripts/weblogic/cms.stafflocal.properties /u01/apps/oracle/middleware/user_projects/domains/MobileHealthDomain/cms/cmsconfig/cms.properties"

echo
echo 'copy Vet Properties file'
vagrant ssh vamf_weblogic --command "mkdir /u01/apps/oracle/middleware/user_projects/domains/MobileHealthDomain/vet/ && mkdir /u01/apps/oracle/middleware/user_projects/domains/MobileHealthDomain/vet/cmsconfig" || true
vagrant ssh vamf_weblogic --command "cp -rf /cms-project/scripts/weblogic/cms.vetlocal.properties /u01/apps/oracle/middleware/user_projects/domains/MobileHealthDomain/vet/cmsconfig/cms.properties"

echo
echo 'Setting ClassPath'
vagrant ssh vamf_weblogic --command "/cms-project/scripts/weblogic/ctlvamfwlcluster.sh"

echo
echo 'Waiting for Weblogic to respond...'
vagrant ssh vamf_weblogic --command "while netstat -lnt | awk '\$4 ~ /:6001\$/ {exit 1}'; do sleep 10; done"

echo
echo 'Deploying...'
vagrant ssh vamf_weblogic --command "source /u01/apps/oracle/middleware/wlserver_10.3/server/bin/setWLSEnv.sh && java weblogic.Deployer -adminurl t3://10.2.2.4:6001 -username weblogic -password weblogic1 -name courier-resources-0.0.1 -deploy -source /cms-project/courier-resources/build/libs/courier-resources-0.0.1.war -targets MobileHealthCluster"
vagrant status
cd ../../../../

echo
echo 'Launching Annie'
/Applications/Firefox.app/Contents/MacOS/firefox -CreateProfile "Annie_Test" /Applications/Firefox.app/Contents/MacOS/firefox
nohup /Applications/Firefox.app/Contents/MacOS/firefox -no-remote -P "Annie_Test" -new-tab http://10.2.2.5/cms -new-tab http://10.2.2.4/vet -new-tab http://10.2.2.4:6001/console >/dev/null 2>&1 &

echo
echo 'Done'

echo
echo '      If you see "Unable to contact HAxServer"'
echo '      go to http://10.2.2.4:6001/console'
echo '      and start all Nodes from the console'
echo '      then run deploy script again'
echo
echo '     If you ar unable to log in to Annie'
echo '     go to http://10.2.2.4:6001/console'
echo '     and start all Deployments that are '
echo '     not "active"'