#!/bin/sh
# ###########################################################################
# Script generated by HP Fortify SCA Scan Wizard (c) HP Fortify 2011
# Created on 2014/04/07 18:09:48
# ###########################################################################
# Generated for the following languages:
# 	C#.NET / VB.NET
# 	HTML
# 	Java
# 	Javascript
# 	Python
# 	SQL
# 	XML
# ###########################################################################
# DEBUG - if set to true, runs SCA in debug mode
# SOURCEANALYZER - the name of the SCA executable
# BUILDID - the SCA build id
# LAUNCHERSWITCHES - the launcher settings that are used to invoke SCA
# ARGFILE - the name of the argument file that's extracted and passed to SCA
# MEMORY - the memory settings for SCA
# OLDFILENUMBER - this defines the file which contains the number of files within the project, it is automatically generated
# FILENOMAXDIFF - this is the percentage of difference between the number of files which will trigger a warning by the script
# ###########################################################################

DEBUG=false
SOURCEANALYZER=sourceanalyzer
FPR="Fortifycourier.fpr"
BUILDID="courier"
ARGFILE="Fortifycourier.sh.args"
MEMORY="-Xmx2400M -Xms1200M -Xss48M "
DEPENDENT_JARS="$HOME/.gradle/caches/modules-2/files-2.1/**/*.jar"

LAUNCHERSWITCHES=""
OLDFILENUMBER=Fortifycourier.sh.fileno
FILENOMAXDIFF=10

PROJECTROOT0="/var/jenkins/workspace/Courier_sca"
if [ ! -d "$PROJECTROOT0" ]; then
   echo  "ERROR: This script is being run on a different machine than it was"
   echo  "       generated on or the targeted project has been moved. This script is "
   echo  "       configured to locate files at"
   echo  "          $PROJECTROOT0"
   echo  "       Please modify the \$PROJECTROOT0 variable found"
   echo  "       at the top of this script to point to the corresponding directory"
   echo  "       located on this machine."
   exit
fi

if [ $DEBUG = true ]; then export LAUNCHERSWITCHES="-debug $LAUNCHERSWITCHES"; fi
echo Extracting Arguments File


grep "# ARGS" $0 | grep -v grep | cut -d" " -f3- | sed -e s#PROJECTROOT0_MARKER#"$PROJECTROOT0"#g   > $ARGFILE

# ###########################################################################
echo Cleaning previous scan artifacts
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -clean
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Translating files
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -cp "$DEPENDENT_JARS:$JAVA_HOME/**/Classes/*.jar" @$ARGFILE
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Testing Difference between Translations
FILENUMBER=`$SOURCEANALYZER -b $BUILDID -show-files | wc -l`

if [ ! -f $OLDFILENUMBER ]; then
	echo It appears to be the first time running this script, setting $OLDFILENUMBER to $FILENUMBER
	echo $FILENUMBER > $OLDFILENUMBER
else
	OLDFILENO=`cat $OLDFILENUMBER`
	DIFF=`expr $OLDFILENO "*" $FILENOMAXDIFF`
	DIFF=`expr $DIFF /  100`

	MAX=`expr $OLDFILENO + $DIFF`
	MIN=`expr $OLDFILENO - $DIFF`

	if [ $FILENUMBER -lt $MIN ] ; then SHOWWARNING=true; fi
	if [ $FILENUMBER -gt $MAX ] ; then SHOWWARNING=true; fi

	if [ $SHOWWARNING == true ] ; then
		echo "WARNING: The number of files has changed by over $FILENOMAXDIFF%, it is recommended"
		echo "         that this script is regenerated with the ScanWizard"
	fi

	echo $MAX $MIN $DIFF
fi;

# ###########################################################################
echo Starting scan
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -scan -f $FPR
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Finished
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/ant-builds/tomcat/build-lib/catalina-ant.jar:PROJECTROOT0_MARKER/cms/CamelTest/wlthint3client.jar:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/AtomLink.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/ErrorResponse.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/Message.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/MessageType.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/MongoDocumentBase$CustomObjectMapper.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/MongoDocumentBase$ObjectIdDeserializer.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/MongoDocumentBase.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/Patient.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/PatientIncomingMessage.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/PatientMessage.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/PatientMessageHistory.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/PatientOutgoingMessage.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/PatientPreference.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/PatientReading.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/PatientResponseServiceData.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/PatientServiceReading.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/Physician.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/Breach.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/CMSService.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/Comment.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/dictionary/Dictionary.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/dictionary/Schedule.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/dictionary/ServiceDictionary.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/Meridian.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/MessageElement.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/PatientProtocol.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/PatientProtocolStatus.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/Reading.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/ReadingThreshold.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/schedule/TypeDaysOfWeek.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/schedule/TypeEverySoMany.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/schedule/TypeOnce.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/Schedule.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/ScheduleTime.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/ScheduleType.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/Template.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/TimeInterval$1.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/TimeInterval.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/protocol/TimeIntervalUnit.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/scheduler/QuartzJob.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/main/gov/va/mobilehealth/courier/core/SMS.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientIncomingMessageTest$1.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientIncomingMessageTest$2.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientIncomingMessageTest$3.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientIncomingMessageTest.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientListTest$1.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientListTest$2.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientListTest$3.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientListTest.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientOutgoingMessageTest$1.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientOutgoingMessageTest$2.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientOutgoingMessageTest$3.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientOutgoingMessageTest.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientResponseServiceDataTest$1.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientResponseServiceDataTest$2.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientResponseServiceDataTest$3.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientResponseServiceDataTest.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientTest$1.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/PatientTest.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/dictionary/DictionaryTest$1.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/dictionary/DictionaryTest.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/PatientProtocolTest$1.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/PatientProtocolTest$2.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/PatientProtocolTest$3.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/PatientProtocolTest$4.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/PatientProtocolTest.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/ProtocolTemplateBuilder.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/ProtocolTemplateScheduleTypeDaysOfWeekTest.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/ProtocolTemplateScheduleTypeEverySoManyTest.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/protocol/ProtocolTemplateScheduleTypeOnceTest.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/core/SMSTest.class:PROJECTROOT0_MARKER/cms/cms-core/build/classes/test/gov/va/mobilehealth/courier/testing/FixtureHelpers.class:PROJECTROOT0_MARKER/cms/cms-core/build/libs/cms-core-0.0.1.jar"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/main/gov/va/mobilehealth/courier/ha/core/Link.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/main/gov/va/mobilehealth/courier/ha/core/MHPUser.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/main/gov/va/mobilehealth/courier/ha/core/Patient.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/main/gov/va/mobilehealth/courier/ha/core/PatientIdentifier.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/main/gov/va/mobilehealth/courier/ha/core/UserIdentifier.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/main/gov/va/mobilehealth/courier/ha/core/UserSession.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/main/gov/va/mobilehealth/courier/ha/HAService.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/main/gov/va/mobilehealth/courier/ha/HTTPOAuthFilter.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/main/gov/va/mobilehealth/courier/ha/JerseyFactory.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/test/gov/va/mobilehealth/courier/ha/MHPServiceTest.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/test/gov/va/mobilehealth/courier/ha/utils/AuthenticationInfo.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/test/gov/va/mobilehealth/courier/ha/utils/AuthenticationInfoTestHelper.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/test/gov/va/mobilehealth/courier/ha/utils/AuthorizationResult.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/test/gov/va/mobilehealth/courier/ha/utils/NullChecker.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/test/gov/va/mobilehealth/courier/ha/utils/OAuthClientTestHelper.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-ha-api/build/classes/test/gov/va/mobilehealth/courier/ha/utils/OAuthClientTestHelperTest.class:PROJECTROOT0_MARKER/cms/cms-ha-api/build/libs/cms-ha-api-0.0.1.jar:PROJECTROOT0_MARKER/cms/cms-jackson/build/classes/main/gov/va/mobilehealth/cms/jackson/FuzzyEnumModule$1.class:PROJECTROOT0_MARKER/cms/cms-jackson/build/classes/main/gov/va/mobilehealth/cms/jackson/FuzzyEnumModule$PermissiveEnumDeserializer.class:PROJECTROOT0_MARKER/cms/cms-jackson/build/classes/main/gov/va/mobilehealth/cms/jackson/FuzzyEnumModule$PermissiveEnumDeserializers.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/cms-jackson/build/classes/main/gov/va/mobilehealth/cms/jackson/FuzzyEnumModule.class:PROJECTROOT0_MARKER/cms/cms-jackson/build/classes/main/gov/va/mobilehealth/cms/jackson/Jackson.class:PROJECTROOT0_MARKER/cms/cms-jackson/build/classes/test/gov/va/mobilehealth/cms/jackson/FuzzyEnumModuleTest.class:PROJECTROOT0_MARKER/cms/cms-jackson/build/libs/cms-jackson-0.0.1.jar:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/CMSApplication.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/db/DAOFactory.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/db/DictionaryDAO.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/db/PatientDAO.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/db/PatientMessageDAO.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/db/PatientMessageHistoryDAO.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/db/PatientProtocolDAO.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/db/PatientResponseServiceDataDAO.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/db/ProtocolTemplateDAO.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/protocol/MessageProcessorService.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/providers/ObjectMapperProvider.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/DictionaryResource.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/helper/PatientMessageHandler.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/MessageReceivingResource.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/PatientsResource.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/ProtocolTemplateResource.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/ProtocolTemplatesResource.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/RegistrationResource.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/ResourceDirectoryResource.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/SchedulingResource.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/SMSMockResource.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/resources/SMSResource.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/PatientProtocolExpireJob.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/PatientProtocolInitJob.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/PatientProtocolJob.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/PatientProtocolLastJob.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/PatientProtocolReminderJob.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/PatientProtocolScheduler.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/ProtocolChronGenerator.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/QuartzJobHandler.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/TriggerFactory$1.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/scheduler/TriggerFactory.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/authConfig/AuthConfig.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/DateParser.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/HttpSessionCollector.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/LoadCourierResource.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/MongoClientInitializerListener.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/MongoDBConnection.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/PropertyHelper.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/ScriptRunner.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/ServerConfig.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/Tools.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/utils/uriformatters/ResourceDirectoryBuilder.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/main/gov/va/mobilehealth/courier/web/LoginLogoutController.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/test/gov/va/mobilehealth/courier/protocol/MessageProcessorParseTest.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/test/gov/va/mobilehealth/courier/scheduler/ProtocolChronGeneratorTest.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/test/gov/va/mobilehealth/courier/scheduler/QuartzJobHandlerTest$RunMeJob.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/test/gov/va/mobilehealth/courier/scheduler/QuartzJobHandlerTest.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/test/gov/va/mobilehealth/courier/utils/authConfig/AuthConfigTest/AuthConfigTest.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/test/gov/va/mobilehealth/courier/utils/DateParserTest.class:PROJECTROOT0_MARKER/cms/courier-resources/build/classes/test/gov/va/mobilehealth/courier/utils/ServerConfigTest.class"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/courier-resources/build/classes/test/gov/va/mobilehealth/courier/utils/ToolsTest.class:PROJECTROOT0_MARKER/cms/gradle/wrapper/gradle-wrapper.jar:PROJECTROOT0_MARKER/cms/MessagingApp/app/bower_components/json3/benchmark/assets/nano.jar:PROJECTROOT0_MARKER/cms/MessagingApp/app/bower_components/json3/vendor/closure-compiler.jar:PROJECTROOT0_MARKER/cms/MessagingApp/dist/bower_components/json3/benchmark/assets/nano.jar"
# ARGS "-cp"
# ARGS "PROJECTROOT0_MARKER/cms/MessagingApp/dist/bower_components/json3/vendor/closure-compiler.jar"
# ARGS "-source"
# ARGS "1.6"
# ARGS "-Dcom.fortify.sca.fileextensions.sql=PLSQL"
# ARGS -exclude "PROJECTROOT0_MARKER/bcm_automation/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/cms-core/.gradle/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/cms-core/src/intTest/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/cms-core/src/test/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/cms-jackson/.gradle/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/cms-jackson/src/intTest/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/cms-jackson/src/test/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/courier-resources/.gradle/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/courier-resources/src/intTest/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/courier-resources/src/resIntTest/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/courier-resources/src/test/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/graveyard/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/infrastructure/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/mockups/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/MessagingApp/app/bower_components/angular-mocks/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/MessagingApp/app/bower_components/angular-scenario/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/MessagingApp/app/bower_components/highcharts-ng/example/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/PatientApp/app/bower_components/angular-mocks/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/PatientApp/app/bower_components/angular-scenario/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/PatientApp/app/bower_components/highcharts-ng/example/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/PatientApp/mockups/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/ResourceIntTest/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/SMSGatewayClient/.gradle/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/SMSGatewayClient/src/intTest/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/SMSGatewayClient/src/test/**/*"
# ARGS -exclude "PROJECTROOT0_MARKER/build-enunciate.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/cms.*.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/enunciate.xml"
# ARGS "PROJECTROOT0_MARKER"
