#!/bin/sh -xe

#
# created by mlamatrice 10/13/2014, forked from PatientViewerResources
#

FORTIFY_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
PROJECT_ROOT=`dirname $FORTIFY_DIR`
PROPERTIES_FILE="$FORTIFY_DIR/fortify-cms.properties"
BUILDID="cms"
MEMORY="-Xmx3200M -Xms2400M -Xss48M -XX:PermSize=128M -XX:MaxPermSize=256M"
DEPENDENT_JARS="$HOME/.gradle/caches/**/*.jar"

# ============ END project-specific code

if [ ! -f $PROPERTIES_FILE ]; then
    echo "File not found: $PROPERTIES_FILE"
    exit 1
fi

echo PROJECT_ROOT=$PROJECT_ROOT
echo PROPERTIES_FILE=$PROPERTIES_FILE

DEBUG=false
SOURCEANALYZER="sourceanalyzer"
FPR="$FORTIFY_DIR/$BUILDID.fpr"

if [ $DEBUG = true ]; then export LAUNCHERSWITCHES="-debug $LAUNCHERSWITCHES"; fi

echo "`date`: $0 starting"

cd $PROJECT_ROOT

# ###########################################################################
echo -------------------------------------- 
echo Cleaning previous scan artifacts
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -clean 
if [ $? = 1 ] ; then
	echo Sourceanalyzer failed, exiting
	exit 1
fi
# ###########################################################################
echo -------------------------------------- 
echo Translating files
#$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID @$PROPERTIES_FILE
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID \
		-cp "$DEPENDENT_JARS:$JAVA_HOME/**/Classes/*.jar" \
		 @$PROPERTIES_FILE
if [ $? = 1 ] ; then
	echo Sourceanalyzer failed, exiting
	exit 1
fi

# ###########################################################################
echo -------------------------------------- 
echo Starting scan
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -scan -f $FPR
if [ $? = 1 ] ; then
	echo Sourceanalyzer failed, exiting
	exit 1
fi
# ###########################################################################
echo -------------------------------------- 
echo "`date`: $0  finished"

