Description
===========
A role-based cookbook that defines an apache server for the HelloWorld
project. A server filling this role has three responsibilities:

1. Serve one or more html/js/css front-end application that are stored on disk
2. Proxy HTTP traffic against backend restful services that the front-end
   application depends on
3. Load-balance the n-number of backend restful services

Requirements
============
apache2 cookbook
chef-commons for validation/pre-requisite checks
chef-minitest-handler

Attributes
==========
  node["apache\_meb"]["frontend"] = [ {
      "context" => "/claims",
      "source"  => "http://url/to/source.zip"
    }, { ### - OR - ###
      "context" => "/jobs",
      "source"  => "/path/to/file/on/local/filesystem"
    }

  ]

  node["apache\_meb"]["backend"] = [ {
      "context"   => "/rest/claims",
      "endpoints" => [
        "https://10.1.1.4:0000", 
        "https://10.1.1.5:0000", 
        "https://10.1.1.6:0000"
      ]
    }, {
      "context"   => "/rest/jobs",
      "endpoints" => [
        "https://10.1.1.7:5100", 
        "https://10.1.1.8:5100", 
        "https://10.1.1.9:5100"
      ]
    }
  ]

  TODO:
  node["apache\_meb"][ssl_cert] = { 
    ...
  }

Usage
=====
Just add apache\_meb::default to your Vagrantfile.

Prerequisite Checks
===================
TODO:
  Fails during compilation phase if any of the specified contexts overlap
  Fails during compilation phase if any of the specified webapp sources don't exist
  Fails during compilation phase if any of the specified webapp sources aren't zip files
  Fails during compilation phase any of the endpoints are invalid (servers are not up)
  Fails if /usr/bin/unzip is not available
  Fails if the zip file does not have a recognizable name
  ? Fails if the version of the backend does not match

Validation Checks
=================
  Check each url endpoint to make sure it returns a non-error HTTP code
  Check version of url endpoint to make sure it matches..
  Check to ensure that the contents in each of the /srv/webapps/... are exactly the same as what was in the zip files

Questions
================
Upgrade Procedures: 
  Should we disable previous webapps?
