hp_helper_url = "https://ihealthbuild.agilexhealth.com/artifactory/simple/agilex/ha-helper/ha-helper/osx-1.0/ha-helper-osx-1.0.gz"

ha_helper_home = "/u01/apps/chef"

unless File.exists?(ha_helper_home)
  directory ha_helper_home do
    owner "root"
    group "root"
    mode 0777
    recursive true
    action :create
  end
end

ha_helper = remote_file "#{Chef::Config[:file_cache_path]}/#{File.basename(hp_helper_url)}" do
  owner "root"
  group "root"
  mode "0644"
  source hp_helper_url
  checksum open("#{hp_helper_url}.sha1", ssl_verify_mode: OpenSSL::SSL::VERIFY_NONE).string
end

bash "install healthadapter" do
  user "root"
  cwd ha_helper_home
  code <<-EOH
    tar xvzf #{Chef::Config[:file_cache_path]}/#{File.basename(hp_helper_url)}
    chown -R vagrant:root #{ha_helper_home}
    ./install.sh -c tomcat
    cd ..
    chown -R vagrant:root apache-tomcat-7.0.26
    cd chef
    ./install.sh -c mysql,authservices,healthadapter,ssoeproxy,launchpad-web,usercontext
    cp /vagrant/httpd.conf /etc/httpd/conf/.
  EOH
  only_if { ha_helper.updated_by_last_action? }
end

bash "start tomcat" do
  user "root"
  code <<-EOH
    export CATALINA_HOME=/u01/apps/apache-tomcat-7.0.26
    export CATALINA_PID=$CATALINA_HOME/id.pid:wq
    export CATALINA_OPTS="-Xms1024m -Xmx1024m -XX:MaxPermSize=512m -XX:+CMSClassUnloadingEnabled -Dorg.apache.cocoon.mode=va-veteran-dev -DmhpAuthorizationUrl=http://192.168.33.4:8080/MobileHealthPlatformWeb/rest/mhpuser -Doauth.login_url=http://192.168.33.4:8080/MobileHealthPlatformWeb/oauthlogin -Doauth.authorize_url=http://192.168.33.4:8080/ssoeproxy/veteran/authorize -Doauth.ssoe_logout_url=http://192.168.33.4:8080/ssoeproxy/logout -Doauth.token_url=http://192.168.33.4:8080/AuthorizationServices/oauth/token -Doauth.ssoe_logout_url=http://192.168.33.4:8080/ssoeproxy/logout -Doauth.logout_uri=http://192.168.33.4:8080/AuthorizationServices/logout -Doauth.validateTokenUri=http://192.168.33.4:8080/AuthorizationServices/rest/validateToken -Dauthorization_services.url=http://192.168.33.4:8080/AuthorizationServices/veteran/authorize"
    $CATALINA_HOME/bin/catalina.sh stop -force
    $CATALINA_HOME/bin/catalina.sh jpda start
  EOH
end
