from java.io import FileInputStream

propInputStream = FileInputStream("/vagrant/datasource.properties")
configProps = Properties()
configProps.load(propInputStream)

domainName=configProps.get("domain.name")
adminURL=configProps.get("admin.url")
adminUserName=configProps.get("admin.userName")
adminPassword=configProps.get("admin.password")

jmsSystemResource = "AnnieJMSModule"
jmsSubDeployment = "AnnieJMSSubDeployment"
factoryName = "AnnieJMSConnectionFactory"
jmsServerName = "AnnieJMSServer"
inboundQueueName = "AnnieJMSInboundQueue"
outboundQueueName = "AnnieJMSOutboundQueue"
refreshAppointmentsQueueName = "AnnieJMSRefreshAppointmentsQueue"

factoryNameJndi = "jms/AnnieJMSConnectionFactory"
inboundQueueNameJndi = "jms/AnnieJMSInboundQueue"
outboundQueueNameJndi = "jms/AnnieJMSOutboundQueue"
refreshAppointmentsQueueNameJndi = "jms/AnnieJMSRefreshAppointmentsQueue"

connect(adminUserName, adminPassword, adminURL)
edit()
startEdit()

try:
    servermb = getMBean("Servers/myserver")

    jmsserver1mb = create(jmsServerName, 'JMSServer')
    jmsserver1mb.addTarget(servermb)

    annieJmsSystemResource = create(jmsSystemResource, "JMSSystemResource")

    annieJmsSystemResource.addTarget(servermb)

    theJMSResource = annieJmsSystemResource.getJMSResource()

    connfact1 = theJMSResource.createConnectionFactory(factoryName)
    connfact1.setJNDIName(factoryNameJndi)
    connfact1.setSubDeploymentName(jmsSubDeployment)

    jmsqueue1 = theJMSResource.createQueue(inboundQueueName)
    jmsqueue1.setJNDIName(inboundQueueNameJndi)
    jmsqueue1.setSubDeploymentName(jmsSubDeployment)

    jmsqueue2 = theJMSResource.createQueue(outboundQueueName)
    jmsqueue2.setJNDIName(outboundQueueNameJndi)
    jmsqueue2.setSubDeploymentName(jmsSubDeployment)

    jmsqueue3 = theJMSResource.createQueue(refreshAppointmentsQueueName)
    jmsqueue3.setJNDIName(refreshAppointmentsQueueNameJndi)
    jmsqueue3.setSubDeploymentName(jmsSubDeployment)

    subDep1mb = annieJmsSystemResource.createSubDeployment(jmsSubDeployment)
    subDep1mb.addTarget(jmsserver1mb)

    save()
    activate(block="true")
except WLSTException:
    cancelEdit(defaultAnswer="y")

disconnect()
exit(defaultAnswer="y")
