#!/bin/sh -u

green='\033[0;32m'
red='\033[0;31m'
nocolor='\033[0m'

FAILFAST=0

## smoke tests
function testUrl() {
  local url="$1"
  curl -skL -w "GET %{http_code} %{url_effective}\\n" "$url" -o /dev/null
  if [ $? -ne 0 ]; then 
    echo -e "\t${red}#### FAILED ✘${nocolor}"
    if [ $FAILFAST -eq 1 ]; then exit 1; fi
  else
    echo -e "\t${green}#### PASSED ✔${nocolor}"
  fi;
}

# network test
testUrl 'https://www.google.com'

# vpn/mdws test
testUrl 'http://192.168.25.149/LVMdwsTest/LVEncounterSvc.asmx/getVersion'

#cms
testUrl 'http://192.168.33.2:7001/console'
testUrl 'https://192.168.33.2/cms'
testUrl 'https://192.168.33.2/vet'

#vamf
testUrl 'http://10.2.2.4:6001/console'
testUrl 'https://10.2.2.4:8070/ssoeproxy/login';
testUrl 'https://10.2.2.4:8070/MobileHealthPlatformWeb/rest/public/resource-directory'
testUrl 'https://10.2.2.4:8090/AuthorizationServices/login'
testUrl 'https://10.2.2.4:8090/AuthorizationServices'
testUrl 'https://10.2.2.4:8090/MobileHealthPlatformWeb/rest/facility-service/facilities?parentFacilitiesOnly=true&term=dc'

# cms+vamf
testUrl 'https://10.2.2.4:8090/AuthorizationServices/provider/authorize?response_type=code&state=stateId&client_id=MobileBlueButton&redirect_uri=https://192.168.33.2/cms/service/oauthtoken?original_redirect_uri%3Dhttps://www.google.com&scope=read'

