#!/bin/sh -aux

cd $CMS_PROJECT_HOME
. infrastructure2/set.env.sh

# global
vagrant global-status --prune 2> /dev/null
rm -rf ~/.vagrant.d/tmp

# VAMF
cd $CMS_PROJECT_HOME/infrastructure2/vagrant/vamf-provisionless
vagrant destroy -f 
rm -rf .vagrant/
vagrant up --provision
vagrant sandbox on
#open "http://10.2.2.4:6001/console"

# CMS
mkdir -p $CMS_PROJECT_HOME/MessagingApp/dist
mkdir -p $CMS_PROJECT_HOME/PatientApp/dist
cd $CMS_PROJECT_HOME/infrastructure/vagrant/virtualbox/centos
vagrant destroy -f
cp Vagrantfile.provisioned Vagrantfile
vagrant up --no-provision
vagrant ssh -c "sudo rm /etc/udev/rules.d/70-persistent-net.rules"
vagrant reload --provision
$CMS_PROJECT_HOME/redeploy.sh
vagrant sandbox on
#open "http://192.168.33.2:7001/console"

# wait for background jobs
wait

# smoke test
. $CMS_PROJECT_HOME/infrastructure2/cmssmoketest.sh 2>/dev/null
