#!/bin/sh -e
# start the HA2Server

[ "$USER" != "ciuser" ] && { echo "Must be run as ciuser, aborting."; exit 1; }

source $WL_HOME/server/bin/setWLSEnv.sh
source $MW_HOME/user_projects/domains/MobileHealthDomain/bin/setDomainEnv.sh

set -u

AUTH_VM_PROTO=http
VM_HOST_IP=192.168.1.19
AUTH_VM_PORT=8069
CONSOLE_PORT=6001
SERVER_NAME=HA2Server

nohup $JAVA_HOME/bin/java -client -XX:CompileThreshold=8000 \
	-Dweblogic.Name=$SERVER_NAME \
	-Dweblogic.management.username=weblogic \
	-Dweblogic.management.password=weblogic1 \
	-Djava.security.policy=$WL_HOME/server/lib/weblogic.policy \
	-Dweblogic.system.BootIdentityFile=$MW_HOME/user_projects/domains/MobileHealthDomain/servers/$SERVER_NAME/data/nodemanager/boot.properties \
	-Dweblogic.nodemanager.ServiceEnabled=true \
	-Dweblogic.security.SSL.ignoreHostnameVerification=true \
	-Dweblogic.security.SSL.allowSmallRSAExponent=true \
	-Dweblogic.StdoutDebugEnabled=true \
	-Dweblogic.ReverseDNSAllowed=false \
	-Dssl.debug=true \
	-Xverify:none \
	-da \
	-Dplatform.home=$WL_HOME \
	-Dwls.home=$WL_HOME/server \
	-Dweblogic.home=$WL_HOME/server \
	-Dweblogic.management.discover=false \
	-Dweblogic.management.server=http://$VM_HOST_IP:$CONSOLE_PORT \
	-Dwlw.iterativeDev= \
	-Dwlw.testConsole= \
	-Dwlw.logErrorsToConsole= \
	-Dweblogic.ext.dirs=$MW_HOME/patch_wls1035/profiles/default/sysext_manifest_classpath:$MW_HOME/patch_ocp360/profiles/default/sysext_manifest_classpath \
	-Xms1024m \
	-Xmx1024m \
	-XX:PermSize=128m \
	-XX:MaxPermSize=512m \
	-Xrs \
	-Djavax.xml.soap.MessageFactory=com.sun.xml.internal.messaging.saaj.soap.ver1_1.SOAPMessageFactory1_1Impl \
	-Dcom.sun.xml.ws.transport.http.client.HttpTransportPipe.dump=true \
	-Dorg.apache.cocoon.mode=va-veteran-dev \
	-Dauthdb_dialect=org.hibernate.dialect.Oracle10gDialect \
	-Dauthdb_jndiname=AUTHDB \
	-Dauthorization_services.url=$AUTH_VM_PROTO://$VM_HOST_IP:$AUTH_VM_PORT/AuthorizationServices/veteran/authorize \
	-Dhadb_dialect=org.hibernate.dialect.Oracle10gDialect \
	-Dhadb_jndiname=HAORACLEDB \
	-DmhpAuthorizationUrl=$AUTH_VM_PROTO://$VM_HOST_IP:$AUTH_VM_PORT/MobileHealthPlatformWeb/rest/mhpuser \
	-Doauth.authorize_url=$AUTH_VM_PROTO://$VM_HOST_IP:$AUTH_VM_PORT/ssoeproxy/veteran/authorize \
	-Doauth.login_url=$AUTH_VM_PROTO://$VM_HOST_IP:$AUTH_VM_PORT/MobileHealthPlatformWeb/oauthlogin \
	-Doauth.ssoe_logout_url=$AUTH_VM_PROTO://$VM_HOST_IP:$AUTH_VM_PORT/ssoeproxy/logout \
	-Doauth.token_url=$AUTH_VM_PROTO://$VM_HOST_IP:$AUTH_VM_PORT/AuthorizationServices/oauth/token \
	-Doauth.validateTokenUri=$AUTH_VM_PROTO://$VM_HOST_IP:$AUTH_VM_PORT/AuthorizationServices/rest/validateToken \
	-Dmdws.encounter.endPointBaseUrl=http://192.168.25.149/LVMdwsTest/ \
	-Dmdws.encounter.endPointUrl=LVEncounterSvc.asmx \
	weblogic.Server > ~/$SERVER_NAME.out 2>&1 &

echo "======== Server log output to: ~/$SERVER_NAME.out"



