use courier;

db.patients.ensureIndex( { "preference.phoneNumber": 1 }, { unique: true, sparse: true } );
db.dictionary.drop();
db.dictionary.insert([
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d85"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Blood Pressure",
    "readings": [
      {
        "name": "Systolic",
        "valid": {
          "low": 70,
          "high": 270
        },
        "alert": {
          "low": 80,
          "high": 140
        },
        "critical": {
          "low": 75,
          "high": 200
        },
        "unit": "mmHg"
      },
      {
        "name": "Diastolic",
        "valid": {
          "low": 40,
          "high": 140
        },
        "alert": {
          "low": 60,
          "high": 90
        },
        "critical": {
          "low": 55,
          "high": 100
        },
        "unit": "mmHg"
      }
    ],
    "keywords": [
      "BP",
      "BLOOD"
    ]
  },
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d86"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Pulse Oximetry (SpO2)",
    "readings": [
      {
        "name": "SpO2",
        "valid": {
          "low": 60,
          "high": 100
        },
        "alert": {
          "low": 70,
          "high": 100
        },
        "critical": {
          "low": 65,
          "high": 100
        },
        "unit": "% Sat"
      }
    ],
    "keywords": [
      "OX",
      "OXYGEN"
    ]
  },
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d87"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Blood Glucose",
    "readings": [
      {
        "name": "Glucose",
        "valid": {
          "low": 30,
          "high": 300
        },
        "alert": {
          "low": 40,
          "high": 200
        },
        "unit": "mg/dl"
      }
    ],
    "keywords": [
      "BG",
      "GLUCOSE",
      "SUGAR"
    ]
  },
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d88"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Glucose Before Eating",
    "readings": [
      {
        "name": "Glucose",
        "valid": {
          "low": 30,
          "high": 300
        },
        "alert": {
          "low": 40,
          "high": 200
        },
        "unit": "mg/dl"
      }
    ],
    "keywords": [
      "BGB",
      "BEFORE"
    ]
  },
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d89"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Glucose After Eating",
    "readings": [
      {
        "name": "Glucose",
        "valid": {
          "low": 30,
          "high": 300
        },
        "alert": {
          "low": 40,
          "high": 200
        },
        "unit": "mg/dl"
      }
    ],
    "keywords": [
      "BGA",
      "AFTER"
    ]
  },
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d8a"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Weight Loss",
    "readings": [
      {
        "name": "Weight",
        "valid": {
          "low": 50,
          "high": 250
        },
        "alert": {
          "low": 70,
          "high": 200
        },
        "unit": "lbs"
      }
    ],
    "keywords": [
      "WE",
      "WEIGHT"
    ]
  },
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d8b"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Caloric Intake",
    "readings": [
      {
        "name": "Calories",
        "unit": "Calories"
      }
    ],
    "keywords": [
      "CAL",
      "CALORIES"
    ]
  },
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d8c"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Amount of Exercise",
    "readings": [
      {
        "name": "Amount of Exercise",
        "unit": "Minutes"
      }
    ],
    "keywords": [
      "EXERCISE"
    ]
  },
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d8d"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Temperature",
    "readings": [
      {
        "name": "Temperature",
        "valid": {
          "low": 95,
          "high": 106
        },
        "alert": {
          "low": 96,
          "high": 103
        },
        "unit": "Fahrenheit"
      }
    ],
    "keywords": [
      "TEMP"
    ]
  },
  {
    "_id": ObjectId("52e829f9bf890cf9ee685d8e"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.ServiceDictionary",
    "name": "Pulse",
    "readings": [
      {
        "name": "Pulse",
        "valid": {
          "low": 45,
          "high": 200
        },
        "alert": {
          "low": 50,
          "high": 150
        },
        "unit": "bpm"
      }
    ],
    "keywords": [
      "PULSE"
    ]
  },
  {
    "_id": "528a739eda06d04179851fa9",
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.TimeZone",
    "value": "America/Anchorage",
    "description": "Alaska (GMT-09:00)"
  },
  {
    "_id": "528a739eda06d04179851fb9",
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.TimeZone",
    "value": "Atlantic/Bermuda",
    "description": "Atlantic (GMT-04:00)"
  },
  {
    "_id": "528a739eda06d04179851fc9",
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.TimeZone",
    "value": "America/Chicago",
    "description": "Central (GMT-06:00)"
  },
  {
    "_id": "528a739eda06d04179851fd9",
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.TimeZone",
    "value": "Pacific/Guam",
    "description": "Chamorro (GMT+10:00)"
  },
  {
    "_id": "528a739eda06d04179851fa8",
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.TimeZone",
    "value": "America/New_York",
    "description": "Eastern (GMT-05:00)"
  },
  {
    "_id": "528a739eda06d04179851fb8",
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.TimeZone",
    "value": "Pacific/Honolulu",
    "description": "Hawaii-Aleutian (GMT-10:00)"
  },
  {
    "_id": "528a739eda06d04179851fc8",
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.TimeZone",
    "value": "America/Denver",
    "description": "Mountain (GMT-07:00)"
  },
  {
    "_id": "528a739eda06d04179851fd8",
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.TimeZone",
    "value": "America/Los_Angeles",
    "description": "Pacific (GMT-08:00)"
  },
  {
    "_id": "528a739eda06d04179851fe8",
    "@class": "gov.va.mobilehealth.courier.core.protocol.dictionary.TimeZone",
    "value": "Pacific/Pago_Pago",
    "description": "Samoa (GMT-11:00)"
  }
]);

db.protocolTemplates.update(
  {
    "_id": ObjectId("53dbcab90cf2a84675bb29a2")
  },
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "type": "Vitals",
    "description": "Glucose Before Eating",
    "serviceMessage": "Most blood sugars should be checked before eating and at least 2 hours after a meal.  Please send in those Thanks, Annie",
    "confirmationMessage": "If in the past month you have had any falls or near falls due to low blood sugar? Yes-No? You need to let your PACT team know.",
    "service": {
      "_id": "52e829f9bf890cf9ee685d88",
      "name": "Glucose Before Eating",
      "readings": [
        {
          "name": "Glucose",
          "valid": {
            "low": 30,
            "high": 300
          },
          "alert": {
            "low": 70,
            "high": 200
          },
          "critical": {
            "low": 50,
            "high": 250
          },
          "unit": "mg/dl"
        }
      ],
      "firstLevelMessage": {
        "below": "To treat a low blood sugar below 70 take15 grams (GM) of Carbohydrate such as: 6 pieces of hard candy or 8 ounces of skim milk",
        "above": "To treat high blood sugar above 200 take "
      },
      "secondLevelMessage": {},
      "criticalMessage": {
        "below": "To treat a low blood sugar below 50 take 30 Grams (GM) of Carbohydrate Examples: 1 tube of glucose gel or 8 glucose tablets.",
        "above": "To treat high blood sugar above 250 take "
      },
      "keywords": [
        "BGB",
        "BEFORE"
      ],
      "pattern": "(?i).*\\s*(BGB|BEFORE)(\\s|\\d).*"
    },
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
        "name": "Custom",
        "description": "Every 6 hour",
        "interval": {
          "value": 6,
          "unit": "HOUR"
        }
      },
      "scheduleTime": {
        "hour": 7,
        "min": 30,
        "meridian": "AM",
        "description": "(At 7:30 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "_id": ObjectId("53dbcab90cf2a84675bb29a2")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("53dbcab90cf2a84675bb29a3")
  },
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "type": "Vitals",
    "description": "Glucose After Eating",
    "serviceMessage": "Most blood sugars should be checked before eating and at least 2 hours after a meal.  Please send in those Thanks, Annie",
    "confirmationMessage": "If in the past month you have had any falls or near falls due to low blood sugar? Yes-No? You need to let your PACT team know.",
    "service": {
      "_id": "52e829f9bf890cf9ee685d89",
      "name": "Glucose After Eating",
      "readings": [
        {
          "name": "Glucose",
          "valid": {
            "low": 30,
            "high": 300
          },
          "alert": {
            "low": 70,
            "high": 200
          },
          "critical": {
            "low": 50,
            "high": 250
          },
          "unit": "mg/dl"
        }
      ],
      "firstLevelMessage": {
        "below": "To treat a low blood sugar below 70 take15 grams (GM) of Carbohydrate such as: 4 ounces of juice(no tomato juice or V8 Vegetable juice) 1 tablespoon of jam/pres",
        "above": "To treat high blood sugar above 200 take "
      },
      "secondLevelMessage": {},
      "criticalMessage": {
        "below": "To treat a low blood sugar below 50 take 30 grams (GM) of Carbohydrate Examples: 8 ounces of juice or 2 tablespoons of jam/preserves, jelly, honey, or sugar",
        "above": "To treat high blood sugar above 250 take "
      },
      "keywords": [
        "BGA",
        "AFTER"
      ],
      "pattern": "(?i).*\\s*(BGA|AFTER)(\\s|\\d).*"
    },
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
        "name": "Custom",
        "description": "Every 6 hour",
        "interval": {
          "value": 6,
          "unit": "HOUR"
        }
      },
      "scheduleTime": {
        "hour": 9,
        "min": 30,
        "meridian": "AM",
        "description": "(At 9:30 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "_id": ObjectId("53dbcab90cf2a84675bb29a3")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("53dbcab90cf2a84675bb29a4")
  },
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
    "status": "Active",
    "type": "Motivational/Educational",
    "description": "Glucose Management Motivational Messages",
    "serviceMessage": [
      "Always wear an identification bracelet or necklace (ask your diabetes educator)",
      "Always carry a quick source of sugar with you",
      "Check your blood sugar before driving and never drive when your blood sugar is low",
      "Call your PACT Team or Telephone Advice Nurse if you have repeated low blood sugars",
      "If you faint from low blood sugar and are unable to swallow, please tell family, friends or co-workers to call 911",
      "Physical activity is a very good way of working off stress or anxiety but it can also lower blood sugar always carry a glucose source with you. Do you always ca",
      "As physical activity increases, stress decreases which can have a good effect on your blood sugar. Make sure your blood glucose does not go below 70 while being",
      "Foods that increase your blood sugar are called carbohydrates. Milk, fruits, fruit juices, starches such as, breads, pasta and potatoes, and almost all sweets",
      "An example of a meal with no carbohydrate is: a meat salad with no bread",
      "If you have to leave home without eating, take a meal in the car. A meal can be a sandwich, fruit with cheese, or peanut butter and crackers.",
      "Taking your insulin too early can put you at risk for low sugar. Check your schedule to see what barriers you have to improving your insulin timing.",
      "Insulin does not have to stay refrigerated all the time; take it with you to the restaurant or a friend's house before you eat- just don't leave it in the car.",
      "Always take glipizide 30 minutes before a meal with carbohydrates. This will help you control your sugar and prevent low blood sugar.",
      "Don't take glyburide or glipizide and leave home without eating.  If you are in a hurry, put it in your pocket in a pill box/plastic bag or make your own fast ",
      "Try to include a carb food at each meal to prevent low blood sugar. Would you like a consult to see a registered dietitian to discuss carb foods?",
      "Examples of carb foods are cereal, fruit, bread, rice or potatoes.",
      "Exercise can be lawn mowing, hedge trimming, or even walking at the mall. If you are going to do some exercise that is not normal for you, eat a carb snack firs",
      "Always carry candy or glucose tablets in your pocket when you exercise just in case!",
      "Keep records about medication, physical activity, alcohol or meal/snack timing to see what is different about days when you have low blood glucose.",
      "Check your blood sugar to learn how food, medication, physical activity, stress and illness can affect your blood sugar control.",
      "Physical activity usually lowers your blood sugar, so if you start with a blood sugar of <100 you might put yourself at risk for a low blood sugar.",
      "Physical activity can lower your blood sugar so if you will be active for longer than 30 minutes you will most likely need 15-30 g of carbohydrate.",
      "Wearing medical alert jewelry lets others know that you have diabetes if they need to help you.  It's a good idea to keep a current list of your medications in "
    ],
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "lastMessageSent": 0,
    "_id": ObjectId("53dbcab90cf2a84675bb29a4")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("53da7b430cf27f4540f08295")
  },
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "type": "Vitals",
    "description": "Blood Pressure",
    "serviceMessage": "Please take your BP twice, take the average and send me the readings.  Please text BP, followed by the two numbers e.g..: BP 133 82 Thanks, Annie",
    "reminderMessage": "It is 8 o'clock - did you take your BP meds? If you forgot, iit is better to take them now than to skip them completely.",
    "confirmationMessage": "Your BP is staying too far outside the safe range.  Please contact the nurse advice line today and tell the nurse how your are doing.",
    "service": {
      "_id": "52e829f9bf890cf9ee685d85",
      "name": "Blood Pressure",
      "readings": [
        {
          "name": "Systolic",
          "valid": {
            "low": 89,
            "high": 200
          },
          "alert": {
            "low": 90,
            "high": 135
          },
          "critical": {
            "low": 90,
            "high": 200
          },
          "unit": "mmHg"
        },
        {
          "name": "Diastolic",
          "valid": {
            "low": 40,
            "high": 110
          },
          "alert": {
            "low": 41,
            "high": 85
          },
          "critical": {
            "low": 40,
            "high": 110
          },
          "unit": "mmHg"
        }
      ],
      "firstLevelMessage": {
        "below": "Your BP is a little LOW today - I like the low number above 90 and the bottom above 41.  Please send another reading tomorrow.  Take care, Annie.",
        "above": "Your BP is a little HIGH today - I like the high number below 135 and the bottom below 85.  Please send another reading tomorrow.  Take care, Annie."
      },
      "secondLevelMessage": {},
      "criticalMessage": {
        "below": "Your BP is very low today.  It worries me if the top number is below 90 or the bottom is below 40.  Please rest an hour then send me another reading.  Annie.",
        "above": "Your BP is quite high today.  It worries me if the top is over 200 or the bottom is over 110.  Rest an hour, then send me another reading.  Take care, Annie."
      },
      "keywords": [
        "BP",
        "BLOOD"
      ],
      "pattern": "(?i).*\\s*(BP|BLOOD)(\\s|\\d).*"
    },
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
        "name": "Custom",
        "description": "Every 12 hour",
        "interval": {
          "value": 12,
          "unit": "HOUR"
        }
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "_id": ObjectId("53da7b430cf27f4540f08295")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("53da7b430cf27f4540f08296")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
    "status": "Active",
    "type": "Motivational/Educational",
    "description": "Hypertension Motivational Messages",
    "serviceMessage": [
      "Keep track of your health habits – that way you can tell where you want to improve.",
      "With a condition like high blood pressure, you are more important than your doctor – he or she just gives advice but you must CARRY IT OUT, which is harder.",
      "When you go to your appointments, always bring your medication list and a piece of paper with your top 2 or 3 questions so you don’t forget them.",
      "If you bring the doctor 10 questions, they won’t have time to do a good job on any of them – decide what you really want to know, then focus on that.",
      "If you don’t know what each of your pills is for, ask the person who does your blood pressure at your next appointment – if they don’t know, ask the doctor.",
      "We call the higher blood pressure number the systolic blood pressure. If your BP is 136/73, then your systolic blood pressure is 136.",
      "We call the lower blood pressure number the diastolic blood pressure. If your BP is 136/73, then your diastolic blood pressure is 73.",
      "You sent me your weekly BP measurements the last 3 weeks in a row. Let’s go for four! Annie.",
      "People who record their exercise activities each day tend to stick to their plan better than those who do not.",
      "Try a food diary. For three days in a row, write down EVERYTHING you eat . Use a scale or measuring cup to see exactly how much you are eating.",
      "A food diary helps you see when you eat the most calories and decide what foods you will reduce. Bring it with you to your provider if you can’t decide.",
      "When measuring your BP, sit quietly and avoid talking for five minutes before you check. Take care, Annie.",
      "If you use a pedometer, take a look at it every night to see how many steps you took, then write it on a calendar so you can watch your progress.",
      "Use a pill minder – it will help you recognize when you forget a pill.",
      "When you measure your BP, make sure you and your arm are relaxed. Thanks Annie",
      "Check the calorie content of packets of food before buying – you’ll often be surprised.",
      "Restart your healthy diet again tomorrow if you ate poorly today.",
      "When you take your BP sit quietly for at least 5 minutes with your arm supported on an armrest or a table in front of you. Kind regards, Annie.",
      "For many people, home blood pressure runs about 5 points lower than BP in the doctor’s office. Check it in both places.",
      "Park a long way from the entrance when you shop for groceries – it lets you think on the way in, burns calories and improves fitness.",
      "Eat less, move more.",
      "For most people, your blood pressure target is 140/90 when measured in the doctor’s office. Next time you see your provider ask what they think your target shou",
      "Drinks with caffeine, like coke or coffee, can affect your blood pressure reading – avoid them for 30 minutes before measuring your BP.",
      "Be responsible for your own health. Knowing your blood pressure is a good example.",
      "Physical activity helps you lose weight, sleep better, lowers your blood pressure, decreases your chance of heart attack or stroke – and those are just some of ",
      "It is usually easiest to remember to take your pills if you take them at about the same time every day. I will send you a text to remind you – you can call your",
      "Your home blood pressure readings are just as reliable as those taken at the VA, if you are careful to use the approach you were taught.",
      "Being physically active means different things for different people – just try to do a little more each week – keep track of it so you can tell how you are doin",
      "You can measure your activity in minutes, steps, miles or whatever works for you!",
      "Most people find that drinking water or eating some raw vegetables before meals helps them avoid eating too much.",
      "You don’t have to measure your BP every day – for most people once a week is plenty. But if you do measure it more often, I am happy to have you text it to me. ",
      "When you are measuring your BP it is important to send me every measurement – it is normal for some to be higher than usual and some to be lower. Thanks, Annie.",
      "A healthy diet is not just about limiting calories and salt – it is also about eating healthy food.",
      "It is good to eat lots of vegetables – don’t add too many calories in butter, sauce or dressing.",
      "Do you have a list of your medications in your purse or wallet right now? If you don’t, maybe you should make one right now.",
      "It can be hard to keep your medicines straight. If you are not sure, call your primary care provider. Someone on their team can explain them.",
      "Don’t talk or move when taking your blood pressure, just sit still and stay quiet.",
      "Try to avoid food that is out of a box - most of it has a lot of added salt.",
      "Exercise helps your blood pressure but you won’t see it right away –BP can bounce around a bit right after you exercise, so don’t check it then.",
      "If you exercise is making you so short of breath you can’t talk, you are working too hard. Take care, Annie.",
      "Don’t rush when taking your blood pressure – you want your reading to be reliable.",
      "Try to relax while you sit for a few minutes before you take your blood pressure.",
      "Clear cold tap water is a good choice if you are thirsty; and it saves money!",
      "A can of beer, a can of soda and a can of orange juice all have about 170 calories – that is 2 or 3 apples or oranges. I recommend the whole fruit!!",
      "For some people, home BP readings are very different than a BP taken in a doctor’s office. It will help your doctor to have both.",
      "You won’t be too busy to do your scheduled exercise IF it is on your calendar and you make it a priority. I bet you rarely are too busy to go to your job!",
      "No human is perfect – aim for improvement, not perfection. Keep up the good work, Annie.",
      "Every week, try to set a goal you think you can achieve – then keep track to see you meet your goal.",
      "Increase your exercise gradually. Even though some people exercise for an hour daily, YOU should simply aim to do a little better this week than last.",
      "If you have cheated on your diet, don’t think the day is lost. Just get back on track for the rest of the day.",
      "Measure your weight daily so you are not surprised to find you have gained weight when you go to the doctor.",
      "Your blood pressure goes up for about 30 minutes after you have a cigarette, so if you smoke, wait that long before you check your BP. Better yet, quit!!",
      "When you set weekly goals for yourself, focus on things you control completely, like spending a certain amount time exercising.",
      "Try to make your goals specific – plan to exercise for 30 minutes on Monday, Wednesday and Friday at 7 AM; don’t plan to exercise some for 3 days this week."
    ],
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "lastMessageSent": 0,
    "_id": ObjectId("53da7b430cf27f4540f08296")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("53d68a270cf243dc76477470")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "type": "Vitals",
    "description": "Weight Loss",
    "serviceMessage": "Please send me your morning weight.  Thanks, Annie",
    "confirmationMessage": "Your Weight Loss reading is valid",
    "service": {
      "_id": "52e829f9bf890cf9ee685d8a",
      "name": "Weight Loss",
      "readings": [
        {
          "name": "Weight",
          "valid": {
            "low": 50,
            "high": 250
          },
          "alert": {
            "low": 70,
            "high": 200
          },
          "critical": {},
          "unit": "lbs"
        }
      ],
      "firstLevelMessage": {
        "below": "Your Weight Loss level is low which requires a LOW LEVEL ALERT!",
        "above": "Your Weight Loss level is high which requires a HIGH LEVEL ALERT!"
      },
      "secondLevelMessage": {},
      "criticalMessage": {},
      "keywords": [
        "WE",
        "WEIGHT"
      ],
      "pattern": "(?i).*\\s*(WE|WEIGHT)(\\s|\\d).*"
    },
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "_id": ObjectId("53d68a270cf243dc76477470")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("53d68a270cf243dc76477471")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "type": "Vitals",
    "description": "Amount of Exercise",
    "serviceMessage": "Please send me your morning exercise description.  Thanks, Annie",
    "confirmationMessage": "",
    "service": {
      "_id": "52e829f9bf890cf9ee685d8c",
      "name": "Amount of Exercise",
      "readings": [
        {
          "name": "Amount of Exercise",
          "valid": {},
          "alert": {},
          "critical": {},
          "unit": "Minutes"
        }
      ],
      "firstLevelMessage": {},
      "secondLevelMessage": {},
      "criticalMessage": {},
      "keywords": [
        "EXERCISE"
      ],
      "pattern": "(?i).*\\s*(EXERCISE)(\\s|\\d).*"
    },
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "_id": ObjectId("53d68a270cf243dc76477471")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("53d68a270cf243dc76477472")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "type": "Vitals",
    "description": "Caloric Intake",
    "serviceMessage": "Please send me your morning caloric intake.  Thanks, Annie",
    "confirmationMessage": "",
    "service": {
      "_id": "52e829f9bf890cf9ee685d8b",
      "name": "Caloric Intake",
      "readings": [
        {
          "name": "Calories",
          "valid": {},
          "alert": {},
          "critical": {},
          "unit": "Calories"
        }
      ],
      "firstLevelMessage": {},
      "secondLevelMessage": {},
      "criticalMessage": {},
      "keywords": [
        "CAL",
        "CALORIES"
      ],
      "pattern": "(?i).*\\s*(CAL|CALORIES)(\\s|\\d).*"
    },
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "_id": ObjectId("53d68a270cf243dc76477472")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("53d68a270cf243dc76477473")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
    "status": "Active",
    "type": "Motivational/Educational",
    "description": "Weight Loss Motivational Messages",
    "serviceMessage": [
      "The key to healthy eating is variety, balance, and moderation.  Refer to S01 & S06 to improve your nutrition & learn how to eat wisely.",
      "It’s never too late to make positive changes in your life.  Start by setting goals with S02 and B04. Consider starting your exercise program today.  Use S03 and",
      "BMI and diabetes are related.  A high BMI puts you at risk for diabetes, hypertension, and heart disease.  Look at M06 to determine yours.",
      "You set your weight goal with your MOVE! team.  Make changes slowly, it’s easier than changing everything at once. Check out B20 to learn ways to plan & deal wi",
      "Moderate activities, like fast walking, will make your heart beat faster and cause light sweating.  Start with 10 minute sessions 3x/ per day.",
      "Take a “before” picture to visually track your progress! Read S11 for tips on getting the most out of Annie!. ",
      "Being active for at least 150 minutes/week is important for health benefits.  Pushing this to 300 minutes /week helps you lose weight!",
      "Here’s a tip: chew your food 10-20 times before swallowing.  It slows down your eating so you can tell when you’re full!",
      "Check out N13 to learn more about Vegetables and Fruits.  Remember, you can use S06 to help guide your plate making skills☺.",
      "Sometimes, managing stress can be challenging, especially with your new focus on weight.  Read B28 for tips &tricks to manage stress.",
      "It’s common to overeat under stressful situations.  Consider reading B29, or go for a quick walk to get your mind off things.",
      "Are you losing weight.  S01 teaches the basics of weight control. Learn more about food, exercise, & your weight.",
      "Here are some tips for eating out: ask for a smaller portion; share a meal with a friend; take half of your food home for the next day.",
      "Refer for N32 when making a grocery list.  Avoid shopping when hungry, stick to your list, & fill your pantry with healthy food.",
      "With exercise, you’ve probably noticed how good you sleep, feel, and probably have more energy.",
      "Exercise also helps your heart work better, improves cholesterol, and increases your muscle mass.",
      "Become an expert on reading food labels by reading N10. Pay attention to saturated fat, total fat, cholesterol, and calories.",
      "If you find that you’re getting hungry between meals, consider eating 6 small meals/ day to keep your body fueled.",
      "We offer a variety of handouts with photos to help you with your activity plan.  Check out P20, P25, P30, P31, P32, & P37.",
      "Challenge yourself today to walk 10,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
      "Make sure you’re writing down everything on S08.  Being aware of what you eat, drink, & burn is SO important!",
      "Grains are a good source of fiber to help curb your appetite.  Add these to your diet.  Get some ideas from N28.",
      "Walking is cheap and easy.  Be sure to pick a good shoe for comfort.  Read P12 and P15 for shoe and walking tips!",
      "If you experience pain or discomfort with physical activity, read P19.  Pain usually goes away when your body gets used to moving.",
      "Day 25 now and I’m sure you’re feeling a difference. If you’re currently smoking, read B23 to help kick that habit!",
      "Remember to stretch after your activity to decrease muscle soreness.  Look at P30 for some stretches to include.",
      "We’ve listed several tips on keeping flavor in while eliminating fat.  Check out this list by reading N08.",
      "Get 3 servings of low-fat or fat-free dairy/day.  1 serving= 8oz glass of low-fat milk, ½ cup of cottage cheese. N03 has more options.",
      "Fill 1/4 of your plate with a lean protein.  It can be lean meat, fish, shellfish, beans, eggs, or tofu.  Refer to N20.",
      "30 days down!  Think about how you’re feeling.  Do you notice any changes in the way you feel or look? Take a new picture!",
      "Think about personal goals you’d like to set over the next 30 days and write them down.  Keep it up.  I’m proud of your hard work.  –Annie.",
      "Our bodies need salt for many daily functions.  N15 explains that we get enough in our diet & should say “Please DON’T pass the salt!”",
      "Recruit your friends and family in your weight management efforts.  They may even lose weight with you!  Read B27 for more tips.",
      "Challenge yourself today to walk 10,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
      "Is your physical activity routine getting easy?  Increase how hard you’re working. Refer to P08 to see how hard you’re exercising.",
      "Thirsty all the time?  You might be dehydrated.  Water is essential for our bodies to work properly.  Read N31 to learn about water.",
      "FITT: Frequency, Intensity, Time, Type. Write down your exercise plan using FITT.  Read S06 for more information.",
      "As long as you use balance and moderation in your meal planning, all foods can fit!  N01 explains  ways to enjoy foods you love.",
      "Consider rewarding yourself.  Go to a movie or a football game.  Continue your positive self-talk and be proud of yourself.",
      "We all slip, don’t sweat it.  Remember this: change or avoid triggers, or substitute a healthy response for the trigger.",
      "For more tips on triggers, read B35.  It will help you avoid a setback and nip them in the bud!",
      "Read M05 to discover 10 health gains from losing 10% of your body weight.",
      "What percent of weight have you lost so far? (# of pounds lost / starting weight x 100)",
      "Did you know apple sauce can be used in place of oil?  Check out N24 for more substitution ideas.  You won’t want to skip this one!",
      "Think about all the changes you’ve made to be more physically active.  Write them down. Be proud of the progress you’ve made.",
      "Is your physical activity routine getting too easy?  Can you increase the intensity?  Your exercise programs should always be challenging.",
      "Use music, television, or magazines to help you keep moving when you are on the treadmill or stationary bike!",
      "Try drinking a full glass of water before you start your meal- this will help you feel fuller more quickly to prevent overeating.",
      "Challenge yourself today to walk 10,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
      "Every day is different.  Sometimes, our bodies need a snack to keep going.  To keep the calories in check, read N26 for snack ideas.",
      "Things get in the way of being active. Whatever the barrier, check out P01 for problem solving advice for these common barriers.",
      "Whether hot or cold, you should take steps to ensure safe physical activity.  Read P17 & P18 to protect yourself from Mother Nature.",
      "Green, Red, Orange, Yellow - colors of the veggie rainbow!  Taste buds change so try veggies you once avoided.  Read N30 to learn more.",
      "Seems like time is never on our sides.  Start planning ahead to ensure time doesn’t get in the way.  B30 helps maximize your time!",
      "You can still enjoy a sweet treat, even when you’re losing weight. Read N29 for sweet suggestions.",
      "Strength training helps keep us strong while helping us lose weight and keep it off.  Read more benefits on P16 and get lifting!",
      "You should stop exercising if you feel chest pain. Read P19 to become familiar with symptoms that require you to stop exercising!",
      "It takes 20 minutes before our stomach tells our brain it’s full.  Read B26 to learn more about mindful eating.",
      "Challenge yourself today to walk 12,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
      "Keep it interesting! Try different activities on alternate days to spice up workouts & keep you motivated! Read P24 for ideas.",
      "1lb every month for a year is 12 additional pounds- in five years that’s an extra 60 lbs gained! Be conscience of your health!",
      "You didn’t get unhealthy overnight & you won’t get healthy overnight. Once you’ve reached your goal, set a new one! S02 can help!",
      "2 months into your weight management journey! Continue with your food and activity goals.  Keep it up, I’m rooting for you -Annie",
      "Walking up stairs burns almost 5 times more calories than riding an elevator! P03 shows you other ways to burn more calories!",
      "Look for choices that are roasted, poached, steamed, baked, and grilled rather than sautéed, deep-fried, or pan-fried. N07 explains more.",
      "All of your favorite physical activities help you lose weight- golfing, baseball, tennis-try your favorite. P23 has other suggestions.",
      "An easy way to limit sodium is to trade your salt shaker for spices! Add them to everything for flavor! N27 has all your spicy needs!",
      "Eliminate stressors & try to find positive ways to cope that don’t involve food- meditation, music, & exercise help lower stress.",
      "Limit alcohol consumption- 2 drinks/day for men, 1 drink/day for women- 1 drink is 12oz beer, 4oz wine, and 1.5oz liquor. Read N17.",
      "Take a walk instead of snacking- exercise will make you feel better, but overeating may make you feel guilty. Read B24.",
      "Challenge yourself today to walk 12,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
      "1 lb of fat=3500 calories, to lose 1 lb/week, cut 500 calories per day- that’s walking for ½ hour & skipping dessert! Revisit S01.",
      "Swimming is a great way to be active without having impact on joints- try a water aerobics class near you! P29 has more low impact ideas.",
      "When at your next picnic, pick ½ cup coleslaw over ½ cup potato salad and save yourself 130 calories!",
      "Try getting up during commercial breaks & walking up & down the hallway or stairs in your house- that’s 15 min of walking per hour!",
      "If you are going somewhere that you know will only have junk food, try bringing your own healthy snack or meal! N16 can help.",
      "Think about WHY you’re eating.  Overeating is often a fill in for a strong emotion.  Can you change the situation or feeling? Read B12.",
      "Stop eating half way through your meal, wait two minutes, and begin eating again if you are still hungry. Remember N04 and B26’s tips.",
      "Choosing low fat/low calorie pre-portioned meals can help prevent eating too many calories- pair it with a salad & low fat dressing!",
      "Avoid products that list fat, oil, or sugar at the beginning of the ingredient list-the closer they are, the more it contains.",
      "Challenge yourself today to walk 13,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
      "If you get the sudden urge to overeat- distract yourself- call someone to get some support and encouragement.",
      "Expect times when your weight loss will plateau- but stick to healthy eating and exercise- the weight will drop again! Read M02.",
      "Many people find that they don’t have as many cold and flu episodes when they are physically active. Keep MOVEing.",
      "Think about how far you’ve come in 3 months.  What are your next 3 month goals?  Are you trying something new?",
      "Get rid of the thought that you can only be happy if you achieve the perfect body! It’s not true! B08 explains more.",
      "Remember, if a food label says low calorie, it must contain 40 calories or less per serving.",
      "1 serving of raw vegetables, dry cereal, or low fat yogurt/milk is about the size of a baseball/your fist! N21 has tips on servings.",
      "Ask for encouragement from people willing to help. Participating in group sessions may be helpful in getting support.",
      "M09 will help you plan for long term success. You’ve come this far.  You just need to keep doing what you’ve done!",
      "Read M11 for some ideas on a variety of meal and diet plan to choose from.  Maybe one will suit you.",
      "Instead of 10,000 steps, challenge yourself to get 15,000 steps today!  A good ending to 3 awesome, active months.",
      "You’ve kept it up for 3 months.  Give yourself a pat on the back and go reward yourself for a job well done.",
      "Remember, it’s a journey, not a destination.  Healthy lifestyles are a lifetime commitment.  Congratulations on all your success. –Annie"
    ],
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 0,
        "unit": "MINUTE"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "lastMessageSent": 0,
    "_id": ObjectId("53d68a270cf243dc76477473")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("540d935ee4b0a415f57f793f")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
    "status": "Active",
    "type": "Motivational/Educational",
    "description": "Weekly Messages to Veteran",
    "serviceMessage": [
      "Are you having any problems inspecting your feet daily?  If so a mirror on a stick can be purchased at your medical supply store.   ",
      "Problems washing your feet daily? A sponge on a stick can be purchased at your local pharmacy.  ",
      "Do not walk barefoot-stepping on sharp objects could spell disaster.  Wear sandals, loafers, or mules that are easy to put on.  Slippers are not protective.",
      "Do your shoe shopping late in the afternoon or early evening.  Feet tend to swell during the day and this is best time to ensure a good fit.",
      "Foot powder on a daily basis in your shoes will help avoid fungal infections such as Athletes foot.",
      "Inspect your shoes before putting them on.  Children and grandchildren find them a wonderful hiding place for small toys.",
      "Do not soak your feet.  If you are having a problem call your foot care specialist for advice.",
      "Do not attempt to cut your own calluses or corns.  If they are painful call your foot care specialist for advice.",
      "Do not attempt to cut your own nails if they are thick and discolored.  You can use an emery board between visits to help reduce thickness."
    ],
    "schedule": {
      "acceptUnscheduledReading": false,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
        "name": "Custom",
        "description": "Every 1 week",
        "interval": {
          "value": 1,
          "unit": "WEEK"
        }
      },
      "scheduleTime": {
        "hour": 8,
        "min": 30,
        "meridian": "AM",
        "description": "(At 8:30 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 1,
        "unit": "DAY"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 12,
        "unit": "MONTH"
      },
      "breach": {
        "repeatBreachValues": false,
        "breachesPerRepeatingAlert": 0,
        "breachesDays": 0,
        "criticalPercentValues": false,
        "percentTriggersCriticalBreach": 0
      }
    },
    "lastMessageSent": 0,
    "_id": ObjectId("540d935ee4b0a415f57f793f")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("54200a85e4b0fa6520b0dd82")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "type": "Vitals",
    "description": "Blood Pressure",
    "serviceMessage": "Hi!  This is Annie.  Please send in your blood pressure",
    "confirmationMessage": "Hi!  Your blood pressure is normal.",
    "service": {
      "_id": "52e829f9bf890cf9ee685d85",
      "name": "Blood Pressure",
      "readings": [
        {
          "name": "Systolic",
          "valid": {
            "low": 70,
            "high": 270
          },
          "alert": {
            "low": 80,
            "high": 140
          },
          "critical": {
            "low": 75,
            "high": 200
          },
          "unit": "mmHg"
        },
        {
          "name": "Diastolic",
          "valid": {
            "low": 40,
            "high": 140
          },
          "alert": {
            "low": 60,
            "high": 90
          },
          "critical": {
            "low": 55,
            "high": 100
          },
          "unit": "mmHg"
        }
      ],
      "firstLevelMessage": {
        "below": "Hi!  Your blood pressure is slightly low.",
        "above": "Hi!  Your blood pressure is slightly high."
      },
      "secondLevelMessage": {},
      "criticalMessage": {
        "below": "Hi!  Your blood pressure is very low.  Please contact your provider.",
        "above": "Hi!  Your blood pressure is very high.  Please contact your provider."
      },
      "keywords": [
        "BP",
        "BLOOD"
      ],
      "pattern": "(?i).*\\s*(BP|BLOOD)(\\s|\\d).*"
    },
    "schedule": {
      "acceptUnscheduledReading": true,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 1,
        "unit": "DAY"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 6,
        "unit": "MONTH"
      }
    },
    "_id": ObjectId("54200a85e4b0fa6520b0dd82")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("54200a85e4b0fa6520b0dd83")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "type": "Vitals",
    "description": "Pulse",
    "serviceMessage": "Hi!  Please send in your pulse.  ",
    "confirmationMessage": "Hi!  Your pulse is normal. ",
    "service": {
      "_id": "52e829f9bf890cf9ee685d8e",
      "name": "Pulse",
      "readings": [
        {
          "name": "Pulse",
          "valid": {
            "low": 45,
            "high": 200
          },
          "alert": {
            "low": 50,
            "high": 150
          },
          "unit": "bpm"
        }
      ],
      "firstLevelMessage": {
        "below": "Hi!  Your pulse is a little low at this time.",
        "above": "Hi!  Your pulse is a little high at this time."
      },
      "keywords": [
        "PULSE"
      ],
      "pattern": "(?i).*\\s*(PULSE)(\\s|\\d).*"
    },
    "schedule": {
      "acceptUnscheduledReading": true,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 1,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 6,
        "unit": "MONTH"
      }
    },
    "_id": ObjectId("54200a85e4b0fa6520b0dd83")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("54200a85e4b0fa6520b0dd84")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "type": "Vitals",
    "description": "Weight Loss",
    "serviceMessage": "Hi!  Please send in your weight now.",
    "confirmationMessage": "Hi!  Your weight is at a good range.",
    "service": {
      "_id": "52e829f9bf890cf9ee685d8a",
      "name": "Weight Loss",
      "readings": [
        {
          "name": "Weight",
          "valid": {
            "low": 50,
            "high": 250
          },
          "alert": {
            "low": 70,
            "high": 200
          },
          "unit": "lbs"
        }
      ],
      "firstLevelMessage": {
        "below": "Hi!  Your weight is a little low today.",
        "above": "Hi!  Your weight is a little high today."
      },
      "keywords": [
        "WE",
        "WEIGHT"
      ],
      "pattern": "(?i).*\\s*(WE|WEIGHT)(\\s|\\d).*"
    },
    "schedule": {
      "acceptUnscheduledReading": true,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 8,
        "min": 0,
        "meridian": "AM",
        "description": "(At 8:00 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 1,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 6,
        "unit": "MONTH"
      }
    },
    "_id": ObjectId("54200a85e4b0fa6520b0dd84")
  },
  {upsert: true}
);

db.protocolTemplates.update(
  {
    "_id": ObjectId("54200a85e4b0fa6520b0dd85")
  },  
  {
    "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
    "status": "Active",
    "type": "Motivational/Educational",
    "description": "Heart Failure Motivational Messages",
    "serviceMessage": [
      "Focus on fruits; eat a variety every day.  Too much fruit juice can add lots of unnecessary sugar to your diet.  Limit fruit juice to one serving per day.",
      "Too much sodium can cause you to retain fluids and this makes heart failure more difficult.  Limit the salt in your diet from 2000-400/day.  ",
      "The Eject Fraction (EF) is the percentage of blood ejected from the left ventricle with each heart beat.  A normal ejection is 50% or higher.",
      "Restrict salt in the food you eat - no more than half a teaspoon per day.  Use herbs in spices instead.  Mrs. Dash makes a good variety of of these.",
      "Don't sprinkle extra table salt on your meal.",
      "If you are having a craving for salt, go buy a salt substitute called 'No Salt'.  It taste just like salt.  Great for sprinkling on food.",
      "Limit total fluid intake to 1500 mL or 50 ounces/day.",
      "Try to do regular exercise - as much as is comfortable everyday.",
      "If your doctor recommends a cardiac rehabilitation program, try it out.  Supervised exercise will be just what you need.",
      "Make sure your lifestyle's as healthy as you can - avoid smoky settings, get down to your ideal weight, take regular exercise, don't drink to much alcohol.",
      "If you're short of breath when walking on flat ground, check this out next time you see your doctor or nurse.",
      "Take your medication as prescribed at regular times-don't miss out on your pills-your body needs regular help to stay on top of your heart failure.",
      "Keep an eye on your blood pressure - it should be less than 140/90 mmHg throughout the day.",
      "With the right treatment for heart failure you should live longer - so take your treatment regularly.",
      "Dizziness when standing might be a sign of you having low blood pressure - so check your blood pressure yourself or contact your doctor or nurse for advice.",
      "If you're increasingly breathless, then your heart failure may be getting worse - so contact your doctor or nurse for advice.",
      "Don't stop your treatment without consulting your doctor or nurse first.",
      "It doesn't matter that you've got a slow heart rate or blood pressure unless you're more tired or dizzy.",
      "It's worth putting up with some side effects from the medications you take, but at least mention them out to your doctor or nurse.",
      "Discuss any swelling with your doctor or nurse.  Not all swelling in your legs indicates heart failure.",
      "If you're confused about the different types and timing of medication you take, ask your doctor or nurse how they can help.",
      "How much exercise did you actually do yesterday?  Was it enough? Be honest you could have done more.",
      "Many of your heart failure medication take weeks to months to improve your heart condition.",
      "The aim of your treatment is to improve the quality of your life; so if you feel unwell seek medical help.",
      "Be careful about taking other drugs that you buy yourself from the store.  Ask your doctor or nurse if they could interact and give you side effects.",
      "If you develop swelling of your feet and ankles then your heart failure is probably getting worse, so do seek help from your doctor or nurse.",
      "It's really important to have a flu vaccination each fall.",
      "If you're confused about the drugs you're on, then ask your doctor or nurse to go through each drug and explain why you must take each one regularly.",
      "Heart failure is an increasingly common health condition affecting 1 in 10 of the over 80s.",
      "Even if you feel well, you need a medical check at least every six months-to check your heart, lungs, blood pressure, weight, and kidneys.",
      "Often heart failure cannot be cured but it can be controlled.",
      "Too much alcohol can trigger heart failure, so if you do drink alcohol keep it to a minimum.",
      "If you're feeling down, talk your troubles through with a friend or relative, or maybe see a counselor.",
      "Weigh yourself at the same time every day.  If you gain more than 5 pounds of unexplained weight over a week then tell your doctor or nurse.",
      "Call your doctor or nurse if you have the inability to sleep.",
      "Call your doctor or nurse if you have new onset or sudden shortness of breath.",
      "Call your doctor or nurse if tachycardia or hear rate is over 100.",
      "Call your doctor or nurse if angina persists despite Nitroglycerin under the tongue x2 and 5 minutes apart."
    ],
    "schedule": {
      "acceptUnscheduledReading": true,
      "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
        "name": "Specified Days",
        "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": true,
        "sunday": true
      },
      "scheduleTime": {
        "hour": 10,
        "min": 30,
        "meridian": "AM",
        "description": "(At 10:30 AM)"
      },
      "isStartTimeRelative": false,
      "relativeStartTime": {
        "value": 1,
        "unit": "MINUTE"
      },
      "isEndTimeRelative": false,
      "relativeEndTime": {
        "value": 6,
        "unit": "MONTH"
      }
    },
    "lastMessageSent": 0,
    "_id": ObjectId("54200a85e4b0fa6520b0dd85")
  },
  {upsert: true}
);

db.protocols.update(
  {
    "_id": ObjectId("53dbcab90cf2a84675bb29a5")
  },  
  {
    "_id" : ObjectId("53dbcab90cf2a84675bb29a5"),
    "status": true,
    "name": "Diabetes Management Protocol",
    "description": "To support the veteran who is living with diabetes and monitoring blood glucose values on a regular schedule.  To provide an education overview of hypoglycemia prevention and management of sick day guidelines.",
    "area": "Diabetes, Hypoglycemia, Blood Sugar",
    "createDate": "2014-08-01",
    "createBy": "System",
    "comments": [
      {
        "content": null,
        "user": "System",
        "time": "1:13 PM",
        "date": "2014-08-01"
      }
    ],
    "templates": [
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
        "status": "Active",
        "type": "Vitals",
        "description": "Glucose Before Eating",
        "serviceMessage": "Most blood sugars should be checked before eating and at least 2 hours after a meal.  Please send in those Thanks, Annie",
        "confirmationMessage": "If in the past month you have had any falls or near falls due to low blood sugar? Yes-No? You need to let your PACT team know.",
        "service": {
          "_id": "52e829f9bf890cf9ee685d88",
          "name": "Glucose Before Eating",
          "readings": [
            {
              "name": "Glucose",
              "valid": {
                "low": 30,
                "high": 300
              },
              "alert": {
                "low": 70,
                "high": 200
              },
              "critical": {
                "low": 50,
                "high": 250
              },
              "unit": "mg/dl"
            }
          ],
          "firstLevelMessage": {
            "below": "To treat a low blood sugar below 70 take15 grams (GM) of Carbohydrate such as: 6 pieces of hard candy or 8 ounces of skim milk",
            "above": "To treat high blood sugar above 200 take "
          },
          "secondLevelMessage": {},
          "criticalMessage": {
            "below": "To treat a low blood sugar below 50 take 30 Grams (GM) of Carbohydrate Examples: 1 tube of glucose gel or 8 glucose tablets.",
            "above": "To treat high blood sugar above 250 take "
          },
          "keywords": [
            "BGB",
            "BEFORE"
          ],
          "pattern": "(?i).*\\s*(BGB|BEFORE)(\\s|\\d).*"
        },
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
            "name": "Custom",
            "description": "Every 6 hour",
            "interval": {
              "value": 6,
              "unit": "HOUR"
            }
          },
          "scheduleTime": {
            "hour": 7,
            "min": 30,
            "meridian": "AM",
            "description": "(At 7:30 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "_id": "53dbcab90cf2a84675bb29a2"
      },
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
        "status": "Active",
        "type": "Vitals",
        "description": "Glucose After Eating",
        "serviceMessage": "Most blood sugars should be checked before eating and at least 2 hours after a meal.  Please send in those Thanks, Annie",
        "confirmationMessage": "If in the past month you have had any falls or near falls due to low blood sugar? Yes-No? You need to let your PACT team know.",
        "service": {
          "_id": "52e829f9bf890cf9ee685d89",
          "name": "Glucose After Eating",
          "readings": [
            {
              "name": "Glucose",
              "valid": {
                "low": 30,
                "high": 300
              },
              "alert": {
                "low": 70,
                "high": 200
              },
              "critical": {
                "low": 50,
                "high": 250
              },
              "unit": "mg/dl"
            }
          ],
          "firstLevelMessage": {
            "below": "To treat a low blood sugar below 70 take15 grams (GM) of Carbohydrate such as: 4 ounces of juice(no tomato juice or V8 Vegetable juice) 1 tablespoon of jam/pres",
            "above": "To treat high blood sugar above 200 take "
          },
          "secondLevelMessage": {},
          "criticalMessage": {
            "below": "To treat a low blood sugar below 50 take 30 grams (GM) of Carbohydrate Examples: 8 ounces of juice or 2 tablespoons of jam/preserves, jelly, honey, or sugar",
            "above": "To treat high blood sugar above 250 take "
          },
          "keywords": [
            "BGA",
            "AFTER"
          ],
          "pattern": "(?i).*\\s*(BGA|AFTER)(\\s|\\d).*"
        },
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
            "name": "Custom",
            "description": "Every 6 hour",
            "interval": {
              "value": 6,
              "unit": "HOUR"
            }
          },
          "scheduleTime": {
            "hour": 9,
            "min": 30,
            "meridian": "AM",
            "description": "(At 9:30 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "_id": "53dbcab90cf2a84675bb29a3"
      },
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
        "status": "Active",
        "type": "Motivational/Educational",
        "description": "Glucose Management Motivational Messages",
        "serviceMessage": [
          "Always wear an identification bracelet or necklace (ask your diabetes educator)",
          "Always carry a quick source of sugar with you",
          "Check your blood sugar before driving and never drive when your blood sugar is low",
          "Call your PACT Team or Telephone Advice Nurse if you have repeated low blood sugars",
          "If you faint from low blood sugar and are unable to swallow, please tell family, friends or co-workers to call 911",
          "Physical activity is a very good way of working off stress or anxiety but it can also lower blood sugar always carry a glucose source with you. Do you always ca",
          "As physical activity increases, stress decreases which can have a good effect on your blood sugar. Make sure your blood glucose does not go below 70 while being",
          "Foods that increase your blood sugar are called carbohydrates. Milk, fruits, fruit juices, starches such as, breads, pasta and potatoes, and almost all sweets",
          "An example of a meal with no carbohydrate is: a meat salad with no bread",
          "If you have to leave home without eating, take a meal in the car. A meal can be a sandwich, fruit with cheese, or peanut butter and crackers.",
          "Taking your insulin too early can put you at risk for low sugar. Check your schedule to see what barriers you have to improving your insulin timing.",
          "Insulin does not have to stay refrigerated all the time; take it with you to the restaurant or a friend's house before you eat- just don't leave it in the car.",
          "Always take glipizide 30 minutes before a meal with carbohydrates. This will help you control your sugar and prevent low blood sugar.",
          "Don't take glyburide or glipizide and leave home without eating.  If you are in a hurry, put it in your pocket in a pill box/plastic bag or make your own fast ",
          "Try to include a carb food at each meal to prevent low blood sugar. Would you like a consult to see a registered dietitian to discuss carb foods?",
          "Examples of carb foods are cereal, fruit, bread, rice or potatoes.",
          "Exercise can be lawn mowing, hedge trimming, or even walking at the mall. If you are going to do some exercise that is not normal for you, eat a carb snack firs",
          "Always carry candy or glucose tablets in your pocket when you exercise just in case!",
          "Keep records about medication, physical activity, alcohol or meal/snack timing to see what is different about days when you have low blood glucose.",
          "Check your blood sugar to learn how food, medication, physical activity, stress and illness can affect your blood sugar control.",
          "Physical activity usually lowers your blood sugar, so if you start with a blood sugar of <100 you might put yourself at risk for a low blood sugar.",
          "Physical activity can lower your blood sugar so if you will be active for longer than 30 minutes you will most likely need 15-30 g of carbohydrate.",
          "Wearing medical alert jewelry lets others know that you have diabetes if they need to help you.  It's a good idea to keep a current list of your medications in "
        ],
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "lastMessageSent": 0,
        "_id": "53dbcab90cf2a84675bb29a4"
      }
    ]
  },
  {upsert: true}
);

db.protocols.update(
  {
    "_id": ObjectId("53da7b430cf27f4540f08297")
  },  
  {
    "_id" : ObjectId("53da7b430cf27f4540f08297"),
    "status": true,
    "name": "Hypertension Management Protocol",
    "description": "Annie is designed to provide an interactive, text-based hypertension self-management program. Patients are coached to become more physically active. Annie is the overall hypertension management program for Veterans.  There are many ways to participate.  Annie may be the most convenient.",
    "area": "Hypertension, Blood Pressure",
    "createDate": "2014-07-31",
    "createBy": "System",
    "comments": [
      {
        "content": null,
        "user": "System",
        "time": "1:22 PM",
        "date": "2014-07-31"
      }
    ],
    "templates": [
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
        "status": "Active",
        "type": "Vitals",
        "description": "Blood Pressure",
        "serviceMessage": "Please take your BP twice, take the average and send me the readings.  Please text BP, followed by the two numbers e.g..: BP 133 82 Thanks, Annie",
        "reminderMessage": "It is 8 o'clock - did you take your BP meds? If you forgot, iit is better to take them now than to skip them completely.",
        "confirmationMessage": "Your BP is staying too far outside the safe range.  Please contact the nurse advice line today and tell the nurse how your are doing.",
        "service": {
          "_id": "52e829f9bf890cf9ee685d85",
          "name": "Blood Pressure",
          "readings": [
            {
              "name": "Systolic",
              "valid": {
                "low": 89,
                "high": 200
              },
              "alert": {
                "low": 90,
                "high": 135
              },
              "critical": {
                "low": 90,
                "high": 200
              },
              "unit": "mmHg"
            },
            {
              "name": "Diastolic",
              "valid": {
                "low": 40,
                "high": 110
              },
              "alert": {
                "low": 41,
                "high": 85
              },
              "critical": {
                "low": 40,
                "high": 110
              },
              "unit": "mmHg"
            }
          ],
          "firstLevelMessage": {
            "below": "Your BP is a little LOW today - I like the low number above 90 and the bottom above 41.  Please send another reading tomorrow.  Take care, Annie.",
            "above": "Your BP is a little HIGH today - I like the high number below 135 and the bottom below 85.  Please send another reading tomorrow.  Take care, Annie."
          },
          "secondLevelMessage": {},
          "criticalMessage": {
            "below": "Your BP is very low today.  It worries me if the top number is below 90 or the bottom is below 40.  Please rest an hour then send me another reading.  Annie.",
            "above": "Your BP is quite high today.  It worries me if the top is over 200 or the bottom is over 110.  Rest an hour, then send me another reading.  Take care, Annie."
          },
          "keywords": [
            "BP",
            "BLOOD"
          ],
          "pattern": "(?i).*\\s*(BP|BLOOD)(\\s|\\d).*"
        },
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
            "name": "Custom",
            "description": "Every 12 hour",
            "interval": {
              "value": 12,
              "unit": "HOUR"
            }
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "_id": "53da7b430cf27f4540f08295"
      },
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
        "status": "Active",
        "type": "Motivational/Educational",
        "description": "Hypertension Motivational Messages",
        "serviceMessage": [
          "Keep track of your health habits – that way you can tell where you want to improve.",
          "With a condition like high blood pressure, you are more important than your doctor – he or she just gives advice but you must CARRY IT OUT, which is harder.",
          "When you go to your appointments, always bring your medication list and a piece of paper with your top 2 or 3 questions so you don’t forget them.",
          "If you bring the doctor 10 questions, they won’t have time to do a good job on any of them – decide what you really want to know, then focus on that.",
          "If you don’t know what each of your pills is for, ask the person who does your blood pressure at your next appointment – if they don’t know, ask the doctor.",
          "We call the higher blood pressure number the systolic blood pressure. If your BP is 136/73, then your systolic blood pressure is 136.",
          "We call the lower blood pressure number the diastolic blood pressure. If your BP is 136/73, then your diastolic blood pressure is 73.",
          "You sent me your weekly BP measurements the last 3 weeks in a row. Let’s go for four! Annie.",
          "People who record their exercise activities each day tend to stick to their plan better than those who do not.",
          "Try a food diary. For three days in a row, write down EVERYTHING you eat . Use a scale or measuring cup to see exactly how much you are eating.",
          "A food diary helps you see when you eat the most calories and decide what foods you will reduce. Bring it with you to your provider if you can’t decide.",
          "When measuring your BP, sit quietly and avoid talking for five minutes before you check. Take care, Annie.",
          "If you use a pedometer, take a look at it every night to see how many steps you took, then write it on a calendar so you can watch your progress.",
          "Use a pill minder – it will help you recognize when you forget a pill.",
          "When you measure your BP, make sure you and your arm are relaxed. Thanks Annie",
          "Check the calorie content of packets of food before buying – you’ll often be surprised.",
          "Restart your healthy diet again tomorrow if you ate poorly today.",
          "When you take your BP sit quietly for at least 5 minutes with your arm supported on an armrest or a table in front of you. Kind regards, Annie.",
          "For many people, home blood pressure runs about 5 points lower than BP in the doctor’s office. Check it in both places.",
          "Park a long way from the entrance when you shop for groceries – it lets you think on the way in, burns calories and improves fitness.",
          "Eat less, move more.",
          "For most people, your blood pressure target is 140/90 when measured in the doctor’s office. Next time you see your provider ask what they think your target shou",
          "Drinks with caffeine, like coke or coffee, can affect your blood pressure reading – avoid them for 30 minutes before measuring your BP.",
          "Be responsible for your own health. Knowing your blood pressure is a good example.",
          "Physical activity helps you lose weight, sleep better, lowers your blood pressure, decreases your chance of heart attack or stroke – and those are just some of ",
          "It is usually easiest to remember to take your pills if you take them at about the same time every day. I will send you a text to remind you – you can call your",
          "Your home blood pressure readings are just as reliable as those taken at the VA, if you are careful to use the approach you were taught.",
          "Being physically active means different things for different people – just try to do a little more each week – keep track of it so you can tell how you are doin",
          "You can measure your activity in minutes, steps, miles or whatever works for you!",
          "Most people find that drinking water or eating some raw vegetables before meals helps them avoid eating too much.",
          "You don’t have to measure your BP every day – for most people once a week is plenty. But if you do measure it more often, I am happy to have you text it to me. ",
          "When you are measuring your BP it is important to send me every measurement – it is normal for some to be higher than usual and some to be lower. Thanks, Annie.",
          "A healthy diet is not just about limiting calories and salt – it is also about eating healthy food.",
          "It is good to eat lots of vegetables – don’t add too many calories in butter, sauce or dressing.",
          "Do you have a list of your medications in your purse or wallet right now? If you don’t, maybe you should make one right now.",
          "It can be hard to keep your medicines straight. If you are not sure, call your primary care provider. Someone on their team can explain them.",
          "Don’t talk or move when taking your blood pressure, just sit still and stay quiet.",
          "Try to avoid food that is out of a box - most of it has a lot of added salt.",
          "Exercise helps your blood pressure but you won’t see it right away –BP can bounce around a bit right after you exercise, so don’t check it then.",
          "If you exercise is making you so short of breath you can’t talk, you are working too hard. Take care, Annie.",
          "Don’t rush when taking your blood pressure – you want your reading to be reliable.",
          "Try to relax while you sit for a few minutes before you take your blood pressure.",
          "Clear cold tap water is a good choice if you are thirsty; and it saves money!",
          "A can of beer, a can of soda and a can of orange juice all have about 170 calories – that is 2 or 3 apples or oranges. I recommend the whole fruit!!",
          "For some people, home BP readings are very different than a BP taken in a doctor’s office. It will help your doctor to have both.",
          "You won’t be too busy to do your scheduled exercise IF it is on your calendar and you make it a priority. I bet you rarely are too busy to go to your job!",
          "No human is perfect – aim for improvement, not perfection. Keep up the good work, Annie.",
          "Every week, try to set a goal you think you can achieve – then keep track to see you meet your goal.",
          "Increase your exercise gradually. Even though some people exercise for an hour daily, YOU should simply aim to do a little better this week than last.",
          "If you have cheated on your diet, don’t think the day is lost. Just get back on track for the rest of the day.",
          "Measure your weight daily so you are not surprised to find you have gained weight when you go to the doctor.",
          "Your blood pressure goes up for about 30 minutes after you have a cigarette, so if you smoke, wait that long before you check your BP. Better yet, quit!!",
          "When you set weekly goals for yourself, focus on things you control completely, like spending a certain amount time exercising.",
          "Try to make your goals specific – plan to exercise for 30 minutes on Monday, Wednesday and Friday at 7 AM; don’t plan to exercise some for 3 days this week."
        ],
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "lastMessageSent": 0,
        "_id": "53da7b430cf27f4540f08296"
      }
    ]
  },
  {upsert: true}
);

db.protocols.update(
  {
    "_id": ObjectId("53d68a270cf243dc76477474")
  },  
  {
    "_id" : ObjectId("53d68a270cf243dc76477474"),
    "status": true,
    "name": "Weight Management Protocol",
    "description": "Annie is designed to provide an interactive, text-based weight self-management program. Patients are coached in eating wisely and becoming more physically active. Annie is the overall weight management program for Veterans.  There are many ways to participate.  Annie may be the most convenient.",
    "area": "Weight Loss, Physical Activity",
    "createDate": "2014-07-28",
    "createBy": "System",
    "comments": [
      {
        "content": null,
        "user": "System",
        "time": "1:36 PM",
        "date": "2014-07-28"
      }
    ],
    "templates": [
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
        "status": "Active",
        "type": "Vitals",
        "description": "Weight Loss",
        "serviceMessage": "Please send me your morning weight.  Thanks, Annie",
        "confirmationMessage": "Your Weight Loss reading is valid",
        "service": {
          "_id": "52e829f9bf890cf9ee685d8a",
          "name": "Weight Loss",
          "readings": [
            {
              "name": "Weight",
              "valid": {
                "low": 50,
                "high": 250
              },
              "alert": {
                "low": 70,
                "high": 200
              },
              "critical": {},
              "unit": "lbs"
            }
          ],
          "firstLevelMessage": {
            "below": "Your Weight Loss level is low which requires a LOW LEVEL ALERT!",
            "above": "Your Weight Loss level is high which requires a HIGH LEVEL ALERT!"
          },
          "secondLevelMessage": {},
          "criticalMessage": {},
          "keywords": [
            "WE",
            "WEIGHT"
          ],
          "pattern": "(?i).*\\s*(WE|WEIGHT)(\\s|\\d).*"
        },
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "_id": "53d68a270cf243dc76477470"
      },
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
        "status": "Active",
        "type": "Vitals",
        "description": "Amount of Exercise",
        "serviceMessage": "Please send me your morning exercise description.  Thanks, Annie",
        "confirmationMessage": "",
        "service": {
          "_id": "52e829f9bf890cf9ee685d8c",
          "name": "Amount of Exercise",
          "readings": [
            {
              "name": "Amount of Exercise",
              "valid": {},
              "alert": {},
              "critical": {},
              "unit": "Minutes"
            }
          ],
          "firstLevelMessage": {},
          "secondLevelMessage": {},
          "criticalMessage": {},
          "keywords": [
            "EXERCISE"
          ],
          "pattern": "(?i).*\\s*(EXERCISE)(\\s|\\d).*"
        },
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "_id": "53d68a270cf243dc76477471"
      },
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
        "status": "Active",
        "type": "Vitals",
        "description": "Caloric Intake",
        "serviceMessage": "Please send me your morning caloric intake.  Thanks, Annie",
        "confirmationMessage": "",
        "service": {
          "_id": "52e829f9bf890cf9ee685d8b",
          "name": "Caloric Intake",
          "readings": [
            {
              "name": "Calories",
              "valid": {},
              "alert": {},
              "critical": {},
              "unit": "Calories"
            }
          ],
          "firstLevelMessage": {},
          "secondLevelMessage": {},
          "criticalMessage": {},
          "keywords": [
            "CAL",
            "CALORIES"
          ],
          "pattern": "(?i).*\\s*(CAL|CALORIES)(\\s|\\d).*"
        },
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "_id": "53d68a270cf243dc76477472"
      },
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
        "status": "Active",
        "type": "Motivational/Educational",
        "description": "Weight Loss Motivational Messages",
        "serviceMessage": [
          "The key to healthy eating is variety, balance, and moderation.  Refer to S01 & S06 to improve your nutrition & learn how to eat wisely.",
          "It’s never too late to make positive changes in your life.  Start by setting goals with S02 and B04. Consider starting your exercise program today.  Use S03 and",
          "BMI and diabetes are related.  A high BMI puts you at risk for diabetes, hypertension, and heart disease.  Look at M06 to determine yours.",
          "You set your weight goal with your MOVE! team.  Make changes slowly, it’s easier than changing everything at once. Check out B20 to learn ways to plan & deal wi",
          "Moderate activities, like fast walking, will make your heart beat faster and cause light sweating.  Start with 10 minute sessions 3x/ per day.",
          "Take a “before” picture to visually track your progress! Read S11 for tips on getting the most out of Annie!. ",
          "Being active for at least 150 minutes/week is important for health benefits.  Pushing this to 300 minutes /week helps you lose weight!",
          "Here’s a tip: chew your food 10-20 times before swallowing.  It slows down your eating so you can tell when you’re full!",
          "Check out N13 to learn more about Vegetables and Fruits.  Remember, you can use S06 to help guide your plate making skills☺.",
          "Sometimes, managing stress can be challenging, especially with your new focus on weight.  Read B28 for tips &tricks to manage stress.",
          "It’s common to overeat under stressful situations.  Consider reading B29, or go for a quick walk to get your mind off things.",
          "Are you losing weight.  S01 teaches the basics of weight control. Learn more about food, exercise, & your weight.",
          "Here are some tips for eating out: ask for a smaller portion; share a meal with a friend; take half of your food home for the next day.",
          "Refer for N32 when making a grocery list.  Avoid shopping when hungry, stick to your list, & fill your pantry with healthy food.",
          "With exercise, you’ve probably noticed how good you sleep, feel, and probably have more energy.",
          "Exercise also helps your heart work better, improves cholesterol, and increases your muscle mass.",
          "Become an expert on reading food labels by reading N10. Pay attention to saturated fat, total fat, cholesterol, and calories.",
          "If you find that you’re getting hungry between meals, consider eating 6 small meals/ day to keep your body fueled.",
          "We offer a variety of handouts with photos to help you with your activity plan.  Check out P20, P25, P30, P31, P32, & P37.",
          "Challenge yourself today to walk 10,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
          "Make sure you’re writing down everything on S08.  Being aware of what you eat, drink, & burn is SO important!",
          "Grains are a good source of fiber to help curb your appetite.  Add these to your diet.  Get some ideas from N28.",
          "Walking is cheap and easy.  Be sure to pick a good shoe for comfort.  Read P12 and P15 for shoe and walking tips!",
          "If you experience pain or discomfort with physical activity, read P19.  Pain usually goes away when your body gets used to moving.",
          "Day 25 now and I’m sure you’re feeling a difference. If you’re currently smoking, read B23 to help kick that habit!",
          "Remember to stretch after your activity to decrease muscle soreness.  Look at P30 for some stretches to include.",
          "We’ve listed several tips on keeping flavor in while eliminating fat.  Check out this list by reading N08.",
          "Get 3 servings of low-fat or fat-free dairy/day.  1 serving= 8oz glass of low-fat milk, ½ cup of cottage cheese. N03 has more options.",
          "Fill 1/4 of your plate with a lean protein.  It can be lean meat, fish, shellfish, beans, eggs, or tofu.  Refer to N20.",
          "30 days down!  Think about how you’re feeling.  Do you notice any changes in the way you feel or look? Take a new picture!",
          "Think about personal goals you’d like to set over the next 30 days and write them down.  Keep it up.  I’m proud of your hard work.  –Annie.",
          "Our bodies need salt for many daily functions.  N15 explains that we get enough in our diet & should say “Please DON’T pass the salt!”",
          "Recruit your friends and family in your weight management efforts.  They may even lose weight with you!  Read B27 for more tips.",
          "Challenge yourself today to walk 10,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
          "Is your physical activity routine getting easy?  Increase how hard you’re working. Refer to P08 to see how hard you’re exercising.",
          "Thirsty all the time?  You might be dehydrated.  Water is essential for our bodies to work properly.  Read N31 to learn about water.",
          "FITT: Frequency, Intensity, Time, Type. Write down your exercise plan using FITT.  Read S06 for more information.",
          "As long as you use balance and moderation in your meal planning, all foods can fit!  N01 explains  ways to enjoy foods you love.",
          "Consider rewarding yourself.  Go to a movie or a football game.  Continue your positive self-talk and be proud of yourself.",
          "We all slip, don’t sweat it.  Remember this: change or avoid triggers, or substitute a healthy response for the trigger.",
          "For more tips on triggers, read B35.  It will help you avoid a setback and nip them in the bud!",
          "Read M05 to discover 10 health gains from losing 10% of your body weight.",
          "What percent of weight have you lost so far? (# of pounds lost / starting weight x 100)",
          "Did you know apple sauce can be used in place of oil?  Check out N24 for more substitution ideas.  You won’t want to skip this one!",
          "Think about all the changes you’ve made to be more physically active.  Write them down. Be proud of the progress you’ve made.",
          "Is your physical activity routine getting too easy?  Can you increase the intensity?  Your exercise programs should always be challenging.",
          "Use music, television, or magazines to help you keep moving when you are on the treadmill or stationary bike!",
          "Try drinking a full glass of water before you start your meal- this will help you feel fuller more quickly to prevent overeating.",
          "Challenge yourself today to walk 10,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
          "Every day is different.  Sometimes, our bodies need a snack to keep going.  To keep the calories in check, read N26 for snack ideas.",
          "Things get in the way of being active. Whatever the barrier, check out P01 for problem solving advice for these common barriers.",
          "Whether hot or cold, you should take steps to ensure safe physical activity.  Read P17 & P18 to protect yourself from Mother Nature.",
          "Green, Red, Orange, Yellow - colors of the veggie rainbow!  Taste buds change so try veggies you once avoided.  Read N30 to learn more.",
          "Seems like time is never on our sides.  Start planning ahead to ensure time doesn’t get in the way.  B30 helps maximize your time!",
          "You can still enjoy a sweet treat, even when you’re losing weight. Read N29 for sweet suggestions.",
          "Strength training helps keep us strong while helping us lose weight and keep it off.  Read more benefits on P16 and get lifting!",
          "You should stop exercising if you feel chest pain. Read P19 to become familiar with symptoms that require you to stop exercising!",
          "It takes 20 minutes before our stomach tells our brain it’s full.  Read B26 to learn more about mindful eating.",
          "Challenge yourself today to walk 12,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
          "Keep it interesting! Try different activities on alternate days to spice up workouts & keep you motivated! Read P24 for ideas.",
          "1lb every month for a year is 12 additional pounds- in five years that’s an extra 60 lbs gained! Be conscience of your health!",
          "You didn’t get unhealthy overnight & you won’t get healthy overnight. Once you’ve reached your goal, set a new one! S02 can help!",
          "2 months into your weight management journey! Continue with your food and activity goals.  Keep it up, I’m rooting for you -Annie",
          "Walking up stairs burns almost 5 times more calories than riding an elevator! P03 shows you other ways to burn more calories!",
          "Look for choices that are roasted, poached, steamed, baked, and grilled rather than sautéed, deep-fried, or pan-fried. N07 explains more.",
          "All of your favorite physical activities help you lose weight- golfing, baseball, tennis-try your favorite. P23 has other suggestions.",
          "An easy way to limit sodium is to trade your salt shaker for spices! Add them to everything for flavor! N27 has all your spicy needs!",
          "Eliminate stressors & try to find positive ways to cope that don’t involve food- meditation, music, & exercise help lower stress.",
          "Limit alcohol consumption- 2 drinks/day for men, 1 drink/day for women- 1 drink is 12oz beer, 4oz wine, and 1.5oz liquor. Read N17.",
          "Take a walk instead of snacking- exercise will make you feel better, but overeating may make you feel guilty. Read B24.",
          "Challenge yourself today to walk 12,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
          "1 lb of fat=3500 calories, to lose 1 lb/week, cut 500 calories per day- that’s walking for ½ hour & skipping dessert! Revisit S01.",
          "Swimming is a great way to be active without having impact on joints- try a water aerobics class near you! P29 has more low impact ideas.",
          "When at your next picnic, pick ½ cup coleslaw over ½ cup potato salad and save yourself 130 calories!",
          "Try getting up during commercial breaks & walking up & down the hallway or stairs in your house- that’s 15 min of walking per hour!",
          "If you are going somewhere that you know will only have junk food, try bringing your own healthy snack or meal! N16 can help.",
          "Think about WHY you’re eating.  Overeating is often a fill in for a strong emotion.  Can you change the situation or feeling? Read B12.",
          "Stop eating half way through your meal, wait two minutes, and begin eating again if you are still hungry. Remember N04 and B26’s tips.",
          "Choosing low fat/low calorie pre-portioned meals can help prevent eating too many calories- pair it with a salad & low fat dressing!",
          "Avoid products that list fat, oil, or sugar at the beginning of the ingredient list-the closer they are, the more it contains.",
          "Challenge yourself today to walk 13,000 steps or more.  Make sure you write this down in your Food and Physical Activity Diary S08.",
          "If you get the sudden urge to overeat- distract yourself- call someone to get some support and encouragement.",
          "Expect times when your weight loss will plateau- but stick to healthy eating and exercise- the weight will drop again! Read M02.",
          "Many people find that they don’t have as many cold and flu episodes when they are physically active. Keep MOVEing.",
          "Think about how far you’ve come in 3 months.  What are your next 3 month goals?  Are you trying something new?",
          "Get rid of the thought that you can only be happy if you achieve the perfect body! It’s not true! B08 explains more.",
          "Remember, if a food label says low calorie, it must contain 40 calories or less per serving.",
          "1 serving of raw vegetables, dry cereal, or low fat yogurt/milk is about the size of a baseball/your fist! N21 has tips on servings.",
          "Ask for encouragement from people willing to help. Participating in group sessions may be helpful in getting support.",
          "M09 will help you plan for long term success. You’ve come this far.  You just need to keep doing what you’ve done!",
          "Read M11 for some ideas on a variety of meal and diet plan to choose from.  Maybe one will suit you.",
          "Instead of 10,000 steps, challenge yourself to get 15,000 steps today!  A good ending to 3 awesome, active months.",
          "You’ve kept it up for 3 months.  Give yourself a pat on the back and go reward yourself for a job well done.",
          "Remember, it’s a journey, not a destination.  Healthy lifestyles are a lifetime commitment.  Congratulations on all your success. –Annie"
        ],
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 0,
            "unit": "MINUTE"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "lastMessageSent": 0,
        "_id": "53d68a270cf243dc76477473"
      }
    ]
  },
  {upsert: true}
);

db.protocols.update(
  {
    "_id": ObjectId("540d935ee4b0a415f57f7940")
  },  
  {
    "status": true,
    "name": "Diabetes Management - Self Foot Care",
    "description": "To support the Veteran who is living with Diabetes and engaging in self foot care on a regular schedule.  To provide an education overview of self foot care principals and practices.  Selection of Patients:  Those veterans who are Foot Risk Score 2 and 3.",
    "area": "Diabetes, Foot Care",
    "createDate": "System",
    "createBy": "ERICA BILEK",
    "comments": [
      {
        "content": null,
        "user": "System",
        "time": "7:30 AM",
        "date": "2014-09-08"
      }
    ],
    "templates": [
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
        "status": "Active",
        "type": "Motivational/Educational",
        "description": "Weekly Messages to Veteran",
        "serviceMessage": [
          "Are you having any problems inspecting your feet daily?  If so a mirror on a stick can be purchased at your medical supply store.   ",
          "Problems washing your feet daily? A sponge on a stick can be purchased at your local pharmacy.  ",
          "Do not walk barefoot-stepping on sharp objects could spell disaster.  Wear sandals, loafers, or mules that are easy to put on.  Slippers are not protective.",
          "Do your shoe shopping late in the afternoon or early evening.  Feet tend to swell during the day and this is best time to ensure a good fit.",
          "Foot powder on a daily basis in your shoes will help avoid fungal infections such as Athletes foot.",
          "Inspect your shoes before putting them on.  Children and grandchildren find them a wonderful hiding place for small toys.",
          "Do not soak your feet.  If you are having a problem call your foot care specialist for advice.",
          "Do not attempt to cut your own calluses or corns.  If they are painful call your foot care specialist for advice.",
          "Do not attempt to cut your own nails if they are thick and discolored.  You can use an emery board between visits to help reduce thickness."
        ],
        "schedule": {
          "acceptUnscheduledReading": false,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
            "name": "Custom",
            "description": "Every 1 week",
            "interval": {
              "value": 1,
              "unit": "WEEK"
            }
          },
          "scheduleTime": {
            "hour": 8,
            "min": 30,
            "meridian": "AM",
            "description": "(At 8:30 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 1,
            "unit": "DAY"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 12,
            "unit": "MONTH"
          },
          "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
          }
        },
        "lastMessageSent": 0,
        "_id": "540d935ee4b0a415f57f793f"
      }
    ],
    "_id": ObjectId("540d935ee4b0a415f57f7940")
  },
  {upsert: true}
);

db.protocols.update(
  {
    "_id": ObjectId("54200a85e4b0fa6520b0dd86")
  },  
  {
    "status": true,
    "name": "Heart Failure",
    "description": "To detect early heart failure exacerbation and improve patient self-treatement through monitoring weight daily and patient education.",
    "area": "Weight, Heart Failure",
    "createDate": "2014-09-22",
    "createBy": "ERICA BILEK",
    "comments": [
      {
        "content": null,
        "user": "System",
        "time": "7:39 AM",
        "date": "2014-09-22"
      }
    ],
    "templates": [
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
        "status": "Active",
        "type": "Vitals",
        "description": "Blood Pressure",
        "serviceMessage": "Hi!  This is Annie.  Please send in your blood pressure",
        "confirmationMessage": "Hi!  Your blood pressure is normal.",
        "service": {
          "_id": "52e829f9bf890cf9ee685d85",
          "name": "Blood Pressure",
          "readings": [
            {
              "name": "Systolic",
              "valid": {
                "low": 70,
                "high": 270
              },
              "alert": {
                "low": 80,
                "high": 140
              },
              "critical": {
                "low": 75,
                "high": 200
              },
              "unit": "mmHg"
            },
            {
              "name": "Diastolic",
              "valid": {
                "low": 40,
                "high": 140
              },
              "alert": {
                "low": 60,
                "high": 90
              },
              "critical": {
                "low": 55,
                "high": 100
              },
              "unit": "mmHg"
            }
          ],
          "firstLevelMessage": {
            "below": "Hi!  Your blood pressure is slightly low.",
            "above": "Hi!  Your blood pressure is slightly high."
          },
          "secondLevelMessage": {},
          "criticalMessage": {
            "below": "Hi!  Your blood pressure is very low.  Please contact your provider.",
            "above": "Hi!  Your blood pressure is very high.  Please contact your provider."
          },
          "keywords": [
            "BP",
            "BLOOD"
          ],
          "pattern": "(?i).*\\s*(BP|BLOOD)(\\s|\\d).*"
        },
        "schedule": {
          "acceptUnscheduledReading": true,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 1,
            "unit": "DAY"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 6,
            "unit": "MONTH"
          }
        },
        "_id": "54200a85e4b0fa6520b0dd82"
      },
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
        "status": "Active",
        "type": "Vitals",
        "description": "Pulse",
        "serviceMessage": "Hi!  Please send in your pulse.  ",
        "confirmationMessage": "Hi!  Your pulse is normal. ",
        "service": {
          "_id": "52e829f9bf890cf9ee685d8e",
          "name": "Pulse",
          "readings": [
            {
              "name": "Pulse",
              "valid": {
                "low": 45,
                "high": 200
              },
              "alert": {
                "low": 50,
                "high": 150
              },
              "unit": "bpm"
            }
          ],
          "firstLevelMessage": {
            "below": "Hi!  Your pulse is a little low at this time.",
            "above": "Hi!  Your pulse is a little high at this time."
          },
          "keywords": [
            "PULSE"
          ],
          "pattern": "(?i).*\\s*(PULSE)(\\s|\\d).*"
        },
        "schedule": {
          "acceptUnscheduledReading": true,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 1,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 6,
            "unit": "MONTH"
          }
        },
        "_id": "54200a85e4b0fa6520b0dd83"
      },
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
        "status": "Active",
        "type": "Vitals",
        "description": "Weight Loss",
        "serviceMessage": "Hi!  Please send in your weight now.",
        "confirmationMessage": "Hi!  Your weight is at a good range.",
        "service": {
          "_id": "52e829f9bf890cf9ee685d8a",
          "name": "Weight Loss",
          "readings": [
            {
              "name": "Weight",
              "valid": {
                "low": 50,
                "high": 250
              },
              "alert": {
                "low": 70,
                "high": 200
              },
              "unit": "lbs"
            }
          ],
          "firstLevelMessage": {
            "below": "Hi!  Your weight is a little low today.",
            "above": "Hi!  Your weight is a little high today."
          },
          "keywords": [
            "WE",
            "WEIGHT"
          ],
          "pattern": "(?i).*\\s*(WE|WEIGHT)(\\s|\\d).*"
        },
        "schedule": {
          "acceptUnscheduledReading": true,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 8,
            "min": 0,
            "meridian": "AM",
            "description": "(At 8:00 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 1,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 6,
            "unit": "MONTH"
          }
        },
        "_id": "54200a85e4b0fa6520b0dd84"
      },
      {
        "@class": "gov.va.mobilehealth.courier.core.protocol.Motivational",
        "status": "Active",
        "type": "Motivational/Educational",
        "description": "Heart Failure Motivational Messages",
        "serviceMessage": [
          "Focus on fruits; eat a variety every day.  Too much fruit juice can add lots of unnecessary sugar to your diet.  Limit fruit juice to one serving per day.",
          "Too much sodium can cause you to retain fluids and this makes heart failure more difficult.  Limit the salt in your diet from 2000-400/day.  ",
          "The Eject Fraction (EF) is the percentage of blood ejected from the left ventricle with each heart beat.  A normal ejection is 50% or higher.",
          "Restrict salt in the food you eat - no more than half a teaspoon per day.  Use herbs in spices instead.  Mrs. Dash makes a good variety of of these.",
          "Don't sprinkle extra table salt on your meal.",
          "If you are having a craving for salt, go buy a salt substitute called 'No Salt'.  It taste just like salt.  Great for sprinkling on food.",
          "Limit total fluid intake to 1500 mL or 50 ounces/day.",
          "Try to do regular exercise - as much as is comfortable everyday.",
          "If your doctor recommends a cardiac rehabilitation program, try it out.  Supervised exercise will be just what you need.",
          "Make sure your lifestyle's as healthy as you can - avoid smoky settings, get down to your ideal weight, take regular exercise, don't drink to much alcohol.",
          "If you're short of breath when walking on flat ground, check this out next time you see your doctor or nurse.",
          "Take your medication as prescribed at regular times-don't miss out on your pills-your body needs regular help to stay on top of your heart failure.",
          "Keep an eye on your blood pressure - it should be less than 140/90 mmHg throughout the day.",
          "With the right treatment for heart failure you should live longer - so take your treatment regularly.",
          "Dizziness when standing might be a sign of you having low blood pressure - so check your blood pressure yourself or contact your doctor or nurse for advice.",
          "If you're increasingly breathless, then your heart failure may be getting worse - so contact your doctor or nurse for advice.",
          "Don't stop your treatment without consulting your doctor or nurse first.",
          "It doesn't matter that you've got a slow heart rate or blood pressure unless you're more tired or dizzy.",
          "It's worth putting up with some side effects from the medications you take, but at least mention them out to your doctor or nurse.",
          "Discuss any swelling with your doctor or nurse.  Not all swelling in your legs indicates heart failure.",
          "If you're confused about the different types and timing of medication you take, ask your doctor or nurse how they can help.",
          "How much exercise did you actually do yesterday?  Was it enough? Be honest you could have done more.",
          "Many of your heart failure medication take weeks to months to improve your heart condition.",
          "The aim of your treatment is to improve the quality of your life; so if you feel unwell seek medical help.",
          "Be careful about taking other drugs that you buy yourself from the store.  Ask your doctor or nurse if they could interact and give you side effects.",
          "If you develop swelling of your feet and ankles then your heart failure is probably getting worse, so do seek help from your doctor or nurse.",
          "It's really important to have a flu vaccination each fall.",
          "If you're confused about the drugs you're on, then ask your doctor or nurse to go through each drug and explain why you must take each one regularly.",
          "Heart failure is an increasingly common health condition affecting 1 in 10 of the over 80s.",
          "Even if you feel well, you need a medical check at least every six months-to check your heart, lungs, blood pressure, weight, and kidneys.",
          "Often heart failure cannot be cured but it can be controlled.",
          "Too much alcohol can trigger heart failure, so if you do drink alcohol keep it to a minimum.",
          "If you're feeling down, talk your troubles through with a friend or relative, or maybe see a counselor.",
          "Weigh yourself at the same time every day.  If you gain more than 5 pounds of unexplained weight over a week then tell your doctor or nurse.",
          "Call your doctor or nurse if you have the inability to sleep.",
          "Call your doctor or nurse if you have new onset or sudden shortness of breath.",
          "Call your doctor or nurse if tachycardia or hear rate is over 100.",
          "Call your doctor or nurse if angina persists despite Nitroglycerin under the tongue x2 and 5 minutes apart."
        ],
        "schedule": {
          "acceptUnscheduledReading": true,
          "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "description": "Sun., Mon., Tue., Wed., Thu., Fri., Sat.",
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "scheduleTime": {
            "hour": 10,
            "min": 30,
            "meridian": "AM",
            "description": "(At 10:30 AM)"
          },
          "isStartTimeRelative": false,
          "relativeStartTime": {
            "value": 1,
            "unit": "MINUTE"
          },
          "isEndTimeRelative": false,
          "relativeEndTime": {
            "value": 6,
            "unit": "MONTH"
          }
        },
        "lastMessageSent": 0,
        "_id": "54200a85e4b0fa6520b0dd85"
      }
    ],
    "_id": ObjectId("54200a85e4b0fa6520b0dd86")
  },
  {upsert: true}
);

