#!/bin/sh

./gradlew clean build
cd MessagingApp
grunt

# Deploy CMS app to Weblogic httpd
cd ../PatientApp
grunt

#vagrant reload

#!/bin/sh
cd ../infrastructure/vagrant/virtualbox/vamfStack
echo 'Deploy CMS app to apache'
vagrant ssh vamf_apache --command "sudo cp -rf /cms-project/scripts/apache/staff_httpd.conf /etc/httpd/conf/httpd.conf && sudo /etc/init.d/httpd restart"
vagrant ssh vamf_apache --command "sudo rm -rf /var/www/html/cms && sudo chmod -R 777 /var/www/ && cp -rf /srv/webapps/cms/dist /var/www/html/cms"
vagrant ssh vamf_weblogic --command "sudo cp -rf /cms-project/scripts/apache/vet_httpd.conf /etc/httpd/conf/httpd.conf && sudo /etc/init.d/httpd restart"
vagrant ssh vamf_weblogic --command "sudo rm -rf /var/www/html/vet && sudo chmod -R 777 /var/www/ && sudo cp -rf /vet/app /var/www/html/vet"

echo
echo 'copy Staff Properties file'
vagrant ssh vamf_weblogic --command "cp -rf /cms-project/scripts/weblogic/cms.stafflocal.properties /u01/apps/oracle/middleware/user_projects/domains/MobileHealthDomain/cms/cmsconfig/cms.properties"

echo
echo 'copy Vet Properties file'
vagrant ssh vamf_weblogic --command "cp -rf /cms-project/scripts/weblogic/cms.vetlocal.properties /u01/apps/oracle/middleware/user_projects/domains/MobileHealthDomain/vet/cmsconfig/cms.properties"

echo
echo 'Setting ClassPath'
vagrant ssh vamf_weblogic --command "/cms-project/scripts/weblogic/ctlvamfwlcluster.sh"

echo
echo 'Waiting for Weblogic to respond...'
vagrant ssh vamf_weblogic --command "while netstat -lnt | awk '\$4 ~ /:6001\$/ {exit 1}'; do sleep 10; done"

echo
echo 'Deploying...'
vagrant ssh vamf_weblogic --command "source /u01/apps/oracle/middleware/wlserver_10.3/server/bin/setWLSEnv.sh && java weblogic.Deployer -adminurl t3://10.2.2.4:6001 -username weblogic -password weblogic1 -name courier-resources-0.0.1 -deploy -source /cms-project/courier-resources/build/libs/courier-resources-0.0.1.war -targets MobileHealthCluster"
vagrant status

cd ../../../../
pwd

source ./resetData.sh
