#!/bin/sh -ue

[[ $EUID -eq 0 ]] && { echo "do not run as root"; exit 1; }
[[ $- != *i* ]] && { echo "must run as interactive shell (source this script)"; exit 1; }

# rvm
rvm use ruby-2.0.0-p353

export WORKSPACE="$(git rev-parse --show-toplevel)"
export BERKSHELF_PATH=$WORKSPACE/.berkshelf
export VAGRANT_HOME=$WORKSPACE/.vagrant.d
export GEM_HOME=$WORKSPACE/.gems
export GEM_PATH=$GEM_HOME:$GEM_PATH
export NODE_PATH=$WORKSPACE/node_modules
export PATH=$GEM_HOME/bin:$PATH

brew install node

function vagrant(){
  (
    /usr/bin/vagrant "$@"
    echo -n -e "\033]0;vagrant-cms\007"
  )
}

function installPlugin() {
	vagrant plugin list | grep -q $1 || { vagrant plugin install $1 --plugin-version "$2"; }
}
installPlugin sahara "=0.0.17"
installPlugin vagrant-omnibus "=1.4.1"
installPlugin vagrant-berkshelf "= 2.0.1"

echo -n -e "\033]0;vagrant-cms\007"