use courier;

db.protocolTemplates.update(
{
    "_id": ObjectId("52d970ac9386d1ea9b2fcc83")
},
{
    "_id": ObjectId("52d970ac9386d1ea9b2fcc83"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "name": "Blood Pressure Protocol1",
    "description": "Blood Pressure",
    "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
    "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
    "confirmationMessage": "Your reading is fine",
    "service": {
        "_id": ObjectId("52e829f9bf890cf9ee685d85"),
        "name": "Blood Pressure",
        "readings": [
            {
                "name": "systolic",
                "valid": {
                    "low": 70,
                    "high": 262
                },
                "alert": {
                    "low": 80,
                    "high": 140
                },
                "critical": {
                    "low": 75,
                    "high": 230
                },
                "unit": "mmHg"
            },
            {
                "name": "diastolic",
                "valid": {
                    "low": 50,
                    "high": 120
                },
                "alert": {
                    "low": 60,
                    "high": 90
                },
                "critical": {
                    "low": 55,
                    "high": 110
                },
                "unit": "mmHg"
            }
        ],
        "firstLevelMessage": {
            "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
            "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
        },
        "secondLevelMessage": {
            "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
            "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
        },
        "criticalMessage": {
            "below": "this is low breach message",
            "above": "this is high breach message"
        },
        "keywords": [
            "BP",
            "BLOOD"
        ],
        "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
    },
    "schedule": {
        "acceptUnscheduledReading": false,
        "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeOnce",
            "name": "Once"
        },
        "scheduleTime": {
            "hour": 8,
            "min": 30,
            "meridian": "AM"
        },
        "isStartTimeRelative": false,
        "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
        },
        "isEndTimeRelative": false,
        "relativeEndTime": {
            "value": 10,
            "unit": "MONTH"
        },
        "reminderNumber": 0,
        "reminderInterval": {
            "value": 240,
            "unit": "MINUTE"
        },
        "breach": {
            "repeatBreachValues": true,
            "breachesPerRepeatingAlert": 5,
            "breachesDays": 4,
            "criticalPercentValues": true,
            "percentTriggersCriticalBreach": 0
        }
    }
},
{upsert: true}
);

db.protocolTemplates.update(
{
    "_id": ObjectId("52d970ac9386d1ea9b2fcc84")
},
{
    "_id": ObjectId("52d970ac9386d1ea9b2fcc84"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "name": "Blood Pressure Protocol3",
    "description": "Blood Pressure",
    "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
    "reminderMessage": "reminder message",
    "confirmationMessage": "Your reading is fine",
    "service": {
        "_id": ObjectId("52e829f9bf890cf9ee685d85"),
        "name": "Blood Pressure",
        "readings": [
            {
                "name": "systolic",
                "valid": {
                    "low": 70,
                    "high": 262
                },
                "alert": {
                    "low": 80,
                    "high": 180
                },
                "critical": {
                    "low": 75,
                    "high": 230
                },
                "unit": "mmHg"
            },
            {
                "name": "diastolic",
                "valid": {
                    "low": 50,
                    "high": 120
                },
                "alert": {
                    "low": 60,
                    "high": 100
                },
                "critical": {
                    "low": 55,
                    "high": 110
                },
                "unit": "mmHg"
            }
        ],
        "firstLevelMessage": {
            "below": "below level message",
            "above": "above level message"
        },
        "secondLevelMessage": {
            "below": "below level message 2",
            "above": "above level message 2"
        },
        "criticalMessage": {
            "below": "this is low breach message",
            "above": "this is high breach message"
        },
        "keywords": [
            "BP",
            "BLOOD"
        ],
        "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
    },
    "schedule": {
        "acceptUnscheduledReading": false,
        "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
            "name": "Custom",
            "interval": {
                "value": 10,
                "unit": "MINUTE"
            }
        },
        "scheduleTime": {
            "hour": 8,
            "min": 30,
            "meridian": "AM"
        },
        "isStartTimeRelative": false,
        "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
        },
        "isEndTimeRelative": false,
        "relativeEndTime": {
            "value": 10,
            "unit": "MONTH"
        },
        "reminderNumber": 0,
        "reminderInterval": {
            "value": 240,
            "unit": "MINUTE"
        },
        "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
        }
    }
},
{upsert: true}
);

db.protocolTemplates.update(
{
    "_id": ObjectId("52d970ac9386d1ea9b2fcc85")
},
{
    "_id": ObjectId("52d970ac9386d1ea9b2fcc85"),
    "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
    "status": "Active",
    "name": "Blood Pressure Protocol2",
    "description": "Blood Pressure",
    "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
    "reminderMessage": "reminder message",
    "confirmationMessage": "Your reading is fine",
    "service": {
        "_id": ObjectId("52e829f9bf890cf9ee685d85"),
        "name": "Blood Pressure",
        "readings": [
            {
                "name": "Systolic",
                "valid": {
                    "low": 70,
                    "high": 262
                },
                "alert": {
                    "low": 90,
                    "high": 200
                },
                "critical": {
                    "low": 80,
                    "high": 230
                },
                "unit": "mmHg"
            },
            {
                "name": "Diastolic",
                "valid": {
                    "low": 50,
                    "high": 120
                },
                "alert": {
                    "low": 70,
                    "high": 120
                },
                "critical": {
                    "low": 60,
                    "high": 120
                },
                "unit": "mmHg"
            }
        ],
        "firstLevelMessage": {
            "below": "below level message",
            "above": "above level message"
        },
        "secondLevelMessage": {
            "below": "below level message 2",
            "above": "above level message 2"
        },
        "criticalMessage": {
            "below": "this is low breach message",
            "above": "this is high breach message"
        },
        "keywords": [
            "BP",
            "BLOOD"
        ],
        "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
    },
    "schedule": {
        "acceptUnscheduledReading": false,
        "scheduleType": {
            "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
            "name": "Specified Days",
            "monday": true,
            "tuesday": false,
            "wednesday": false,
            "thursday": true,
            "friday": false,
            "saturday": false,
            "sunday": false
        },
        "scheduleTime": {
            "hour": 8,
            "min": 30,
            "meridian": "AM"
        },
        "isStartTimeRelative": false,
        "relativeStartTime": {
            "value": 0,
            "unit": "MINUTE"
        },
        "isEndTimeRelative": false,
        "relativeEndTime": {
            "value": 10,
            "unit": "MONTH"
        },
        "reminderNumber": 0,
        "reminderInterval": {
            "value": 240,
            "unit": "MINUTE"
        },
        "breach": {
            "repeatBreachValues": false,
            "breachesPerRepeatingAlert": 0,
            "breachesDays": 0,
            "criticalPercentValues": false,
            "percentTriggersCriticalBreach": 0
        }
    }
},
{upsert: true}
);

db.protocols.update(
{
    "_id": ObjectId("5421c0b7da99b0ba6eaddfc5")
},
{
    "_id": ObjectId("5421c0b7da99b0ba6eaddfc5"),
    "status": true,
    "name": "Blood Pressure Protocol1",
    "description": "This is blood pressure protocol with once schedule",
    "area": "Blood",
    "createDate": "2014-01-05",
    "createBy": "One Vehu",
    "comments": [
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-20"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-20"
        }
    ],
    "templates": [
        {
            "_id": ObjectId("52d970ac9386d1ea9b2fcc83"),
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Active",
            "name": "Blood Pressure Protocol1",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "_id": ObjectId("52e829f9bf890cf9ee685d85"),
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 140
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 90
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "secondLevelMessage": {
                    "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeOnce",
                    "name": "Once"
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 0
                }
            }
        }
    ]
},
{upsert: true}
);

db.protocols.update(
{
    "_id": ObjectId("5421c0b7da99b0ba6eaddfc6")
},
{
    "_id": ObjectId("5421c0b7da99b0ba6eaddfc6"),
    "status": true,
    "name": "Blood Pressure Protocol3",
    "description": "This is blood pressure protocol with every so many schedule type",
    "area": "Blood",
    "createDate": "2014-03-17",
    "createBy": "One Vehu",
    "comments": [
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-20"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-20"
        }
    ],
    "templates": [
        {
            "_id": ObjectId("52d970ac9386d1ea9b2fcc84"),
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Active",
            "name": "Blood Pressure Protocol3",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "reminder message",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "_id": ObjectId("52e829f9bf890cf9ee685d85"),
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 180
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 100
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "below level message",
                    "above": "above level message"
                },
                "secondLevelMessage": {
                    "below": "below level message 2",
                    "above": "above level message 2"
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
                    "name": "Custom",
                    "interval": {
                        "value": 10,
                        "unit": "MINUTE"
                    }
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": false,
                    "breachesPerRepeatingAlert": 0,
                    "breachesDays": 0,
                    "criticalPercentValues": false,
                    "percentTriggersCriticalBreach": 0
                }
            }
        }
    ]
},
{upsert: true}
);

db.protocols.update(
{
    "_id": ObjectId("5421c0b7da99b0ba6eaddfc7")
},
{
    "_id": ObjectId("5421c0b7da99b0ba6eaddfc7"),
    "status": true,
    "name": "Blood Pressure Protocol2",
    "description": "This is blood pressure protocol with days of week schedule",
    "area": "Blood",
    "createDate": "2014-03-17",
    "createBy": "One Vehu",
    "comments": [
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-20"
        },
        {
            "date": "2014-04-03",
            "time": "12:05 PM",
            "user": "ONE VEHU",
            "changes": [
                {
                    "fieldName": "protocol.services.readings.valid.high",
                    "oldValue": "262.0",
                    "newValue": "275.0"
                }
            ]
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-20"
        }
    ],
    "templates": [
        {
            "_id": ObjectId("52d970ac9386d1ea9b2fcc85"),
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Active",
            "name": "Blood Pressure Protocol2",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "reminder message",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "_id": ObjectId("52e829f9bf890cf9ee685d85"),
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "Systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 90,
                            "high": 200
                        },
                        "critical": {
                            "low": 80,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "Diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 70,
                            "high": 120
                        },
                        "critical": {
                            "low": 60,
                            "high": 120
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "below level message",
                    "above": "above level message"
                },
                "secondLevelMessage": {
                    "below": "below level message 2",
                    "above": "above level message 2"
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": false,
                    "breachesPerRepeatingAlert": 0,
                    "breachesDays": 0,
                    "criticalPercentValues": false,
                    "percentTriggersCriticalBreach": 0
                }
            }
        }
    ]
},
{upsert: true}
);

db.protocols.update(
{
    "_id": ObjectId("5421c0b7da99b0ba6eaddfc8")
},
{
    "_id": ObjectId("5421c0b7da99b0ba6eaddfc8"),
    "status": false,
    "name": "Blood Pressure Protocol4",
    "description": "This is blood pressure protocol with once schedule",
    "area": "Blood",
    "createDate": "2014-03-17",
    "createBy": "One Vehu",
    "comments": [
        {
            "content": "Disable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-10-20"
        },
        {
            "content": "Enable protocol",
            "user": "TWO VEHU",
            "time": "12:05 PM",
            "date": "2013-10-20"
        },
        {
            "content": "Disable",
            "user": "TWO VEHU",
            "time": "12:05 PM",
            "date": "2013-10-20"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-10-20"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-05"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-05"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-21"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-21"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-21"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-21"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-20"
        },
        {
            "content": "Enable protocol",
            "user": "TWO VEHU",
            "time": "12:05 PM",
            "date": "2013-11-21"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-12-18"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-12-18"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-12-18"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-12-18"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-12-18"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-12-18"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-01-21"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-01-21"
        },
        {
            "content": "Disable",
            "user": "TWO VEHU",
            "time": "12:05 PM",
            "date": "2014-01-21"
        },
        {
            "content": "Enable protocol",
            "user": "TWO VEHU",
            "time": "12:05 PM",
            "date": "2014-01-21"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2013-11-20"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-01-21"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-01-21"
        },
        {
            "content": "Enable protocol",
            "user": "TWO VEHU",
            "time": "12:05 PM",
            "date": "2014-01-21"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-01-28"
        },
        {
            "content": "Enable protocol",
            "user": "TWO VEHU",
            "time": "12:05 PM",
            "date": "2014-01-28"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-01-28"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-01-28"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-01-28"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-03-16"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-03-16"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-03-16"
        },
        {
            "content": "Disable",
            "user": "TWO VEHU",
            "time": "12:05 PM",
            "date": "2014-03-16"
        },
        {
            "content": "Disable",
            "user": "TWO VEHU",
            "time": "12:05 PM",
            "date": "2014-03-16"
        },
        {
            "content": "Disable",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-03-16"
        },
        {
            "content": "Enable protocol",
            "user": "ONE VEHU",
            "time": "12:05 PM",
            "date": "2014-03-16"
        },
        {
            "date": "2014-04-03",
            "time": "12:05 PM",
            "user": "ONE VEHU",
            "changes": [
                {
                    "fieldName": "protocol.templates.service.readings.valid.high",
                    "oldValue": "262.0",
                    "newValue": "275.0"
                }
            ]
        }
    ],
    "templates": [
        {
            "_id": ObjectId("52d970ac9386d1ea9b2fcc83"),
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Active",
            "name": "Blood Pressure Protocol4",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "_id": ObjectId("52e829f9bf890cf9ee685d85"),
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 140
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 90
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "secondLevelMessage": {
                    "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeOnce",
                    "name": "Once"
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 0
                }
            }
        }
    ]
},
{upsert: true}
);

db.patients.drop();
db.patients.ensureIndex( { "preference.phoneNumber": 1 }, { unique: true, sparse: true } );
db.patients.insert([
{
  "_id" : ObjectId("53fba91e0cf23303d3ef97ba"),
  "firstName" : "Integration",
  "middleName" : "Test",
  "lastName" : "Patient",
  "dob" : "1935-04-07",
  "ssn" : "123-45-6789",
  "gender" : "male",
  "patientExistInCms" : false,
  "preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "messagePaused" : false,
    "phoneNumber" : "11234567890",
    "homePhoneNumber" : null,
    "email" : null,
    "timeZone" : "Atlantic/Bermuda",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": true
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": false
    }
  },
  "patientIdentifier" : {
    "uniqueId" : "123",
    "assigningAuthority" : "dfn-688"
  },
  "lastNameInitial" : "P",
  "last4SSN" : "6789",
  "consent" : 3,
  "consentDate" : "2014-08-25",
  "age" : 79
},
{
"ssn": "999-99-9902",
"gender": "male",
"firstName": "zztest",
"lastName": "patient02",
"lastNameInitial": "P",
"last4SSN": "9902",
"dob": "1900-10-05",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/Los_Angeles",
    "phoneNumber": "17033334444",
    "messageStarted": true
},
"patientIdentifier": {
    "uniqueId": "D123402",
    "assigningAuthority": "EDIPI"
},

"_id": ObjectId("52b9f1519d16ccbfab2fcff3")
},
{
"ssn": "999-99-9901",
"gender": "male",
"firstName": "zztest",
"lastName": "patient01",
"lastNameInitial": "P",
"last4SSN": "9901",
"dob": "1900-05-05",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/Chicago",
    "messageStarted": true,
    "phoneNumber": "1571P0O0R0T"
},
"patientIdentifier": {
    "uniqueId": "D123401",
    "assigningAuthority": "EDIPI"
},
"_id": ObjectId("52b9f1519d16ccbfab2fcff4")
},
{
"ssn": "999-99-9903",
"gender": "male",
"firstName": "zztest",
"lastName": "patient03",
"lastNameInitial": "P",
"last4SSN": "9903",
"dob": "1900-10-05",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000003"
},
"patientIdentifier": {
    "uniqueId": "D123403",
    "assigningAuthority": "EDIPI"
},
"_id": ObjectId("52b9f1519d16ccbfab2fcff5")
},
{
"ssn": "999-99-9904",
"gender": "male",
"firstName": "zztest",
"lastName": "patient04",
"lastNameInitial": "P",
"last4SSN": "9904",
"dob": "1900-12-12",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000004"
},
"patientIdentifier": {
    "uniqueId": "D123404",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9905",
"gender": "female",
"firstName": "zztest",
"lastName": "patient05",
"lastNameInitial": "P",
"last4SSN": "9905",
"dob": "1900-12-13",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/Chicago",
    "messageStarted": true,
    "phoneNumber": "15715000005"
},
"patientIdentifier": {
    "uniqueId": "PATID5",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9906",
"gender": "male",
"firstName": "zztest",
"lastName": "patient06",
"lastNameInitial": "P",
"last4SSN": "9906",
"dob": "1900-06-06",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000006"
},
"patientIdentifier": {
    "uniqueId": "PATID6",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9907",
"gender": "male",
"firstName": "zztest",
"lastName": "patient07",
"lastNameInitial": "P",
"last4SSN": "9907",
"dob": "1900-01-12",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000007"
},
"patientIdentifier": {
    "uniqueId": "PATID7",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9908",
"gender": "female",
"firstName": "zztest",
"lastName": "patient08",
"lastNameInitial": "P",
"last4SSN": "9908",
"dob": "1900-07-04",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000008"
},
"patientIdentifier": {
    "uniqueId": "PATID8",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9909",
"gender": "male",
"firstName": "zztest",
"lastName": "patient09",
"lastNameInitial": "P",
"last4SSN": "9909",
"dob": "1900-05-21",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000009"
},
"patientIdentifier": {
    "uniqueId": "PATID9",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9912",
"gender": "male",
"firstName": "zztest",
"lastName": "patient12",
"lastNameInitial": "P",
"last4SSN": "9912",
"dob": "1900-02-15",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000012"
},
"patientIdentifier": {
    "uniqueId": "PATID12",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9914",
"gender": "female",
"firstName": "zztest",
"lastName": "patient14",
"lastNameInitial": "P",
"last4SSN": "9914",
"dob": "1900-03-10",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000014"
},
"patientIdentifier": {
    "uniqueId": "PATID14",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9915",
"gender": "male",
"firstName": "zztest",
"lastName": "patient15",
"lastNameInitial": "P",
"last4SSN": "9914",
"dob": "1900-04-04",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000015"
},
"patientIdentifier": {
    "uniqueId": "PATID15",
    "assigningAuthority": "EDIPI"
},
"_id": ObjectId("52b9f1519d16ccbfab2fcff6")
},
{
"ssn": "999-99-9916",
"gender": "female",
"firstName": "zztest",
"lastName": "patient16",
"lastNameInitial": "P",
"last4SSN": "9916",
"dob": "1900-02-02",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000016"
},
"patientIdentifier": {
    "uniqueId": "PATID16",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9917",
"gender": "male",
"firstName": "zztest",
"lastName": "patient17",
"lastNameInitial": "P",
"last4SSN": "9917",
"dob": "1900-05-05",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000017"
},
"patientIdentifier": {
    "uniqueId": "PATID17",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9918",
"gender": "male",
"firstName": "zztest",
"lastName": "patient18",
"lastNameInitial": "P",
"last4SSN": "9918",
"dob": "1900-09-04",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000018"
},
"patientIdentifier": {
    "uniqueId": "PATID18",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9919",
"gender": "male",
"firstName": "zztest",
"lastName": "patient19",
"lastNameInitial": "P",
"last4SSN": "9919",
"dob": "1900-02-02",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000019"
},
"patientIdentifier": {
    "uniqueId": "PATID19",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9920",
"gender": "male",
"firstName": "zztest",
"lastName": "patient20",
"lastNameInitial": "P",
"last4SSN": "9920",
"dob": "1900-06-06",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15710000020"
},
"patientIdentifier": {
    "uniqueId": "PATID20",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9922",
"gender": "female",
"firstName": "zztest",
"lastName": "patient22",
"lastNameInitial": "P",
"last4SSN": "9922",
"dob": "1900-10-06",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000022"
},
"patientIdentifier": {
    "uniqueId": "PATID22",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9923",
"gender": "male",
"firstName": "zztest",
"lastName": "patient23",
"lastNameInitial": "P",
"last4SSN": "9923",
"dob": "1900-11-06",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000023"
},
"patientIdentifier": {
    "uniqueId": "PATID23",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9924",
"gender": "male",
"firstName": "zztest",
"lastName": "patient24",
"lastNameInitial": "P",
"last4SSN": "9924",
"dob": "1900-11-06",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000024"
},
"patientIdentifier": {
    "uniqueId": "PATID24",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9929",
"gender": "male",
"firstName": "zztest",
"lastName": "patient29",
"lastNameInitial": "P",
"last4SSN": "9929",
"dob": "1900-11-09",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000029"
},
"patientIdentifier": {
    "uniqueId": "PATID29",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9931",
"gender": "female",
"firstName": "zztest",
"lastName": "patient31",
"lastNameInitial": "P",
"last4SSN": "9931",
"dob": "1900-08-06",
"consent": 1,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "1571P0O0R3T"
},
"patientIdentifier": {
    "uniqueId": "PATID31",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9932",
"gender": "male",
"firstName": "zztest",
"lastName": "patient32",
"lastNameInitial": "P",
"last4SSN": "9932",
"dob": "1900-04-15",
"consent": 1,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000032"
},
"patientIdentifier": {
    "uniqueId": "PATID32",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9933",
"gender": "male",
"firstName": "zztest",
"lastName": "patient33",
"lastNameInitial": "P",
"last4SSN": "9933",
"dob": "1900-01-01",
"consent": 1,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000033"
},
"patientIdentifier": {
    "uniqueId": "PATID33",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9934",
"gender": "female",
"firstName": "zztest",
"lastName": "patient34",
"lastNameInitial": "P",
"last4SSN": "9934",
"dob": "1900-08-09",
"consent": 1,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000034"
},
"patientIdentifier": {
    "uniqueId": "PATID34",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9935",
"gender": "male",
"firstName": "zztest",
"lastName": "patient35",
"lastNameInitial": "P",
"last4SSN": "9935",
"dob": "1900-04-15",
"consent": 1,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000035"
},
"patientIdentifier": {
    "uniqueId": "PATID35",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9936",
"gender": "female",
"firstName": "zztest",
"lastName": "patient36",
"lastNameInitial": "P",
"last4SSN": "9936",
"dob": "1900-03-15",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000036"
},
"patientIdentifier": {
    "uniqueId": "PATID36",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9937",
"gender": "male",
"firstName": "zztest",
"lastName": "patient37",
"lastNameInitial": "P",
"last4SSN": "9937",
"dob": "1900-10-25",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000037"
},
"patientIdentifier": {
    "uniqueId": "PATID37",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9938",
"gender": "female",
"firstName": "zztest",
"lastName": "patient38",
"lastNameInitial": "P",
"last4SSN": "9938",
"dob": "1900-06-05",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000038"
},
"patientIdentifier": {
    "uniqueId": "PATID38",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9940",
"gender": "female",
"firstName": "zztest",
"lastName": "patient40",
"lastNameInitial": "P",
"last4SSN": "9940",
"dob": "1900-02-27",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15710000040"
},
"patientIdentifier": {
    "uniqueId": "PATID40",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9942",
"gender": "female",
"firstName": "zztest",
"lastName": "patient42",
"lastNameInitial": "P",
"last4SSN": "9942",
"dob": "1900-12-30",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000042"
},
"patientIdentifier": {
    "uniqueId": "PATID42",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9944",
"gender": "male",
"firstName": "zztest",
"lastName": "patient44",
"lastNameInitial": "P",
"last4SSN": "9944",
"dob": "1900-05-19",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000044"
},
"patientIdentifier": {
    "uniqueId": "PATID44",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9945",
"gender": "male",
"firstName": "zztest",
"lastName": "patient45",
"lastNameInitial": "P",
"last4SSN": "9945",
"dob": "1900-05-18",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000045"
},
"patientIdentifier": {
    "uniqueId": "PATID45",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9946",
"gender": "male",
"firstName": "zztest",
"lastName": "patient46",
"lastNameInitial": "P",
"last4SSN": "9946",
"dob": "1900-05-28",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000046"
},
"patientIdentifier": {
    "uniqueId": "PATID46",
    "assigningAuthority": "EDIPI"
}
},

{
"_id" : ObjectId("53bc3a720cf2636be815cb0f"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient47",
"dob" : "1900-03-15",
"ssn" : "999-99-9947",
"gender" : "FEMALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110047",
    "homePhoneNumber" : "17037650047",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID47",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9947",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 115
},
{
"_id" : ObjectId("53bc3ab10cf2636be815cb12"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient48",
"dob" : "1900-07-15",
"ssn" : "999-99-9948",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110048",
    "homePhoneNumber" : "17037650048",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID48",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9948",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 113
},
{
"_id" : ObjectId("53bc3c3f0cf2636be815cb15"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient49",
"dob" : "1900-08-18",
"ssn" : "999-99-9949",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110049",
    "homePhoneNumber" : "17037650049",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID49",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9949",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 113
},
{
"_id" : ObjectId("53bc3cca0cf2636be815cb18"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient50",
"dob" : "1900-09-19",
"ssn" : "999-99-9950",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110050",
    "homePhoneNumber" : "17037650050",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID50",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9950",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 113
},
{
"_id" : ObjectId("53bc3da00cf2636be815cb1b"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient51",
"dob" : "1900-05-05",
"ssn" : "999-99-9951",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110051",
    "homePhoneNumber" : "17037650051",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID51",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9951",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 115
},
{
"_id" : ObjectId("53bc3df40cf2636be815cb1e"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient52",
"dob" : "1900-05-05",
"ssn" : "999-99-9952",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110052",
    "homePhoneNumber" : "17037650052",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID52",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9952",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 115
},
{
"_id" : ObjectId("53bc3e700cf2636be815cb21"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient53",
"dob" : "1900-05-05",
"ssn" : "999-99-9953",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110053",
    "homePhoneNumber" : "17037650053",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID53",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9953",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 115
},
{
"_id" : ObjectId("53bc3eb40cf2636be815cb24"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient54",
"dob" : "1900-05-05",
"ssn" : "999-99-9954",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110054",
    "homePhoneNumber" : "17037650054",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID54",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9954",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 115
},
{
"_id" : ObjectId("53bc3ef20cf2636be815cb27"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient55",
"dob" : "1900-05-05",
"ssn" : "999-99-9955",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : true,
    "messageStopped" : false,
    "phoneNumber" : "17031110055",
    "homePhoneNumber" : "17037650055",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID55",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9955",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 115
},
{
"_id" : ObjectId("53bc41250cf2636be815cb2d"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient57",
"dob" : "1900-01-01",
"ssn" : "999-99-9957",
"gender" : "",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110057",
    "homePhoneNumber" : "17037650057",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID57",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9957",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 115
},
{
"_id" : ObjectId("53bc41820cf2636be815cb30"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient58",
"dob" : "1900-11-08",
"ssn" : "999-99-9958",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110058",
    "homePhoneNumber" : "17037650058",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID58",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9958",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 113
},
{
"_id" : ObjectId("53bc41b20cf2636be815cb33"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient59",
"dob" : "1900-11-08",
"ssn" : "999-99-9959",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110059",
    "homePhoneNumber" : "17037650059",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID59",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9959",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 113
},
{
"_id" : ObjectId("53bc42030cf2636be815cb36"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient60",
"dob" : "1900-11-08",
"ssn" : "999-99-9960",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110060",
    "homePhoneNumber" : "17037650060",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID60",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9960",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 113
},
{
"_id" : ObjectId("53bc42400cf2636be815cb39"),
"firstName" : "zztest",
"middleName" : null,
"lastName" : "patient61",
"dob" : "1900-11-08",
"ssn" : "999-99-9961",
"gender" : "MALE",
"patientExistInCms" : false,
"preference" : {
    "messageStarted" : false,
    "messageStopped" : false,
    "phoneNumber" : "17031110061",
    "homePhoneNumber" : "17037650061",
    "email" : "zpatient@testmail.com",
    "timeZone" : "America/New_York",
    "messageDeliveryPreference": {
      "sendAnnie": true,
      "sendSms": false
    },
    "notificationDeliveryPreference": {
      "sendAnnie": false,
      "sendSms": true
    }
},
"patientIdentifier" : {
    "uniqueId" : "PATID61",
    "assigningAuthority" : "EDIPI"
},
"lastNameInitial" : "P",
"last4SSN" : "9961",
"consent" : 3,
"consentDate" : "2014-04-30",
"age" : 113
},

{
"ssn": "999-99-9962",
"gender": "male",
"firstName": "zztest",
"lastName": "patient62",
"lastNameInitial": "P",
"last4SSN": "9962",
"dob": "1900-11-08",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000062"
},
"patientIdentifier": {
    "uniqueId": "PATID62",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9965",
"gender": "male",
"firstName": "zztest",
"lastName": "patient65",
"lastNameInitial": "P",
"last4SSN": "9965",
"dob": "1900-11-08",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000065"
},
"patientIdentifier": {
    "uniqueId": "PATID65",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9966",
"gender": "male",
"firstName": "zztest",
"lastName": "patient66",
"lastNameInitial": "P",
"last4SSN": "9966",
"dob": "1900-01-01",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000066"
},
"patientIdentifier": {
    "uniqueId": "PATID66",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9967",
"gender": "male",
"firstName": "zztest",
"lastName": "patient67",
"lastNameInitial": "P",
"middleName": "Thomas",
"last4SSN": "9967",
"dob": "1900-01-01",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000067"
},
"patientIdentifier": {
    "uniqueId": "PATID67",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9969",
"gender": "male",
"firstName": "zztest",
"lastName": "patient69",
"lastNameInitial": "P",
"last4SSN": "9969",
"dob": "1900-01-01",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000069"
},
"patientIdentifier": {
    "uniqueId": "PATID69",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9970",
"gender": "male",
"firstName": "zztest",
"lastName": "patient70",
"lastNameInitial": "P",
"last4SSN": "9970",
"dob": "1900-08-02",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15710000070"
},
"patientIdentifier": {
    "uniqueId": "PATID70",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9971",
"gender": "male",
"firstName": "zztest",
"lastName": "patient71",
"lastNameInitial": "P",
"last4SSN": "9971",
"dob": "1900-03-08",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "1571P0O0R7T"
},
"patientIdentifier": {
    "uniqueId": "PATID71",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9973",
"gender": "male",
"firstName": "zztest",
"lastName": "patient73",
"lastNameInitial": "P",
"last4SSN": "9973",
"dob": "1900-01-13",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000073"
},
"patientIdentifier": {
    "uniqueId": "PATID73",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9974",
"gender": "male",
"firstName": "zztest",
"lastName": "patient74",
"lastNameInitial": "P",
"last4SSN": "9974",
"dob": "1900-05-05",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000074"
},
"patientIdentifier": {
    "uniqueId": "PATID74",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9977",
"gender": "male",
"firstName": "zztest",
"lastName": "patient77",
"lastNameInitial": "P",
"last4SSN": "9977",
"dob": "1900-01-01",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000077"
},
"patientIdentifier": {
    "uniqueId": "PATID77",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9978",
"gender": "male",
"firstName": "zztest",
"lastName": "patient78",
"lastNameInitial": "P",
"last4SSN": "9978",
"dob": "1900-03-12",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000078"
},
"patientIdentifier": {
    "uniqueId": "PATID78",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9980",
"gender": "male",
"firstName": "zztest",
"lastName": "patient80",
"lastNameInitial": "P",
"last4SSN": "9980",
"dob": "1900-03-11",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15710000080"
},
"patientIdentifier": {
    "uniqueId": "PATID80",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9981",
"gender": "male",
"firstName": "zztest",
"lastName": "patient81",
"lastNameInitial": "P",
"last4SSN": "9981",
"dob": "1900-01-11",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "1571P0O0R8T"
},
"patientIdentifier": {
    "uniqueId": "PATID81",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9982",
"gender": "male",
"firstName": "zztest",
"lastName": "patient82",
"lastNameInitial": "P",
"last4SSN": "9982",
"dob": "1900-02-10",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15715000082"
},
"patientIdentifier": {
    "uniqueId": "PATID82",
    "assigningAuthority": "EDIPI"
}
},
{
"ssn": "999-99-9983",
"gender": "male",
"firstName": "zztest",
"lastName": "patient83",
"lastNameInitial": "P",
"last4SSN": "9983",
"dob": "1900-01-09",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15712943179"
},
"patientIdentifier": {
    "uniqueId": "PATID83",
    "assigningAuthority": "EDIPI"
}
},
  {
    "ssn": "999-99-9985",
    "gender": "male",
    "firstName": "zztest",
    "lastName": "appt",
    "lastNameInitial": "A",
    "last4SSN": "9985",
    "dob": "1900-01-09",
    "consent": 3,
    "consentDate": "2014-04-30",
    "preference": {
      "timeZone": "America/New_York",
      "messageStarted": true,
      "phoneNumber": "15712943180",
      "receiveApptReminder": true
    },
    "patientIdentifier": {
      "uniqueId": "100840",
      "assigningAuthority": "EDIPI"
    }
  }, {
    "ssn": "001-99-9985",
    "gender": "male",
    "firstName": "zztest",
    "lastName": "appt001",
    "lastNameInitial": "A",
    "last4SSN": "9985",
    "dob": "1900-01-09",
    "consent": 3,
    "consentDate": "2014-04-30",
    "preference": {
      "timeZone": "America/New_York",
      "messageStarted": true,
      "phoneNumber": "15712943181",
      "receiveApptReminder": true
    },
    "patientIdentifier": {
      "uniqueId": "CMS0001",
      "assigningAuthority": "EDIPI"
    }
  }, {
    "ssn": "002-99-9985",
    "gender": "male",
    "firstName": "zztest",
    "lastName": "appt002",
    "lastNameInitial": "A",
    "last4SSN": "9985",
    "dob": "1900-01-09",
    "consent": 3,
    "consentDate": "2014-04-30",
    "preference": {
      "timeZone": "America/New_York",
      "messageStarted": true,
      "phoneNumber": "15712943182",
      "receiveApptReminder": true
    },
    "patientIdentifier": {
      "uniqueId": "CMS0002",
      "assigningAuthority": "EDIPI"
    }
  }, {
    "ssn": "003-99-9985",
    "gender": "male",
    "firstName": "zztest",
    "lastName": "appt003",
    "lastNameInitial": "A",
    "last4SSN": "9985",
    "dob": "1900-01-09",
    "consent": 3,
    "consentDate": "2014-04-30",
    "preference": {
      "timeZone": "America/New_York",
      "messageStarted": true,
      "phoneNumber": "15712943183",
      "receiveApptReminder": false
    },
    "patientIdentifier": {
      "uniqueId": "CMS0003",
      "assigningAuthority": "EDIPI"
    }
  },
{
"ssn": "999-99-9984",
"gender": "male",
"firstName": "zztest",
"lastName": "patient84",
"lastNameInitial": "P",
"last4SSN": "9984",
"dob": "1900-01-10",
"consent": 3,
"consentDate": "2014-04-30",
"preference": {
    "timeZone": "America/New_York",
    "messageStarted": true,
    "phoneNumber": "15712306757"
},
"patientIdentifier": {
    "uniqueId": "PATID84",
    "assigningAuthority": "EDIPI"
}
}
]);


db.patientProtocol.drop();
db.patientProtocol.insert([
{
"patientId": "52b9f1519d16ccbfab2fcff5",
"assignedDate": "2014-01-20",
"lastEditedDate": "2014-01-27",
"comments": [
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    }
],
"status": "Active",
"protocol": {
    "name": "Blood Pressure Protocol1",
    "description": "This is blood pressure protocol with once schedule",
    "templates": [
        {
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Active",
            "name": "Blood Pressure Protocol1",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 140
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 90
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "secondLevelMessage": {
                    "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 40
                }
            },
            "startDate": "2013-11-20",
            "endDate": "2015-11-20"
        }
    ]
}
},
{
"patientId": "52b9f1519d16ccbfab2fcff5",
"assignedDate": "2014-01-20",
"lastEditedDate": "2014-01-27",
"comments": [
    {
        "content": "The patient is doing great",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    }
],
"status": "Removed",
"protocol": {
    "name": "Blood Pressure Protocol3",
    "description": "This is blood pressure protocol with once schedule",
    "templates": [
        {
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Removed",
            "name": "Blood Pressure Protocol3",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 140
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 90
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "secondLevelMessage": {
                    "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 40
                }
            },
            "startDate": "2013-11-20",
            "endDate": "2015-11-20"
        }
    ]
}
},
{
"patientId": "52b9f1519d16ccbfab2fcff5",
"assignedDate": "2014-01-20",
"lastEditedDate": "2014-01-27",
"status": "Expired",
"comments": [
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "date": "2014-04-03",
        "time": "12:05 PM",
        "user": "ONE VEHU",
        "changes": [
            {
                "fieldName": "protocol.services.readings.valid.high",
                "oldValue": "262.0",
                "newValue": "275.0"
            }
        ]
    },
    {
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-04-03",
        "changes": [
            {
                "fieldName": "status",
                "oldValue": "Active",
                "newValue": "Removed"
            }
        ]
    }
],
"protocol": {
    "name": "Blood Pressure Protocol4",
    "description": "This is blood pressure protocol with once schedule",
    "templates": [
        {
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Expired",
            "name": "Blood Pressure Protocol4",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 140
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 90
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "secondLevelMessage": {
                    "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 40
                }
            },
            "startDate": "2013-11-20",
            "endDate": "2015-11-20"
        }
    ]
}
},
{
"patientId": "52b9f1519d16ccbfab2fcff5",
"assignedDate": "2014-01-20",
"lastEditedDate": "2014-01-27",
"comments": [
    {
        "content": "Disable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-10-20"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2013-10-20"
    },
    {
        "content": "Disable",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2013-10-20"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-10-20"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-05"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-05"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Disable",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Disable",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Disable",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    }
],
"status": "Active",
"protocol": {
    "name": "Blood Pressure Protocol2",
    "description": "This is blood pressure protocol with days of week schedule",
    "templates": [
        {
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Active",
            "name": "Blood Pressure Protocol2",
            "description": "Blood Pressure",
            "reminderMessage": "reminder message",
            "service": {
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "Systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 90,
                            "high": 200
                        },
                        "critical": {
                            "low": 80,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "Diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 70,
                            "high": 120
                        },
                        "critical": {
                            "low": 60,
                            "high": 120
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "below level message",
                    "above": "above level message"
                },
                "secondLevelMessage": {
                    "below": "below level message 2",
                    "above": "above level message 2"
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 40
                }
            },
            "startDate": "2013-11-20",
            "endDate": "2015-11-20"
        }
    ]
}
},
{
"patientId": "52b9f1519d16ccbfab2fcff6",
"assignedDate": "2014-01-20",
"lastEditedDate": "2014-01-27",
"comments": [
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    }
],
"status": "Active",
"protocol": {
    "name": "Blood Pressure Protocol1",
    "description": "This is blood pressure protocol with once schedule",
    "templates": [
        {
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Active",
            "name": "Blood Pressure Protocol1",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 140
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 90
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "secondLevelMessage": {
                    "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 40
                }
            },
            "startDate": "2013-11-25",
            "endDate": "2014-12-25"
        }
    ]
}
},
{
"patientId": "52b9f1519d16ccbfab2fcff6",
"assignedDate": "2014-01-20",
"lastEditedDate": "2014-01-27",
"comments": [
    {
        "content": "The patient is doing great",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    }
],
"status": "Removed",
"protocol": {
    "name": "Blood Pressure Protocol3",
    "description": "This is blood pressure protocol with once schedule",
    "templates": [
        {
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Removed",
            "name": "Blood Pressure Protocol3",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 140
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 90
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "secondLevelMessage": {
                    "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 40
                }
            },
            "startDate": "2013-11-20",
            "endDate": "2015-11-20"
        }
    ]
}
},
{
"patientId": "52b9f1519d16ccbfab2fcff6",
"assignedDate": "2014-01-20",
"lastEditedDate": "2014-01-27",
"status": "Expired",
"comments": [
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "date": "2014-04-03",
        "time": "12:05 PM",
        "user": "ONE VEHU",
        "changes": [
            {
                "fieldName": "protocol.services.readings.valid.high",
                "oldValue": "262.0",
                "newValue": "275.0"
            }
        ]
    },
    {
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-04-03",
        "changes": [
            {
                "fieldName": "status",
                "oldValue": "Active",
                "newValue": "Removed"
            }
        ]
    }
],
"protocol": {
    "name": "Blood Pressure Protocol4",
    "description": "This is blood pressure protocol with once schedule",
    "templates": [
        {
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Expired",
            "name": "Blood Pressure Protocol4",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 140
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 90
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "secondLevelMessage": {
                    "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 40
                }
            },
            "startDate": "2013-11-20",
            "endDate": "2015-11-20"
        }
    ]
}
},
{
"patientId": "52b9f1519d16ccbfab2fcff6",
"assignedDate": "2014-01-20",
"lastEditedDate": "2014-01-27",
"comments": [
    {
        "content": "Disable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-10-20"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2013-10-20"
    },
    {
        "content": "Disable",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2013-10-20"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-10-20"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-05"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-05"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2013-11-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-12-18"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Disable",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-01-21"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Enable protocol",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-01-28"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Disable",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Disable",
        "user": "TWO VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2014-03-16"
    }
],
"status": "Active",
"protocol": {
    "name": "Blood Pressure Protocol2",
    "description": "This is blood pressure protocol with days of week schedule",
    "templates": [
        {
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Active",
            "name": "Blood Pressure Protocol2",
            "description": "Blood Pressure",
            "reminderMessage": "reminder message",
            "service": {
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "Systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 90,
                            "high": 200
                        },
                        "critical": {
                            "low": 80,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "Diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 70,
                            "high": 120
                        },
                        "critical": {
                            "low": 60,
                            "high": 120
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "below level message",
                    "above": "above level message"
                },
                "secondLevelMessage": {
                    "below": "below level message 2",
                    "above": "above level message 2"
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 40
                }
            },
            "startDate": "2013-11-25",
            "endDate": "2014-12-25"
        }
    ]
}
},
{
"patientId": "53bc3ef20cf2636be815cb27",
"assignedDate": "2014-01-20",
"lastEditedDate": "2014-01-27",
"comments": [
    {
        "content": "Disable",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    },
    {
        "content": "Enable protocol",
        "user": "ONE VEHU",
        "time": "12:05 PM",
        "date": "2013-11-20"
    }
],
"status": "Active",
"protocol": {
    "name": "Blood Pressure Protocol1",
    "description": "This is blood pressure protocol with once schedule",
    "templates": [
        {
            "@class": "gov.va.mobilehealth.courier.core.protocol.Vital",
            "status": "Active",
            "name": "Blood Pressure Protocol1",
            "description": "Blood Pressure",
            "serviceMessage": "Hello, just a quick reminder that your readings are due. Thanks.",
            "reminderMessage": "Hi again, I have noticed that you have not send in your readings today. Could you please text them in. Kind regards.",
            "confirmationMessage": "Your reading is fine",
            "service": {
                "name": "Blood Pressure",
                "readings": [
                    {
                        "name": "systolic",
                        "valid": {
                            "low": 70,
                            "high": 262
                        },
                        "alert": {
                            "low": 80,
                            "high": 140
                        },
                        "critical": {
                            "low": 75,
                            "high": 230
                        },
                        "unit": "mmHg"
                    },
                    {
                        "name": "diastolic",
                        "valid": {
                            "low": 50,
                            "high": 120
                        },
                        "alert": {
                            "low": 60,
                            "high": 90
                        },
                        "critical": {
                            "low": 55,
                            "high": 110
                        },
                        "unit": "mmHg"
                    }
                ],
                "firstLevelMessage": {
                    "below": "Your blood pressure is a little low today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "secondLevelMessage": {
                    "below": "Your blood pressure is a little low again today. Take it again, and follow the advice in your management plan. Take care.",
                    "above": "Your blood pressure is a little high again today. Follow the advice in your management plan, and take the readings again at your usual time. Thanks."
                },
                "criticalMessage": {
                    "below": "this is low breach message",
                    "above": "this is high breach message"
                },
                "keywords": [
                    "BP",
                    "BLOOD"
                ],
                "pattern": "(?i).*\\s*(bp|blood)(\\s|\\d).*"
            },
            "schedule": {
                "acceptUnscheduledReading": false,
                "scheduleType": {
                    "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
                    "name": "Specified Days",
                    "monday": true,
                    "tuesday": false,
                    "wednesday": false,
                    "thursday": true,
                    "friday": false,
                    "saturday": false,
                    "sunday": false
                },
                "scheduleTime": {
                    "hour": 8,
                    "min": 30,
                    "meridian": "AM"
                },
                "isStartTimeRelative": false,
                "relativeStartTime": {
                    "value": 0,
                    "unit": "MINUTE"
                },
                "isEndTimeRelative": false,
                "relativeEndTime": {
                    "value": 10,
                    "unit": "MONTH"
                },
                "reminderNumber": 0,
                "reminderInterval": {
                    "value": 240,
                    "unit": "MINUTE"
                },
                "breach": {
                    "repeatBreachValues": true,
                    "breachesPerRepeatingAlert": 5,
                    "breachesDays": 4,
                    "criticalPercentValues": true,
                    "percentTriggersCriticalBreach": 40
                }
            },
            "startDate": "2013-11-20",
            "endDate": "2015-11-20"
        }
    ]
}
}
]);

db.patientMessages.drop();
db.patientMessages.insert([
{
"_id": ObjectId("52cc41e90cf2a2b15e1650dc"),
"source": "17032223333",
"destination": "61433000203",
"text": "Hi Kate, here is your message from AT & T",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cc423a0cf2a2b15e1650dd"),
"source": "61433000203",
"destination": "17032223333",
"text": "Thank you. Your text message was received.",
"type": "Out",
"networkSubmitTime": "2014-01-07 18:06:50",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-07 18:06:50",
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"msgDeliveryType": ["Annie","SMS"],
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70413242"
    }

]

},
{
"_id": ObjectId("52cc43870cf2a2b15e1650de"),
"source": "1-703-333-4444",
"destination": "61433000203",
"text": "NiHao",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cc43b30cf2a2b15e1650df"),
"source": "61433000203",
"destination": "1-703-333-4444",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-07 18:13:07",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-07 18:13:07",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70413984"
    }

]

},
{
"_id": ObjectId("52cc70150cf27275b1aadfae"),
"source": "17032223333",
"destination": "61433000203",
"text": "NiHao",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cc70250cf27275b1aadfaf"),
"source": "61433000203",
"destination": "17032223333",
"text": "Thank you. Your text message was received.",
"type": "Out",
"networkSubmitTime": "2014-01-07 21:22:45",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-07 21:22:45",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70436556"
    }
]

},
{
"_id": ObjectId("52cc70250cf27275b1aadfb0"),
"source": "17032223333",
"destination": "61433000203",
"text": "Your SMS message from AT&T",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cc70250cf27275b1aadfb1"),
"source": "61433000203",
"destination": "17032223333",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-07 21:22:45",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-07 21:22:45",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff2",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70436561"
    }

]

},
{
"_id": ObjectId("52cc70250cf27275b1aadfb2"),
"source": "17032223333",
"destination": "61433000203",
"text": "Your sms message from internet",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"patientId": "52b9f1519d16ccbfab2fcff4",
"msgDeliveryType": ["Annie","SMS"],
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cc70260cf27275b1aadfb3"),
"source": "61433000203",
"destination": "17032223333",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-07 21:22:46",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-07 21:22:46",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70436563"
    }

]

},
{
"_id": ObjectId("53cc70250cf27275b1aadfb2"),
"source": "17032223333",
"destination": "61433000203",
"text": "Messages are defined in a message text file. The message compiler assigns numbers to each message, and generates a C/C++ include file which the application can use to access a message using a symbolic constant.",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("54cc70260cf27275b1aadfb3"),
"source": "61433000203",
"destination": "17032223333",
"text": "Thank you. Your text message was received.",
"type": "Out",
"networkSubmitTime": "2014-01-07 21:22:46",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-07 21:22:46",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70436563"
    }

]

},
{
"_id": ObjectId("52cd92e10cf2498994f7ce55"),
"source": "61433000203",
"destination": "15712943179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:03:13",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:03:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70584504"
    }
]
},
{
"_id": ObjectId("52cd9a4d0cf2498994f7ce56"),
"source": "1571294-3179",
"destination": "61433000203",
"text": "SMSMessage1",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cd9a540cf2498994f7ce57"),
"source": "61433000203",
"destination": "1571294-3179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:35:00",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:35:00",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70589821"
    }
]
},
{
"_id": ObjectId("52cd9a570cf2498994f7ce58"),
"source": "1571294-3179",
"destination": "61433000203",
"text": "SMSMessage1",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cd9a570cf2498994f7ce59"),
"source": "61433000203",
"destination": "1571294-3179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:35:03",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:35:03",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70589827"
    }
]
},
{
"_id": ObjectId("52cd9a5d0cf2498994f7ce5a"),
"source": "1571294-3179",
"destination": "61433000203",
"text": "The message text file contains a header that defines names and language identifiers for use by the message definitions in the body of the file. The header contains zero or more of the following statements.",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cd9a5d0cf2498994f7ce5b"),
"source": "61433000203",
"destination": "1571294-3179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:35:09",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:35:09",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70589850"
    }
]
},
{
"_id": ObjectId("52cd9a5f0cf2498994f7ce5c"),
"source": "1571294-3179",
"destination": "61433000203",
"text": "SMSMessage1",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cd9a5f0cf2498994f7ce5d"),
"source": "61433000203",
"destination": "1571294-3179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:35:11",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:35:11",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70589859"
    }
]
},
{
"_id": ObjectId("52cd9a610cf2498994f7ce5e"),
"source": "1571294-3179",
"destination": "61433000203",
"text": "SMSMessage1",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cd9a620cf2498994f7ce5f"),
"source": "61433000203",
"destination": "1571294-3179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:35:14",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:35:14",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70589865"
    }
]
},
{
"_id": ObjectId("52cd9a940cf2498994f7ce60"),
"source": "1571294-3179",
"destination": "61433000203",
"text": "SMSMessage1",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cd9a990cf2498994f7ce61"),
"source": "61433000203",
"destination": "1571294-3179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:36:09",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:36:09",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70589955"
    }
]
},
{
"_id": ObjectId("52cd9a9b0cf2498994f7ce62"),
"source": "1571294-3179",
"destination": "61433000203",
"text": "Text fun house, or texting, is the act of composing and sending a brief, electronic message between two or more mobile phones, or fixed or portable devices over a phone network. The term originally referred to messages sent using the Short Message Service (SMS). It has grown to include messages containing image, video, and sound content (known as MMS messages). The sender of a text message is known as a texter, while the service itself has different colloquialisms depending on the region",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cd9a9b0cf2498994f7ce63"),
"source": "61433000203",
"destination": "1571294-3179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:36:11",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:36:11",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70589957"
    }
]
},
{
"_id": ObjectId("52cd9a9c0cf2498994f7ce64"),
"source": "1571294-3179",
"destination": "61433000203",
"text": "SMSMessage1",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cc43870cf2a2b15e1650e0"),
"source": "1-703-333-4444",
"destination": "61433000203",
"text": "160/100",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"alertLevel": "critical",
"referenceNumber": 0
},
{
"_id": ObjectId("52cd9a9c0cf2498994f7ce65"),
"source": "61433000203",
"destination": "1571294-3179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:36:12",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:36:12",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70589967"
    }
]
},
{
"_id": ObjectId("52cd9a9d0cf2498994f7ce66"),
"source": "1571294-3179",
"destination": "61433000203",
"text": "SMSMessage1",
"type": "In",
"networkSubmitTime": "2013-11-16 10:26:13",
"clientSubmitTime": "2013-11-16 10:26:13",
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2013-11-16 10:26:13",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"clientMessageId": null,
"costCentre": null,
"messageId": null,
"segmentCount": 0,
"segmentNumber": 0,
"referenceNumber": 0
},
{
"_id": ObjectId("52cd9a9e0cf2498994f7ce67"),
"source": "61433000203",
"destination": "1571294-3179",
"text": "Thank you. You are not subscribed to any protocols at this time.",
"type": "Out",
"networkSubmitTime": "2014-01-08 18:36:14",
"clientSubmitTime": null,
"serviceName": "Test Protocol",
"adjustedSubmitTime": "2014-01-08 18:36:14",
"msgDeliveryType": ["Annie","SMS"],
"patientId": "52b9f1519d16ccbfab2fcff4",
"name": null,
"location": null,
"messages": [
    {
        "_id": null,
        "successCode": "0",
        "responseCode": "001",
        "responseString": "OK",
        "messageId": "70589970"
    }
]
}
]);

// test data for reports
db.patientResponseServiceData.drop();
db.patientResponseServiceData.insert([
{
"_id": ObjectId("532913549386a53bd49c9d39"),
"patientResponseReceivedTime": "2014-03-01 10:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 120,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 80,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-01 10:00:00"
},
{
"_id": ObjectId("532913549386a53bd49c939a"),
"patientResponseReceivedTime": "2014-03-02 10:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 130,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 85,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-02 10:00:00"
},
{
"_id": ObjectId("3290d0b93865d6b4d16829b1"),
"patientResponseReceivedTime": "2014-03-03 10:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 70,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-03 10:00:00"

},
{
"_id": ObjectId("32913549386a53bd49c9d39c"),
"patientResponseReceivedTime": "2014-03-03 12:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 120,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 80,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-03 12:00:00"
},
{
"_id": ObjectId("32913549386a53bd49c9d39d"),
"patientResponseReceivedTime": "2014-03-04 12:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 111,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 67,
            "unit": "mmHg"
        }
    ]

},
"patientResponseReceivedTimeUTC": "2014-03-04 12:00:00"
},
{
"_id": ObjectId("32913549386a53bd49c9d39e"),
"patientResponseReceivedTime": "2014-03-04 16:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 133,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 87,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-04 16:00:00"
},
{
"_id": ObjectId("32913549386a53bd49c9d39f"),
"patientResponseReceivedTime": "2014-03-05 10:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 130,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 85,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 10:00:00"
},
{
"_id": ObjectId("532913549386a53bd49c9d40"),
"patientResponseReceivedTime": "2014-03-05 10:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 70,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 10:30:00"
},
{
"_id": ObjectId("532913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 11:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 77,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 11:30:00"
},
{
"_id": ObjectId("532913249386a53bd49c9b40"),
"patientResponseReceivedTime": "2014-03-06 10:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 99,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-06 10:30:00"
},
{
"_id": ObjectId("532913539386a53bd49c9c40"),
"patientResponseReceivedTime": "2014-03-06 10:45:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 89,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-06 10:45:00"
},
{
"_id": ObjectId("532913449386a53bd49c9d39"),
"patientResponseReceivedTime": "2014-03-10 10:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 120,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 80,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-10 10:00:00"
},
{
"_id": ObjectId("532913549586a53bd49c939a"),
"patientResponseReceivedTime": "2014-03-11 10:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 130,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 85,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-11 10:00:00"
},
{
"_id": ObjectId("3290d0b93866d6b4d16829b1"),
"patientResponseReceivedTime": "2014-03-13 10:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 70,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-13 10:30:00"
},
{
"_id": ObjectId("32913549786a53bd49c9d39c"),
"patientResponseReceivedTime": "2014-03-13 10:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 120,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 80,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-13 10:00:00"
},
{
"_id": ObjectId("32913549396a53bd49c9d39d"),
"patientResponseReceivedTime": "2014-03-13 10:05:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 100,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 65,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-13 10:05:00"
},
{
"_id": ObjectId("32913549086a53bd49c9d39e"),
"patientResponseReceivedTime": "2014-03-13 11:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 145,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 87,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-13 11:00:00"
},
{
"_id": ObjectId("32913549316a53bd49c9d39f"),
"patientResponseReceivedTime": "2014-03-19 10:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 130,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 85,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-19 10:00:00"
},
{
"_id": ObjectId("513391354986a53bd49c9d40"),
"patientResponseReceivedTime": "2014-03-19 10:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 70,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-19 10:30:00"
},
{
"_id": ObjectId("531913549386a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-19 10:45:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 77,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-19 10:45:00"
},
{
"_id": ObjectId("532813549386a53bd49c9b40"),
"patientResponseReceivedTime": "2014-03-19 12:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 99,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-19 12:30:00"
},
{
"_id": ObjectId("532913549386a53bf49c9c40"),
"patientResponseReceivedTime": "2014-03-21 10:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Pulse Oximetry (SpO2)",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "SpO2",
            "value": 89,
            "unit": "% Sat"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-21 10:30:00"
},
{
"_id": ObjectId("53e913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 08:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 177,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 08:30:00"
},
{
"_id": ObjectId("53e913549186a5fbd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 09:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 177,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 09:30:00"
},
{
"_id": ObjectId("53e913549186a5fb949c9a40"),
"patientResponseReceivedTime": "2014-03-05 10:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 178,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 10:30:00"
},
{
"_id": ObjectId("53e913a49186a5fbd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 11:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 183,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 11:30:00"
},
{
"_id": ObjectId("53e913549186a5fbd49c9a42"),
"patientResponseReceivedTime": "2014-03-05 12:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 182,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 12:30:00"
},
{
"_id": ObjectId("53e913549186a5fbd49c9c40"),
"patientResponseReceivedTime": "2014-03-05 13:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 181,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 13:30:00"
},
{
"_id": ObjectId("53e913549186a5fbd49c7a40"),
"patientResponseReceivedTime": "2014-03-05 14:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 180,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 14:30:00"
},
{
"_id": ObjectId("53e913549186a4fbd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 15:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 179,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 15:30:00"
},
{
"_id": ObjectId("53e913549186a5fba49c9a40"),
"patientResponseReceivedTime": "2014-03-05 16:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 178,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 16:30:00"
},
{
"_id": ObjectId("53e91a549186a5fbd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 17:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 177,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 17:30:00"
},
{
"_id": ObjectId("53e9135c9186a5fbd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 18:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 176,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 18:30:00"
},
{
"_id": ObjectId("53e913549586a5fbd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 19:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 175,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 19:30:00"
},
{
"_id": ObjectId("53e913549186a5fbd45c9a40"),
"patientResponseReceivedTime": "2014-03-05 20:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 174,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 20:30:00"
},
{
"_id": ObjectId("53e913549a86a5fbd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 21:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 173,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 21:30:00"
},
{
"_id": ObjectId("53e91354d186a5fbd49c9a40"),
"patientResponseReceivedTime": "2014-03-05 22:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 172,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 22:30:00"
},
{
"_id": ObjectId("53e913549186a5fbd4bc9a40"),
"patientResponseReceivedTime": "2014-03-05 23:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 171,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-05 23:30:00"
},
{
"_id": ObjectId("53e913549146a5fbd4bc9a40"),
"patientResponseReceivedTime": "2014-03-06 00:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 170,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-06 00:30:00"
},
{
"_id": ObjectId("53e913529146a5fbd4bc9a40"),
"patientResponseReceivedTime": "2014-03-06 01:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 169,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-06 01:30:00"
},
{
"_id": ObjectId("51e913549146a5fbd4bc9a40"),
"patientResponseReceivedTime": "2014-03-06 02:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 168,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-06 02:30:00"
},
{
"_id": ObjectId("53e963549146a5fbd4bc9a40"),
"patientResponseReceivedTime": "2014-03-06 03:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 167,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-06 03:30:00"
},
{
"_id": ObjectId("53e91c549146a5fbd4bc9a40"),
"patientResponseReceivedTime": "2014-03-06 04:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 166,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-06 04:30:00"
},
{
"_id": ObjectId("53e913549141a5fbd4bc9a40"),
"patientResponseReceivedTime": "2014-03-06 05:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 165,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-06 05:30:00"
},
{
"_id": ObjectId("152913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-06 10:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 176,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-06 10:30:00"
},
{
"_id": ObjectId("232913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 11:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 177,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 11:30:00"
},
{
"_id": ObjectId("232913549a86a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 12:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 171,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 12:30:00"
},
{
"_id": ObjectId("132913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 13:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 170,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 13:30:00"
},
{
"_id": ObjectId("a32913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 14:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 169,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 14:30:00"
},
{
"_id": ObjectId("2329d3549186a53cd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 15:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 168,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 15:30:00"
},
{
"_id": ObjectId("232b13549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 16:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 167,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 16:30:00"
},
{
"_id": ObjectId("e32913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 17:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 166,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 17:30:00"
},
{
"_id": ObjectId("2329d3549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 18:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 165,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 18:30:00"
},
{
"_id": ObjectId("23b913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 19:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 168,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 19:30:00"
},
{
"_id": ObjectId("2f2913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 20:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 170,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 20:30:00"
},
{
"_id": ObjectId("23291d549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 21:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 177,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 21:30:00"
},
{
"_id": ObjectId("232913a49186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 22:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 175,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 22:30:00"
},
{
"_id": ObjectId("23291354f186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-08 23:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 176,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-08 23:30:00"
},
{
"_id": ObjectId("122913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-09 9:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 175,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-09 9:30:00"
},
{
"_id": ObjectId("232c13549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-10 13:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 172,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-10 13:30:00"
},
{
"_id": ObjectId("552913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-11 20:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 173,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-11 20:30:00"
},
{
"_id": ObjectId("5a2913549186a53bd49c9a40"),
"patientResponseReceivedTime": "2014-03-12 11:30:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Weight Loss",
    "serviceId": "52e829f9bf890cf9ee685d86",
    "readings": [
        {
            "name": "Weight",
            "value": 174,
            "unit": "lbs"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-12 11:30:00"
},
{
"_id": ObjectId("3291354a086a53bd49c9d39e"),
"patientResponseReceivedTime": "2014-03-20 15:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 132,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 83,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-20 15:00:00"
},
{
"_id": ObjectId("3291354b086a53bd49c9d39e"),
"patientResponseReceivedTime": "2014-03-21 08:12:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 116,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 90,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-21 08:12:00"
},
{
"_id": ObjectId("3291354c086a53bd49c9d39e"),
"patientResponseReceivedTime": "2014-03-21 09:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 145,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 87,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-21 09:00:00"
},
{
"_id": ObjectId("3291354d086a53bd49c9d39e"),
"patientResponseReceivedTime": "2014-03-21 10:41:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 137,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 91,
            "unit": "mmHg"
        }
    ]
},
"patientResponseReceivedTimeUTC": "2014-03-21 10:41:00"
},
{
"_id": ObjectId("3291354e086a53bd49c9d39e"),
"patientResponseReceivedTime": "2014-03-22 07:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 139,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 80,
            "unit": "mmHg"
        }
    ]

},
"patientResponseReceivedTimeUTC": "2014-03-22 07:00:00"
},
{
"_id": ObjectId("3291354e086a53bdd9c9d39e"),
"patientResponseReceivedTime": "2014-03-22 11:00:00",
"patientId": "52b9f1519d16ccbfab2fcff4",
"patientServiceReading": {
    "serviceName": "Blood Pressure",
    "serviceId": "52e829f9bf890cf9ee685d85",
    "readings": [
        {
            "name": "Systolic",
            "value": 120,
            "unit": "mmHg"
        },
        {
            "name": "Diastolic",
            "value": 77,
            "unit": "mmHg"
        }
    ]

},
"patientResponseReceivedTimeUTC": "2014-03-22 11:00:00"
}
]);

db.staffRole.drop();
db.staffRole.insert([
  {
    "userIdentifier": {
      "uniqueId": "20001",
      "assigningAuthority": "dfn-688"
    },
    "roles": ["admin", "bcm_admin"]
  },
  {
	"userIdentifier": {
	  "uniqueId": "20354",
	  "assigningAuthority": "dfn-688"
	 },
	 "roles": ["admin", "bcm_admin"]
  },
  {
	"userIdentifier": {
	"uniqueId": "20355",
	"assigningAuthority": "dfn-688"
	},
	"roles": ["admin", "bcm_admin"]
  },

  {
    "userIdentifier": {
      "uniqueId": "20005",
      "assigningAuthority": "dfn-688"
    },
    "roles": ["admin", "bcm_admin"]
  },
  {
	"userIdentifier": {
	  "uniqueId": "20006",
	  "assigningAuthority": "dfn-688"
	},
	    "roles": ["admin", "bcm_admin"]
  },
  {
    "userIdentifier": {
      "uniqueId": "20007",
      "assigningAuthority": "dfn-688"
    },
    "roles": ["admin", "bcm_admin"]
  },
  {
	  "userIdentifier": {
		"uniqueId": "20008",
	    "assigningAuthority": "dfn-688"
	    },
	    "roles": ["admin", "bcm_admin"]
  },
  {
	  "userIdentifier": {
		"uniqueId": "20010",
	    "assigningAuthority": "dfn-688"
	    },
	    "roles": ["admin", "bcm_admin"]
  },
  {
	  "userIdentifier": {
		"uniqueId": "20009",
	    "assigningAuthority": "dfn-688"
	    },
	    "roles": ["staff", "bcm_admin"]
  },
  {
    "userIdentifier": {
      "uniqueId": "20012",
      "assigningAuthority": "dfn-688"
    },
    "roles": ["admin", "bcm_admin"]
  },
  {
    "userIdentifier": {
      "uniqueId": "20011",
      "assigningAuthority": "dfn-688"
    },
    "roles": ["admin", "bcm_admin"]
  },
  {
	 "userIdentifier": {
	   "uniqueId": "20014",
	   "assigningAuthority": "dfn-688"
	  },
	  "roles": ["admin", "bcm_admin"]
  },
  {
	 "userIdentifier": {
		"uniqueId": "20013",
		"assigningAuthority": "dfn-688"
	 },
	 "roles": ["admin"]
  },
  {
	"userIdentifier": {
		"uniqueId": "20016",
		"assigningAuthority": "dfn-688"
	},
	"roles": ["bcm_admin"]
  }
]);

db.facilityMessages.drop();
db.facilityMessages.insert([
{
  "enabled": true,
  "name": "VA Information",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-10-12",
  "createBy": "One Vehu",
  "message": "The Veterans Health Administration is America's largest integrated health care system with over 1,700 sites of care, serving 8.76 million Veterans each year.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-10-12 16:05:57",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Pending Delivery",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-10-12",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "Breast Wellness",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-10-09",
  "createBy": "Two Vehu",
  "message": "Mobile Mammograms - Parkshore Center - October 27",
  "startDate": "2014-10-01",
  "endDate": "2015-10-27",
  "createdDateUTC": "2014-10-09 18:05:57",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeDaysOfWeek",
      "name": "Specified Days",
      "monday": true,
      "tuesday": false,
      "wednesday": false,
      "thursday": true,
      "friday": false,
      "saturday": true,
      "sunday": false
    },
    "scheduleTime": {
        "hour": 8,
        "min": 30,
        "meridian": "PM"
    }
  },
  "progress": "Delivery In Progress",
  "comments": {
  }
},
{
  "enabled": true,
  "name": "October Flu Shots",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-10-02",
  "createBy": "One Vehu",
  "message": "CDC recommends an annual flu vaccine for everyone 6 months of age and older.",
  "startDate": "2013-01-01",
  "endDate": "2018-12-25",
  "createdDateUTC": "2014-10-02 16:05:57",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-10-08",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "Immunize in Richmond, VA",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-09-05",
  "createBy": "One Vehu",
  "message": "Why immunize our children? First we are assured that, thanks to vaccines, some diseases are almost gone from the U.S.",
  "startDate": "2014-06-01",
  "endDate": "2017-08-25",
  "createdDateUTC": "2014-09-05 16:05:56",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Pending Delivery",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-09-05",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "Ebola Information",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-09-01",
  "createBy": "Three Vehu",
  "message": "The virus can enter the body through broken skin or unprotected mucous membranes in, for example, the eyes, nose, or mouth.",
  "startDate": "2014-10-01",
  "endDate": "2015-04-25",
  "createdDateUTC": "2014-09-01 16:05:55",
  "schedule": {
    "scheduleType": {
        "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeOnce",
        "name": "Once"
    },
    "scheduleTime": {
        "hour": 8,
        "min": 30,
        "meridian": "AM"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-09-01",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "Homeless Veterans",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-08-02",
  "createBy": "Eight Vehu",
  "message": "VA is committed to ending Veteran homelessness by the end of 2015.",
  "startDate": "2014-09-19",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-08-02 16:05:54",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 2,
      "min": 30,
      "meridian": "PM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Pending Delivery",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-08-02",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "Test Message",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-07-15",
  "createBy": "Eight Vehu",
  "message": "This is a test broadcast facility message",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-07-15 09:05:53",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivery In Progress",
  "comments": {

  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-06-05",
  "createBy": "Four Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-06-05 16:05:52",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-06-05",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-05-05",
  "createBy": "Four Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-05-05 16:05:51",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-05-05",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-04-05",
  "createBy": "One Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-03-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-04-05 16:05:50",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-04-05",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-04-05",
  "createBy": "One Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-04-05 16:05:47",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-04-05",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-03-06",
  "createBy": "Four Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-03-06 16:05:46",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-03-06",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-03-06",
  "createBy": "One Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-04-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-03-06 16:05:45",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-03-06",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-03-06",
  "createBy": "Four Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-03-06 16:05:44",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-03-06",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-02-06",
  "createBy": "Four Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2014-02-06 16:05:43",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-02-06",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-01-06",
  "createBy": "One Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2013-10-01",
  "endDate": "2014-01-25",
  "createdDateUTC": "2014-01-06 16:05:42",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-01-06",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2014-01-06",
  "createBy": "Four Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2013-10-25",
  "createdDateUTC": "2014-01-06 16:05:41",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2014-01-06",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2013-11-06",
  "createBy": "Four Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2013-11-06 16:05:40",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivery In Progress",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2013-11-20",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2013-10-06",
  "createBy": "Two Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2013-10-06 16:05:39",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2013-11-20",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2013-09-10",
  "createBy": "Four Vehu",
  "message": "VA administers a variety of benefits and services that provide financial and other forms of assistance to Servicemembers, Veterans, their dependents and survivors.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2013-09-10 16:05:35",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 10 minute",
      "interval": {
        "value": 10,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 30,
      "meridian": "AM",
      "description": "(At 8:30 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2013-11-20",
    "changes": []
  }
},
{
  "enabled": true,
  "name": "VA Benefits",
  "assigningAuthority": "dfn-688",
  "createDate": "2013-08-11",
  "createBy": "Eight Vehu",
  "message": "VA Benefits.",
  "startDate": "2014-10-01",
  "endDate": "2015-10-25",
  "createdDateUTC": "2013-08-11 16:05:24",
  "schedule": {
    "scheduleType": {
      "@class": "gov.va.mobilehealth.courier.core.protocol.schedule.TypeEverySoMany",
      "name": "Custom",
      "description": "Every 5 minute",
      "interval": {
        "value": 5,
        "unit": "MINUTE"
      }
    },
    "scheduleTime": {
      "hour": 8,
      "min": 50,
      "meridian": "AM",
      "description": "(At 8:50 AM)"
    }
  },
  "progress": "Delivered",
  "comments": {
    "content": "Disable",
    "user": "ONE VEHU",
    "time": "12:05 PM",
    "date": "2013-10-20",
    "changes": []
  }
}
]);

db.facility.drop();
db.facility.insert([
  {
    "_id": "dfn-777",
    "name": "Test VAMC3-Chantilly-VA",
    "timezone": "America/New_York"
  },
  {
    "_id": "dfn-778",
    "name": "Test Timezone LA-CA",
    "timezone": "America/Los_Angeles"
  }
]);

